a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:17:"AmazonCloudSearch";s:4:"file";s:30:"services/cloudsearch.class.php";s:3:"url";s:31:"../amazoncloudsearch/index.html";s:11:"description";s:227:"<p>You use the Configuration Service to create, configure, and manage search domains. Amazon
CloudSearch configuration requests are submitted to
<code>cloudsearch.us-east-1.amazonaws.com</code> using the AWS Query protocol.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2013.01.14";s:7:"license";s:57:"See the included NOTICE.md file for complete information.";s:9:"copyright";s:57:"See the included NOTICE.md file for complete information.";s:4:"link";a:2:{i:0;s:53:"http://aws.amazon.com/cloudsearch/ Amazon CloudSearch";i:1;s:81:"http://aws.amazon.com/cloudsearch/documentation/ Amazon CloudSearch documentation";}}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";s:3:"url";s:23:"../cfruntime/index.html";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"50";}s:6:"method";a:46:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:156:"<p>Constructs a new instance of <a href="../amazoncloudsearch/index.html" rel="../../index.html#i=amazoncloudsearch"><code>AmazonCloudSearch</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1585:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazoncloudsearch/set_cache_config.html" rel="../../index.html#m=amazoncloudsearch/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:228:"public function __construct(array $options = array())
{
    $this-&gt;api_version = '2011-02-01';
    $this-&gt;hostname = self::DEFAULT_URL;
    $this-&gt;auth_class = 'AuthV4Query';

    return parent::__construct($options);
}";}i:1;a:8:{s:4:"name";s:23:"allow_hostname_override";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:186:"<p>Disables any subsequent use of the <a href="../amazoncloudsearch/set_hostname.html" rel="../../index.html#m=amazoncloudsearch/set_hostname"><code>set_hostname()</code></a> method.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"override";s:4:"type";s:7:"boolean";s:11:"description";s:430:"<p>Whether or not subsequent calls to <a href="../amazoncloudsearch/set_hostname.html" rel="../../index.html#m=amazoncloudsearch/set_hostname"><code>set_hostname()</code></a> should be obeyed. A <code>false</code> value disables the further effectiveness of <a href="../amazoncloudsearch/set_hostname.html" rel="../../index.html#m=amazoncloudsearch/set_hostname"><code>set_hostname()</code></a>. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:124:"public function allow_hostname_override($override = true)
{
    $this-&gt;override_hostname = $override;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:2;a:7:{s:4:"name";s:12:"authenticate";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:69:"<p>Default, shared method for authenticating a connection to AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"operation";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>Indicates the operation to perform.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"payload";s:4:"type";s:5:"array";s:11:"description";s:106:"<p>An associative array of parameters for authenticating. See the individual methods for allowed keys.</p>";}}}s:11:"returnvalue";s:48:"<p>Object containing a parsed HTTP response.</p>";s:6:"source";s:6988:"public function authenticate($operation, $payload)
{
    $original_payload = $payload;
    $method_arguments = func_get_args();
    $curlopts = array();
    $return_curl_handle = false;

    if (substr($operation, 0, strlen($this-&gt;operation_prefix)) !== $this-&gt;operation_prefix)
    {
        $operation = $this-&gt;operation_prefix . $operation;
    }

    // Extract the custom CURLOPT settings from the payload
    if (is_array($payload) &amp;&amp; isset($payload['curlopts']))
    {
        $curlopts = $payload['curlopts'];
        unset($payload['curlopts']);
    }

    // Determine whether the response or curl handle should be returned
    if (is_array($payload) &amp;&amp; isset($payload['returnCurlHandle']))
    {
        $return_curl_handle = isset($payload['returnCurlHandle']) ? $payload['returnCurlHandle'] : false;
        unset($payload['returnCurlHandle']);
    }

    // Use the caching flow to determine if we need to do a round-trip to the server.
    if ($this-&gt;use_cache_flow)
    {
        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . $operation . '_' . sha1(serialize($method_arguments));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback'), $method_arguments);

        // Parse the XML body
        $data = $this-&gt;parse_callback($data);

        // End!
        return $data;
    }

    /*%******************************************************************************************%*/

    // Signer
    $signer = new $this-&gt;auth_class($this-&gt;hostname, $operation, $payload, $this-&gt;credentials);
    $signer-&gt;key = $this-&gt;key;
    $signer-&gt;secret_key = $this-&gt;secret_key;
    $signer-&gt;auth_token = $this-&gt;auth_token;
    $signer-&gt;api_version = $this-&gt;api_version;
    $signer-&gt;utilities_class = $this-&gt;utilities_class;
    $signer-&gt;request_class = $this-&gt;request_class;
    $signer-&gt;response_class = $this-&gt;response_class;
    $signer-&gt;use_ssl = $this-&gt;use_ssl;
    $signer-&gt;proxy = $this-&gt;proxy;
    $signer-&gt;util = $this-&gt;util;
    $signer-&gt;registered_streaming_read_callback = $this-&gt;registered_streaming_read_callback;
    $signer-&gt;registered_streaming_write_callback = $this-&gt;registered_streaming_write_callback;
    $request = $signer-&gt;authenticate();

    // Update RequestCore settings
    $request-&gt;request_class = $this-&gt;request_class;
    $request-&gt;response_class = $this-&gt;response_class;
    $request-&gt;ssl_verification = $this-&gt;ssl_verification;

    /*%******************************************************************************************%*/

    // Debug mode
    if ($this-&gt;debug_mode)
    {
        $request-&gt;debug_mode = $this-&gt;debug_mode;
    }

    // Set custom CURLOPT settings
    if (count($curlopts))
    {
        $request-&gt;set_curlopts($curlopts);
    }

    // Manage the (newer) batch request API or the (older) returnCurlHandle setting.
    if ($this-&gt;use_batch_flow)
    {
        $handle = $request-&gt;prep_request();
        $this-&gt;batch_object-&gt;add($handle);
        $this-&gt;use_batch_flow = false;

        return $handle;
    }
    elseif ($return_curl_handle)
    {
        return $request-&gt;prep_request();
    }

    // Send!
    $request-&gt;send_request();

    // Prepare the response.
    $headers = $request-&gt;get_response_header();
    $headers['x-aws-stringtosign'] = $signer-&gt;string_to_sign;

    if (isset($signer-&gt;canonical_request))
    {
        $headers['x-aws-canonicalrequest'] = $signer-&gt;canonical_request;
    }

    $headers['x-aws-request-headers'] = $request-&gt;request_headers;
    $headers['x-aws-body'] = $signer-&gt;querystring;

    $data = new $this-&gt;response_class($headers, ($this-&gt;parse_the_response === true) ? $this-&gt;parse_callback($request-&gt;get_response_body()) : $request-&gt;get_response_body(), $request-&gt;get_response_code());

    $response_body = (string) $request-&gt;get_response_body();

    // Was it Amazon's fault the request failed? Retry the request until we reach $max_retries.
    if (
        (integer) $request-&gt;get_response_code() === 500 || // Internal Error (presumably transient)
        (integer) $request-&gt;get_response_code() === 503)   // Service Unavailable (presumably transient)
    {
        if ($this-&gt;redirects &lt;= $this-&gt;max_retries)
        {
            // Exponential backoff
            $delay = (integer) (pow(4, $this-&gt;redirects) * 100000);
            usleep($delay);
            $this-&gt;redirects++;
            $data = $this-&gt;authenticate($operation, $original_payload);
        }
    }

    // DynamoDB has additional, custom logic for retrying requests
    else
    {
        // If the request to DynamoDB was throttled, we need to retry
        $need_to_retry_dynamodb_request = (
            (integer) $request-&gt;get_response_code() === 400 &amp;&amp;
            stripos($response_body, 'com.amazonaws.dynamodb.') !== false &amp;&amp;
            stripos($response_body, 'ProvisionedThroughputExceededException') !== false
        );

        // If the CRC32 of the response does not match the expected value, we need to retry
        $response_headers = $request-&gt;get_response_header();
        if (!$need_to_retry_dynamodb_request &amp;&amp; isset($response_headers['x-amz-crc32']))
        {
            $crc32_expected = $response_headers['x-amz-crc32'];
            $crc32_actual = hexdec(hash('crc32b', $response_body));
            $need_to_retry_dynamodb_request = ($crc32_expected != $crc32_actual);
        }

        // Perform retry if necessary using a more aggressive exponential backoff
        if ($need_to_retry_dynamodb_request)
        {
            if ($this-&gt;redirects === 0)
            {
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
            elseif ($this-&gt;redirects &lt;= max($this-&gt;max_retries, 10))
            {
                // Exponential backoff
                $delay = (integer) (pow(2, ($this-&gt;redirects - 1)) * 50000);
                usleep($delay);
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
        }
    }

    $this-&gt;redirects = 0;
    return $data;
}";}i:3;a:8:{s:4:"name";s:5:"batch";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:86:"<p>Specifies that the intended request should be queued for a later batch request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"queue";s:4:"type";s:14:"CFBatchRequest";s:11:"description";s:327:"<p>The <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a> instance to use for managing batch requests. If not available, it generates a new instance of <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:477:"public function batch(CFBatchRequest &amp;$queue = null)
{
    if ($queue)
    {
        $this-&gt;batch_object = $queue;
    }
    elseif ($this-&gt;internal_batch_object)
    {
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }
    else
    {
        $this-&gt;internal_batch_object = new $this-&gt;batch_class();
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }

    $this-&gt;use_batch_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:4;a:8:{s:4:"name";s:5:"cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:339:"<p>Specifies that the resulting <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object should be cached according to the settings from
<a href="../amazoncloudsearch/set_cache_config.html" rel="../../index.html#m=amazoncloudsearch/set_cache_config"><code>set_cache_config()</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"expires";s:4:"type";s:14:"string|integer";s:11:"description";s:232:"<p>The time the cache is to expire. Accepts a number of seconds as an integer, or an amount of time, as a string, that is understood by <a href="http://php.net/strtotime"><code>strtotime()</code></a> (e.g. &#8220;1 hour&#8221;).</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:501:"public function cache($expires)
{
    // Die if they haven't used set_cache_config().
    if (!$this-&gt;cache_class)
    {
        throw new CFRuntime_Exception('Must call set_cache_config() before using cache()');
    }

    if (is_string($expires))
    {
        $expires = strtotime($expires);
        $this-&gt;cache_expires = $expires - time();
    }
    elseif (is_int($expires))
    {
        $this-&gt;cache_expires = $expires;
    }

    $this-&gt;use_cache_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:5:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:2;a:4:{s:5:"title";s:70:"<p>Fire a single request, and then cache the response to Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:338:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:3;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:4;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:5;a:7:{s:4:"name";s:34:"cache_instance_profile_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:139:"<p>Fetches and caches EC2 instance profile credentials. This is meant to be used by the constructor, and is not to
be manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:2563:"public function cache_instance_profile_credentials($cache, $options)
{
    $instance_profile_url = 'http://169.254.169.254/latest/meta-data/iam/security-credentials/';
    $connect_timeout = isset($options['instance_profile_timeout']) ? $options['instance_profile_timeout'] : 2;

    try
    {
        // Make a call to the EC2 Metadata Service to find the available instance profile
        $request = new RequestCore($instance_profile_url);
        $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
        $response = $request-&gt;send_request(true);

        if ($response-&gt;isOK())
        {
            // Get the instance profile name
            $profile = (string) $response-&gt;body;

            // Make a call to the EC2 Metadata Service to get the instance profile credentials
            $request = new RequestCore($instance_profile_url . $profile);
            $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
            $response = $request-&gt;send_request(true);

            if ($response-&gt;isOK())
            {
                // Get the credentials
                $credentials = json_decode($response-&gt;body, true);

                if ($credentials['Code'] === 'Success')
                {
                    // Determine the expiration time
                    $expiration_time = strtotime((string) $credentials['Expiration']);
                    $expiration_duration = round(($expiration_time - time()) * 0.85);
                    $cache-&gt;expire_in($expiration_duration);

                    // Return the credential information
                    return array(
                        'key'     =&gt; $credentials['AccessKeyId'],
                        'secret'  =&gt; $credentials['SecretAccessKey'],
                        'token'   =&gt; $credentials['Token'],
                        'expires' =&gt; $credentials['Expiration'],
                    );
                }
            }
        }
    }
    catch (cURL_Exception $e)
    {
        // The EC2 Metadata Service does not exist or had timed out.
        // An exception will be thrown on the next line.
    }

    // @codeCoverageIgnoreStart
    throw new CFCredentials_Exception('No credentials were provided. The SDK attempted to retrieve Instance '
        . 'Profile credentials from the EC2 Instance Metadata Service, but failed to do so. Instance profile '
        . 'credentials are only accessible on EC2 instances configured with a specific IAM role.');
    // @codeCoverageIgnoreEnd
}";}i:6;a:7:{s:4:"name";s:21:"cache_sts_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:122:"<p>Fetches and caches STS credentials. This is meant to be used by the constructor, and is not to be
manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:1226:"public function cache_sts_credentials($cache, $options)
{
    $token = new AmazonSTS($options);
    $response = $token-&gt;get_session_token();

    if ($response-&gt;isOK())
    {
        // Update the expiration
        $expiration_time = strtotime((string) $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials-&gt;Expiration);
        $expiration_duration = round(($expiration_time - time()) * 0.85);
        $cache-&gt;expire_in($expiration_duration);

        // Return the important data
        $credentials = $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials;

        return array(
            'key'     =&gt; (string) $credentials-&gt;AccessKeyId,
            'secret'  =&gt; (string) $credentials-&gt;SecretAccessKey,
            'token'   =&gt; (string) $credentials-&gt;SessionToken,
            'expires' =&gt; (string) $credentials-&gt;Expiration,
        );
    }

    // @codeCoverageIgnoreStart
    throw new STS_Exception('Temporary credentials from the AWS Security '
        . 'Token Service could not be retrieved using the provided long '
        . 'term credentials. It\'s possible that the provided long term '
        . 'credentials were invalid.');
    // @codeCoverageIgnoreEnd
}";}i:7;a:7:{s:4:"name";s:13:"create_domain";s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>Creates a new search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:192:"public function create_domain($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('CreateDomain', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:41:"<p>Create and delete a search domain.</p>";s:4:"code";s:1193:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe the CloudSearch domains

echo &quot;# Describing the CloudSearch domain, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_domains(array(
	'DomainNames' =&gt; $domain_name
));

print_r($response-&gt;body-&gt;Arn()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:8;a:7:{s:4:"name";s:18:"define_index_field";s:8:"modifier";s:6:"public";s:11:"description";s:233:"<p>Configures an <code>IndexField</code> for the search domain. Used to create new fields and
modify existing ones. If the field exists, the new configuration replaces the old one. You can
configure a maximum of 200 index fields.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"index_field";s:4:"type";s:5:"array";s:11:"description";s:6999:"<p>Defines a field in the index, including its name, type, and the source of its data. The <code>IndexFieldType</code> indicates which of the options will be present. It is invalid to specify options for a type other than the <code>IndexFieldType</code>.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>IndexFieldName</code> - <code>string</code> - Required - The name of a field in the search index. Field names must begin with a letter and can contain the following characters: a-z (lowercase), 0-9, and _ (underscore). Uppercase letters and hyphens are not allowed. The names &#8220;body&#8221;, &#8220;docid&#8221;, and &#8220;text_relevance&#8221; are reserved and cannot be specified as field or rank expression names. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</li><li><code>IndexFieldType</code> - <code>string</code> - Required - The type of field. Based on this type, exactly one of the <code>UIntOptions</code>, <code>LiteralOptions</code> or <code>TextOptions</code> must be present. [Allowed values: <code>uint</code>, <code>literal</code>, <code>text</code>]</li><li><code>UIntOptions</code> - <code>array</code> - Optional - Options for an unsigned integer field. Present if <code>IndexFieldType</code> specifies the field is of type unsigned integer. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>DefaultValue</code> - <code>integer</code> - Optional - The default value for an unsigned integer field.</li></ul></li></ul></li><li><code>LiteralOptions</code> - <code>array</code> - Optional - Options for literal field. Present if <code>IndexFieldType</code> specifies the field is of type literal. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>DefaultValue</code> - <code>string</code> - Optional - The default value for a literal field.</li><li><code>SearchEnabled</code> - <code>boolean</code> - Optional - Specifies whether search is enabled for this field.</li><li><code>FacetEnabled</code> - <code>boolean</code> - Optional - Specifies whether facets are enabled for this field.</li><li><code>ResultEnabled</code> - <code>boolean</code> - Optional - Specifies whether values of this field can be returned in search results and used for ranking.</li></ul></li></ul></li><li><code>TextOptions</code> - <code>array</code> - Optional - Options for text field. Present if <code>IndexFieldType</code> specifies the field is of type text. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>DefaultValue</code> - <code>string</code> - Optional - The default value for a text field.</li><li><code>FacetEnabled</code> - <code>boolean</code> - Optional - Specifies whether facets are enabled for this field.</li><li><code>ResultEnabled</code> - <code>boolean</code> - Optional - Specifies whether values of this field can be returned in search results and used for ranking.</li></ul></li></ul></li><li><code>SourceAttributes</code> - <code>array</code> - Optional - An optional list of source attributes that provide data for this index field. If not specified, the data is pulled from a source attribute with the same name as this <code>IndexField</code>. When one or more source attributes are specified, an optional data transformation can be applied to the source data when populating the index field. You can configure a maximum of 20 sources for an <code>IndexField</code>. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>SourceDataFunction</code> - <code>string</code> - Required - Identifies the transformation to apply when copying data from a source attribute. [Allowed values: <code>Copy</code>, <code>TrimTitle</code>, <code>Map</code>]</li><li><code>SourceDataCopy</code> - <code>array</code> - Optional - Copies data from a source document attribute to an <code>IndexField</code>. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>SourceName</code> - <code>string</code> - Required - The name of the document source field to add to this <code>IndexField</code>. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</li><li><code>DefaultValue</code> - <code>string</code> - Optional - The value of a field or source document attribute.</li></ul></li></ul></li><li><code>SourceDataTrimTitle</code> - <code>array</code> - Optional - Trims common title words from a source document attribute when populating an <code>IndexField</code>. This can be used to create an <code>IndexField</code> you can use for sorting. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>SourceName</code> - <code>string</code> - Required - The name of the document source field to add to this <code>IndexField</code>. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</li><li><code>DefaultValue</code> - <code>string</code> - Optional - The value of a field or source document attribute.</li><li><code>Separator</code> - <code>string</code> - Optional - The separator that follows the text to trim.</li><li><code>Language</code> - <code>string</code> - Optional - An <a href="http://tools.ietf.org/html/rfc4646">IETF RFC 4646</a> language code. Only the primary language is considered. English (en) is currently the only supported language. [Constraints: The value must match the following regular expression pattern: <code>[a-zA-Z]{2,8}(?:-[a-zA-Z]{2,8})*</code>]</li></ul></li></ul></li><li><code>SourceDataMap</code> - <code>array</code> - Optional - Maps source document attribute values to new values when populating the <code>IndexField</code>. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>SourceName</code> - <code>string</code> - Required - The name of the document source field to add to this <code>IndexField</code>. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</li><li><code>DefaultValue</code> - <code>string</code> - Optional - The value of a field or source document attribute.</li><li><code>Cases</code> - <code>array</code> - Optional - A map that translates source field values to custom values. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>[custom-key]</code> - <code>string</code> - Optional - The value of a field or source document attribute.</li></ul></li></ul></li></ul></li></ul></li></ul></li></ul></li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:410:"public function define_index_field($domain_name, $index_field, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    // Required map (non-list)
    $opt = array_merge($opt, CFComplexType::map(array(
        'IndexField' =&gt; (is_array($index_field) ? $index_field : array($index_field))
    ), 'member'));

    return $this-&gt;authenticate('DefineIndexField', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:40:"<p>Create and delete an index field.</p>";s:4:"code";s:2335:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$index_field = 'test_integer';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $index_field,
	'IndexFieldType' =&gt; 'uint',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe index fields

echo &quot;# Describing the CloudSearch index fields, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_index_fields($domain_name);

print_r($response-&gt;body-&gt;IndexFieldName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Index documents

echo &quot;# Indexing documents, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;index_documents($domain_name);

print_r($response-&gt;body-&gt;member()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete index fields

echo '# Deleting the CloudSearch index field...' . PHP_EOL;
$response = $search-&gt;delete_index_field($domain_name, $index_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch index field was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:9;a:7:{s:4:"name";s:22:"define_rank_expression";s:8:"modifier";s:6:"public";s:11:"description";s:254:"<p>Configures a <code>RankExpression</code> for the search domain. Used to create new rank
expressions and modify existing ones. If the expression exists, the new configuration replaces
the old one. You can configure a maximum of 50 rank expressions.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:15:"rank_expression";s:4:"type";s:5:"array";s:11:"description";s:3022:"<p>A named expression that can be evaluated at search time and used for ranking or thresholding in a search query.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>RankName</code> - <code>string</code> - Required - The name of a rank expression. Rank expression names must begin with a letter and can contain the following characters: a-z (lowercase), 0-9, and _ (underscore). Uppercase letters and hyphens are not allowed. The names &#8220;body&#8221;, &#8220;docid&#8221;, and &#8220;text_relevance&#8221; are reserved and cannot be specified as field or rank expression names. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</li><li><code>RankExpression</code> - <code>string</code> - Required - The expression to evaluate for ranking or thresholding while processing a search request. The <code>RankExpression</code> syntax is based on JavaScript expressions and supports:<ul><li>Integer, floating point, hex and octal literals</li><li>Shortcut evaluation of logical operators such that an expression <code>a || b</code> evaluates to the value <code>a</code> if <code>a</code> is <code>true</code> without evaluting <code>b</code> at all</li><li>JavaScript order of precendence for operators</li><li>Arithmetic operators: <code>+ - / %</code> </li><li>Boolean operators (including the ternary operator)</li><li>Bitwise operators</li><li>Comparison operators</li><li>Common mathematic functions: <code>abs ceil erf exp floor lgamma ln log2 log10 max min sqrt pow</code> </li><li>Trigonometric library functions: <code>acosh acos asinh asin atanh atan cosh cos sinh sin tanh tan</code> </li><li>Random generation of a number between 0 and 1: <code>rand</code> </li><li>Current time in epoch: <code>time</code> </li><li>The <code>min max</code> functions that operate on a variable argument list</li></ul>Intermediate results are calculated as double precision floating point values. The final return value of a <code>RankExpression</code> is automatically converted from floating point to a 32-bit unsigned integer by rounding to the nearest integer, with a natural floor of 0 and a ceiling of max(uint32_t), 4294967295. Mathematical errors such as dividing by 0 will fail during evaluation and return a value of 0. The source data for a <code>RankExpression</code> can be the name of an <code>IndexField</code> of type uint, another <code>RankExpression</code> or the reserved name <em>text_relevance</em>. The text_relevance source is defined to return an integer from 0 to 1000 (inclusive) to indicate how relevant a document is to the search request, taking into account repetition of search terms in the document and proximity of search terms to each other in each matching <code>IndexField</code> in the document. For more information about using rank expressions to customize ranking, see the Amazon CloudSearch Developer Guide.</li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:438:"public function define_rank_expression($domain_name, $rank_expression, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    // Required map (non-list)
    $opt = array_merge($opt, CFComplexType::map(array(
        'RankExpression' =&gt; (is_array($rank_expression) ? $rank_expression : array($rank_expression))
    ), 'member'));

    return $this-&gt;authenticate('DefineRankExpression', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:43:"<p>Create and delete a rank expression.</p>";s:4:"code";s:2098:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$rank_expression = 'test_expression';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define rank expressions

echo '# Defining a new CloudSearch rank expression' . PHP_EOL;
$response = $search-&gt;define_rank_expression($domain_name, array(
	'RankName' =&gt; $rank_expression,
	'RankExpression' =&gt; '(0.7*text_relevance)',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined a rank expression...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe rank expressions

echo &quot;# Describing the CloudSearch rank expressions, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_rank_expressions($domain_name);

print_r($response-&gt;body-&gt;RankName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete rank expressions

echo '# Deleting the CloudSearch rank expression...' . PHP_EOL;
$response = $search-&gt;delete_rank_expression($domain_name, $rank_expression);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch rank expression was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:10;a:7:{s:4:"name";s:12:"delete_cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:169:"<p>Deletes a cached <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object using the specified cache storage type.</p>";s:11:"returnvalue";s:118:"<p>A value of <code>true</code> if cached object exists and is successfully deleted, otherwise <code>false</code>.</p>";s:6:"source";s:125:"public function delete_cache()
{
    $this-&gt;use_cache_flow = true;
    $this-&gt;delete_cache = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:4:{s:5:"title";s:41:"<p>Delete a cached response from APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:169:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:11:"bool(false)";}i:1;a:4:{s:5:"title";s:53:"<p>Delete a cached response from the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:173:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}i:2;a:4:{s:5:"title";s:46:"<p>Delete a cached response from Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:205:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}}}}i:11;a:7:{s:4:"name";s:13:"delete_domain";s:8:"modifier";s:6:"public";s:11:"description";s:63:"<p>Permanently deletes a search domain and all of its data.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:192:"public function delete_domain($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DeleteDomain', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:41:"<p>Create and delete a search domain.</p>";s:4:"code";s:1193:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe the CloudSearch domains

echo &quot;# Describing the CloudSearch domain, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_domains(array(
	'DomainNames' =&gt; $domain_name
));

print_r($response-&gt;body-&gt;Arn()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:12;a:7:{s:4:"name";s:18:"delete_index_field";s:8:"modifier";s:6:"public";s:11:"description";s:65:"<p>Removes an <code>IndexField</code> from the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:16:"index_field_name";s:4:"type";s:6:"string";s:11:"description";s:531:"<p>A string that represents the name of an index field. Field names must begin with a letter and can contain the following characters: a-z (lowercase), 0-9, and _ (underscore). Uppercase letters and hyphens are not allowed. The names &#8220;body&#8221;, &#8220;docid&#8221;, and &#8220;text_relevance&#8221; are reserved and cannot be specified as field or rank expression names. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:268:"public function delete_index_field($domain_name, $index_field_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['IndexFieldName'] = $index_field_name;
    
    return $this-&gt;authenticate('DeleteIndexField', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:40:"<p>Create and delete an index field.</p>";s:4:"code";s:2335:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$index_field = 'test_integer';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $index_field,
	'IndexFieldType' =&gt; 'uint',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe index fields

echo &quot;# Describing the CloudSearch index fields, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_index_fields($domain_name);

print_r($response-&gt;body-&gt;IndexFieldName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Index documents

echo &quot;# Indexing documents, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;index_documents($domain_name);

print_r($response-&gt;body-&gt;member()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete index fields

echo '# Deleting the CloudSearch index field...' . PHP_EOL;
$response = $search-&gt;delete_index_field($domain_name, $index_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch index field was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:13;a:7:{s:4:"name";s:22:"delete_rank_expression";s:8:"modifier";s:6:"public";s:11:"description";s:68:"<p>Removes a <code>RankExpression</code> from the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"rank_name";s:4:"type";s:6:"string";s:11:"description";s:209:"<p>The name of the <code>RankExpression</code> to delete. [Constraints: The value must be between 1 and 64 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9_]*</code>]</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:256:"public function delete_rank_expression($domain_name, $rank_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['RankName'] = $rank_name;
    
    return $this-&gt;authenticate('DeleteRankExpression', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:43:"<p>Create and delete a rank expression.</p>";s:4:"code";s:2098:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$rank_expression = 'test_expression';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define rank expressions

echo '# Defining a new CloudSearch rank expression' . PHP_EOL;
$response = $search-&gt;define_rank_expression($domain_name, array(
	'RankName' =&gt; $rank_expression,
	'RankExpression' =&gt; '(0.7*text_relevance)',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined a rank expression...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe rank expressions

echo &quot;# Describing the CloudSearch rank expressions, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_rank_expressions($domain_name);

print_r($response-&gt;body-&gt;RankName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete rank expressions

echo '# Deleting the CloudSearch rank expression...' . PHP_EOL;
$response = $search-&gt;delete_rank_expression($domain_name, $rank_expression);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch rank expression was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:14;a:7:{s:4:"name";s:29:"describe_default_search_field";s:8:"modifier";s:6:"public";s:11:"description";s:70:"<p>Gets the default search field configured for the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:222:"public function describe_default_search_field($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DescribeDefaultSearchField', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:52:"<p>Update and describe the default search field.</p>";s:4:"code";s:2088:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$search_field = 'test_field';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $search_field,
	'IndexFieldType' =&gt; 'text',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update default search field

sleep(1);

echo &quot;# Update the default search field, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_default_search_field($domain_name, $search_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the default search field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe default search field

echo &quot;# Describing the default search field, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_default_search_field($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:15;a:7:{s:4:"name";s:16:"describe_domains";s:8:"modifier";s:6:"public";s:11:"description";s:137:"<p>Gets information about the search domains owned by this account. Can be limited to specific
domains. Shows all domains by default.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:737:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>DomainNames</code> - <code>string|array</code> - Optional - Limits the DescribeDomains response to the specified search domains. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:466:"public function describe_domains($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional list (non-map)
    if (isset($opt['DomainNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'DomainNames' =&gt; (is_array($opt['DomainNames']) ? $opt['DomainNames'] : array($opt['DomainNames']))
        ), 'member'));
        unset($opt['DomainNames']);
    }

    return $this-&gt;authenticate('DescribeDomains', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:41:"<p>Create and delete a search domain.</p>";s:4:"code";s:1193:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe the CloudSearch domains

echo &quot;# Describing the CloudSearch domain, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_domains(array(
	'DomainNames' =&gt; $domain_name
));

print_r($response-&gt;body-&gt;Arn()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:16;a:7:{s:4:"name";s:21:"describe_index_fields";s:8:"modifier";s:6:"public";s:11:"description";s:152:"<p>Gets information about the index fields configured for the search domain. Can be limited to
specific fields by name. Shows all fields by default.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:745:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>FieldNames</code> - <code>string|array</code> - Optional - Limits the <code>DescribeIndexFields</code> response to the specified fields. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:514:"public function describe_index_fields($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    // Optional list (non-map)
    if (isset($opt['FieldNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'FieldNames' =&gt; (is_array($opt['FieldNames']) ? $opt['FieldNames'] : array($opt['FieldNames']))
        ), 'member'));
        unset($opt['FieldNames']);
    }

    return $this-&gt;authenticate('DescribeIndexFields', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:40:"<p>Create and delete an index field.</p>";s:4:"code";s:2335:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$index_field = 'test_integer';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $index_field,
	'IndexFieldType' =&gt; 'uint',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe index fields

echo &quot;# Describing the CloudSearch index fields, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_index_fields($domain_name);

print_r($response-&gt;body-&gt;IndexFieldName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Index documents

echo &quot;# Indexing documents, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;index_documents($domain_name);

print_r($response-&gt;body-&gt;member()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete index fields

echo '# Deleting the CloudSearch index field...' . PHP_EOL;
$response = $search-&gt;delete_index_field($domain_name, $index_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch index field was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:17;a:7:{s:4:"name";s:25:"describe_rank_expressions";s:8:"modifier";s:6:"public";s:11:"description";s:158:"<p>Gets the rank expressions configured for the search domain. Can be limited to specific rank
expressions by name. Shows all rank expressions by default.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:748:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>RankNames</code> - <code>string|array</code> - Optional - Limits the <code>DescribeRankExpressions</code> response to the specified fields. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:516:"public function describe_rank_expressions($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    // Optional list (non-map)
    if (isset($opt['RankNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'RankNames' =&gt; (is_array($opt['RankNames']) ? $opt['RankNames'] : array($opt['RankNames']))
        ), 'member'));
        unset($opt['RankNames']);
    }

    return $this-&gt;authenticate('DescribeRankExpressions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:43:"<p>Create and delete a rank expression.</p>";s:4:"code";s:2098:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$rank_expression = 'test_expression';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define rank expressions

echo '# Defining a new CloudSearch rank expression' . PHP_EOL;
$response = $search-&gt;define_rank_expression($domain_name, array(
	'RankName' =&gt; $rank_expression,
	'RankExpression' =&gt; '(0.7*text_relevance)',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined a rank expression...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe rank expressions

echo &quot;# Describing the CloudSearch rank expressions, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_rank_expressions($domain_name);

print_r($response-&gt;body-&gt;RankName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete rank expressions

echo '# Deleting the CloudSearch rank expression...' . PHP_EOL;
$response = $search-&gt;delete_rank_expression($domain_name, $rank_expression);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch rank expression was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:18;a:7:{s:4:"name";s:32:"describe_service_access_policies";s:8:"modifier";s:6:"public";s:11:"description";s:129:"<p>Gets information about the resource-based policies that control access to the domain&#8217;s document
and search services.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:228:"public function describe_service_access_policies($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DescribeServiceAccessPolicies', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:55:"<p>Update and describe the service access policies.</p>";s:4:"code";s:1726:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update service access policies

sleep(1);

echo &quot;# Update the service access policies, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_service_access_policies($domain_name, '{my-policy}');

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the service access policies...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe service access policies

echo &quot;# Describing the service access policies, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_service_access_policies($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Described the service access policies...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:19;a:7:{s:4:"name";s:25:"describe_stemming_options";s:8:"modifier";s:6:"public";s:11:"description";s:69:"<p>Gets the stemming dictionary configured for the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:215:"public function describe_stemming_options($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DescribeStemmingOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:48:"<p>Update and describe the stemming options.</p>";s:4:"code";s:1721:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$stemming_options = '{&quot;stems&quot;: {&quot;people&quot;: &quot;person&quot;, &quot;walking&quot;: &quot;walk&quot;}}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update stemming options

sleep(1);

echo &quot;# Update the stemming options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_stemming_options($domain_name, $stemming_options);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the stemming options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe stemming options

echo &quot;# Describing the stemming options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_stemming_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:20;a:7:{s:4:"name";s:25:"describe_stopword_options";s:8:"modifier";s:6:"public";s:11:"description";s:59:"<p>Gets the stopwords configured for the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:215:"public function describe_stopword_options($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DescribeStopwordOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:48:"<p>Update and describe the stopword options.</p>";s:4:"code";s:1695:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$stopwords = '{&quot;stopwords&quot;:[&quot;a&quot;, &quot;an&quot;, &quot;the&quot;, &quot;of&quot;]}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update stopword options

sleep(1);

echo &quot;# Update the stopword options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_stopword_options($domain_name, $stopwords);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the stopword options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe stopword options

echo &quot;# Describing the stopword options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_stopword_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:21;a:7:{s:4:"name";s:24:"describe_synonym_options";s:8:"modifier";s:6:"public";s:11:"description";s:68:"<p>Gets the synonym dictionary configured for the search domain.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:213:"public function describe_synonym_options($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('DescribeSynonymOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:47:"<p>Update and describe the synonym options.</p>";s:4:"code";s:1717:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$synonyms = '{&quot;synonyms&quot;: {&quot;cat&quot;: [&quot;feline&quot;, &quot;kitten&quot;], &quot;puppy&quot;: &quot;dog&quot;}}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update synonym options

sleep(1);

echo &quot;# Update the synonym options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_synonym_options($domain_name, $synonyms);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the synonym options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe synonym options

echo &quot;# Describing the synonym options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_synonym_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:22;a:7:{s:4:"name";s:11:"disable_ssl";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:312:"<p>Disables SSL/HTTPS connections for hosts that don&#8217;t support them. Some services, however, still
require SSL support.</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:192:"public function disable_ssl()
{
    trigger_error('Disabling SSL connections is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;use_ssl = false;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:35:"<p>Disable SSL for the service.</p>";s:11:"description";s:170:"<ul>
<li><strong>Note:</strong> It is not recommended to disable SSL.</li>
<li><strong>Note:</strong> This method is inherited by all service-specific classes.</li>
</ul>";s:4:"code";s:175:"// Disable SSL (Using @ to suppress the warning from the output)
$sdb = new AmazonSDB();
@$sdb-&gt;disable_ssl(true);

// Test if the value was set
var_dump($sdb-&gt;use_ssl);";s:6:"result";s:11:"bool(false)";}}}i:23;a:7:{s:4:"name";s:24:"disable_ssl_verification";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:402:"<p>Disables the verification of the SSL Certificate Authority. Doing so can enable an attacker to carry
out a man-in-the-middle attack.</p>

<p>https://secure.wikimedia.org/wikipedia/en/wiki/Man-in-the-middle_attack</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"ssl_verification";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:314:"public function disable_ssl_verification($ssl_verification = false)
{
    trigger_error('Disabling the verification of SSL certificates can lead to man-in-the-middle attacks. It is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;ssl_verification = $ssl_verification;
    return $this;
}";}i:24;a:8:{s:4:"name";s:17:"enable_debug_mode";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:75:"<p>Enables HTTP request/response header logging to <code>STDERR</code>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"enabled";s:4:"type";s:7:"boolean";s:11:"description";s:74:"<p>Whether or not to enable debug mode. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:109:"public function enable_debug_mode($enabled = true)
{
    $this-&gt;debug_mode = $enabled;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:82:"<p>Enable the logging of HTTP request/response headers to <code>STDERR</code>.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;enable_debug_mode();

// Test if the value was set
var_dump($sdb-&gt;debug_mode);";s:6:"result";s:10:"bool(true)";}}}i:25;a:7:{s:4:"name";s:7:"factory";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1585:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazoncloudsearch/set_cache_config.html" rel="../../index.html#m=amazoncloudsearch/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:303:"public static function factory(array $options = array())
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::factory().');
    }

    $self = get_called_class();
    return new $self($options);
}";}i:26;a:7:{s:4:"name";s:15:"index_documents";s:8:"modifier";s:6:"public";s:11:"description";s:307:"<p>Tells the search domain to start indexing its documents using the latest text processing
options and <code>IndexFields</code>. This operation must be invoked to make options whose
<code>OptionStatus</code> has <code>OptionState</code> of <code>RequiresIndexDocuments</code>
visible in search results.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:196:"public function index_documents($domain_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    
    return $this-&gt;authenticate('IndexDocuments', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:40:"<p>Create and delete an index field.</p>";s:4:"code";s:2335:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$index_field = 'test_integer';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $index_field,
	'IndexFieldType' =&gt; 'uint',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe index fields

echo &quot;# Describing the CloudSearch index fields, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_index_fields($domain_name);

print_r($response-&gt;body-&gt;IndexFieldName()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Index documents

echo &quot;# Indexing documents, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;index_documents($domain_name);

print_r($response-&gt;body-&gt;member()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete index fields

echo '# Deleting the CloudSearch index field...' . PHP_EOL;
$response = $search-&gt;delete_index_field($domain_name, $index_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch index field was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:27;a:8:{s:4:"name";s:32:"register_streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:753:"<p>Register a callback function to execute whenever a data stream is read from using
<a href="../cfrequest/streaming_read_callback.html" rel="../../index.html#m=cfrequest/streaming_read_callback"><code>CFRequest::streaming_read_callback()</code></a>.</p>

<p>The user-defined callback function should accept three arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$file_handle</code> - <code>resource</code> - Required - The file handle resource that represents the file on the local file system.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:143:"public function register_streaming_read_callback($callback)
{
    $this-&gt;registered_streaming_read_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:85:"<p>Register a callback function to execute when data is read from an open stream.</p>";s:4:"code";s:694:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $file_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is read locally.
$s3-&gt;register_streaming_read_callback('callback');

// Download a public object.
$response = $s3-&gt;create_object('my-bucket', 'my-large-file.mp4', array(
	'fileUpload' =&gt; './uploads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:28;a:8:{s:4:"name";s:33:"register_streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:608:"<p>Register a callback function to execute whenever a data stream is written to using
<a href="../cfrequest/streaming_write_callback.html" rel="../../index.html#m=cfrequest/streaming_write_callback"><code>CFRequest::streaming_write_callback()</code></a>.</p>

<p>The user-defined callback function should accept two arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:145:"public function register_streaming_write_callback($callback)
{
    $this-&gt;registered_streaming_write_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:86:"<p>Register a callback function to execute when data is written to an open stream.</p>";s:4:"code";s:685:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is written locally.
$s3-&gt;register_streaming_write_callback('callback');

// Download a public object.
$response = $s3-&gt;get_object('my-bucket', 'my-large-file.mp4', array(
	'fileDownload' =&gt; './downloads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:29;a:7:{s:4:"name";s:4:"send";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:71:"<p>Executes the batch request queue by sending all queued requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"clear_after_send";s:4:"type";s:7:"boolean";s:11:"description";s:204:"<p>Whether or not to clear the batch queue after sending a request. Defaults to <code>true</code>. Set this to <code>false</code> if you are caching batch responses and want to retrieve results later.</p>";}}s:11:"returnvalue";s:126:"<p>An array of <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> objects.</p>";s:6:"source";s:2018:"public function send($clear_after_send = true)
{
    if ($this-&gt;use_batch_flow)
    {
        // When we send the request, disable batch flow.
        $this-&gt;use_batch_flow = false;

        // If we're not caching, simply send the request.
        if (!$this-&gt;use_cache_flow)
        {
            $response = $this-&gt;batch_object-&gt;send();
            $parsed_data = array_map(array($this, 'parse_callback'), $response);
            $parsed_data = new CFArray($parsed_data);

            // Clear the queue
            if ($clear_after_send)
            {
                $this-&gt;batch_object-&gt;queue = array();
            }

            return $parsed_data;
        }

        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . sha1(serialize($this-&gt;batch_object));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data_set = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback_batch'), array($this-&gt;batch_object));
        $parsed_data = array_map(array($this, 'parse_callback'), $data_set);
        $parsed_data = new CFArray($parsed_data);

        // Clear the queue
        if ($clear_after_send)
        {
            $this-&gt;batch_object-&gt;queue = array();
        }

        // End!
        return $parsed_data;
    }

    // Load the class
    $null = new CFBatchRequest();
    unset($null);

    throw new CFBatchRequest_Exception('You must use $object-&gt;batch()-&gt;send()');
}";}i:30;a:7:{s:4:"name";s:15:"set_batch_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:291:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:116:"public function set_batch_class($class = 'CFBatchRequest')
{
    $this-&gt;batch_class = $class;
    return $this;
}";}i:31;a:8:{s:4:"name";s:16:"set_cache_config";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Set the caching configuration to use for response caching.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:1095:"<p>The location to store the cache object in. This may vary by cache method.</p><ul><li>File - The local file system paths such as <code>./cache</code> (relative) or <code>/tmp/cache/</code> (absolute). The location must be server-writable.</li><li>APC - Pass in <code>apc</code> to use this lightweight cache. You must have the <a href="http://php.net/apc">APC extension</a> installed.</li><li>XCache - Pass in <code>xcache</code> to use this lightweight cache. You must have the <a href="http://xcache.lighttpd.net">XCache</a> extension installed.</li><li>Memcached - Pass in an indexed array of associative arrays. Each associative array should have a <code>host</code> and a <code>port</code> value representing a <a href="http://php.net/memcached">Memcached</a> server to connect to.</li><li>PDO - A URL-style string (e.g. <code>pdo.mysql://user:pass@localhost/cache</code>) or a standard DSN-style string (e.g. <code>pdo.sqlite:/sqlite/cache.db</code>). MUST be prefixed with <code>pdo.</code>. See <code>CachePDO</code> and <a href="http://php.net/pdo">PDO</a> for more details.</li></ul>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:241:"<p>Whether or not data should be gzipped before being stored. A value of <code>true</code> will compress the contents before caching them. A value of <code>false</code> will leave the contents uncompressed. Defaults to <code>true</code>.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:1210:"public function set_cache_config($location, $gzip = true)
{
    // If location is empty, don't do anything.
    if (empty($location))
    {
        return $this;
    }

    // If we have an array, we're probably passing in Memcached servers and ports.
    if (is_array($location))
    {
        $this-&gt;cache_class = 'CacheMC';
    }
    else
    {
        // I would expect locations like `/tmp/cache`, `pdo.mysql://user:pass@hostname:port`, `pdo.sqlite:memory:`, and `apc`.
        $type = strtolower(substr($location, 0, 3));
        switch ($type)
        {
            case 'apc':
                $this-&gt;cache_class = 'CacheAPC';
                break;

            case 'xca': // First three letters of `xcache`
                $this-&gt;cache_class = 'CacheXCache';
                break;

            case 'pdo':
                $this-&gt;cache_class = 'CachePDO';
                $location = substr($location, 4);
                break;

            default:
                $this-&gt;cache_class = 'CacheFile';
                break;
        }
    }

    // Set the remaining cache information.
    $this-&gt;cache_location = $location;
    $this-&gt;cache_compress = $gzip;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}}}}i:32;a:8:{s:4:"name";s:12:"set_hostname";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:145:"<p>Set the hostname to connect to. This is useful for alternate services that are API-compatible with
AWS, but run from a different hostname.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"hostname";s:4:"type";s:6:"string";s:11:"description";s:133:"<p>The alternate hostname to use in place of the default one. Useful for mock or test applications living on different hostnames.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"port_number";s:4:"type";s:7:"integer";s:11:"description";s:139:"<p>The alternate port number to use in place of the default one. Useful for mock or test applications living on different port numbers.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:341:"public function set_hostname($hostname, $port_number = null)
{
    if ($this-&gt;override_hostname)
    {
        $this-&gt;hostname = $hostname;

        if ($port_number)
        {
            $this-&gt;port_number = $port_number;
            $this-&gt;hostname .= ':' . (string) $this-&gt;port_number;
        }
    }

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:33;a:8:{s:4:"name";s:15:"set_max_retries";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"retries";s:4:"type";s:7:"integer";s:11:"description";s:88:"<p>The maximum number of times to retry failed requests. Defaults to <code>3</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:105:"public function set_max_retries($retries = 3)
{
    $this-&gt;max_retries = $retries;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_max_retries(3);

// Test if the value was set
var_dump($sdb-&gt;max_retries);";s:6:"result";s:6:"int(3)";}}}i:34;a:7:{s:4:"name";s:16:"set_parser_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:115:"public function set_parser_class($class = 'CFSimpleXML')
{
    $this-&gt;parser_class = $class;
    return $this;
}";}i:35;a:8:{s:4:"name";s:9:"set_proxy";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:37:"<p>Set the proxy settings to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:102:"<p>Accepts proxy credentials in the following format: <code>proxy://user:pass@hostname:port</code></p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:85:"public function set_proxy($proxy)
{
    $this-&gt;proxy = $proxy;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>Set the proxy server to use for requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:151:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_proxy('proxy://user:pass@hostname:port');

// Test if the value was set
var_dump($sdb-&gt;proxy);";s:6:"result";s:44:"string(31) "proxy://user:pass@hostname:port"";}}}i:36;a:6:{s:4:"name";s:10:"set_region";s:8:"modifier";s:6:"public";s:11:"description";s:76:"<p>This allows you to explicitly sets the region for the service to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"region";s:4:"type";s:6:"string";s:11:"description";s:204:"<p>The region to explicitly set. Available options are <a href="../amazoncloudsearch/constants.html#region_us_e1" rel="../../index.html#c=amazoncloudsearch/region_us_e1"><code>REGION_US_E1</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:156:"public function set_region($region)
{
    // @codeCoverageIgnoreStart
    $this-&gt;set_hostname($region);
    return $this;
    // @codeCoverageIgnoreEnd
}";}i:37;a:8:{s:4:"name";s:17:"set_request_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:276:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";a:0:{}s:6:"source";s:115:"public function set_request_class($class = 'CFRequest')
{
    $this-&gt;request_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:51:"<p>Set the request class to use in the toolkit.</p>";s:11:"description";s:158:"<p>The new request class must extend from <code>CFRequest</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:310:"// Custom class to extend RequestCore
class TestRequestCore extends RequestCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_request_class('TestRequestCore');

// Test if the value was set
var_dump($sdb-&gt;request_class);";s:6:"result";s:28:"string(15) "TestRequestCore"";}}}i:38;a:8:{s:4:"name";s:19:"set_resource_prefix";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:117:"<p>Set the resource prefix to use. This method is useful for alternate services that are API-compatible
with AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"prefix";s:4:"type";s:6:"string";s:11:"description";s:97:"<p>An alternate prefix to prepend to the resource path. Useful for mock or test applications.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:107:"public function set_resource_prefix($prefix)
{
    $this-&gt;resource_prefix = $prefix;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:39;a:8:{s:4:"name";s:18:"set_response_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:279:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:118:"public function set_response_class($class = 'CFResponse')
{
    $this-&gt;response_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:52:"<p>Set the response class to use in the toolkit.</p>";s:11:"description";s:160:"<p>The new response class must extend from <code>CFResponse</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:316:"// Custom class to extend ResponseCore
class TestResponseCore extends ResponseCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_response_class('TestResponseCore');

// Test if the value was set
var_dump($sdb-&gt;response_class);";s:6:"result";s:29:"string(16) "TestResponseCore"";}}}i:40;a:8:{s:4:"name";s:19:"set_utilities_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:175:"public function set_utilities_class($class = 'CFUtilities')
{
    $this-&gt;utilities_class = $class;
    $this-&gt;util = new $this-&gt;utilities_class();
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:53:"<p>Set the utilities class to use in the toolkit.</p>";s:11:"description";s:162:"<p>The new utilities class must extend from <code>CFUtilities</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:317:"// Custom class to extend CFUtilities
class TestUtilities extends CFUtilities
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_utilities_class('TestUtilities');

// Test if the value was set
var_dump($sdb-&gt;util-&gt;test_method());";s:6:"result";s:10:"bool(true)";}}}i:41;a:7:{s:4:"name";s:27:"update_default_search_field";s:8:"modifier";s:6:"public";s:11:"description";s:256:"<p>Configures the default search field for the search domain. The default search field is used
when a search request does not specify which fields to search. By default, it is configured to
include the contents of all of the domain&#8217;s text fields.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:20:"default_search_field";s:4:"type";s:6:"string";s:11:"description";s:181:"<p>The <code>IndexField</code> to use for search requests issued with the <code>q</code> parameter. The default is an empty string, which automatically searches all text fields.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:297:"public function update_default_search_field($domain_name, $default_search_field, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['DefaultSearchField'] = $default_search_field;
    
    return $this-&gt;authenticate('UpdateDefaultSearchField', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:52:"<p>Update and describe the default search field.</p>";s:4:"code";s:2088:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$search_field = 'test_field';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Define index fields

echo '# Defining a new CloudSearch index field' . PHP_EOL;
$response = $search-&gt;define_index_field($domain_name, array(
	'IndexFieldName' =&gt; $search_field,
	'IndexFieldType' =&gt; 'text',
));

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Defined an index field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update default search field

sleep(1);

echo &quot;# Update the default search field, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_default_search_field($domain_name, $search_field);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the default search field...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe default search field

echo &quot;# Describing the default search field, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_default_search_field($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:42;a:7:{s:4:"name";s:30:"update_service_access_policies";s:8:"modifier";s:6:"public";s:11:"description";s:158:"<p>Configures the policies that control access to the domain&#8217;s document and search services. The
maximum size of an access policy document is 100KB.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:15:"access_policies";s:4:"type";s:6:"string";s:11:"description";s:681:"<p>An IAM access policy as described in <a href="http://docs.amazonwebservices.com/IAM/latest/UserGuide/index.html?AccessPolicyLanguage.html" target="_blank">The Access Policy Language</a> in <em>Using AWS Identity and Access Management</em>. The maximum size of an access policy document is 100KB. Example: <code>{"Statement": [{"Effect":"Allow", "Action": "<em>", "Resource": "arn:aws:cs:us-east-1:1234567890:search/movies", "Condition": { "IpAddress": { aws:SourceIp": ["203.0.113.1/32"] } }}, {"Effect":"Allow", "Action": "</em>", "Resource": "arn:aws:cs:us-east-1:1234567890:documents/movies", "Condition": { "IpAddress": { aws:SourceIp": ["203.0.113.1/32"] } }} ]}</code></p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:289:"public function update_service_access_policies($domain_name, $access_policies, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['AccessPolicies'] = $access_policies;
    
    return $this-&gt;authenticate('UpdateServiceAccessPolicies', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:55:"<p>Update and describe the service access policies.</p>";s:4:"code";s:1726:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update service access policies

sleep(1);

echo &quot;# Update the service access policies, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_service_access_policies($domain_name, '{my-policy}');

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the service access policies...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe service access policies

echo &quot;# Describing the service access policies, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_service_access_policies($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Described the service access policies...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:43;a:7:{s:4:"name";s:23:"update_stemming_options";s:8:"modifier";s:6:"public";s:11:"description";s:201:"<p>Configures a stemming dictionary for the search domain. The stemming dictionary is used during
indexing and when processing search requests. The maximum size of the stemming dictionary is
500KB.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"stems";s:4:"type";s:6:"string";s:11:"description";s:315:"<p>Maps terms to their stems, serialized as a JSON document. The document has a single object with one property &#8220;stems&#8221; whose value is an object mapping terms to their stems. The maximum size of a stemming document is 500KB. Example: <code>{ "stems": {"people": "person", "walking": "walk"} }</code></p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:247:"public function update_stemming_options($domain_name, $stems, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['Stems'] = $stems;
    
    return $this-&gt;authenticate('UpdateStemmingOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:48:"<p>Update and describe the stemming options.</p>";s:4:"code";s:1721:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$stemming_options = '{&quot;stems&quot;: {&quot;people&quot;: &quot;person&quot;, &quot;walking&quot;: &quot;walk&quot;}}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update stemming options

sleep(1);

echo &quot;# Update the stemming options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_stemming_options($domain_name, $stemming_options);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the stemming options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe stemming options

echo &quot;# Describing the stemming options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_stemming_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:44;a:7:{s:4:"name";s:23:"update_stopword_options";s:8:"modifier";s:6:"public";s:11:"description";s:176:"<p>Configures stopwords for the search domain. Stopwords are used during indexing and when
processing search requests. The maximum size of the stopwords dictionary is 10KB.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"stopwords";s:4:"type";s:6:"string";s:11:"description";s:278:"<p>Lists stopwords serialized as a JSON document. The document has a single object with one property &#8220;stopwords&#8221; whose value is an array of strings. The maximum size of a stopwords document is 10KB. Example: <code>{ "stopwords": ["a", "an", "the", "of"] }</code></p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:259:"public function update_stopword_options($domain_name, $stopwords, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['Stopwords'] = $stopwords;
    
    return $this-&gt;authenticate('UpdateStopwordOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:48:"<p>Update and describe the stopword options.</p>";s:4:"code";s:1695:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$stopwords = '{&quot;stopwords&quot;:[&quot;a&quot;, &quot;an&quot;, &quot;the&quot;, &quot;of&quot;]}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update stopword options

sleep(1);

echo &quot;# Update the stopword options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_stopword_options($domain_name, $stopwords);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the stopword options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe stopword options

echo &quot;# Describing the stopword options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_stopword_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}i:45;a:7:{s:4:"name";s:22:"update_synonym_options";s:8:"modifier";s:6:"public";s:11:"description";s:220:"<p>Configures a synonym dictionary for the search domain. The synonym dictionary is used during
indexing to configure mappings for terms that occur in text fields. The maximum size of the
synonym dictionary is 100KB.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"domain_name";s:4:"type";s:6:"string";s:11:"description";s:473:"<p>A string that represents the name of a domain. Domain names must be unique across the domains owned by an account within an AWS region. Domain names must start with a letter or number and can contain the following characters: a-z (lowercase), 0-9, and - (hyphen). Uppercase letters and underscores are not allowed. [Constraints: The value must be between 3 and 28 characters, and must match the following regular expression pattern: <code>[a-z][a-z0-9&#45;]+</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"synonyms";s:4:"type";s:6:"string";s:11:"description";s:390:"<p>Maps terms to their synonyms, serialized as a JSON document. The document has a single object with one property &#8220;synonyms&#8221; whose value is an object mapping terms to their synonyms. Each synonym is a simple string or an array of strings. The maximum size of a stopwords document is 100KB. Example: <code>{ "synonyms": {"cat": ["feline", "kitten"], "puppy": "dog"} }</code></p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:254:"public function update_synonym_options($domain_name, $synonyms, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['DomainName'] = $domain_name;
    $opt['Synonyms'] = $synonyms;
    
    return $this-&gt;authenticate('UpdateSynonymOptions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:47:"<p>Update and describe the synonym options.</p>";s:4:"code";s:1717:"// Instantiate the class
$search = new AmazonCloudSearch();

$domain_name = 'my-domain';
$synonyms = '{&quot;synonyms&quot;: {&quot;cat&quot;: [&quot;feline&quot;, &quot;kitten&quot;], &quot;puppy&quot;: &quot;dog&quot;}}';

/*%**************************************************************%*/
// Create a new CloudSearch domain

echo '# Creating a new CloudSearch domain' . PHP_EOL;
$response = $search-&gt;create_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Kicked off the creation of the CloudSearch domain...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Update synonym options

sleep(1);

echo &quot;# Update the synonym options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;update_synonym_options($domain_name, $synonyms);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'Updated the synonym options...' . PHP_EOL;
}
else
{
	print_r($response);
}

echo PHP_EOL;

/*%**************************************************************%*/
// Describe synonym options

echo &quot;# Describing the synonym options, \&quot;${domain_name}\&quot;&quot; . PHP_EOL;
$response = $search-&gt;describe_synonym_options($domain_name);

print_r($response-&gt;body-&gt;Options()-&gt;map_string());

echo PHP_EOL;

/*%**************************************************************%*/
// Delete the CloudSearch domain

echo '# Deleting the CloudSearch domain...' . PHP_EOL;
$response = $search-&gt;delete_domain($domain_name);

// Check for success...
if ($response-&gt;isOK())
{
	echo 'CloudSearch domain was deleted successfully.' . PHP_EOL;
}
else
{
	print_r($response);
}";}}}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"7";}s:8:"constant";a:7:{i:0;a:2:{s:4:"name";s:5:"BUILD";s:5:"value";s:14:"20130314130000";}i:1;a:2:{s:4:"name";s:11:"DEFAULT_URL";s:5:"value";s:35:"cloudsearch.us-east-1.amazonaws.com";}i:2;a:2:{s:4:"name";s:4:"NAME";s:5:"value";s:11:"aws-sdk-php";}i:3;a:2:{s:4:"name";s:12:"REGION_US_E1";s:5:"value";s:35:"cloudsearch.us-east-1.amazonaws.com";}i:4;a:2:{s:4:"name";s:15:"REGION_VIRGINIA";s:5:"value";s:35:"cloudsearch.us-east-1.amazonaws.com";}i:5;a:2:{s:4:"name";s:9:"USERAGENT";s:5:"value";s:65:"aws-sdk-php/1.6.2 PHP/5.4.9 curl/7.15.5 openssl/0.9.8e-fips-rhel5";}i:6;a:2:{s:4:"name";s:7:"VERSION";s:5:"value";s:5:"1.6.2";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"40";}s:8:"property";a:40:{i:0;a:4:{s:4:"name";s:11:"api_version";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The supported API version.</p>";}i:1;a:4:{s:4:"name";s:10:"auth_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The authentication class to use.</p>";}i:2;a:4:{s:4:"name";s:10:"auth_token";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The Amazon Authentication Token.</p>";}i:3;a:5:{s:4:"name";s:11:"batch_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:14:"CFBatchRequest";}}s:11:"description";s:185:"<p>The default class to use for handling batch requests (defaults to <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>).</p>";}i:4;a:4:{s:4:"name";s:12:"batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The current instantiated batch request object.</p>";}i:5;a:4:{s:4:"name";s:11:"cache_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The caching class to use.</p>";}i:6;a:4:{s:4:"name";s:14:"cache_compress";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>The state of cache compression.</p>";}i:7;a:4:{s:4:"name";s:13:"cache_expires";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>When the cache should be considered stale.</p>";}i:8;a:4:{s:4:"name";s:14:"cache_location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>The caching location to use.</p>";}i:9;a:4:{s:4:"name";s:12:"cache_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The current instantiated cache object.</p>";}i:10;a:4:{s:4:"name";s:11:"credentials";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>The credentials to use for authentication.</p>";}i:11;a:4:{s:4:"name";s:10:"debug_mode";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The state of the debug mode setting.</p>";}i:12;a:4:{s:4:"name";s:12:"delete_cache";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>The state of the cache deletion setting.</p>";}i:13;a:4:{s:4:"name";s:8:"hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The alternate hostname to use, if any.</p>";}i:14;a:4:{s:4:"name";s:21:"internal_batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>The internally instantiated batch request object.</p>";}i:15;a:4:{s:4:"name";s:3:"key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:26:"<p>The Amazon API Key.</p>";}i:16;a:5:{s:4:"name";s:11:"max_retries";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"integer";s:5:"value";s:1:"3";}}s:11:"description";s:52:"<p>The number of times to retry failed requests.</p>";}i:17;a:4:{s:4:"name";s:9:"operation";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The operation to execute.</p>";}i:18;a:4:{s:4:"name";s:16:"operation_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:58:"<p>The string prefix to prepend to the operation name.</p>";}i:19;a:5:{s:4:"name";s:17:"override_hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:202:"<p>The state of the capability to override the hostname with <a href="../amazoncloudsearch/set_hostname.html" rel="../../index.html#m=amazoncloudsearch/set_hostname"><code>set_hostname()</code></a>.</p>";}i:20;a:5:{s:4:"name";s:18:"parse_the_response";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:65:"<p>The state of whether the response should be parsed or not.</p>";}i:21;a:5:{s:4:"name";s:12:"parser_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFSimpleXML";}}s:11:"description";s:164:"<p>The default class to use for parsing XML (defaults to <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>).</p>";}i:22;a:4:{s:4:"name";s:7:"payload";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:27:"<p>The payload to send.</p>";}i:23;a:4:{s:4:"name";s:11:"port_number";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>The alternate port number to use, if any.</p>";}i:24;a:4:{s:4:"name";s:5:"proxy";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The proxy to use for connecting.</p>";}i:25;a:4:{s:4:"name";s:9:"redirects";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:54:"<p>The number of times a request has been retried.</p>";}i:26;a:4:{s:4:"name";s:34:"registered_streaming_read_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>The user-defined callback function to call when a stream is read from.</p>";}i:27;a:4:{s:4:"name";s:35:"registered_streaming_write_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>The user-defined callback function to call when a stream is written to.</p>";}i:28;a:5:{s:4:"name";s:13:"request_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"CFRequest";}}s:11:"description";s:160:"<p>The default class to use for HTTP requests (defaults to <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>).</p>";}i:29;a:4:{s:4:"name";s:15:"resource_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The alternate resource prefix to use, if any.</p>";}i:30;a:5:{s:4:"name";s:14:"response_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:10:"CFResponse";}}s:11:"description";s:164:"<p>The default class to use for HTTP responses (defaults to <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>).</p>";}i:31;a:4:{s:4:"name";s:10:"secret_key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The Amazon API Secret Key.</p>";}i:32;a:4:{s:4:"name";s:7:"service";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>An identifier for the current AWS service.</p>";}i:33;a:5:{s:4:"name";s:16:"ssl_verification";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:49:"<p>The state of SSL certificate verification.</p>";}i:34;a:5:{s:4:"name";s:13:"use_aws_query";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:64:"<p>The state of whether auth should be handled as AWS Query.</p>";}i:35;a:4:{s:4:"name";s:14:"use_batch_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of batch flow usage.</p>";}i:36;a:4:{s:4:"name";s:14:"use_cache_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of cache flow usage.</p>";}i:37;a:5:{s:4:"name";s:7:"use_ssl";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:34:"<p>The state of SSL/HTTPS use.</p>";}i:38;a:4:{s:4:"name";s:4:"util";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>Handle for the utility functions.</p>";}i:39;a:5:{s:4:"name";s:15:"utilities_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFUtilities";}}s:11:"description";s:162:"<p>The default class to use for utilities (defaults to <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>).</p>";}}}}}