a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:16:"AmazonCloudWatch";s:4:"file";s:29:"services/cloudwatch.class.php";s:3:"url";s:30:"../amazoncloudwatch/index.html";s:11:"description";s:1856:"<p>This is the <em>Amazon CloudWatch API Reference</em>. This guide provides detailed information
about Amazon CloudWatch actions, data types, parameters, and errors. For detailed information
about Amazon CloudWatch features and their associated API calls, go to the <a href=
"http://docs.amazonwebservices.com/AmazonCloudWatch/latest/DeveloperGuide">Amazon CloudWatch
Developer Guide</a>.</p>

<p>Amazon CloudWatch is a web service that enables you to publish, monitor, and manage various
metrics, as well as configure alarm actions based on data from metrics. For more information
about this product go to <a href=
"http://aws.amazon.com/cloudwatch">http://aws.amazon.com/cloudwatch</a>.</p>

<p>Use the following links to get started using the <em>Amazon CloudWatch API Reference</em>:</p>

<ul><li><a href=
"http://docs.amazonwebservices.com/AmazonCloudWatch/latest/APIReference/API_Operations.html">
Actions</a>: An alphabetical list of all Amazon CloudWatch actions.</li><li><a href=
"http://docs.amazonwebservices.com/AmazonCloudWatch/latest/APIReference/API_Types.html">Data
Types</a>: An alphabetical list of all Amazon CloudWatch data types.</li><li><a href=
"http://docs.amazonwebservices.com/AmazonCloudWatch/latest/APIReference/CommonParameters.html">
Common Parameters</a>: Parameters that all Query actions can use.</li><li><a href=
"http://docs.amazonwebservices.com/AmazonCloudWatch/latest/APIReference/CommonErrors.html">Common
Errors</a>: Client and server errors that all actions can return.</li><li><a href="http://docs.amazonwebservices.com/general/latest/gr/index.html?rande.html">Regions
and Endpoints</a>: Itemized regions and endpoints for all AWS products.</li><li><a href="http://monitoring.amazonaws.com/doc/2010-08-01/CloudWatch.wsdl">WSDL Location</a>:
http://monitoring.amazonaws.com/doc/2010-08-01/CloudWatch.wsdl</li></ul>";s:8:"metadata";a:4:{s:7:"version";s:10:"2013.01.14";s:7:"license";s:57:"See the included NOTICE.md file for complete information.";s:9:"copyright";s:57:"See the included NOTICE.md file for complete information.";s:4:"link";a:2:{i:0;s:51:"http://aws.amazon.com/cloudwatch/ Amazon CloudWatch";i:1;s:79:"http://aws.amazon.com/cloudwatch/documentation/ Amazon CloudWatch documentation";}}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";s:3:"url";s:23:"../cfruntime/index.html";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"41";}s:6:"method";a:37:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:153:"<p>Constructs a new instance of <a href="../amazoncloudwatch/index.html" rel="../../index.html#i=amazoncloudwatch"><code>AmazonCloudWatch</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1583:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazoncloudwatch/set_cache_config.html" rel="../../index.html#m=amazoncloudwatch/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:228:"public function __construct(array $options = array())
{
    $this-&gt;api_version = '2010-08-01';
    $this-&gt;hostname = self::DEFAULT_URL;
    $this-&gt;auth_class = 'AuthV4Query';

    return parent::__construct($options);
}";}i:1;a:8:{s:4:"name";s:23:"allow_hostname_override";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:184:"<p>Disables any subsequent use of the <a href="../amazoncloudwatch/set_hostname.html" rel="../../index.html#m=amazoncloudwatch/set_hostname"><code>set_hostname()</code></a> method.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"override";s:4:"type";s:7:"boolean";s:11:"description";s:426:"<p>Whether or not subsequent calls to <a href="../amazoncloudwatch/set_hostname.html" rel="../../index.html#m=amazoncloudwatch/set_hostname"><code>set_hostname()</code></a> should be obeyed. A <code>false</code> value disables the further effectiveness of <a href="../amazoncloudwatch/set_hostname.html" rel="../../index.html#m=amazoncloudwatch/set_hostname"><code>set_hostname()</code></a>. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:124:"public function allow_hostname_override($override = true)
{
    $this-&gt;override_hostname = $override;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:2;a:7:{s:4:"name";s:12:"authenticate";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:69:"<p>Default, shared method for authenticating a connection to AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"operation";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>Indicates the operation to perform.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"payload";s:4:"type";s:5:"array";s:11:"description";s:106:"<p>An associative array of parameters for authenticating. See the individual methods for allowed keys.</p>";}}}s:11:"returnvalue";s:48:"<p>Object containing a parsed HTTP response.</p>";s:6:"source";s:6988:"public function authenticate($operation, $payload)
{
    $original_payload = $payload;
    $method_arguments = func_get_args();
    $curlopts = array();
    $return_curl_handle = false;

    if (substr($operation, 0, strlen($this-&gt;operation_prefix)) !== $this-&gt;operation_prefix)
    {
        $operation = $this-&gt;operation_prefix . $operation;
    }

    // Extract the custom CURLOPT settings from the payload
    if (is_array($payload) &amp;&amp; isset($payload['curlopts']))
    {
        $curlopts = $payload['curlopts'];
        unset($payload['curlopts']);
    }

    // Determine whether the response or curl handle should be returned
    if (is_array($payload) &amp;&amp; isset($payload['returnCurlHandle']))
    {
        $return_curl_handle = isset($payload['returnCurlHandle']) ? $payload['returnCurlHandle'] : false;
        unset($payload['returnCurlHandle']);
    }

    // Use the caching flow to determine if we need to do a round-trip to the server.
    if ($this-&gt;use_cache_flow)
    {
        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . $operation . '_' . sha1(serialize($method_arguments));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback'), $method_arguments);

        // Parse the XML body
        $data = $this-&gt;parse_callback($data);

        // End!
        return $data;
    }

    /*%******************************************************************************************%*/

    // Signer
    $signer = new $this-&gt;auth_class($this-&gt;hostname, $operation, $payload, $this-&gt;credentials);
    $signer-&gt;key = $this-&gt;key;
    $signer-&gt;secret_key = $this-&gt;secret_key;
    $signer-&gt;auth_token = $this-&gt;auth_token;
    $signer-&gt;api_version = $this-&gt;api_version;
    $signer-&gt;utilities_class = $this-&gt;utilities_class;
    $signer-&gt;request_class = $this-&gt;request_class;
    $signer-&gt;response_class = $this-&gt;response_class;
    $signer-&gt;use_ssl = $this-&gt;use_ssl;
    $signer-&gt;proxy = $this-&gt;proxy;
    $signer-&gt;util = $this-&gt;util;
    $signer-&gt;registered_streaming_read_callback = $this-&gt;registered_streaming_read_callback;
    $signer-&gt;registered_streaming_write_callback = $this-&gt;registered_streaming_write_callback;
    $request = $signer-&gt;authenticate();

    // Update RequestCore settings
    $request-&gt;request_class = $this-&gt;request_class;
    $request-&gt;response_class = $this-&gt;response_class;
    $request-&gt;ssl_verification = $this-&gt;ssl_verification;

    /*%******************************************************************************************%*/

    // Debug mode
    if ($this-&gt;debug_mode)
    {
        $request-&gt;debug_mode = $this-&gt;debug_mode;
    }

    // Set custom CURLOPT settings
    if (count($curlopts))
    {
        $request-&gt;set_curlopts($curlopts);
    }

    // Manage the (newer) batch request API or the (older) returnCurlHandle setting.
    if ($this-&gt;use_batch_flow)
    {
        $handle = $request-&gt;prep_request();
        $this-&gt;batch_object-&gt;add($handle);
        $this-&gt;use_batch_flow = false;

        return $handle;
    }
    elseif ($return_curl_handle)
    {
        return $request-&gt;prep_request();
    }

    // Send!
    $request-&gt;send_request();

    // Prepare the response.
    $headers = $request-&gt;get_response_header();
    $headers['x-aws-stringtosign'] = $signer-&gt;string_to_sign;

    if (isset($signer-&gt;canonical_request))
    {
        $headers['x-aws-canonicalrequest'] = $signer-&gt;canonical_request;
    }

    $headers['x-aws-request-headers'] = $request-&gt;request_headers;
    $headers['x-aws-body'] = $signer-&gt;querystring;

    $data = new $this-&gt;response_class($headers, ($this-&gt;parse_the_response === true) ? $this-&gt;parse_callback($request-&gt;get_response_body()) : $request-&gt;get_response_body(), $request-&gt;get_response_code());

    $response_body = (string) $request-&gt;get_response_body();

    // Was it Amazon's fault the request failed? Retry the request until we reach $max_retries.
    if (
        (integer) $request-&gt;get_response_code() === 500 || // Internal Error (presumably transient)
        (integer) $request-&gt;get_response_code() === 503)   // Service Unavailable (presumably transient)
    {
        if ($this-&gt;redirects &lt;= $this-&gt;max_retries)
        {
            // Exponential backoff
            $delay = (integer) (pow(4, $this-&gt;redirects) * 100000);
            usleep($delay);
            $this-&gt;redirects++;
            $data = $this-&gt;authenticate($operation, $original_payload);
        }
    }

    // DynamoDB has additional, custom logic for retrying requests
    else
    {
        // If the request to DynamoDB was throttled, we need to retry
        $need_to_retry_dynamodb_request = (
            (integer) $request-&gt;get_response_code() === 400 &amp;&amp;
            stripos($response_body, 'com.amazonaws.dynamodb.') !== false &amp;&amp;
            stripos($response_body, 'ProvisionedThroughputExceededException') !== false
        );

        // If the CRC32 of the response does not match the expected value, we need to retry
        $response_headers = $request-&gt;get_response_header();
        if (!$need_to_retry_dynamodb_request &amp;&amp; isset($response_headers['x-amz-crc32']))
        {
            $crc32_expected = $response_headers['x-amz-crc32'];
            $crc32_actual = hexdec(hash('crc32b', $response_body));
            $need_to_retry_dynamodb_request = ($crc32_expected != $crc32_actual);
        }

        // Perform retry if necessary using a more aggressive exponential backoff
        if ($need_to_retry_dynamodb_request)
        {
            if ($this-&gt;redirects === 0)
            {
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
            elseif ($this-&gt;redirects &lt;= max($this-&gt;max_retries, 10))
            {
                // Exponential backoff
                $delay = (integer) (pow(2, ($this-&gt;redirects - 1)) * 50000);
                usleep($delay);
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
        }
    }

    $this-&gt;redirects = 0;
    return $data;
}";}i:3;a:8:{s:4:"name";s:5:"batch";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:86:"<p>Specifies that the intended request should be queued for a later batch request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"queue";s:4:"type";s:14:"CFBatchRequest";s:11:"description";s:327:"<p>The <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a> instance to use for managing batch requests. If not available, it generates a new instance of <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:477:"public function batch(CFBatchRequest &amp;$queue = null)
{
    if ($queue)
    {
        $this-&gt;batch_object = $queue;
    }
    elseif ($this-&gt;internal_batch_object)
    {
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }
    else
    {
        $this-&gt;internal_batch_object = new $this-&gt;batch_class();
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }

    $this-&gt;use_batch_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:4;a:8:{s:4:"name";s:5:"cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:337:"<p>Specifies that the resulting <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object should be cached according to the settings from
<a href="../amazoncloudwatch/set_cache_config.html" rel="../../index.html#m=amazoncloudwatch/set_cache_config"><code>set_cache_config()</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"expires";s:4:"type";s:14:"string|integer";s:11:"description";s:232:"<p>The time the cache is to expire. Accepts a number of seconds as an integer, or an amount of time, as a string, that is understood by <a href="http://php.net/strtotime"><code>strtotime()</code></a> (e.g. &#8220;1 hour&#8221;).</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:501:"public function cache($expires)
{
    // Die if they haven't used set_cache_config().
    if (!$this-&gt;cache_class)
    {
        throw new CFRuntime_Exception('Must call set_cache_config() before using cache()');
    }

    if (is_string($expires))
    {
        $expires = strtotime($expires);
        $this-&gt;cache_expires = $expires - time();
    }
    elseif (is_int($expires))
    {
        $this-&gt;cache_expires = $expires;
    }

    $this-&gt;use_cache_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:5:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:2;a:4:{s:5:"title";s:70:"<p>Fire a single request, and then cache the response to Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:338:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:3;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:4;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:5;a:7:{s:4:"name";s:34:"cache_instance_profile_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:139:"<p>Fetches and caches EC2 instance profile credentials. This is meant to be used by the constructor, and is not to
be manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:2563:"public function cache_instance_profile_credentials($cache, $options)
{
    $instance_profile_url = 'http://169.254.169.254/latest/meta-data/iam/security-credentials/';
    $connect_timeout = isset($options['instance_profile_timeout']) ? $options['instance_profile_timeout'] : 2;

    try
    {
        // Make a call to the EC2 Metadata Service to find the available instance profile
        $request = new RequestCore($instance_profile_url);
        $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
        $response = $request-&gt;send_request(true);

        if ($response-&gt;isOK())
        {
            // Get the instance profile name
            $profile = (string) $response-&gt;body;

            // Make a call to the EC2 Metadata Service to get the instance profile credentials
            $request = new RequestCore($instance_profile_url . $profile);
            $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
            $response = $request-&gt;send_request(true);

            if ($response-&gt;isOK())
            {
                // Get the credentials
                $credentials = json_decode($response-&gt;body, true);

                if ($credentials['Code'] === 'Success')
                {
                    // Determine the expiration time
                    $expiration_time = strtotime((string) $credentials['Expiration']);
                    $expiration_duration = round(($expiration_time - time()) * 0.85);
                    $cache-&gt;expire_in($expiration_duration);

                    // Return the credential information
                    return array(
                        'key'     =&gt; $credentials['AccessKeyId'],
                        'secret'  =&gt; $credentials['SecretAccessKey'],
                        'token'   =&gt; $credentials['Token'],
                        'expires' =&gt; $credentials['Expiration'],
                    );
                }
            }
        }
    }
    catch (cURL_Exception $e)
    {
        // The EC2 Metadata Service does not exist or had timed out.
        // An exception will be thrown on the next line.
    }

    // @codeCoverageIgnoreStart
    throw new CFCredentials_Exception('No credentials were provided. The SDK attempted to retrieve Instance '
        . 'Profile credentials from the EC2 Instance Metadata Service, but failed to do so. Instance profile '
        . 'credentials are only accessible on EC2 instances configured with a specific IAM role.');
    // @codeCoverageIgnoreEnd
}";}i:6;a:7:{s:4:"name";s:21:"cache_sts_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:122:"<p>Fetches and caches STS credentials. This is meant to be used by the constructor, and is not to be
manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:1226:"public function cache_sts_credentials($cache, $options)
{
    $token = new AmazonSTS($options);
    $response = $token-&gt;get_session_token();

    if ($response-&gt;isOK())
    {
        // Update the expiration
        $expiration_time = strtotime((string) $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials-&gt;Expiration);
        $expiration_duration = round(($expiration_time - time()) * 0.85);
        $cache-&gt;expire_in($expiration_duration);

        // Return the important data
        $credentials = $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials;

        return array(
            'key'     =&gt; (string) $credentials-&gt;AccessKeyId,
            'secret'  =&gt; (string) $credentials-&gt;SecretAccessKey,
            'token'   =&gt; (string) $credentials-&gt;SessionToken,
            'expires' =&gt; (string) $credentials-&gt;Expiration,
        );
    }

    // @codeCoverageIgnoreStart
    throw new STS_Exception('Temporary credentials from the AWS Security '
        . 'Token Service could not be retrieved using the provided long '
        . 'term credentials. It\'s possible that the provided long term '
        . 'credentials were invalid.');
    // @codeCoverageIgnoreEnd
}";}i:7;a:8:{s:4:"name";s:13:"delete_alarms";s:8:"modifier";s:6:"public";s:11:"description";s:85:"<p>Deletes all specified alarms. In the event of an error, no alarms are deleted.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"alarm_names";s:4:"type";s:12:"string|array";s:11:"description";s:113:"<p>A list of alarms to be deleted. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:356:"public function delete_alarms($alarm_names, $opt = null)
{
    if (!$opt) $opt = array();
            
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'AlarmNames' =&gt; (is_array($alarm_names) ? $alarm_names : array($alarm_names))
    ), 'member'));

    return $this-&gt;authenticate('DeleteAlarms', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:30:"<p>Delete multiple alarms.</p>";s:4:"code";s:151:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;delete_alarms(array(
	'my-alarm',
	'my-other-alarm'
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:1;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:2;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:3;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:4;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";i:5;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:8;a:7:{s:4:"name";s:12:"delete_cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:169:"<p>Deletes a cached <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object using the specified cache storage type.</p>";s:11:"returnvalue";s:118:"<p>A value of <code>true</code> if cached object exists and is successfully deleted, otherwise <code>false</code>.</p>";s:6:"source";s:125:"public function delete_cache()
{
    $this-&gt;use_cache_flow = true;
    $this-&gt;delete_cache = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:4:{s:5:"title";s:41:"<p>Delete a cached response from APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:169:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:11:"bool(false)";}i:1;a:4:{s:5:"title";s:53:"<p>Delete a cached response from the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:173:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}i:2;a:4:{s:5:"title";s:46:"<p>Delete a cached response from Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:205:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}}}}i:9;a:8:{s:4:"name";s:22:"describe_alarm_history";s:8:"modifier";s:6:"public";s:11:"description";s:324:"<p>Retrieves history for the specified alarm. Filter alarms by date range or item type. If an
alarm name is not specified, Amazon CloudWatch returns histories for all of the owner&#8217;s alarms.</p>

<p class="note">
Amazon CloudWatch retains the history of an alarm for two weeks, whether or not you delete the
alarm.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1613:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>AlarmName</code> - <code>string</code> - Optional - The name of the alarm.</li><li><code>HistoryItemType</code> - <code>string</code> - Optional - The type of alarm histories to retrieve. [Allowed values: <code>ConfigurationUpdate</code>, <code>StateUpdate</code>, <code>Action</code>]</li><li><code>StartDate</code> - <code>string</code> - Optional - The starting date to retrieve alarm history. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>EndDate</code> - <code>string</code> - Optional - The ending date to retrieve alarm history. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of alarm history records to retrieve.</li><li><code>NextToken</code> - <code>string</code> - Optional - The token returned by a previous call to indicate that there is more data available.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:488:"public function describe_alarm_history($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional DateTime
    if (isset($opt['StartDate']))
    {
        $opt['StartDate'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['StartDate']);
    }
    
    // Optional DateTime
    if (isset($opt['EndDate']))
    {
        $opt['EndDate'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['EndDate']);
    }

    return $this-&gt;authenticate('DescribeAlarmHistory', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:34:"<p>Describe all alarm history.</p>";s:4:"code";s:121:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;describe_alarm_history();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:57:"<p>Describe alarm history matching specific criteria.</p>";s:4:"code";s:256:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;describe_alarm_history(array(
	'HistoryItemType' =&gt; 'Action',
	'StartDate' =&gt; '1 August 2010',
	'EndDate' =&gt; '2 August 2010',
	'MaxRecords' =&gt; 1
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:2;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:3;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:4;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";i:5;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:10;a:8:{s:4:"name";s:15:"describe_alarms";s:8:"modifier";s:6:"public";s:11:"description";s:224:"<p>Retrieves alarms with the specified names. If no name is specified, all alarms for the user are
returned. Alarms can be retrieved by using only a prefix for the alarm name, the alarm state,
or a prefix for any action.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1455:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>AlarmNames</code> - <code>string|array</code> - Optional - A list of alarm names to retrieve information for. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>AlarmNamePrefix</code> - <code>string</code> - Optional - The alarm name prefix. <code>AlarmNames</code> cannot be specified if this parameter is specified.</li><li><code>StateValue</code> - <code>string</code> - Optional - The state value to be used in matching alarms. [Allowed values: <code>OK</code>, <code>ALARM</code>, <code>INSUFFICIENT_DATA</code>]</li><li><code>ActionPrefix</code> - <code>string</code> - Optional - The action name prefix.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of alarm descriptions to retrieve.</li><li><code>NextToken</code> - <code>string</code> - Optional - The token returned by a previous call to indicate that there is more data available.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:458:"public function describe_alarms($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional list (non-map)
    if (isset($opt['AlarmNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'AlarmNames' =&gt; (is_array($opt['AlarmNames']) ? $opt['AlarmNames'] : array($opt['AlarmNames']))
        ), 'member'));
        unset($opt['AlarmNames']);
    }

    return $this-&gt;authenticate('DescribeAlarms', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:27:"<p>Describe all alarms.</p>";s:4:"code";s:114:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;describe_alarms();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:35:"<p>Describe a subset of alarms.</p>";s:4:"code";s:185:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;describe_alarms(array(
	'StateValue' =&gt; 'INSUFFICIENT_DATA',
	'MaxRecords' =&gt; 1
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:2;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:3;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:4;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";i:5;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:11;a:8:{s:4:"name";s:26:"describe_alarms_for_metric";s:8:"modifier";s:6:"public";s:11:"description";s:122:"<p>Retrieves all alarms for a single metric. Specify a statistic, period, or unit to filter the
set of alarms further.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"metric_name";s:4:"type";s:6:"string";s:11:"description";s:30:"<p>The name of the metric.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"namespace";s:4:"type";s:6:"string";s:11:"description";s:175:"<p>The namespace of the metric. [Constraints: The value must be between 1 and 255 characters, and must match the following regular expression pattern: <code>[^:].*</code>]</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:2087:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>Statistic</code> - <code>string</code> - Optional - The statistic for the metric. [Allowed values: <code>SampleCount</code>, <code>Average</code>, <code>Sum</code>, <code>Minimum</code>, <code>Maximum</code>]</li><li><code>Dimensions</code> - <code>array</code> - Optional - The list of dimensions associated with the metric. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the dimension.</li><li><code>Value</code> - <code>string</code> - Required - The value representing the dimension measurement</li></ul></li></ul></li><li><code>Period</code> - <code>integer</code> - Optional - The period in seconds over which the statistic is applied.</li><li><code>Unit</code> - <code>string</code> - Optional - The unit for the metric. [Allowed values: <code>Seconds</code>, <code>Microseconds</code>, <code>Milliseconds</code>, <code>Bytes</code>, <code>Kilobytes</code>, <code>Megabytes</code>, <code>Gigabytes</code>, <code>Terabytes</code>, <code>Bits</code>, <code>Kilobits</code>, <code>Megabits</code>, <code>Gigabits</code>, <code>Terabits</code>, <code>Percent</code>, <code>Count</code>, <code>Bytes/Second</code>, <code>Kilobytes/Second</code>, <code>Megabytes/Second</code>, <code>Gigabytes/Second</code>, <code>Terabytes/Second</code>, <code>Bits/Second</code>, <code>Kilobits/Second</code>, <code>Megabits/Second</code>, <code>Gigabits/Second</code>, <code>Terabits/Second</code>, <code>Count/Second</code>, <code>None</code>]</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:506:"public function describe_alarms_for_metric($metric_name, $namespace, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['MetricName'] = $metric_name;
    $opt['Namespace'] = $namespace;
    
    // Optional list + map
    if (isset($opt['Dimensions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'Dimensions' =&gt; $opt['Dimensions']
        ), 'member'));
        unset($opt['Dimensions']);
    }

    return $this-&gt;authenticate('DescribeAlarmsForMetric', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:49:"<p>Describe all alarms for a specific metric.</p>";s:4:"code";s:238:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;describe_alarms_for_metric('CPUUtilization', 'AWS/EC2', array(
	'Statistic' =&gt; 'Average',
	'Period' =&gt; 1800,
	'Unit' =&gt; 'Seconds'
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:2;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:3;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:4;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";i:5;s:161:"<a href="../amazoncloudwatch/get_metric_statistics.html" rel="../../index.html#m=amazoncloudwatch/get_metric_statistics"><code>get_metric_statistics()</code></a>";i:6;s:134:"<a href="../amazoncloudwatch/list_metrics.html" rel="../../index.html#m=amazoncloudwatch/list_metrics"><code>list_metrics()</code></a>";i:7;s:146:"<a href="../amazoncloudwatch/put_metric_alarm.html" rel="../../index.html#m=amazoncloudwatch/put_metric_alarm"><code>put_metric_alarm()</code></a>";i:8;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:12;a:8:{s:4:"name";s:21:"disable_alarm_actions";s:8:"modifier";s:6:"public";s:11:"description";s:180:"<p>Disables actions for the specified alarms. When an alarm&#8217;s actions are disabled the alarm&#8217;s
state may change, but none of the alarm&#8217;s actions will execute.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"alarm_names";s:4:"type";s:12:"string|array";s:11:"description";s:129:"<p>The names of the alarms to disable actions for. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:371:"public function disable_alarm_actions($alarm_names, $opt = null)
{
    if (!$opt) $opt = array();
            
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'AlarmNames' =&gt; (is_array($alarm_names) ? $alarm_names : array($alarm_names))
    ), 'member'));

    return $this-&gt;authenticate('DisableAlarmActions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:38:"<p>Disable multiple alarm actions.</p>";s:4:"code";s:159:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;disable_alarm_actions(array(
	'my-alarm',
	'my-other-alarm'
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:2;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:3;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:4;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";i:5;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:13;a:7:{s:4:"name";s:11:"disable_ssl";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:312:"<p>Disables SSL/HTTPS connections for hosts that don&#8217;t support them. Some services, however, still
require SSL support.</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:192:"public function disable_ssl()
{
    trigger_error('Disabling SSL connections is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;use_ssl = false;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:35:"<p>Disable SSL for the service.</p>";s:11:"description";s:170:"<ul>
<li><strong>Note:</strong> It is not recommended to disable SSL.</li>
<li><strong>Note:</strong> This method is inherited by all service-specific classes.</li>
</ul>";s:4:"code";s:175:"// Disable SSL (Using @ to suppress the warning from the output)
$sdb = new AmazonSDB();
@$sdb-&gt;disable_ssl(true);

// Test if the value was set
var_dump($sdb-&gt;use_ssl);";s:6:"result";s:11:"bool(false)";}}}i:14;a:7:{s:4:"name";s:24:"disable_ssl_verification";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:402:"<p>Disables the verification of the SSL Certificate Authority. Doing so can enable an attacker to carry
out a man-in-the-middle attack.</p>

<p>https://secure.wikimedia.org/wikipedia/en/wiki/Man-in-the-middle_attack</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"ssl_verification";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:314:"public function disable_ssl_verification($ssl_verification = false)
{
    trigger_error('Disabling the verification of SSL certificates can lead to man-in-the-middle attacks. It is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;ssl_verification = $ssl_verification;
    return $this;
}";}i:15;a:8:{s:4:"name";s:20:"enable_alarm_actions";s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>Enables actions for the specified alarms.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"alarm_names";s:4:"type";s:12:"string|array";s:11:"description";s:128:"<p>The names of the alarms to enable actions for. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:369:"public function enable_alarm_actions($alarm_names, $opt = null)
{
    if (!$opt) $opt = array();
            
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'AlarmNames' =&gt; (is_array($alarm_names) ? $alarm_names : array($alarm_names))
    ), 'member'));

    return $this-&gt;authenticate('EnableAlarmActions', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:28:"<p>Enable alarm actions.</p>";s:4:"code";s:129:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;enable_alarm_actions('my-alarm');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:37:"<p>Enable multiple alarm actions.</p>";s:4:"code";s:158:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;enable_alarm_actions(array(
	'my-alarm',
	'my-other-alarm'
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:2;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:3;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:4;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:5;s:143:"<a href="../amazoncloudwatch/set_alarm_state.html" rel="../../index.html#m=amazoncloudwatch/set_alarm_state"><code>set_alarm_state()</code></a>";}}}i:16;a:8:{s:4:"name";s:17:"enable_debug_mode";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:75:"<p>Enables HTTP request/response header logging to <code>STDERR</code>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"enabled";s:4:"type";s:7:"boolean";s:11:"description";s:74:"<p>Whether or not to enable debug mode. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:109:"public function enable_debug_mode($enabled = true)
{
    $this-&gt;debug_mode = $enabled;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:82:"<p>Enable the logging of HTTP request/response headers to <code>STDERR</code>.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;enable_debug_mode();

// Test if the value was set
var_dump($sdb-&gt;debug_mode);";s:6:"result";s:10:"bool(true)";}}}i:17;a:7:{s:4:"name";s:7:"factory";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1583:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazoncloudwatch/set_cache_config.html" rel="../../index.html#m=amazoncloudwatch/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:303:"public static function factory(array $options = array())
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::factory().');
    }

    $self = get_called_class();
    return new $self($options);
}";}i:18;a:9:{s:4:"name";s:21:"get_metric_statistics";s:8:"modifier";s:6:"public";s:11:"description";s:1409:"<p>Gets statistics for the specified metric.</p>

<p class="note">
The maximum number of data points returned from a single <code>GetMetricStatistics</code>
request is 1,440. If a request is made that generates more than 1,440 data points, Amazon
CloudWatch returns an error. In such a case, alter the request by narrowing the specified time
range or increasing the specified period. Alternatively, make multiple requests across adjacent
time ranges.
</p>

<p>Amazon CloudWatch aggregates data points based on the length of the <code>period</code> that
you specify. For example, if you request statistics with a one-minute granularity, Amazon
CloudWatch aggregates data points with time stamps that fall within the same one-minute period.
In such a case, the data points queried can greatly outnumber the data points returned.</p>

<p class="note">
The maximum number of data points that can be queried is 50,850; whereas the maximum number of
data points returned is 1,440.
</p>

<p>The following examples show various statistics allowed by the data point query maximum of
50,850 when you call <code>GetMetricStatistics</code> on Amazon EC2 instances with detailed
(one-minute) monitoring enabled:</p>

<ul><li>Statistics for up to 400 instances for a span of one hour</li><li>Statistics for up to 35 instances over a span of 24 hours</li><li>Statistics for up to 2 instances over a span of 2 weeks</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:8:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"namespace";s:4:"type";s:6:"string";s:11:"description";s:175:"<p>The namespace of the metric. [Constraints: The value must be between 1 and 255 characters, and must match the following regular expression pattern: <code>[^:].*</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"metric_name";s:4:"type";s:6:"string";s:11:"description";s:30:"<p>The name of the metric.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"start_time";s:4:"type";s:6:"string";s:11:"description";s:611:"<p>The time stamp to use for determining the first datapoint to return. The value specified is inclusive; results include datapoints with the time stamp specified.</p>

<p class="note">The specified start time is rounded down to the nearest value. Datapoints are returned for start times up to two weeks in the past. Specified start times that are more than two weeks in the past will not return datapoints for metrics that are older than two weeks.</p>

<p>May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"end_time";s:4:"type";s:6:"string";s:11:"description";s:322:"<p>The time stamp to use for determining the last datapoint to return. The value specified is exclusive; results will include datapoints up to the time stamp specified. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</p>";}i:4;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"period";s:4:"type";s:7:"integer";s:11:"description";s:166:"<p>The granularity, in seconds, of the returned datapoints. <code>Period</code> must be at least 60 seconds and must be a multiple of 60. The default value is 60.</p>";}i:5;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"statistics";s:4:"type";s:12:"string|array";s:11:"description";s:114:"<p>The metric statistics to return. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:6;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"unit";s:4:"type";s:6:"string";s:11:"description";s:736:"<p>The unit for the metric. [Allowed values: <code>Seconds</code>, <code>Microseconds</code>, <code>Milliseconds</code>, <code>Bytes</code>, <code>Kilobytes</code>, <code>Megabytes</code>, <code>Gigabytes</code>, <code>Terabytes</code>, <code>Bits</code>, <code>Kilobits</code>, <code>Megabits</code>, <code>Gigabits</code>, <code>Terabits</code>, <code>Percent</code>, <code>Count</code>, <code>Bytes/Second</code>, <code>Kilobytes/Second</code>, <code>Megabytes/Second</code>, <code>Gigabytes/Second</code>, <code>Terabytes/Second</code>, <code>Bits/Second</code>, <code>Kilobits/Second</code>, <code>Megabits/Second</code>, <code>Gigabits/Second</code>, <code>Terabits/Second</code>, <code>Count/Second</code>, <code>None</code>]</p>";}i:7;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:956:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>Dimensions</code> - <code>array</code> - Optional - A list of dimensions describing qualities of the metric. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the dimension.</li><li><code>Value</code> - <code>string</code> - Required - The value representing the dimension measurement</li></ul></li></ul></li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:952:"public function get_metric_statistics($namespace, $metric_name, $start_time, $end_time, $period, $statistics, $unit, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['Namespace'] = $namespace;
    $opt['MetricName'] = $metric_name;
    $opt['Period'] = $period;
    $opt['Unit'] = $unit;
    $opt['StartTime'] = $this-&gt;util-&gt;convert_date_to_iso8601($start_time);
    $opt['EndTime'] = $this-&gt;util-&gt;convert_date_to_iso8601($end_time);

    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'Statistics' =&gt; (is_array($statistics) ? $statistics : array($statistics))
    ), 'member'));

    // Optional list + map
    if (isset($opt['Dimensions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'Dimensions' =&gt; $opt['Dimensions']
        ), 'member'));
        unset($opt['Dimensions']);
    }

    return $this-&gt;authenticate('GetMetricStatistics', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:29:"<p>Get metric statistics.</p>";s:4:"code";s:224:"// Get metrics
$cw = new AmazonCloudWatch();

$response = $cw-&gt;get_metric_statistics('AWS/EC2', 'CPUUtilization', '1 August 2009', '2 August 2009', 1800, 'Average', 'Percent');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:38:"<p>Get multiple metric statistics.</p>";s:4:"code";s:238:"// Get metrics
$cw = new AmazonCloudWatch();

$response = $cw-&gt;get_metric_statistics('AWS/EC2', 'CPUUtilization', '1 August 2009', '2 August 2009', 1800, array('Average', 'Sum'), 'Percent');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:3:{i:0;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:1;s:134:"<a href="../amazoncloudwatch/list_metrics.html" rel="../../index.html#m=amazoncloudwatch/list_metrics"><code>list_metrics()</code></a>";i:2;s:146:"<a href="../amazoncloudwatch/put_metric_alarm.html" rel="../../index.html#m=amazoncloudwatch/put_metric_alarm"><code>put_metric_alarm()</code></a>";}}s:9:"changelog";a:1:{s:6:"change";s:293:"<p>The <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_GetMetricStatistics.html">GetMetricStatistics</a> operation introduced backwards-incompatible changes in the <code>2010-08-01</code> API release. These changes were accounted for in version 1.2 of the SDK.</p>";}}i:19;a:8:{s:4:"name";s:12:"list_metrics";s:8:"modifier";s:6:"public";s:11:"description";s:575:"<p>Returns a list of valid metrics stored for the AWS account owner. Returned metrics can be used
with <code>GetMetricStatistics</code> to obtain statistical data for a given metric.</p>

<p class="note">
Up to 500 results are returned for any one call. To retrieve further results, use returned
<code>NextToken</code> values with subsequent <code>ListMetrics</code> operations.
</p>

<p class="note">
If you create a metric with the <code>PutMetricData</code> action, allow up to fifteen minutes
for the metric to appear in calls to the <code>ListMetrics</code> action.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1588:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>Namespace</code> - <code>string</code> - Optional - The namespace to filter against. [Constraints: The value must be between 1 and 255 characters, and must match the following regular expression pattern: <code>[^:].*</code>]</li><li><code>MetricName</code> - <code>string</code> - Optional - The name of the metric to filter against.</li><li><code>Dimensions</code> - <code>array</code> - Optional - A list of dimensions to filter against. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The dimension name to be matched.</li><li><code>Value</code> - <code>string</code> - Optional - The value of the dimension to be matched. <p class="note">Specifying a <code>Name</code> without specifying a <code>Value</code> returns all values associated with that <code>Name</code>.</p></li></ul></li></ul></li><li><code>NextToken</code> - <code>string</code> - Optional - The token returned by a previous call to indicate that there is more data available.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:387:"public function list_metrics($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional list + map
    if (isset($opt['Dimensions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'Dimensions' =&gt; $opt['Dimensions']
        ), 'member'));
        unset($opt['Dimensions']);
    }

    return $this-&gt;authenticate('ListMetrics', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:79:"<p>List up to 500 valid metrics for which there is recorded data available.</p>";s:4:"code";s:126:"// List metrics
$cw = new AmazonCloudWatch();
$response = $cw-&gt;list_metrics();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:3:{i:0;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:1;s:161:"<a href="../amazoncloudwatch/get_metric_statistics.html" rel="../../index.html#m=amazoncloudwatch/get_metric_statistics"><code>get_metric_statistics()</code></a>";i:2;s:146:"<a href="../amazoncloudwatch/put_metric_alarm.html" rel="../../index.html#m=amazoncloudwatch/put_metric_alarm"><code>put_metric_alarm()</code></a>";}}}i:20;a:8:{s:4:"name";s:16:"put_metric_alarm";s:8:"modifier";s:6:"public";s:11:"description";s:581:"<p>Creates or updates an alarm and associates it with the specified Amazon CloudWatch metric.
Optionally, this operation can associate one or more Amazon Simple Notification Service
resources with the alarm.</p>

<p>When this operation creates an alarm, the alarm state is immediately set to
<code>INSUFFICIENT_DATA</code>. The alarm is evaluated and its <code>StateValue</code> is set
appropriately. Any actions associated with the <code>StateValue</code> is then executed.</p>

<p class="note">
When updating an existing alarm, its <code>StateValue</code> is left unchanged.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:9:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"alarm_name";s:4:"type";s:6:"string";s:11:"description";s:103:"<p>The descriptive name for the alarm. This name must be unique within the user&#8217;s AWS account</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"metric_name";s:4:"type";s:6:"string";s:11:"description";s:56:"<p>The name for the alarm&#8217;s associated metric.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"namespace";s:4:"type";s:6:"string";s:11:"description";s:201:"<p>The namespace for the alarm&#8217;s associated metric. [Constraints: The value must be between 1 and 255 characters, and must match the following regular expression pattern: <code>[^:].*</code>]</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"statistic";s:4:"type";s:6:"string";s:11:"description";s:196:"<p>The statistic to apply to the alarm&#8217;s associated metric. [Allowed values: <code>SampleCount</code>, <code>Average</code>, <code>Sum</code>, <code>Minimum</code>, <code>Maximum</code>]</p>";}i:4;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"period";s:4:"type";s:7:"integer";s:11:"description";s:75:"<p>The period in seconds over which the specified statistic is applied.</p>";}i:5;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:18:"evaluation_periods";s:4:"type";s:7:"integer";s:11:"description";s:84:"<p>The number of periods over which data is compared to the specified threshold.</p>";}i:6;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"threshold";s:4:"type";s:6:"double";s:11:"description";s:67:"<p>The value against which the specified statistic is compared.</p>";}i:7;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:19:"comparison_operator";s:4:"type";s:6:"string";s:11:"description";s:360:"<p>The arithmetic operation to use when comparing the specified <code>Statistic</code> and <code>Threshold</code>. The specified <code>Statistic</code> value is used as the first operand. [Allowed values: <code>GreaterThanOrEqualToThreshold</code>, <code>GreaterThanThreshold</code>, <code>LessThanThreshold</code>, <code>LessThanOrEqualToThreshold</code>]</p>";}i:8;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:3359:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>AlarmDescription</code> - <code>string</code> - Optional - The description for the alarm.</li><li><code>ActionsEnabled</code> - <code>boolean</code> - Optional - Indicates whether or not actions should be executed during any changes to the alarm&#8217;s state.</li><li><code>OKActions</code> - <code>string|array</code> - Optional - The list of actions to execute when this alarm transitions into an <code>OK</code> state from any other state. Each action is specified as an Amazon Resource Number (ARN). Currently the only action supported is publishing to an Amazon SNS topic or an Amazon Auto Scaling policy. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>AlarmActions</code> - <code>string|array</code> - Optional - The list of actions to execute when this alarm transitions into an <code>ALARM</code> state from any other state. Each action is specified as an Amazon Resource Number (ARN). Currently the only action supported is publishing to an Amazon SNS topic or an Amazon Auto Scaling policy. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>InsufficientDataActions</code> - <code>string|array</code> - Optional - The list of actions to execute when this alarm transitions into an <code>INSUFFICIENT_DATA</code> state from any other state. Each action is specified as an Amazon Resource Number (ARN). Currently the only action supported is publishing to an Amazon SNS topic or an Amazon Auto Scaling policy. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>Dimensions</code> - <code>array</code> - Optional - The dimensions for the alarm&#8217;s associated metric. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the dimension.</li><li><code>Value</code> - <code>string</code> - Required - The value representing the dimension measurement</li></ul></li></ul></li><li><code>Unit</code> - <code>string</code> - Optional - The unit for the alarm&#8217;s associated metric. [Allowed values: <code>Seconds</code>, <code>Microseconds</code>, <code>Milliseconds</code>, <code>Bytes</code>, <code>Kilobytes</code>, <code>Megabytes</code>, <code>Gigabytes</code>, <code>Terabytes</code>, <code>Bits</code>, <code>Kilobits</code>, <code>Megabits</code>, <code>Gigabits</code>, <code>Terabits</code>, <code>Percent</code>, <code>Count</code>, <code>Bytes/Second</code>, <code>Kilobytes/Second</code>, <code>Megabytes/Second</code>, <code>Gigabytes/Second</code>, <code>Terabytes/Second</code>, <code>Bits/Second</code>, <code>Kilobits/Second</code>, <code>Megabits/Second</code>, <code>Gigabits/Second</code>, <code>Terabits/Second</code>, <code>Count/Second</code>, <code>None</code>]</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:1840:"public function put_metric_alarm($alarm_name, $metric_name, $namespace, $statistic, $period, $evaluation_periods, $threshold, $comparison_operator, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['AlarmName'] = $alarm_name;
    $opt['MetricName'] = $metric_name;
    $opt['Namespace'] = $namespace;
    $opt['Statistic'] = $statistic;
    $opt['Period'] = $period;
    $opt['EvaluationPeriods'] = $evaluation_periods;
    $opt['Threshold'] = $threshold;
    $opt['ComparisonOperator'] = $comparison_operator;
    
    // Optional list (non-map)
    if (isset($opt['OKActions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'OKActions' =&gt; (is_array($opt['OKActions']) ? $opt['OKActions'] : array($opt['OKActions']))
        ), 'member'));
        unset($opt['OKActions']);
    }
    
    // Optional list (non-map)
    if (isset($opt['AlarmActions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'AlarmActions' =&gt; (is_array($opt['AlarmActions']) ? $opt['AlarmActions'] : array($opt['AlarmActions']))
        ), 'member'));
        unset($opt['AlarmActions']);
    }
    
    // Optional list (non-map)
    if (isset($opt['InsufficientDataActions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'InsufficientDataActions' =&gt; (is_array($opt['InsufficientDataActions']) ? $opt['InsufficientDataActions'] : array($opt['InsufficientDataActions']))
        ), 'member'));
        unset($opt['InsufficientDataActions']);
    }
    
    // Optional list + map
    if (isset($opt['Dimensions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'Dimensions' =&gt; $opt['Dimensions']
        ), 'member'));
        unset($opt['Dimensions']);
    }

    return $this-&gt;authenticate('PutMetricAlarm', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:43:"<p>Create or update a new metric alarm.</p>";s:4:"code";s:470:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;put_metric_alarm(
	'my-alarm',         // Alarm name
	'CPUUtilization',            // Metric name
	'AWS/EC2',                   // Namespace
	'Average',                   // Statistic
	1800,                        // Period
	3,                           // Evaluation periods
	50,                          // Threshold
	'LessThanOrEqualToThreshold' // Comparison operator
);

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:43:"<p>Create or update a new metric alarm.</p>";s:4:"code";s:612:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;put_metric_alarm(
	'my-other-alarm',         // Alarm name
	'CPUUtilization',             // Metric name
	'AWS/EC2',                    // Namespace
	'Average',                    // Statistic
	1800,                         // Period
	3,                            // Evaluation periods
	50,                           // Threshold
	'LessThanOrEqualToThreshold', // Comparison operator
array(
	'AlarmDescription' =&gt; 'This is a description of the alarm.',
	'ActionsEnabled' =&gt; 'true',
	'Unit' =&gt; 'Seconds'
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:3:{i:0;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:1;s:161:"<a href="../amazoncloudwatch/get_metric_statistics.html" rel="../../index.html#m=amazoncloudwatch/get_metric_statistics"><code>get_metric_statistics()</code></a>";i:2;s:134:"<a href="../amazoncloudwatch/list_metrics.html" rel="../../index.html#m=amazoncloudwatch/list_metrics"><code>list_metrics()</code></a>";}}}i:21;a:7:{s:4:"name";s:15:"put_metric_data";s:8:"modifier";s:6:"public";s:11:"description";s:857:"<p>Publishes metric data points to Amazon CloudWatch. Amazon Cloudwatch associates the data points
with the specified metric. If the specified metric does not exist, Amazon CloudWatch creates
the metric.</p>

<p class="note">
If you create a metric with the <code>PutMetricData</code> action, allow up to fifteen minutes
for the metric to appear in calls to the <code>ListMetrics</code> action.
</p>

<p>The size of aPutMetricDatarequest is limited to 8 KB for HTTP GET requests and 40 KB for HTTP
POST requests.</p>

<p class="important">
Although the <code>Value</code> parameter accepts numbers of type <code>Double</code>, Amazon
CloudWatch truncates values with very large exponents. Values with base-10 exponents greater
than 126 (1 x 10^126) are truncated. Likewise, values with base-10 exponents less than -130 (1
x 10^-130) are also truncated.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"namespace";s:4:"type";s:6:"string";s:11:"description";s:181:"<p>The namespace for the metric data. [Constraints: The value must be between 1 and 255 characters, and must match the following regular expression pattern: <code>[^:].*</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"metric_data";s:4:"type";s:5:"array";s:11:"description";s:2888:"<p>A list of data describing the metric.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>MetricName</code> - <code>string</code> - Required - The name of the metric.</li><li><code>Dimensions</code> - <code>array</code> - Optional - A list of dimensions associated with the metric. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the dimension.</li><li><code>Value</code> - <code>string</code> - Required - The value representing the dimension measurement</li></ul></li></ul></li><li><code>Timestamp</code> - <code>string</code> - Optional - The time stamp used for the metric. If not specified, the default value is set to the time the metric data was received. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>Value</code> - <code>double</code> - Optional - The value for the metric. <p class="important">Although the <code>Value</code> parameter accepts numbers of type <code>Double</code>, Amazon CloudWatch truncates values with very large exponents. Values with base-10 exponents greater than 126 (1 x 10^126) are truncated. Likewise, values with base-10 exponents less than -130 (1 x 10^-130) are also truncated.</p></li><li><code>StatisticValues</code> - <code>array</code> - Optional - A set of statistical values describing the metric. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>SampleCount</code> - <code>double</code> - Required - The number of samples used for the statistic set.</li><li><code>Sum</code> - <code>double</code> - Required - The sum of values for the sample set.</li><li><code>Minimum</code> - <code>double</code> - Required - The minimum value of the sample set.</li><li><code>Maximum</code> - <code>double</code> - Required - The maximum value of the sample set.</li></ul></li></ul></li><li><code>Unit</code> - <code>string</code> - Optional - The unit of the metric. [Allowed values: <code>Seconds</code>, <code>Microseconds</code>, <code>Milliseconds</code>, <code>Bytes</code>, <code>Kilobytes</code>, <code>Megabytes</code>, <code>Gigabytes</code>, <code>Terabytes</code>, <code>Bits</code>, <code>Kilobits</code>, <code>Megabits</code>, <code>Gigabits</code>, <code>Terabits</code>, <code>Percent</code>, <code>Count</code>, <code>Bytes/Second</code>, <code>Kilobytes/Second</code>, <code>Megabytes/Second</code>, <code>Gigabytes/Second</code>, <code>Terabytes/Second</code>, <code>Bits/Second</code>, <code>Kilobits/Second</code>, <code>Megabits/Second</code>, <code>Gigabits/Second</code>, <code>Terabits/Second</code>, <code>Count/Second</code>, <code>None</code>]</li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:702:"public function put_metric_data($namespace, $metric_data, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['Namespace'] = $namespace;

    // Handle Timestamps
    for ($i = 0, $max = count($metric_data); $i &lt; $max; $i++)
    {
        if (isset($metric_data[$i]['Timestamp']))
        {
            $metric_data[$i]['Timestamp'] = $this-&gt;util-&gt;convert_date_to_iso8601($metric_data[$i]['Timestamp']);
        }
    }

    // Required parameter
    $opt = array_merge($opt, CFComplexType::map(array(
        'MetricData' =&gt; (is_array($metric_data) ? $metric_data : array($metric_data))
    ), 'member'));

    return $this-&gt;authenticate('PutMetricData', $opt, $this-&gt;hostname);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:47:"<p>Push custom metric data into CloudWatch.</p>";s:4:"code";s:601:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;put_metric_data('Custom/', array(
	array( // First data set
		'MetricName' =&gt; 'MyData',
		'Dimensions' =&gt; array(
			array('Name' =&gt; 'CustomAttribute1', 'Value' =&gt; 'CustomAttributeValue1'),
			array('Name' =&gt; 'CustomAttribute2', 'Value' =&gt; 'CustomAttributeValue2'),
		),
		'Timestamp' =&gt; 'today, midnight GMT',
		'StatisticValues' =&gt; array(
			'SampleCount' =&gt; 100,
			'Sum' =&gt; 1234567890,
			'Minimum' =&gt; 0,
			'Maximum' =&gt; 9999999999
		),
		'Unit' =&gt; 'Bits'
	),
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:22;a:8:{s:4:"name";s:32:"register_streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:753:"<p>Register a callback function to execute whenever a data stream is read from using
<a href="../cfrequest/streaming_read_callback.html" rel="../../index.html#m=cfrequest/streaming_read_callback"><code>CFRequest::streaming_read_callback()</code></a>.</p>

<p>The user-defined callback function should accept three arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$file_handle</code> - <code>resource</code> - Required - The file handle resource that represents the file on the local file system.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:143:"public function register_streaming_read_callback($callback)
{
    $this-&gt;registered_streaming_read_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:85:"<p>Register a callback function to execute when data is read from an open stream.</p>";s:4:"code";s:694:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $file_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is read locally.
$s3-&gt;register_streaming_read_callback('callback');

// Download a public object.
$response = $s3-&gt;create_object('my-bucket', 'my-large-file.mp4', array(
	'fileUpload' =&gt; './uploads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:23;a:8:{s:4:"name";s:33:"register_streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:608:"<p>Register a callback function to execute whenever a data stream is written to using
<a href="../cfrequest/streaming_write_callback.html" rel="../../index.html#m=cfrequest/streaming_write_callback"><code>CFRequest::streaming_write_callback()</code></a>.</p>

<p>The user-defined callback function should accept two arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:145:"public function register_streaming_write_callback($callback)
{
    $this-&gt;registered_streaming_write_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:86:"<p>Register a callback function to execute when data is written to an open stream.</p>";s:4:"code";s:685:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is written locally.
$s3-&gt;register_streaming_write_callback('callback');

// Download a public object.
$response = $s3-&gt;get_object('my-bucket', 'my-large-file.mp4', array(
	'fileDownload' =&gt; './downloads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:24;a:7:{s:4:"name";s:4:"send";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:71:"<p>Executes the batch request queue by sending all queued requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"clear_after_send";s:4:"type";s:7:"boolean";s:11:"description";s:204:"<p>Whether or not to clear the batch queue after sending a request. Defaults to <code>true</code>. Set this to <code>false</code> if you are caching batch responses and want to retrieve results later.</p>";}}s:11:"returnvalue";s:126:"<p>An array of <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> objects.</p>";s:6:"source";s:2018:"public function send($clear_after_send = true)
{
    if ($this-&gt;use_batch_flow)
    {
        // When we send the request, disable batch flow.
        $this-&gt;use_batch_flow = false;

        // If we're not caching, simply send the request.
        if (!$this-&gt;use_cache_flow)
        {
            $response = $this-&gt;batch_object-&gt;send();
            $parsed_data = array_map(array($this, 'parse_callback'), $response);
            $parsed_data = new CFArray($parsed_data);

            // Clear the queue
            if ($clear_after_send)
            {
                $this-&gt;batch_object-&gt;queue = array();
            }

            return $parsed_data;
        }

        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . sha1(serialize($this-&gt;batch_object));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data_set = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback_batch'), array($this-&gt;batch_object));
        $parsed_data = array_map(array($this, 'parse_callback'), $data_set);
        $parsed_data = new CFArray($parsed_data);

        // Clear the queue
        if ($clear_after_send)
        {
            $this-&gt;batch_object-&gt;queue = array();
        }

        // End!
        return $parsed_data;
    }

    // Load the class
    $null = new CFBatchRequest();
    unset($null);

    throw new CFBatchRequest_Exception('You must use $object-&gt;batch()-&gt;send()');
}";}i:25;a:8:{s:4:"name";s:15:"set_alarm_state";s:8:"modifier";s:6:"public";s:11:"description";s:302:"<p>Temporarily sets the state of an alarm. When the updated <code>StateValue</code> differs from
the previous value, the action configured for the appropriate state is invoked. This is not a
permanent change. The next periodic alarm check (in about a minute) will set the alarm to its
actual state.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"alarm_name";s:4:"type";s:6:"string";s:11:"description";s:142:"<p>The descriptive name for the alarm. This name must be unique within the user&#8217;s AWS account. The maximum length is 255 characters.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"state_value";s:4:"type";s:6:"string";s:11:"description";s:116:"<p>The value of the state. [Allowed values: <code>OK</code>, <code>ALARM</code>, <code>INSUFFICIENT_DATA</code>]</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:12:"state_reason";s:4:"type";s:6:"string";s:11:"description";s:95:"<p>The reason that this alarm is set to this specific state (in human-readable text format)</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:682:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>StateReasonData</code> - <code>string</code> - Optional - The reason that this alarm is set to this specific state (in machine-readable JSON format)</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:301:"public function set_alarm_state($alarm_name, $state_value, $state_reason, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['AlarmName'] = $alarm_name;
    $opt['StateValue'] = $state_value;
    $opt['StateReason'] = $state_reason;
    
    return $this-&gt;authenticate('SetAlarmState', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:43:"<p>Manually set the state of the alarm.</p>";s:4:"code";s:174:"$cw = new AmazonCloudWatch();

$response = $cw-&gt;set_alarm_state('my-alarm', 'OK', 'Reason for manually modifying the state.');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:6:{i:0;s:137:"<a href="../amazoncloudwatch/delete_alarms.html" rel="../../index.html#m=amazoncloudwatch/delete_alarms"><code>delete_alarms()</code></a>";i:1;s:164:"<a href="../amazoncloudwatch/describe_alarm_history.html" rel="../../index.html#m=amazoncloudwatch/describe_alarm_history"><code>describe_alarm_history()</code></a>";i:2;s:143:"<a href="../amazoncloudwatch/describe_alarms.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms"><code>describe_alarms()</code></a>";i:3;s:176:"<a href="../amazoncloudwatch/describe_alarms_for_metric.html" rel="../../index.html#m=amazoncloudwatch/describe_alarms_for_metric"><code>describe_alarms_for_metric()</code></a>";i:4;s:161:"<a href="../amazoncloudwatch/disable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/disable_alarm_actions"><code>disable_alarm_actions()</code></a>";i:5;s:158:"<a href="../amazoncloudwatch/enable_alarm_actions.html" rel="../../index.html#m=amazoncloudwatch/enable_alarm_actions"><code>enable_alarm_actions()</code></a>";}}}i:26;a:7:{s:4:"name";s:15:"set_batch_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:291:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:116:"public function set_batch_class($class = 'CFBatchRequest')
{
    $this-&gt;batch_class = $class;
    return $this;
}";}i:27;a:8:{s:4:"name";s:16:"set_cache_config";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Set the caching configuration to use for response caching.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:1095:"<p>The location to store the cache object in. This may vary by cache method.</p><ul><li>File - The local file system paths such as <code>./cache</code> (relative) or <code>/tmp/cache/</code> (absolute). The location must be server-writable.</li><li>APC - Pass in <code>apc</code> to use this lightweight cache. You must have the <a href="http://php.net/apc">APC extension</a> installed.</li><li>XCache - Pass in <code>xcache</code> to use this lightweight cache. You must have the <a href="http://xcache.lighttpd.net">XCache</a> extension installed.</li><li>Memcached - Pass in an indexed array of associative arrays. Each associative array should have a <code>host</code> and a <code>port</code> value representing a <a href="http://php.net/memcached">Memcached</a> server to connect to.</li><li>PDO - A URL-style string (e.g. <code>pdo.mysql://user:pass@localhost/cache</code>) or a standard DSN-style string (e.g. <code>pdo.sqlite:/sqlite/cache.db</code>). MUST be prefixed with <code>pdo.</code>. See <code>CachePDO</code> and <a href="http://php.net/pdo">PDO</a> for more details.</li></ul>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:241:"<p>Whether or not data should be gzipped before being stored. A value of <code>true</code> will compress the contents before caching them. A value of <code>false</code> will leave the contents uncompressed. Defaults to <code>true</code>.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:1210:"public function set_cache_config($location, $gzip = true)
{
    // If location is empty, don't do anything.
    if (empty($location))
    {
        return $this;
    }

    // If we have an array, we're probably passing in Memcached servers and ports.
    if (is_array($location))
    {
        $this-&gt;cache_class = 'CacheMC';
    }
    else
    {
        // I would expect locations like `/tmp/cache`, `pdo.mysql://user:pass@hostname:port`, `pdo.sqlite:memory:`, and `apc`.
        $type = strtolower(substr($location, 0, 3));
        switch ($type)
        {
            case 'apc':
                $this-&gt;cache_class = 'CacheAPC';
                break;

            case 'xca': // First three letters of `xcache`
                $this-&gt;cache_class = 'CacheXCache';
                break;

            case 'pdo':
                $this-&gt;cache_class = 'CachePDO';
                $location = substr($location, 4);
                break;

            default:
                $this-&gt;cache_class = 'CacheFile';
                break;
        }
    }

    // Set the remaining cache information.
    $this-&gt;cache_location = $location;
    $this-&gt;cache_compress = $gzip;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}}}}i:28;a:8:{s:4:"name";s:12:"set_hostname";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:145:"<p>Set the hostname to connect to. This is useful for alternate services that are API-compatible with
AWS, but run from a different hostname.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"hostname";s:4:"type";s:6:"string";s:11:"description";s:133:"<p>The alternate hostname to use in place of the default one. Useful for mock or test applications living on different hostnames.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"port_number";s:4:"type";s:7:"integer";s:11:"description";s:139:"<p>The alternate port number to use in place of the default one. Useful for mock or test applications living on different port numbers.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:341:"public function set_hostname($hostname, $port_number = null)
{
    if ($this-&gt;override_hostname)
    {
        $this-&gt;hostname = $hostname;

        if ($port_number)
        {
            $this-&gt;port_number = $port_number;
            $this-&gt;hostname .= ':' . (string) $this-&gt;port_number;
        }
    }

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:29;a:8:{s:4:"name";s:15:"set_max_retries";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"retries";s:4:"type";s:7:"integer";s:11:"description";s:88:"<p>The maximum number of times to retry failed requests. Defaults to <code>3</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:105:"public function set_max_retries($retries = 3)
{
    $this-&gt;max_retries = $retries;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_max_retries(3);

// Test if the value was set
var_dump($sdb-&gt;max_retries);";s:6:"result";s:6:"int(3)";}}}i:30;a:7:{s:4:"name";s:16:"set_parser_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:115:"public function set_parser_class($class = 'CFSimpleXML')
{
    $this-&gt;parser_class = $class;
    return $this;
}";}i:31;a:8:{s:4:"name";s:9:"set_proxy";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:37:"<p>Set the proxy settings to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:102:"<p>Accepts proxy credentials in the following format: <code>proxy://user:pass@hostname:port</code></p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:85:"public function set_proxy($proxy)
{
    $this-&gt;proxy = $proxy;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>Set the proxy server to use for requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:151:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_proxy('proxy://user:pass@hostname:port');

// Test if the value was set
var_dump($sdb-&gt;proxy);";s:6:"result";s:44:"string(31) "proxy://user:pass@hostname:port"";}}}i:32;a:7:{s:4:"name";s:10:"set_region";s:8:"modifier";s:6:"public";s:11:"description";s:76:"<p>This allows you to explicitly sets the region for the service to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"region";s:4:"type";s:6:"string";s:11:"description";s:1387:"<p>The region to explicitly set. Available options are <a href="../amazoncloudwatch/constants.html#region_us_e1" rel="../../index.html#c=amazoncloudwatch/region_us_e1"><code>REGION_US_E1</code></a>, <a href="../amazoncloudwatch/constants.html#region_us_w1" rel="../../index.html#c=amazoncloudwatch/region_us_w1"><code>REGION_US_W1</code></a>, <a href="../amazoncloudwatch/constants.html#region_us_w2" rel="../../index.html#c=amazoncloudwatch/region_us_w2"><code>REGION_US_W2</code></a>, <a href="../amazoncloudwatch/constants.html#region_eu_w1" rel="../../index.html#c=amazoncloudwatch/region_eu_w1"><code>REGION_EU_W1</code></a>, <a href="../amazoncloudwatch/constants.html#region_apac_se1" rel="../../index.html#c=amazoncloudwatch/region_apac_se1"><code>REGION_APAC_SE1</code></a>, <a href="../amazoncloudwatch/constants.html#region_apac_se2" rel="../../index.html#c=amazoncloudwatch/region_apac_se2"><code>REGION_APAC_SE2</code></a>, <a href="../amazoncloudwatch/constants.html#region_apac_ne1" rel="../../index.html#c=amazoncloudwatch/region_apac_ne1"><code>REGION_APAC_NE1</code></a>, <a href="../amazoncloudwatch/constants.html#region_us_gov1" rel="../../index.html#c=amazoncloudwatch/region_us_gov1"><code>REGION_US_GOV1</code></a>, <a href="../amazoncloudwatch/constants.html#region_sa_e1" rel="../../index.html#c=amazoncloudwatch/region_sa_e1"><code>REGION_SA_E1</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:156:"public function set_region($region)
{
    // @codeCoverageIgnoreStart
    $this-&gt;set_hostname($region);
    return $this;
    // @codeCoverageIgnoreEnd
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:29:"<p>Set the region to use.</p>";s:4:"code";s:229:"$cw = new AmazonCloudWatch();

// Set the region to US-East (Northern Virginia)
$cw-&gt;set_region(AmazonCloudWatch::REGION_US_E1);

// List metrics
$response = $cw-&gt;list_metrics();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:33;a:8:{s:4:"name";s:17:"set_request_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:276:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";a:0:{}s:6:"source";s:115:"public function set_request_class($class = 'CFRequest')
{
    $this-&gt;request_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:51:"<p>Set the request class to use in the toolkit.</p>";s:11:"description";s:158:"<p>The new request class must extend from <code>CFRequest</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:310:"// Custom class to extend RequestCore
class TestRequestCore extends RequestCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_request_class('TestRequestCore');

// Test if the value was set
var_dump($sdb-&gt;request_class);";s:6:"result";s:28:"string(15) "TestRequestCore"";}}}i:34;a:8:{s:4:"name";s:19:"set_resource_prefix";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:117:"<p>Set the resource prefix to use. This method is useful for alternate services that are API-compatible
with AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"prefix";s:4:"type";s:6:"string";s:11:"description";s:97:"<p>An alternate prefix to prepend to the resource path. Useful for mock or test applications.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:107:"public function set_resource_prefix($prefix)
{
    $this-&gt;resource_prefix = $prefix;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:35;a:8:{s:4:"name";s:18:"set_response_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:279:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:118:"public function set_response_class($class = 'CFResponse')
{
    $this-&gt;response_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:52:"<p>Set the response class to use in the toolkit.</p>";s:11:"description";s:160:"<p>The new response class must extend from <code>CFResponse</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:316:"// Custom class to extend ResponseCore
class TestResponseCore extends ResponseCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_response_class('TestResponseCore');

// Test if the value was set
var_dump($sdb-&gt;response_class);";s:6:"result";s:29:"string(16) "TestResponseCore"";}}}i:36;a:8:{s:4:"name";s:19:"set_utilities_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:175:"public function set_utilities_class($class = 'CFUtilities')
{
    $this-&gt;utilities_class = $class;
    $this-&gt;util = new $this-&gt;utilities_class();
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:53:"<p>Set the utilities class to use in the toolkit.</p>";s:11:"description";s:162:"<p>The new utilities class must extend from <code>CFUtilities</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:317:"// Custom class to extend CFUtilities
class TestUtilities extends CFUtilities
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_utilities_class('TestUtilities');

// Test if the value was set
var_dump($sdb-&gt;util-&gt;test_method());";s:6:"result";s:10:"bool(true)";}}}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"22";}s:8:"constant";a:22:{i:0;a:2:{s:4:"name";s:5:"BUILD";s:5:"value";s:14:"20130314130000";}i:1;a:2:{s:4:"name";s:11:"DEFAULT_URL";s:5:"value";s:34:"monitoring.us-east-1.amazonaws.com";}i:2;a:2:{s:4:"name";s:4:"NAME";s:5:"value";s:11:"aws-sdk-php";}i:3;a:2:{s:4:"name";s:15:"REGION_APAC_NE1";s:5:"value";s:39:"monitoring.ap-northeast-1.amazonaws.com";}i:4;a:2:{s:4:"name";s:15:"REGION_APAC_SE1";s:5:"value";s:39:"monitoring.ap-southeast-1.amazonaws.com";}i:5;a:2:{s:4:"name";s:15:"REGION_APAC_SE2";s:5:"value";s:39:"monitoring.ap-southeast-2.amazonaws.com";}i:6;a:2:{s:4:"name";s:17:"REGION_CALIFORNIA";s:5:"value";s:34:"monitoring.us-west-1.amazonaws.com";}i:7;a:2:{s:4:"name";s:12:"REGION_EU_W1";s:5:"value";s:34:"monitoring.eu-west-1.amazonaws.com";}i:8;a:2:{s:4:"name";s:14:"REGION_IRELAND";s:5:"value";s:34:"monitoring.eu-west-1.amazonaws.com";}i:9;a:2:{s:4:"name";s:13:"REGION_OREGON";s:5:"value";s:34:"monitoring.us-west-2.amazonaws.com";}i:10;a:2:{s:4:"name";s:16:"REGION_SAO_PAULO";s:5:"value";s:34:"monitoring.sa-east-1.amazonaws.com";}i:11;a:2:{s:4:"name";s:12:"REGION_SA_E1";s:5:"value";s:34:"monitoring.sa-east-1.amazonaws.com";}i:12;a:2:{s:4:"name";s:16:"REGION_SINGAPORE";s:5:"value";s:39:"monitoring.ap-southeast-1.amazonaws.com";}i:13;a:2:{s:4:"name";s:13:"REGION_SYDNEY";s:5:"value";s:39:"monitoring.ap-southeast-2.amazonaws.com";}i:14;a:2:{s:4:"name";s:12:"REGION_TOKYO";s:5:"value";s:39:"monitoring.ap-northeast-1.amazonaws.com";}i:15;a:2:{s:4:"name";s:12:"REGION_US_E1";s:5:"value";s:34:"monitoring.us-east-1.amazonaws.com";}i:16;a:2:{s:4:"name";s:14:"REGION_US_GOV1";s:5:"value";s:38:"monitoring.us-gov-west-1.amazonaws.com";}i:17;a:2:{s:4:"name";s:12:"REGION_US_W1";s:5:"value";s:34:"monitoring.us-west-1.amazonaws.com";}i:18;a:2:{s:4:"name";s:12:"REGION_US_W2";s:5:"value";s:34:"monitoring.us-west-2.amazonaws.com";}i:19;a:2:{s:4:"name";s:15:"REGION_VIRGINIA";s:5:"value";s:34:"monitoring.us-east-1.amazonaws.com";}i:20;a:2:{s:4:"name";s:9:"USERAGENT";s:5:"value";s:65:"aws-sdk-php/1.6.2 PHP/5.4.9 curl/7.15.5 openssl/0.9.8e-fips-rhel5";}i:21;a:2:{s:4:"name";s:7:"VERSION";s:5:"value";s:5:"1.6.2";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"40";}s:8:"property";a:40:{i:0;a:4:{s:4:"name";s:11:"api_version";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The supported API version.</p>";}i:1;a:4:{s:4:"name";s:10:"auth_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The authentication class to use.</p>";}i:2;a:4:{s:4:"name";s:10:"auth_token";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The Amazon Authentication Token.</p>";}i:3;a:5:{s:4:"name";s:11:"batch_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:14:"CFBatchRequest";}}s:11:"description";s:185:"<p>The default class to use for handling batch requests (defaults to <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>).</p>";}i:4;a:4:{s:4:"name";s:12:"batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The current instantiated batch request object.</p>";}i:5;a:4:{s:4:"name";s:11:"cache_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The caching class to use.</p>";}i:6;a:4:{s:4:"name";s:14:"cache_compress";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>The state of cache compression.</p>";}i:7;a:4:{s:4:"name";s:13:"cache_expires";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>When the cache should be considered stale.</p>";}i:8;a:4:{s:4:"name";s:14:"cache_location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>The caching location to use.</p>";}i:9;a:4:{s:4:"name";s:12:"cache_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The current instantiated cache object.</p>";}i:10;a:4:{s:4:"name";s:11:"credentials";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>The credentials to use for authentication.</p>";}i:11;a:4:{s:4:"name";s:10:"debug_mode";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The state of the debug mode setting.</p>";}i:12;a:4:{s:4:"name";s:12:"delete_cache";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>The state of the cache deletion setting.</p>";}i:13;a:4:{s:4:"name";s:8:"hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The alternate hostname to use, if any.</p>";}i:14;a:4:{s:4:"name";s:21:"internal_batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>The internally instantiated batch request object.</p>";}i:15;a:4:{s:4:"name";s:3:"key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:26:"<p>The Amazon API Key.</p>";}i:16;a:5:{s:4:"name";s:11:"max_retries";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"integer";s:5:"value";s:1:"3";}}s:11:"description";s:52:"<p>The number of times to retry failed requests.</p>";}i:17;a:4:{s:4:"name";s:9:"operation";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The operation to execute.</p>";}i:18;a:4:{s:4:"name";s:16:"operation_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:58:"<p>The string prefix to prepend to the operation name.</p>";}i:19;a:5:{s:4:"name";s:17:"override_hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:200:"<p>The state of the capability to override the hostname with <a href="../amazoncloudwatch/set_hostname.html" rel="../../index.html#m=amazoncloudwatch/set_hostname"><code>set_hostname()</code></a>.</p>";}i:20;a:5:{s:4:"name";s:18:"parse_the_response";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:65:"<p>The state of whether the response should be parsed or not.</p>";}i:21;a:5:{s:4:"name";s:12:"parser_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFSimpleXML";}}s:11:"description";s:164:"<p>The default class to use for parsing XML (defaults to <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>).</p>";}i:22;a:4:{s:4:"name";s:7:"payload";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:27:"<p>The payload to send.</p>";}i:23;a:4:{s:4:"name";s:11:"port_number";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>The alternate port number to use, if any.</p>";}i:24;a:4:{s:4:"name";s:5:"proxy";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The proxy to use for connecting.</p>";}i:25;a:4:{s:4:"name";s:9:"redirects";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:54:"<p>The number of times a request has been retried.</p>";}i:26;a:4:{s:4:"name";s:34:"registered_streaming_read_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>The user-defined callback function to call when a stream is read from.</p>";}i:27;a:4:{s:4:"name";s:35:"registered_streaming_write_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>The user-defined callback function to call when a stream is written to.</p>";}i:28;a:5:{s:4:"name";s:13:"request_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"CFRequest";}}s:11:"description";s:160:"<p>The default class to use for HTTP requests (defaults to <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>).</p>";}i:29;a:4:{s:4:"name";s:15:"resource_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The alternate resource prefix to use, if any.</p>";}i:30;a:5:{s:4:"name";s:14:"response_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:10:"CFResponse";}}s:11:"description";s:164:"<p>The default class to use for HTTP responses (defaults to <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>).</p>";}i:31;a:4:{s:4:"name";s:10:"secret_key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The Amazon API Secret Key.</p>";}i:32;a:4:{s:4:"name";s:7:"service";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>An identifier for the current AWS service.</p>";}i:33;a:5:{s:4:"name";s:16:"ssl_verification";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:49:"<p>The state of SSL certificate verification.</p>";}i:34;a:5:{s:4:"name";s:13:"use_aws_query";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:64:"<p>The state of whether auth should be handled as AWS Query.</p>";}i:35;a:4:{s:4:"name";s:14:"use_batch_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of batch flow usage.</p>";}i:36;a:4:{s:4:"name";s:14:"use_cache_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of cache flow usage.</p>";}i:37;a:5:{s:4:"name";s:7:"use_ssl";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:34:"<p>The state of SSL/HTTPS use.</p>";}i:38;a:4:{s:4:"name";s:4:"util";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>Handle for the utility functions.</p>";}i:39;a:5:{s:4:"name";s:15:"utilities_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFUtilities";}}s:11:"description";s:162:"<p>The default class to use for utilities (defaults to <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>).</p>";}}}}}