a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:9:"AmazonEMR";s:4:"file";s:22:"services/emr.class.php";s:3:"url";s:23:"../amazonemr/index.html";s:11:"description";s:470:"<p>This is the <em>Amazon Elastic MapReduce API Reference</em>. This guide provides descriptions
and samples of the Amazon Elastic MapReduce APIs.</p>

<p>Amazon Elastic MapReduce is a web service that makes it easy to process large amounts of data
efficiently. Elastic MapReduce uses Hadoop processing combined with several AWS products to do
tasks such as web indexing, data mining, log file analysis, machine learning, scientific
simulation, and data warehousing.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2013.01.14";s:7:"license";s:57:"See the included NOTICE.md file for complete information.";s:9:"copyright";s:57:"See the included NOTICE.md file for complete information.";s:4:"link";a:2:{i:0;s:64:"http://aws.amazon.com/elasticmapreduce/ Amazon Elastic MapReduce";i:1;s:92:"http://aws.amazon.com/elasticmapreduce/documentation/ Amazon Elastic MapReduce documentation";}}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";s:3:"url";s:23:"../cfruntime/index.html";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"38";}s:6:"method";a:34:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:132:"<p>Constructs a new instance of <a href="../amazonemr/index.html" rel="../../index.html#i=amazonemr"><code>AmazonEMR</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1569:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazonemr/set_cache_config.html" rel="../../index.html#m=amazonemr/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:228:"public function __construct(array $options = array())
{
    $this-&gt;api_version = '2009-03-31';
    $this-&gt;hostname = self::DEFAULT_URL;
    $this-&gt;auth_class = 'AuthV2Query';

    return parent::__construct($options);
}";}i:1;a:8:{s:4:"name";s:19:"add_instance_groups";s:8:"modifier";s:6:"public";s:11:"description";s:69:"<p>AddInstanceGroups adds an instance group to a running cluster.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:15:"instance_groups";s:4:"type";s:5:"array";s:11:"description";s:1663:"<p>Instance Groups to add.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Optional - Friendly name given to the instance group. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Market</code> - <code>string</code> - Optional - Market type of the Amazon EC2 instances used to create a cluster node. [Allowed values: <code>ON_DEMAND</code>, <code>SPOT</code>]</li><li><code>InstanceRole</code> - <code>string</code> - Required - The role of the instance group in the cluster. [Allowed values: <code>MASTER</code>, <code>CORE</code>, <code>TASK</code>]</li><li><code>BidPrice</code> - <code>string</code> - Optional - Bid price for each Amazon EC2 instance in the instance group when launching nodes as Spot Instances, expressed in USD. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceType</code> - <code>string</code> - Required - The Amazon EC2 instance type for all instances in the instance group. [Constraints: The value must be between 1 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceCount</code> - <code>integer</code> - Required - Target number of instances for the instance group.</li></ul></li></ul>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"job_flow_id";s:4:"type";s:6:"string";s:11:"description";s:246:"<p>Job flow in which to add the instance groups. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:427:"public function add_instance_groups($instance_groups, $job_flow_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['JobFlowId'] = $job_flow_id;
    
    // Required list + map
    $opt = array_merge($opt, CFComplexType::map(array(
        'InstanceGroups' =&gt; (is_array($instance_groups) ? $instance_groups : array($instance_groups))
    ), 'member'));

    return $this-&gt;authenticate('AddInstanceGroups', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:51:"<p>Add instances to an existing Hadoop cluster.</p>";s:4:"code";s:321:"$emr = new AmazonEMR();

$response = $emr-&gt;add_instance_groups(array(
	array( // Group #1
		'InstanceCount' =&gt; 1,
		'InstanceRole' =&gt; 'TASK',
		'InstanceType' =&gt; 'm1.small',
		'Market' =&gt; 'ON_DEMAND',
		'Name' =&gt; 'my-hadoop-task-cluster',
	)
), $jobflow_id);

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";s:150:"<a href="../amazonemr/modify_instance_groups.html" rel="../../index.html#m=amazonemr/modify_instance_groups"><code>modify_instance_groups()</code></a>";}}i:2;a:8:{s:4:"name";s:18:"add_job_flow_steps";s:8:"modifier";s:6:"public";s:11:"description";s:1426:"<p>AddJobFlowSteps adds new steps to a running job flow. A maximum of 256 steps are allowed in
each job flow.</p>

<p>If your job flow is long-running (such as a Hive data warehouse) or complex, you may require
more than 256 steps to process your data. You can bypass the 256-step limitation in various
ways, including using the SSH shell to connect to the master node and submitting queries
directly to the software running on the master node, such as Hive and Hadoop. For more
information on how to do this, go to <a href=
"http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/AddMoreThan256Steps.html">Add
More than 256 Steps to a Job Flow</a> in the <em>Amazon Elastic MapReduce Developer&#8217;s
Guide</em>.</p>

<p>A step specifies the location of a JAR file stored either on the master node of the job flow or
in Amazon S3. Each step is performed by the main function of the main class of the JAR file.
The main class can be specified either in the manifest of the JAR or by using the MainFunction
parameter of the step.</p>

<p>Elastic MapReduce executes each step in the order listed. For a step to be considered complete,
the main function must exit with a zero exit code and all Hadoop jobs started while the step
was running must have completed and run successfully.</p>

<p>You can only add steps to a job flow that is in one of the following states: STARTING,
BOOTSTRAPPING, RUNNING, or WAITING.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"job_flow_id";s:4:"type";s:6:"string";s:11:"description";s:364:"<p>A string that uniquely identifies the job flow. This identifier is returned by <code>RunJobFlow</code> and can also be obtained from <code>DescribeJobFlows</code>. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"steps";s:4:"type";s:5:"array";s:11:"description";s:2783:"<p>A list of <code>StepConfig</code> to be executed by the job flow.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the job flow step. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>ActionOnFailure</code> - <code>string</code> - Optional - Specifies the action to take if the job flow step fails. [Allowed values: <code>TERMINATE_JOB_FLOW</code>, <code>CANCEL_AND_WAIT</code>, <code>CONTINUE</code>]</li><li><code>HadoopJarStep</code> - <code>array</code> - Required - Specifies the JAR file used for the job flow step. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Properties</code> - <code>array</code> - Optional - A list of Java properties that are set when the step runs. You can use these properties to pass key value pairs to your main function. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Key</code> - <code>string</code> - Optional - The unique identifier of a key value pair. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Value</code> - <code>string</code> - Optional - The value part of the identified key. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li></ul></li></ul></li><li><code>Jar</code> - <code>string</code> - Required - A path to a JAR file run during the step. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>MainClass</code> - <code>string</code> - Optional - The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Args</code> - <code>string|array</code> - Optional - A list of command line arguments passed to the JAR file&#8217;s main function when executed. Pass a string for a single value, or an indexed array for multiple values.</li></ul></li></ul></li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:375:"public function add_job_flow_steps($job_flow_id, $steps, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['JobFlowId'] = $job_flow_id;
    
    // Required list + map
    $opt = array_merge($opt, CFComplexType::map(array(
        'Steps' =&gt; (is_array($steps) ? $steps : array($steps))
    ), 'member'));

    return $this-&gt;authenticate('AddJobFlowSteps', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:41:"<p>Add steps to an existing job flow.</p>";s:4:"code";s:739:"$emr = new AmazonEMR();
$emr-&gt;set_region(AmazonEMR::REGION_IRELAND);
CFHadoopStep::$region = 'eu-west-1'; // Tell the Hadoop helpers to use the correct region.

$response = $emr-&gt;add_job_flow_steps('j-2PL8AAY8YJ06P', array(
	new CFStepConfig(array(
		'Name' =&gt; 'Enable Debugging',
		'ActionOnFailure' =&gt; 'CONTINUE',
		'HadoopJarStep' =&gt; CFHadoopStep::enable_debugging()
	)),
	new CFStepConfig(array(
		'Name' =&gt; 'Install Hive',
		'ActionOnFailure' =&gt; 'CONTINUE',
		'HadoopJarStep' =&gt; CFHadoopStep::install_hive()
	)),
	new CFStepConfig(array(
		'Name' =&gt; 'Install Pig',
		'ActionOnFailure' =&gt; 'CONTINUE',
		'HadoopJarStep' =&gt; CFHadoopStep::install_pig()
	))
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:152:"<a href="../cfhadoopstep/enable_debugging.html" rel="../../index.html#m=cfhadoopstep/enable_debugging"><code>CFHadoopStep::enable_debugging()</code></a>";i:1;s:140:"<a href="../cfhadoopstep/install_hive.html" rel="../../index.html#m=cfhadoopstep/install_hive"><code>CFHadoopStep::install_hive()</code></a>";i:2;s:137:"<a href="../cfhadoopstep/install_pig.html" rel="../../index.html#m=cfhadoopstep/install_pig"><code>CFHadoopStep::install_pig()</code></a>";i:3;s:149:"<a href="../cfhadoopstep/run_hive_script.html" rel="../../index.html#m=cfhadoopstep/run_hive_script"><code>CFHadoopStep::run_hive_script()</code></a>";i:4;s:146:"<a href="../cfhadoopstep/run_pig_script.html" rel="../../index.html#m=cfhadoopstep/run_pig_script"><code>CFHadoopStep::run_pig_script()</code></a>";i:5;s:134:"<a href="../cfstepconfig/get_config.html" rel="../../index.html#m=cfstepconfig/get_config"><code>CFStepConfig::get_config()</code></a>";i:6;s:138:"<a href="../amazonemr/describe_job_flows.html" rel="../../index.html#m=amazonemr/describe_job_flows"><code>describe_job_flows()</code></a>";i:7;s:120:"<a href="../amazonemr/run_job_flow.html" rel="../../index.html#m=amazonemr/run_job_flow"><code>run_job_flow()</code></a>";i:8;s:141:"<a href="../amazonemr/terminate_job_flows.html" rel="../../index.html#m=amazonemr/terminate_job_flows"><code>terminate_job_flows()</code></a>";}}}i:3;a:8:{s:4:"name";s:23:"allow_hostname_override";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:170:"<p>Disables any subsequent use of the <a href="../amazonemr/set_hostname.html" rel="../../index.html#m=amazonemr/set_hostname"><code>set_hostname()</code></a> method.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"override";s:4:"type";s:7:"boolean";s:11:"description";s:398:"<p>Whether or not subsequent calls to <a href="../amazonemr/set_hostname.html" rel="../../index.html#m=amazonemr/set_hostname"><code>set_hostname()</code></a> should be obeyed. A <code>false</code> value disables the further effectiveness of <a href="../amazonemr/set_hostname.html" rel="../../index.html#m=amazonemr/set_hostname"><code>set_hostname()</code></a>. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:124:"public function allow_hostname_override($override = true)
{
    $this-&gt;override_hostname = $override;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:4;a:7:{s:4:"name";s:12:"authenticate";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:69:"<p>Default, shared method for authenticating a connection to AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"operation";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>Indicates the operation to perform.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"payload";s:4:"type";s:5:"array";s:11:"description";s:106:"<p>An associative array of parameters for authenticating. See the individual methods for allowed keys.</p>";}}}s:11:"returnvalue";s:48:"<p>Object containing a parsed HTTP response.</p>";s:6:"source";s:6988:"public function authenticate($operation, $payload)
{
    $original_payload = $payload;
    $method_arguments = func_get_args();
    $curlopts = array();
    $return_curl_handle = false;

    if (substr($operation, 0, strlen($this-&gt;operation_prefix)) !== $this-&gt;operation_prefix)
    {
        $operation = $this-&gt;operation_prefix . $operation;
    }

    // Extract the custom CURLOPT settings from the payload
    if (is_array($payload) &amp;&amp; isset($payload['curlopts']))
    {
        $curlopts = $payload['curlopts'];
        unset($payload['curlopts']);
    }

    // Determine whether the response or curl handle should be returned
    if (is_array($payload) &amp;&amp; isset($payload['returnCurlHandle']))
    {
        $return_curl_handle = isset($payload['returnCurlHandle']) ? $payload['returnCurlHandle'] : false;
        unset($payload['returnCurlHandle']);
    }

    // Use the caching flow to determine if we need to do a round-trip to the server.
    if ($this-&gt;use_cache_flow)
    {
        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . $operation . '_' . sha1(serialize($method_arguments));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback'), $method_arguments);

        // Parse the XML body
        $data = $this-&gt;parse_callback($data);

        // End!
        return $data;
    }

    /*%******************************************************************************************%*/

    // Signer
    $signer = new $this-&gt;auth_class($this-&gt;hostname, $operation, $payload, $this-&gt;credentials);
    $signer-&gt;key = $this-&gt;key;
    $signer-&gt;secret_key = $this-&gt;secret_key;
    $signer-&gt;auth_token = $this-&gt;auth_token;
    $signer-&gt;api_version = $this-&gt;api_version;
    $signer-&gt;utilities_class = $this-&gt;utilities_class;
    $signer-&gt;request_class = $this-&gt;request_class;
    $signer-&gt;response_class = $this-&gt;response_class;
    $signer-&gt;use_ssl = $this-&gt;use_ssl;
    $signer-&gt;proxy = $this-&gt;proxy;
    $signer-&gt;util = $this-&gt;util;
    $signer-&gt;registered_streaming_read_callback = $this-&gt;registered_streaming_read_callback;
    $signer-&gt;registered_streaming_write_callback = $this-&gt;registered_streaming_write_callback;
    $request = $signer-&gt;authenticate();

    // Update RequestCore settings
    $request-&gt;request_class = $this-&gt;request_class;
    $request-&gt;response_class = $this-&gt;response_class;
    $request-&gt;ssl_verification = $this-&gt;ssl_verification;

    /*%******************************************************************************************%*/

    // Debug mode
    if ($this-&gt;debug_mode)
    {
        $request-&gt;debug_mode = $this-&gt;debug_mode;
    }

    // Set custom CURLOPT settings
    if (count($curlopts))
    {
        $request-&gt;set_curlopts($curlopts);
    }

    // Manage the (newer) batch request API or the (older) returnCurlHandle setting.
    if ($this-&gt;use_batch_flow)
    {
        $handle = $request-&gt;prep_request();
        $this-&gt;batch_object-&gt;add($handle);
        $this-&gt;use_batch_flow = false;

        return $handle;
    }
    elseif ($return_curl_handle)
    {
        return $request-&gt;prep_request();
    }

    // Send!
    $request-&gt;send_request();

    // Prepare the response.
    $headers = $request-&gt;get_response_header();
    $headers['x-aws-stringtosign'] = $signer-&gt;string_to_sign;

    if (isset($signer-&gt;canonical_request))
    {
        $headers['x-aws-canonicalrequest'] = $signer-&gt;canonical_request;
    }

    $headers['x-aws-request-headers'] = $request-&gt;request_headers;
    $headers['x-aws-body'] = $signer-&gt;querystring;

    $data = new $this-&gt;response_class($headers, ($this-&gt;parse_the_response === true) ? $this-&gt;parse_callback($request-&gt;get_response_body()) : $request-&gt;get_response_body(), $request-&gt;get_response_code());

    $response_body = (string) $request-&gt;get_response_body();

    // Was it Amazon's fault the request failed? Retry the request until we reach $max_retries.
    if (
        (integer) $request-&gt;get_response_code() === 500 || // Internal Error (presumably transient)
        (integer) $request-&gt;get_response_code() === 503)   // Service Unavailable (presumably transient)
    {
        if ($this-&gt;redirects &lt;= $this-&gt;max_retries)
        {
            // Exponential backoff
            $delay = (integer) (pow(4, $this-&gt;redirects) * 100000);
            usleep($delay);
            $this-&gt;redirects++;
            $data = $this-&gt;authenticate($operation, $original_payload);
        }
    }

    // DynamoDB has additional, custom logic for retrying requests
    else
    {
        // If the request to DynamoDB was throttled, we need to retry
        $need_to_retry_dynamodb_request = (
            (integer) $request-&gt;get_response_code() === 400 &amp;&amp;
            stripos($response_body, 'com.amazonaws.dynamodb.') !== false &amp;&amp;
            stripos($response_body, 'ProvisionedThroughputExceededException') !== false
        );

        // If the CRC32 of the response does not match the expected value, we need to retry
        $response_headers = $request-&gt;get_response_header();
        if (!$need_to_retry_dynamodb_request &amp;&amp; isset($response_headers['x-amz-crc32']))
        {
            $crc32_expected = $response_headers['x-amz-crc32'];
            $crc32_actual = hexdec(hash('crc32b', $response_body));
            $need_to_retry_dynamodb_request = ($crc32_expected != $crc32_actual);
        }

        // Perform retry if necessary using a more aggressive exponential backoff
        if ($need_to_retry_dynamodb_request)
        {
            if ($this-&gt;redirects === 0)
            {
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
            elseif ($this-&gt;redirects &lt;= max($this-&gt;max_retries, 10))
            {
                // Exponential backoff
                $delay = (integer) (pow(2, ($this-&gt;redirects - 1)) * 50000);
                usleep($delay);
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
        }
    }

    $this-&gt;redirects = 0;
    return $data;
}";}i:5;a:8:{s:4:"name";s:5:"batch";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:86:"<p>Specifies that the intended request should be queued for a later batch request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"queue";s:4:"type";s:14:"CFBatchRequest";s:11:"description";s:327:"<p>The <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a> instance to use for managing batch requests. If not available, it generates a new instance of <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:477:"public function batch(CFBatchRequest &amp;$queue = null)
{
    if ($queue)
    {
        $this-&gt;batch_object = $queue;
    }
    elseif ($this-&gt;internal_batch_object)
    {
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }
    else
    {
        $this-&gt;internal_batch_object = new $this-&gt;batch_class();
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }

    $this-&gt;use_batch_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:6;a:8:{s:4:"name";s:5:"cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:323:"<p>Specifies that the resulting <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object should be cached according to the settings from
<a href="../amazonemr/set_cache_config.html" rel="../../index.html#m=amazonemr/set_cache_config"><code>set_cache_config()</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"expires";s:4:"type";s:14:"string|integer";s:11:"description";s:232:"<p>The time the cache is to expire. Accepts a number of seconds as an integer, or an amount of time, as a string, that is understood by <a href="http://php.net/strtotime"><code>strtotime()</code></a> (e.g. &#8220;1 hour&#8221;).</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:501:"public function cache($expires)
{
    // Die if they haven't used set_cache_config().
    if (!$this-&gt;cache_class)
    {
        throw new CFRuntime_Exception('Must call set_cache_config() before using cache()');
    }

    if (is_string($expires))
    {
        $expires = strtotime($expires);
        $this-&gt;cache_expires = $expires - time();
    }
    elseif (is_int($expires))
    {
        $this-&gt;cache_expires = $expires;
    }

    $this-&gt;use_cache_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:5:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:2;a:4:{s:5:"title";s:70:"<p>Fire a single request, and then cache the response to Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:338:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:3;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:4;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:7;a:7:{s:4:"name";s:34:"cache_instance_profile_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:139:"<p>Fetches and caches EC2 instance profile credentials. This is meant to be used by the constructor, and is not to
be manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:2563:"public function cache_instance_profile_credentials($cache, $options)
{
    $instance_profile_url = 'http://169.254.169.254/latest/meta-data/iam/security-credentials/';
    $connect_timeout = isset($options['instance_profile_timeout']) ? $options['instance_profile_timeout'] : 2;

    try
    {
        // Make a call to the EC2 Metadata Service to find the available instance profile
        $request = new RequestCore($instance_profile_url);
        $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
        $response = $request-&gt;send_request(true);

        if ($response-&gt;isOK())
        {
            // Get the instance profile name
            $profile = (string) $response-&gt;body;

            // Make a call to the EC2 Metadata Service to get the instance profile credentials
            $request = new RequestCore($instance_profile_url . $profile);
            $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
            $response = $request-&gt;send_request(true);

            if ($response-&gt;isOK())
            {
                // Get the credentials
                $credentials = json_decode($response-&gt;body, true);

                if ($credentials['Code'] === 'Success')
                {
                    // Determine the expiration time
                    $expiration_time = strtotime((string) $credentials['Expiration']);
                    $expiration_duration = round(($expiration_time - time()) * 0.85);
                    $cache-&gt;expire_in($expiration_duration);

                    // Return the credential information
                    return array(
                        'key'     =&gt; $credentials['AccessKeyId'],
                        'secret'  =&gt; $credentials['SecretAccessKey'],
                        'token'   =&gt; $credentials['Token'],
                        'expires' =&gt; $credentials['Expiration'],
                    );
                }
            }
        }
    }
    catch (cURL_Exception $e)
    {
        // The EC2 Metadata Service does not exist or had timed out.
        // An exception will be thrown on the next line.
    }

    // @codeCoverageIgnoreStart
    throw new CFCredentials_Exception('No credentials were provided. The SDK attempted to retrieve Instance '
        . 'Profile credentials from the EC2 Instance Metadata Service, but failed to do so. Instance profile '
        . 'credentials are only accessible on EC2 instances configured with a specific IAM role.');
    // @codeCoverageIgnoreEnd
}";}i:8;a:7:{s:4:"name";s:21:"cache_sts_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:122:"<p>Fetches and caches STS credentials. This is meant to be used by the constructor, and is not to be
manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:1226:"public function cache_sts_credentials($cache, $options)
{
    $token = new AmazonSTS($options);
    $response = $token-&gt;get_session_token();

    if ($response-&gt;isOK())
    {
        // Update the expiration
        $expiration_time = strtotime((string) $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials-&gt;Expiration);
        $expiration_duration = round(($expiration_time - time()) * 0.85);
        $cache-&gt;expire_in($expiration_duration);

        // Return the important data
        $credentials = $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials;

        return array(
            'key'     =&gt; (string) $credentials-&gt;AccessKeyId,
            'secret'  =&gt; (string) $credentials-&gt;SecretAccessKey,
            'token'   =&gt; (string) $credentials-&gt;SessionToken,
            'expires' =&gt; (string) $credentials-&gt;Expiration,
        );
    }

    // @codeCoverageIgnoreStart
    throw new STS_Exception('Temporary credentials from the AWS Security '
        . 'Token Service could not be retrieved using the provided long '
        . 'term credentials. It\'s possible that the provided long term '
        . 'credentials were invalid.');
    // @codeCoverageIgnoreEnd
}";}i:9;a:7:{s:4:"name";s:12:"delete_cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:169:"<p>Deletes a cached <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object using the specified cache storage type.</p>";s:11:"returnvalue";s:118:"<p>A value of <code>true</code> if cached object exists and is successfully deleted, otherwise <code>false</code>.</p>";s:6:"source";s:125:"public function delete_cache()
{
    $this-&gt;use_cache_flow = true;
    $this-&gt;delete_cache = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:4:{s:5:"title";s:41:"<p>Delete a cached response from APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:169:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:11:"bool(false)";}i:1;a:4:{s:5:"title";s:53:"<p>Delete a cached response from the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:173:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}i:2;a:4:{s:5:"title";s:46:"<p>Delete a cached response from Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:205:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}}}}i:10;a:8:{s:4:"name";s:18:"describe_job_flows";s:8:"modifier";s:6:"public";s:11:"description";s:777:"<p>DescribeJobFlows returns a list of job flows that match all of the supplied parameters. The
parameters can include a list of job flow IDs, job flow states, and restrictions on job flow
creation date and time.</p>

<p>Regardless of supplied parameters, only job flows created within the last two months are
returned.</p>

<p>If no parameters are supplied, then job flows matching either of the following criteria are
returned:</p>

<ul><li>Job flows created and completed in the last two weeks</li><li>Job flows created within the last two months that are in one of the following states:
<code>RUNNING</code>, <code>WAITING</code>, <code>SHUTTING_DOWN</code>, <code>STARTING</code></li></ul>

<p>Amazon Elastic MapReduce can return a maximum of 512 job flow descriptions.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1498:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CreatedAfter</code> - <code>string</code> - Optional - Return only job flows created after this date and time. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>CreatedBefore</code> - <code>string</code> - Optional - Return only job flows created before this date and time. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>JobFlowIds</code> - <code>string|array</code> - Optional - Return only job flows whose job flow ID is contained in this list. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>JobFlowStates</code> - <code>string|array</code> - Optional - Return only job flows whose state is contained in this list. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:1143:"public function describe_job_flows($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional DateTime
    if (isset($opt['CreatedAfter']))
    {
        $opt['CreatedAfter'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['CreatedAfter']);
    }
    
    // Optional DateTime
    if (isset($opt['CreatedBefore']))
    {
        $opt['CreatedBefore'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['CreatedBefore']);
    }

    // Optional list (non-map)
    if (isset($opt['JobFlowIds']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'JobFlowIds' =&gt; (is_array($opt['JobFlowIds']) ? $opt['JobFlowIds'] : array($opt['JobFlowIds']))
        ), 'member'));
        unset($opt['JobFlowIds']);
    }
    
    // Optional list (non-map)
    if (isset($opt['JobFlowStates']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'JobFlowStates' =&gt; (is_array($opt['JobFlowStates']) ? $opt['JobFlowStates'] : array($opt['JobFlowStates']))
        ), 'member'));
        unset($opt['JobFlowStates']);
    }

    return $this-&gt;authenticate('DescribeJobFlows', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:4:{i:0;a:3:{s:5:"title";s:30:"<p>Describe all job flows.</p>";s:4:"code";s:112:"$emr = new AmazonEMR();

$response = $emr-&gt;describe_job_flows();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:53:"<p>Describe job flows from a specific date range.</p>";s:4:"code";s:192:"$emr = new AmazonEMR();

$response = $emr-&gt;describe_job_flows(array(
	'CreatedAfter' =&gt; 'last month',
	'CreatedBefore' =&gt; 'yesterday',
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:2;a:3:{s:5:"title";s:53:"<p>Describe job flows from a specific date range.</p>";s:4:"code";s:220:"$emr = new AmazonEMR();

$response = $emr-&gt;describe_job_flows(array(
	'CreatedAfter' =&gt; '1 January 2010, 12:00am',
	'CreatedBefore' =&gt; '28 February 2010, 5:42pm',
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:3;a:3:{s:5:"title";s:49:"<p>Describe all job flows with a given state.</p>";s:4:"code";s:171:"$emr = new AmazonEMR();

$response = $emr-&gt;describe_job_flows(array(
	'JobFlowStates' =&gt; array('RUNNING', 'WAITING')
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:152:"<a href="../cfhadoopstep/enable_debugging.html" rel="../../index.html#m=cfhadoopstep/enable_debugging"><code>CFHadoopStep::enable_debugging()</code></a>";i:1;s:140:"<a href="../cfhadoopstep/install_hive.html" rel="../../index.html#m=cfhadoopstep/install_hive"><code>CFHadoopStep::install_hive()</code></a>";i:2;s:137:"<a href="../cfhadoopstep/install_pig.html" rel="../../index.html#m=cfhadoopstep/install_pig"><code>CFHadoopStep::install_pig()</code></a>";i:3;s:149:"<a href="../cfhadoopstep/run_hive_script.html" rel="../../index.html#m=cfhadoopstep/run_hive_script"><code>CFHadoopStep::run_hive_script()</code></a>";i:4;s:146:"<a href="../cfhadoopstep/run_pig_script.html" rel="../../index.html#m=cfhadoopstep/run_pig_script"><code>CFHadoopStep::run_pig_script()</code></a>";i:5;s:134:"<a href="../cfstepconfig/get_config.html" rel="../../index.html#m=cfstepconfig/get_config"><code>CFStepConfig::get_config()</code></a>";i:6;s:138:"<a href="../amazonemr/add_job_flow_steps.html" rel="../../index.html#m=amazonemr/add_job_flow_steps"><code>add_job_flow_steps()</code></a>";i:7;s:120:"<a href="../amazonemr/run_job_flow.html" rel="../../index.html#m=amazonemr/run_job_flow"><code>run_job_flow()</code></a>";i:8;s:141:"<a href="../amazonemr/terminate_job_flows.html" rel="../../index.html#m=amazonemr/terminate_job_flows"><code>terminate_job_flows()</code></a>";}}}i:11;a:7:{s:4:"name";s:11:"disable_ssl";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:312:"<p>Disables SSL/HTTPS connections for hosts that don&#8217;t support them. Some services, however, still
require SSL support.</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:192:"public function disable_ssl()
{
    trigger_error('Disabling SSL connections is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;use_ssl = false;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:35:"<p>Disable SSL for the service.</p>";s:11:"description";s:170:"<ul>
<li><strong>Note:</strong> It is not recommended to disable SSL.</li>
<li><strong>Note:</strong> This method is inherited by all service-specific classes.</li>
</ul>";s:4:"code";s:175:"// Disable SSL (Using @ to suppress the warning from the output)
$sdb = new AmazonSDB();
@$sdb-&gt;disable_ssl(true);

// Test if the value was set
var_dump($sdb-&gt;use_ssl);";s:6:"result";s:11:"bool(false)";}}}i:12;a:7:{s:4:"name";s:24:"disable_ssl_verification";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:402:"<p>Disables the verification of the SSL Certificate Authority. Doing so can enable an attacker to carry
out a man-in-the-middle attack.</p>

<p>https://secure.wikimedia.org/wikipedia/en/wiki/Man-in-the-middle_attack</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"ssl_verification";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:314:"public function disable_ssl_verification($ssl_verification = false)
{
    trigger_error('Disabling the verification of SSL certificates can lead to man-in-the-middle attacks. It is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;ssl_verification = $ssl_verification;
    return $this;
}";}i:13;a:8:{s:4:"name";s:17:"enable_debug_mode";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:75:"<p>Enables HTTP request/response header logging to <code>STDERR</code>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"enabled";s:4:"type";s:7:"boolean";s:11:"description";s:74:"<p>Whether or not to enable debug mode. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:109:"public function enable_debug_mode($enabled = true)
{
    $this-&gt;debug_mode = $enabled;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:82:"<p>Enable the logging of HTTP request/response headers to <code>STDERR</code>.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;enable_debug_mode();

// Test if the value was set
var_dump($sdb-&gt;debug_mode);";s:6:"result";s:10:"bool(true)";}}}i:14;a:7:{s:4:"name";s:7:"factory";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1569:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazonemr/set_cache_config.html" rel="../../index.html#m=amazonemr/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:303:"public static function factory(array $options = array())
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::factory().');
    }

    $self = get_called_class();
    return new $self($options);
}";}i:15;a:8:{s:4:"name";s:22:"modify_instance_groups";s:8:"modifier";s:6:"public";s:11:"description";s:254:"<p>ModifyInstanceGroups modifies the number of nodes and configuration settings of an instance
group. The input parameters include the new target instance count for the group and the
instance group ID. The call will either succeed or fail atomically.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1157:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>InstanceGroups</code> - <code>array</code> - Optional - Instance groups to change. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>InstanceGroupId</code> - <code>string</code> - Required - Unique ID of the instance group to expand or shrink. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceCount</code> - <code>integer</code> - Required - Target size for the instance group.</li></ul></li></ul></li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:422:"public function modify_instance_groups($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional list + map
    if (isset($opt['InstanceGroups']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'InstanceGroups' =&gt; $opt['InstanceGroups']
        ), 'member'));
        unset($opt['InstanceGroups']);
    }

    return $this-&gt;authenticate('ModifyInstanceGroups', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:73:"<p>Modify the size of an existing instance group in a Hadoop cluster.</p>";s:11:"description";s:139:"<p>Unfortunately, there&#8217;s no easy way to get the InstanceGroupId. We&#8217;ll need to do some queries to to get the data we need.</p>";s:4:"code";s:642:"$emr = new AmazonEMR();

// Look up the data for our job flow
$description = $emr-&gt;describe_job_flows(array(
	'JobFlowIds' =&gt; 'j-2PL8AAY8YJ06P'
));

// Query the response with an XPath expression to get the InstanceGroupId
$instance_group_id = $description-&gt;body
	-&gt;query('descendant-or-self::InstanceGroups/member[Name = &quot;my-hadoop-task-cluster&quot;]/InstanceGroupId')
	-&gt;first()
	-&gt;to_string();

$response = $emr-&gt;modify_instance_groups(array(
	'InstanceGroups' =&gt; array(
		array(
			'InstanceGroupId' =&gt; $instance_group_id,
			'InstanceCount' =&gt; 2
		)
	)
));

// Success?
var_dump($response-&gt;isOK());";}}s:7:"related";a:1:{s:6:"method";s:141:"<a href="../amazonemr/add_instance_groups.html" rel="../../index.html#m=amazonemr/add_instance_groups"><code>add_instance_groups()</code></a>";}}i:16;a:8:{s:4:"name";s:32:"register_streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:753:"<p>Register a callback function to execute whenever a data stream is read from using
<a href="../cfrequest/streaming_read_callback.html" rel="../../index.html#m=cfrequest/streaming_read_callback"><code>CFRequest::streaming_read_callback()</code></a>.</p>

<p>The user-defined callback function should accept three arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$file_handle</code> - <code>resource</code> - Required - The file handle resource that represents the file on the local file system.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:143:"public function register_streaming_read_callback($callback)
{
    $this-&gt;registered_streaming_read_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:85:"<p>Register a callback function to execute when data is read from an open stream.</p>";s:4:"code";s:694:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $file_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is read locally.
$s3-&gt;register_streaming_read_callback('callback');

// Download a public object.
$response = $s3-&gt;create_object('my-bucket', 'my-large-file.mp4', array(
	'fileUpload' =&gt; './uploads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:17;a:8:{s:4:"name";s:33:"register_streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:608:"<p>Register a callback function to execute whenever a data stream is written to using
<a href="../cfrequest/streaming_write_callback.html" rel="../../index.html#m=cfrequest/streaming_write_callback"><code>CFRequest::streaming_write_callback()</code></a>.</p>

<p>The user-defined callback function should accept two arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:145:"public function register_streaming_write_callback($callback)
{
    $this-&gt;registered_streaming_write_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:86:"<p>Register a callback function to execute when data is written to an open stream.</p>";s:4:"code";s:685:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is written locally.
$s3-&gt;register_streaming_write_callback('callback');

// Download a public object.
$response = $s3-&gt;get_object('my-bucket', 'my-large-file.mp4', array(
	'fileDownload' =&gt; './downloads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:18;a:8:{s:4:"name";s:12:"run_job_flow";s:8:"modifier";s:6:"public";s:11:"description";s:1560:"<p>RunJobFlow creates and starts running a new job flow. The job flow will run the steps
specified. Once the job flow completes, the cluster is stopped and the HDFS partition is lost.
To prevent loss of data, configure the last step of the job flow to store results in Amazon S3.
If the <code>JobFlowInstancesConfig</code> <code>KeepJobFlowAliveWhenNoSteps</code> parameter
is set to <code>TRUE</code>, the job flow will transition to the WAITING state rather than
shutting down once the steps have completed.</p>

<p>For additional protection, you can set the <code>JobFlowInstancesConfig</code>
<code>TerminationProtected</code> parameter to <code>TRUE</code> to lock the job flow and
prevent it from being terminated by API call, user intervention, or in the event of a job flow
error.</p>

<p>A maximum of 256 steps are allowed in each job flow.</p>

<p>If your job flow is long-running (such as a Hive data warehouse) or complex, you may require
more than 256 steps to process your data. You can bypass the 256-step limitation in various
ways, including using the SSH shell to connect to the master node and submitting queries
directly to the software running on the master node, such as Hive and Hadoop. For more
information on how to do this, go to <a href=
"http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/AddMoreThan256Steps.html">Add
More than 256 Steps to a Job Flow</a> in the <em>Amazon Elastic MapReduce Developer&#8217;s
Guide</em>.</p>

<p>For long running job flows, we recommend that you periodically store your results.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:226:"<p>The name of the job flow. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"instances";s:4:"type";s:5:"array";s:11:"description";s:5438:"<p>A specification of the number and type of Amazon EC2 instances on which to run the job flow.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>MasterInstanceType</code> - <code>string</code> - Optional - The EC2 instance type of the master node. [Constraints: The value must be between 1 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>SlaveInstanceType</code> - <code>string</code> - Optional - The EC2 instance type of the slave nodes. [Constraints: The value must be between 1 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceCount</code> - <code>integer</code> - Optional - The number of Amazon EC2 instances used to execute the job flow.</li><li><code>InstanceGroups</code> - <code>array</code> - Optional - Configuration for the job flow&#8217;s instance groups. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Optional - Friendly name given to the instance group. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Market</code> - <code>string</code> - Optional - Market type of the Amazon EC2 instances used to create a cluster node. [Allowed values: <code>ON_DEMAND</code>, <code>SPOT</code>]</li><li><code>InstanceRole</code> - <code>string</code> - Required - The role of the instance group in the cluster. [Allowed values: <code>MASTER</code>, <code>CORE</code>, <code>TASK</code>]</li><li><code>BidPrice</code> - <code>string</code> - Optional - Bid price for each Amazon EC2 instance in the instance group when launching nodes as Spot Instances, expressed in USD. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceType</code> - <code>string</code> - Required - The Amazon EC2 instance type for all instances in the instance group. [Constraints: The value must be between 1 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>InstanceCount</code> - <code>integer</code> - Required - Target number of instances for the instance group.</li></ul></li></ul></li><li><code>Ec2KeyName</code> - <code>string</code> - Optional - Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called &#8220;hadoop.&#8221; [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Placement</code> - <code>array</code> - Optional - Specifies the Availability Zone the job flow will run in. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>AvailabilityZone</code> - <code>string</code> - Required - The Amazon EC2 Availability Zone for the job flow. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li></ul></li></ul></li><li><code>KeepJobFlowAliveWhenNoSteps</code> - <code>boolean</code> - Optional - Specifies whether the job flow should terminate after completing all steps.</li><li><code>TerminationProtected</code> - <code>boolean</code> - Optional - Specifies whether to lock the job flow to prevent the Amazon EC2 instances from being terminated by API call, user intervention, or in the event of a job flow error.</li><li><code>HadoopVersion</code> - <code>string</code> - Optional - Specifies the Hadoop version for the job flow. Valid inputs are &#8220;0.18&#8221;, &#8220;0.20&#8221;, or &#8220;0.20.205&#8221;. If you do not set this value, the default of 0.18 is used, unless the AmiVersion parameter is set in the RunJobFlow call, in which case the default version of Hadoop for that AMI version is used. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Ec2SubnetId</code> - <code>string</code> - Optional - To launch the job flow in Amazon Virtual Private Cloud (Amazon VPC), set this parameter to the identifier of the Amazon VPC subnet where you want the job flow to launch. If you do not specify this value, the job flow is launched in the normal Amazon Web Services cloud, outside of an Amazon VPC. Amazon VPC currently does not support cluster compute quadruple extra large (cc1.4xlarge) instances. Thus you cannot specify the cc1.4xlarge instance type for nodes of a job flow launched in a Amazon VPC. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:8346:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>LogUri</code> - <code>string</code> - Optional - Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>AdditionalInfo</code> - <code>string</code> - Optional - A JSON string for selecting additional features. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>AmiVersion</code> - <code>string</code> - Optional - The version of the Amazon Machine Image (AMI) to use when launching Amazon EC2 instances in the job flow. The following values are valid:<ul><li>&#8220;latest&#8221; (uses the latest AMI)</li><li>The version number of the AMI to use, for example, &#8220;2.0&#8221;</li></ul>If this value is not specified, the job flow uses the default of (AMI 1.0, Hadoop 0.18). If the AMI supports multiple versions of Hadoop (for example, AMI 1.0 supports both Hadoop 0.18 and 0.20) you can use the <code>JobFlowInstancesConfig</code> <code>HadoopVersion</code> parameter to modify the version of Hadoop from the defaults shown above. For details about the AMI versions currently supported by Amazon ElasticMapReduce, go to <a href="http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/EnvironmentConfig_AMIVersion.html#ami-versions-supported">AMI Versions Supported in Elastic MapReduce</a> in the <em>Amazon Elastic MapReduce Developer&#8217;s Guide.</em> [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Steps</code> - <code>array</code> - Optional - A list of steps to be executed by the job flow. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the job flow step. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>ActionOnFailure</code> - <code>string</code> - Optional - Specifies the action to take if the job flow step fails. [Allowed values: <code>TERMINATE_JOB_FLOW</code>, <code>CANCEL_AND_WAIT</code>, <code>CONTINUE</code>]</li><li><code>HadoopJarStep</code> - <code>array</code> - Required - Specifies the JAR file used for the job flow step. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Properties</code> - <code>array</code> - Optional - A list of Java properties that are set when the step runs. You can use these properties to pass key value pairs to your main function. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Key</code> - <code>string</code> - Optional - The unique identifier of a key value pair. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Value</code> - <code>string</code> - Optional - The value part of the identified key. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li></ul></li></ul></li><li><code>Jar</code> - <code>string</code> - Required - A path to a JAR file run during the step. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>MainClass</code> - <code>string</code> - Optional - The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Args</code> - <code>string|array</code> - Optional - A list of command line arguments passed to the JAR file&#8217;s main function when executed. Pass a string for a single value, or an indexed array for multiple values.</li></ul></li></ul></li></ul></li></ul></li><li><code>BootstrapActions</code> - <code>array</code> - Optional - A list of bootstrap actions that will be run before Hadoop is started on the cluster nodes. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Name</code> - <code>string</code> - Required - The name of the bootstrap action. [Constraints: The value must be between 0 and 256 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>ScriptBootstrapAction</code> - <code>array</code> - Required - The script run by the bootstrap action. <ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>Path</code> - <code>string</code> - Required - Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>Args</code> - <code>string|array</code> - Optional - A list of command line arguments to pass to the bootstrap action script. Pass a string for a single value, or an indexed array for multiple values.</li></ul></li></ul></li></ul></li></ul></li><li><code>SupportedProducts</code> - <code>string|array</code> - Optional - A list of strings that indicates third-party software to use with the job flow. For more information, go to <a href="http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/emr-supported-products.html">Use Third Party Applications with Amazon EMR</a>. Currently supported values are:<ul><li>&#8220;karmasphere-enterprise-utility&#8221; - tag the job flow for management by <a href="http://aws.amazon.com/elasticmapreduce/karmasphere/">Karmasphere.</a> </li><li>&#8220;mapr-m3&#8221; - launch the job flow using MapR M3 Edition.</li><li>&#8220;mapr-m5&#8221; - launch the job flow using MapR M5 Edition.</li></ul> Pass a string for a single value, or an indexed array for multiple values.</li><li><code>VisibleToAllUsers</code> - <code>boolean</code> - Optional - Whether the job flow is visible to all IAM users of the AWS account associated with the job flow. If this value is set to <code>true</code>, all IAM users of that AWS account can view and (if they have the proper policy permissions set) manage the job flow. If it is set to <code>false</code>, only the IAM user that created the job flow can view and manage it.</li><li><code>JobFlowRole</code> - <code>string</code> - Optional - An IAM role for the job flow. The EC2 instances of the job flow assume this role. The default role is <code>EMRJobflowDefault</code>. In order to use the default role, you must have already created it using the CLI. [Constraints: The value must be between 0 and 10280 characters, and must match the following regular expression pattern: <code>[\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*</code>]</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:1214:"public function run_job_flow($name, $instances, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['Name'] = $name;
    
    // Required map (non-list)
    $opt = array_merge($opt, CFComplexType::map(array(
        'Instances' =&gt; (is_array($instances) ? $instances : array($instances))
    ), 'member'));

    // Optional list + map
    if (isset($opt['Steps']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'Steps' =&gt; $opt['Steps']
        ), 'member'));
        unset($opt['Steps']);
    }
    
    // Optional list + map
    if (isset($opt['BootstrapActions']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'BootstrapActions' =&gt; $opt['BootstrapActions']
        ), 'member'));
        unset($opt['BootstrapActions']);
    }
    
    // Optional list (non-map)
    if (isset($opt['SupportedProducts']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'SupportedProducts' =&gt; (is_array($opt['SupportedProducts']) ? $opt['SupportedProducts'] : array($opt['SupportedProducts']))
        ), 'member'));
        unset($opt['SupportedProducts']);
    }

    return $this-&gt;authenticate('RunJobFlow', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:4:{s:5:"title";s:71:"<p>Create and run a new Hadoop job flow without any starting steps.</p>";s:11:"description";s:140:"<p>If a new Hadoop job is created this way (i.e., without steps), steps must be added to the job with <code>add_job_flow_steps()</code>.</p>";s:4:"code";s:727:"$emr = new AmazonEMR();

$response = $emr-&gt;run_job_flow('my-hadoop-job', array(
	'Ec2KeyName' =&gt; 'hadoop',
	'HadoopVersion' =&gt; '0.20',
	'KeepJobFlowAliveWhenNoSteps' =&gt; 'true',
	'InstanceGroups' =&gt; array(
		array( // Group #1
			'InstanceCount' =&gt; 1,
			'InstanceRole' =&gt; 'MASTER',
			'InstanceType' =&gt; 'm1.small',
			'Market' =&gt; 'ON_DEMAND',
			'Name' =&gt; 'my-hadoop-cluster',
		),
		array( // Group #2
			'InstanceCount' =&gt; 1,
			'InstanceRole' =&gt; 'CORE',
			'InstanceType' =&gt; 'm1.small',
			'Market' =&gt; 'ON_DEMAND',
			'Name' =&gt; 'my-hadoop-core-cluster',
		)
	),
	'Placement' =&gt; array(
		'AvailabilityZone' =&gt; 'us-east-1d'
	)
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:4:{s:5:"title";s:66:"<p>Create and run a new Hadoop job flow using pre-built steps.</p>";s:11:"description";s:92:"<p>The <code>CFHadoopStep</code> class contains pre-built Hadoop steps that can be used.</p>";s:4:"code";s:1337:"$emr = new AmazonEMR();

$response = $emr-&gt;run_job_flow('my-hadoop-job', array(

	// Required parameters
	'Ec2KeyName' =&gt; 'hadoop',
	'KeepJobFlowAliveWhenNoSteps' =&gt; 'true',
	'InstanceGroups' =&gt; array(
		array( // Group #1
			'InstanceCount' =&gt; 1,
			'InstanceRole' =&gt; 'MASTER',
			'InstanceType' =&gt; 'm1.small',
			'Market' =&gt; 'ON_DEMAND',
			'Name' =&gt; 'my-hadoop-cluster',
		)
	),
	'Placement' =&gt; array(
		'AvailabilityZone' =&gt; 'us-east-1d'
	)
), array(

	// Optional parameters
	'LogUri' =&gt; 's3n://my-hadoop-logging-bucket',
	'AmiVersion' =&gt; '2.0',
	'AdditionalInfo' =&gt; json_encode(array(
		'Username' =&gt; 'user',
		'Password' =&gt; 'secret-pass'
	)),
	'Steps' =&gt; array(
		new CFStepConfig(array(
			'Name' =&gt; 'Install Hive',
			'ActionOnFailure' =&gt; 'CONTINUE',
			'HadoopJarStep' =&gt; CFHadoopStep::install_hive()
		)),
		new CFStepConfig(array(
			'Name' =&gt; 'Install Pig',
			'ActionOnFailure' =&gt; 'CONTINUE',
			'HadoopJarStep' =&gt; CFHadoopStep::install_pig()
		)),
		new CFStepConfig(array(
			'Name' =&gt; 'Custom Job Step',
			'ActionOnFailure' =&gt; 'TERMINATE_JOB_FLOW',
			'HadoopJarStep' =&gt; array(
				'Jar' =&gt; 's3://my-bucket/my-hadoop.jar',
				'Args' =&gt; array('--my-task', '-v', 'my-value')
			)
		))
	)
));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:2;a:3:{s:5:"title";s:35:"<p>Construct a Bootstrap Action</p>";s:11:"description";s:218:"<p>This example shows how to:</p>

<ol>
<li>Pass arguments to Hive scripts run by the job flow.</li>
<li>Invoke a bootstrap action to configure Hadoop.</li>
<li>Specify the Hive versions for a job flow step.</li>
</ol>";s:4:"code";s:2187:"$emr = new AmazonEMR();

$response = $emr-&gt;run_job_flow('my-hadoop-job', array(

	// Required parameters
	'TerminationProtected'        =&gt; 'false',
	'HadoopVersion'               =&gt; '0.20.205',
	'Ec2KeyName'                  =&gt; 'hadoop',
	'KeepJobFlowAliveWhenNoSteps' =&gt; 'false',
	'InstanceGroups'              =&gt; array(
		array(
			'Name'          =&gt; 'Master Instance Group',
			'Market'        =&gt; 'ON_DEMAND',
			'InstanceType'  =&gt; 'm1.small',
			'InstanceCount' =&gt; 1,
			'InstanceRole'  =&gt; 'MASTER',
		),
		array(
			'Name'          =&gt; 'Core Instance Group',
			'Market'        =&gt; 'ON_DEMAND',
			'InstanceType'  =&gt; 'm1.small',
			'InstanceCount' =&gt; 1,
			'InstanceRole'  =&gt; 'CORE',
		),
	),
), array(

	// Optional parameters
	'Name'             =&gt; 'My Job',
	'AmiVersion'       =&gt; 'latest',
	'LogUri'           =&gt; 's3n://my-hadoop-logging-bucket/',
	'AdditionalInfo'   =&gt; json_encode(array(
		'Username' =&gt; 'user',
		'Password' =&gt; 'secret-pass'
	)),
	'BootstrapActions' =&gt; array(
		array(
			'Name'                  =&gt; 'Bootstrap Action 1',
			'ScriptBootstrapAction' =&gt; array(
				'Path' =&gt; 's3://elasticmapreduce/bootstrap-actions/configure-hadoop',
				'Args' =&gt; array(
					'--mapred-config-file',
					's3://bandish-test/mapred-site.xml',
				),
			),
		),
	),
	'Steps' =&gt; array(
		new CFStepConfig(array(
			'Name'            =&gt; 'Setup Hive',
			'ActionOnFailure' =&gt; 'TERMINATE_JOB_FLOW',
			'HadoopJarStep'   =&gt; CFHadoopStep::install_hive(),
		)),
		new CFStepConfig(array(
			'Name'            =&gt; 'Run Hive Script',
			'ActionOnFailure' =&gt; 'CANCEL_AND_WAIT',
			'HadoopJarStep'   =&gt; array(
				'Jar'  =&gt; 's3://us-east-1.elasticmapreduce/libs/script-runner/script-runner.jar',
				'Args' =&gt; array(
					's3://us-east-1.elasticmapreduce/libs/hive/hive-script',
					'--run-hive-script',
					'--base-path', 's3://us-east-1.elasticmapreduce/libs/hive/',
					'--hive-versions', '0.7.1.3',
					'--args',
					'-f', 's3n://myBucket/myHiveScript.hql',
					'-d', 'INPUT=Var_Value1',
					'-d', 'LIB=Var_Value2',
					'-d', 'OUTPUT=Var_Value3',
				),
			),
		)),
	),
));";}}}s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:152:"<a href="../cfhadoopstep/enable_debugging.html" rel="../../index.html#m=cfhadoopstep/enable_debugging"><code>CFHadoopStep::enable_debugging()</code></a>";i:1;s:140:"<a href="../cfhadoopstep/install_hive.html" rel="../../index.html#m=cfhadoopstep/install_hive"><code>CFHadoopStep::install_hive()</code></a>";i:2;s:137:"<a href="../cfhadoopstep/install_pig.html" rel="../../index.html#m=cfhadoopstep/install_pig"><code>CFHadoopStep::install_pig()</code></a>";i:3;s:149:"<a href="../cfhadoopstep/run_hive_script.html" rel="../../index.html#m=cfhadoopstep/run_hive_script"><code>CFHadoopStep::run_hive_script()</code></a>";i:4;s:146:"<a href="../cfhadoopstep/run_pig_script.html" rel="../../index.html#m=cfhadoopstep/run_pig_script"><code>CFHadoopStep::run_pig_script()</code></a>";i:5;s:134:"<a href="../cfstepconfig/get_config.html" rel="../../index.html#m=cfstepconfig/get_config"><code>CFStepConfig::get_config()</code></a>";i:6;s:138:"<a href="../amazonemr/add_job_flow_steps.html" rel="../../index.html#m=amazonemr/add_job_flow_steps"><code>add_job_flow_steps()</code></a>";i:7;s:138:"<a href="../amazonemr/describe_job_flows.html" rel="../../index.html#m=amazonemr/describe_job_flows"><code>describe_job_flows()</code></a>";i:8;s:141:"<a href="../amazonemr/terminate_job_flows.html" rel="../../index.html#m=amazonemr/terminate_job_flows"><code>terminate_job_flows()</code></a>";}}}i:19;a:7:{s:4:"name";s:4:"send";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:71:"<p>Executes the batch request queue by sending all queued requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"clear_after_send";s:4:"type";s:7:"boolean";s:11:"description";s:204:"<p>Whether or not to clear the batch queue after sending a request. Defaults to <code>true</code>. Set this to <code>false</code> if you are caching batch responses and want to retrieve results later.</p>";}}s:11:"returnvalue";s:126:"<p>An array of <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> objects.</p>";s:6:"source";s:2018:"public function send($clear_after_send = true)
{
    if ($this-&gt;use_batch_flow)
    {
        // When we send the request, disable batch flow.
        $this-&gt;use_batch_flow = false;

        // If we're not caching, simply send the request.
        if (!$this-&gt;use_cache_flow)
        {
            $response = $this-&gt;batch_object-&gt;send();
            $parsed_data = array_map(array($this, 'parse_callback'), $response);
            $parsed_data = new CFArray($parsed_data);

            // Clear the queue
            if ($clear_after_send)
            {
                $this-&gt;batch_object-&gt;queue = array();
            }

            return $parsed_data;
        }

        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . sha1(serialize($this-&gt;batch_object));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data_set = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback_batch'), array($this-&gt;batch_object));
        $parsed_data = array_map(array($this, 'parse_callback'), $data_set);
        $parsed_data = new CFArray($parsed_data);

        // Clear the queue
        if ($clear_after_send)
        {
            $this-&gt;batch_object-&gt;queue = array();
        }

        // End!
        return $parsed_data;
    }

    // Load the class
    $null = new CFBatchRequest();
    unset($null);

    throw new CFBatchRequest_Exception('You must use $object-&gt;batch()-&gt;send()');
}";}i:20;a:7:{s:4:"name";s:15:"set_batch_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:291:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:116:"public function set_batch_class($class = 'CFBatchRequest')
{
    $this-&gt;batch_class = $class;
    return $this;
}";}i:21;a:8:{s:4:"name";s:16:"set_cache_config";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Set the caching configuration to use for response caching.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:1095:"<p>The location to store the cache object in. This may vary by cache method.</p><ul><li>File - The local file system paths such as <code>./cache</code> (relative) or <code>/tmp/cache/</code> (absolute). The location must be server-writable.</li><li>APC - Pass in <code>apc</code> to use this lightweight cache. You must have the <a href="http://php.net/apc">APC extension</a> installed.</li><li>XCache - Pass in <code>xcache</code> to use this lightweight cache. You must have the <a href="http://xcache.lighttpd.net">XCache</a> extension installed.</li><li>Memcached - Pass in an indexed array of associative arrays. Each associative array should have a <code>host</code> and a <code>port</code> value representing a <a href="http://php.net/memcached">Memcached</a> server to connect to.</li><li>PDO - A URL-style string (e.g. <code>pdo.mysql://user:pass@localhost/cache</code>) or a standard DSN-style string (e.g. <code>pdo.sqlite:/sqlite/cache.db</code>). MUST be prefixed with <code>pdo.</code>. See <code>CachePDO</code> and <a href="http://php.net/pdo">PDO</a> for more details.</li></ul>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:241:"<p>Whether or not data should be gzipped before being stored. A value of <code>true</code> will compress the contents before caching them. A value of <code>false</code> will leave the contents uncompressed. Defaults to <code>true</code>.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:1210:"public function set_cache_config($location, $gzip = true)
{
    // If location is empty, don't do anything.
    if (empty($location))
    {
        return $this;
    }

    // If we have an array, we're probably passing in Memcached servers and ports.
    if (is_array($location))
    {
        $this-&gt;cache_class = 'CacheMC';
    }
    else
    {
        // I would expect locations like `/tmp/cache`, `pdo.mysql://user:pass@hostname:port`, `pdo.sqlite:memory:`, and `apc`.
        $type = strtolower(substr($location, 0, 3));
        switch ($type)
        {
            case 'apc':
                $this-&gt;cache_class = 'CacheAPC';
                break;

            case 'xca': // First three letters of `xcache`
                $this-&gt;cache_class = 'CacheXCache';
                break;

            case 'pdo':
                $this-&gt;cache_class = 'CachePDO';
                $location = substr($location, 4);
                break;

            default:
                $this-&gt;cache_class = 'CacheFile';
                break;
        }
    }

    // Set the remaining cache information.
    $this-&gt;cache_location = $location;
    $this-&gt;cache_compress = $gzip;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}}}}i:22;a:8:{s:4:"name";s:12:"set_hostname";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:145:"<p>Set the hostname to connect to. This is useful for alternate services that are API-compatible with
AWS, but run from a different hostname.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"hostname";s:4:"type";s:6:"string";s:11:"description";s:133:"<p>The alternate hostname to use in place of the default one. Useful for mock or test applications living on different hostnames.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"port_number";s:4:"type";s:7:"integer";s:11:"description";s:139:"<p>The alternate port number to use in place of the default one. Useful for mock or test applications living on different port numbers.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:341:"public function set_hostname($hostname, $port_number = null)
{
    if ($this-&gt;override_hostname)
    {
        $this-&gt;hostname = $hostname;

        if ($port_number)
        {
            $this-&gt;port_number = $port_number;
            $this-&gt;hostname .= ':' . (string) $this-&gt;port_number;
        }
    }

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:23;a:8:{s:4:"name";s:15:"set_max_retries";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"retries";s:4:"type";s:7:"integer";s:11:"description";s:88:"<p>The maximum number of times to retry failed requests. Defaults to <code>3</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:105:"public function set_max_retries($retries = 3)
{
    $this-&gt;max_retries = $retries;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_max_retries(3);

// Test if the value was set
var_dump($sdb-&gt;max_retries);";s:6:"result";s:6:"int(3)";}}}i:24;a:7:{s:4:"name";s:16:"set_parser_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:115:"public function set_parser_class($class = 'CFSimpleXML')
{
    $this-&gt;parser_class = $class;
    return $this;
}";}i:25;a:8:{s:4:"name";s:9:"set_proxy";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:37:"<p>Set the proxy settings to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:102:"<p>Accepts proxy credentials in the following format: <code>proxy://user:pass@hostname:port</code></p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:85:"public function set_proxy($proxy)
{
    $this-&gt;proxy = $proxy;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>Set the proxy server to use for requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:151:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_proxy('proxy://user:pass@hostname:port');

// Test if the value was set
var_dump($sdb-&gt;proxy);";s:6:"result";s:44:"string(31) "proxy://user:pass@hostname:port"";}}}i:26;a:7:{s:4:"name";s:10:"set_region";s:8:"modifier";s:6:"public";s:11:"description";s:76:"<p>This allows you to explicitly sets the region for the service to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"region";s:4:"type";s:6:"string";s:11:"description";s:1125:"<p>The region to explicitly set. Available options are <a href="../amazonemr/constants.html#region_us_e1" rel="../../index.html#c=amazonemr/region_us_e1"><code>REGION_US_E1</code></a>, <a href="../amazonemr/constants.html#region_us_w1" rel="../../index.html#c=amazonemr/region_us_w1"><code>REGION_US_W1</code></a>, <a href="../amazonemr/constants.html#region_us_w2" rel="../../index.html#c=amazonemr/region_us_w2"><code>REGION_US_W2</code></a>, <a href="../amazonemr/constants.html#region_eu_w1" rel="../../index.html#c=amazonemr/region_eu_w1"><code>REGION_EU_W1</code></a>, <a href="../amazonemr/constants.html#region_apac_se1" rel="../../index.html#c=amazonemr/region_apac_se1"><code>REGION_APAC_SE1</code></a>, <a href="../amazonemr/constants.html#region_apac_se2" rel="../../index.html#c=amazonemr/region_apac_se2"><code>REGION_APAC_SE2</code></a>, <a href="../amazonemr/constants.html#region_apac_ne1" rel="../../index.html#c=amazonemr/region_apac_ne1"><code>REGION_APAC_NE1</code></a>, <a href="../amazonemr/constants.html#region_sa_e1" rel="../../index.html#c=amazonemr/region_sa_e1"><code>REGION_SA_E1</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:156:"public function set_region($region)
{
    // @codeCoverageIgnoreStart
    $this-&gt;set_hostname($region);
    return $this;
    // @codeCoverageIgnoreEnd
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:29:"<p>Set the region to use.</p>";s:4:"code";s:237:"$emr = new AmazonEMR();

// Set the region to US-East (Northern Virginia)
$emr-&gt;set_region(AmazonEMR::REGION_US_E1);

// Describe Hadoop job flows
$response = $emr-&gt;describe_job_flows();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:27;a:8:{s:4:"name";s:17:"set_request_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:276:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";a:0:{}s:6:"source";s:115:"public function set_request_class($class = 'CFRequest')
{
    $this-&gt;request_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:51:"<p>Set the request class to use in the toolkit.</p>";s:11:"description";s:158:"<p>The new request class must extend from <code>CFRequest</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:310:"// Custom class to extend RequestCore
class TestRequestCore extends RequestCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_request_class('TestRequestCore');

// Test if the value was set
var_dump($sdb-&gt;request_class);";s:6:"result";s:28:"string(15) "TestRequestCore"";}}}i:28;a:8:{s:4:"name";s:19:"set_resource_prefix";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:117:"<p>Set the resource prefix to use. This method is useful for alternate services that are API-compatible
with AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"prefix";s:4:"type";s:6:"string";s:11:"description";s:97:"<p>An alternate prefix to prepend to the resource path. Useful for mock or test applications.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:107:"public function set_resource_prefix($prefix)
{
    $this-&gt;resource_prefix = $prefix;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:29;a:8:{s:4:"name";s:18:"set_response_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:279:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:118:"public function set_response_class($class = 'CFResponse')
{
    $this-&gt;response_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:52:"<p>Set the response class to use in the toolkit.</p>";s:11:"description";s:160:"<p>The new response class must extend from <code>CFResponse</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:316:"// Custom class to extend ResponseCore
class TestResponseCore extends ResponseCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_response_class('TestResponseCore');

// Test if the value was set
var_dump($sdb-&gt;response_class);";s:6:"result";s:29:"string(16) "TestResponseCore"";}}}i:30;a:7:{s:4:"name";s:26:"set_termination_protection";s:8:"modifier";s:6:"public";s:11:"description";s:1148:"<p>SetTerminationProtection locks a job flow so the Amazon EC2 instances in the cluster cannot be
terminated by user intervention, an API call, or in the event of a job-flow error. The cluster
still terminates upon successful completion of the job flow. Calling SetTerminationProtection
on a job flow is analogous to calling the Amazon EC2 DisableAPITermination API on all of the
EC2 instances in a cluster.</p>

<p>SetTerminationProtection is used to prevent accidental termination of a job flow and to ensure
that in the event of an error, the instances will persist so you can recover any data stored in
their ephemeral instance storage.</p>

<p>To terminate a job flow that has been locked by setting SetTerminationProtection to
<code>true</code>, you must first unlock the job flow by a subsequent call to
SetTerminationProtection in which you set the value to <code>false</code>.</p>

<p>For more information, go to <a href=
"http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/UsingEMR_TerminationProtection.html">
Protecting a Job Flow from Termination</a> in the <em>Amazon Elastic MapReduce Developer&#8217;s
Guide.</em></p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:12:"job_flow_ids";s:4:"type";s:12:"string|array";s:11:"description";s:264:"<p>A list of strings that uniquely identify the job flows to protect. This identifier is returned by <code>RunJobFlow</code> and can also be obtained from <code>DescribeJobFlows</code>. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:21:"termination_protected";s:4:"type";s:7:"boolean";s:11:"description";s:190:"<p>A Boolean that indicates whether to protect the job flow and prevent the Amazon EC2 instances in the cluster from shutting down due to API calls, user intervention, or job-flow error.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:460:"public function set_termination_protection($job_flow_ids, $termination_protected, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['TerminationProtected'] = $termination_protected;
    
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'JobFlowIds' =&gt; (is_array($job_flow_ids) ? $job_flow_ids : array($job_flow_ids))
    ), 'member'));

    return $this-&gt;authenticate('SetTerminationProtection', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:158:"<p>Lock a job flow so the Amazon EC2 instances in the cluster cannot be terminated by user intervention, an API call, or in the event of a job-flow error.</p>";s:4:"code";s:171:"$emr = new AmazonEMR();

$response = $emr-&gt;set_termination_protection(array('j-147KUX35ZRCTI', 'j-853ITCRZ65XUK'), 'true');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:160:"<p>Unlock a job flow so the Amazon EC2 instances in the cluster cannot be terminated by user intervention, an API call, or in the event of a job-flow error.</p>";s:4:"code";s:172:"$emr = new AmazonEMR();

$response = $emr-&gt;set_termination_protection(array('j-147KUX35ZRCTI', 'j-853ITCRZ65XUK'), 'false');

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}}i:31;a:8:{s:4:"name";s:19:"set_utilities_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:175:"public function set_utilities_class($class = 'CFUtilities')
{
    $this-&gt;utilities_class = $class;
    $this-&gt;util = new $this-&gt;utilities_class();
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:53:"<p>Set the utilities class to use in the toolkit.</p>";s:11:"description";s:162:"<p>The new utilities class must extend from <code>CFUtilities</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:317:"// Custom class to extend CFUtilities
class TestUtilities extends CFUtilities
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_utilities_class('TestUtilities');

// Test if the value was set
var_dump($sdb-&gt;util-&gt;test_method());";s:6:"result";s:10:"bool(true)";}}}i:32;a:6:{s:4:"name";s:24:"set_visible_to_all_users";s:8:"modifier";s:6:"public";s:11:"description";s:442:"<p>Sets whether all AWS Identity and Access Management (IAM) users under your account can access
the specifed job flows. This action works on running job flows. You can also set the visibility
of a job flow when you launch it using the <code>VisibleToAllUsers</code> parameter of
<code>RunJobFlow</code>. The SetVisibleToAllUsers action can be called only by an IAM user who
created the job flow or the AWS account that owns the job flow.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:12:"job_flow_ids";s:4:"type";s:12:"string|array";s:11:"description";s:149:"<p>Identifiers of the job flows to receive the new visibility setting. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:20:"visible_to_all_users";s:4:"type";s:7:"boolean";s:11:"description";s:357:"<p>Whether the specified job flows are visible to all IAM users of the AWS account associated with the job flow. If this value is set to True, all IAM users of that AWS account can view and, if they have the proper IAM policy permissions set, manage the job flows. If it is set to False, only the IAM user that created a job flow can view and manage it.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:449:"public function set_visible_to_all_users($job_flow_ids, $visible_to_all_users, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['VisibleToAllUsers'] = $visible_to_all_users;
    
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'JobFlowIds' =&gt; (is_array($job_flow_ids) ? $job_flow_ids : array($job_flow_ids))
    ), 'member'));

    return $this-&gt;authenticate('SetVisibleToAllUsers', $opt);
}";}i:33;a:8:{s:4:"name";s:19:"terminate_job_flows";s:8:"modifier";s:6:"public";s:11:"description";s:546:"<p>TerminateJobFlows shuts a list of job flows down. When a job flow is shut down, any step not
yet completed is canceled and the EC2 instances on which the job flow is running are stopped.
Any log files not already saved are uploaded to Amazon S3 if a LogUri was specified when the
job flow was created.</p>

<p>The call to TerminateJobFlows is asynchronous. Depending on the configuration of the job flow,
it may take up to 5-20 minutes for the job flow to completely terminate and release allocated
resources, such as Amazon EC2 instances.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:12:"job_flow_ids";s:4:"type";s:12:"string|array";s:11:"description";s:117:"<p>A list of job flows to be shutdown. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:371:"public function terminate_job_flows($job_flow_ids, $opt = null)
{
    if (!$opt) $opt = array();
            
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'JobFlowIds' =&gt; (is_array($job_flow_ids) ? $job_flow_ids : array($job_flow_ids))
    ), 'member'));

    return $this-&gt;authenticate('TerminateJobFlows', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:27:"<p>Terminate job flows.</p>";s:4:"code";s:156:"$emr = new AmazonEMR();

$response = $emr-&gt;terminate_job_flows(array('j-147KUX35ZRCTI', 'j-853ITCRZ65XUK'));

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:152:"<a href="../cfhadoopstep/enable_debugging.html" rel="../../index.html#m=cfhadoopstep/enable_debugging"><code>CFHadoopStep::enable_debugging()</code></a>";i:1;s:140:"<a href="../cfhadoopstep/install_hive.html" rel="../../index.html#m=cfhadoopstep/install_hive"><code>CFHadoopStep::install_hive()</code></a>";i:2;s:137:"<a href="../cfhadoopstep/install_pig.html" rel="../../index.html#m=cfhadoopstep/install_pig"><code>CFHadoopStep::install_pig()</code></a>";i:3;s:149:"<a href="../cfhadoopstep/run_hive_script.html" rel="../../index.html#m=cfhadoopstep/run_hive_script"><code>CFHadoopStep::run_hive_script()</code></a>";i:4;s:146:"<a href="../cfhadoopstep/run_pig_script.html" rel="../../index.html#m=cfhadoopstep/run_pig_script"><code>CFHadoopStep::run_pig_script()</code></a>";i:5;s:134:"<a href="../cfstepconfig/get_config.html" rel="../../index.html#m=cfstepconfig/get_config"><code>CFStepConfig::get_config()</code></a>";i:6;s:138:"<a href="../amazonemr/add_job_flow_steps.html" rel="../../index.html#m=amazonemr/add_job_flow_steps"><code>add_job_flow_steps()</code></a>";i:7;s:138:"<a href="../amazonemr/describe_job_flows.html" rel="../../index.html#m=amazonemr/describe_job_flows"><code>describe_job_flows()</code></a>";i:8;s:120:"<a href="../amazonemr/run_job_flow.html" rel="../../index.html#m=amazonemr/run_job_flow"><code>run_job_flow()</code></a>";}}}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"21";}s:8:"constant";a:21:{i:0;a:2:{s:4:"name";s:5:"BUILD";s:5:"value";s:14:"20130314130000";}i:1;a:2:{s:4:"name";s:11:"DEFAULT_URL";s:5:"value";s:40:"elasticmapreduce.us-east-1.amazonaws.com";}i:2;a:2:{s:4:"name";s:4:"NAME";s:5:"value";s:11:"aws-sdk-php";}i:3;a:2:{s:4:"name";s:15:"REGION_APAC_NE1";s:5:"value";s:45:"elasticmapreduce.ap-northeast-1.amazonaws.com";}i:4;a:2:{s:4:"name";s:15:"REGION_APAC_SE1";s:5:"value";s:45:"elasticmapreduce.ap-southeast-1.amazonaws.com";}i:5;a:2:{s:4:"name";s:15:"REGION_APAC_SE2";s:5:"value";s:45:"elasticmapreduce.ap-southeast-2.amazonaws.com";}i:6;a:2:{s:4:"name";s:17:"REGION_CALIFORNIA";s:5:"value";s:40:"elasticmapreduce.us-west-1.amazonaws.com";}i:7;a:2:{s:4:"name";s:12:"REGION_EU_W1";s:5:"value";s:40:"elasticmapreduce.eu-west-1.amazonaws.com";}i:8;a:2:{s:4:"name";s:14:"REGION_IRELAND";s:5:"value";s:40:"elasticmapreduce.eu-west-1.amazonaws.com";}i:9;a:2:{s:4:"name";s:13:"REGION_OREGON";s:5:"value";s:40:"elasticmapreduce.us-west-2.amazonaws.com";}i:10;a:2:{s:4:"name";s:16:"REGION_SAO_PAULO";s:5:"value";s:40:"elasticmapreduce.sa-east-1.amazonaws.com";}i:11;a:2:{s:4:"name";s:12:"REGION_SA_E1";s:5:"value";s:40:"elasticmapreduce.sa-east-1.amazonaws.com";}i:12;a:2:{s:4:"name";s:16:"REGION_SINGAPORE";s:5:"value";s:45:"elasticmapreduce.ap-southeast-1.amazonaws.com";}i:13;a:2:{s:4:"name";s:13:"REGION_SYDNEY";s:5:"value";s:45:"elasticmapreduce.ap-southeast-2.amazonaws.com";}i:14;a:2:{s:4:"name";s:12:"REGION_TOKYO";s:5:"value";s:45:"elasticmapreduce.ap-northeast-1.amazonaws.com";}i:15;a:2:{s:4:"name";s:12:"REGION_US_E1";s:5:"value";s:40:"elasticmapreduce.us-east-1.amazonaws.com";}i:16;a:2:{s:4:"name";s:12:"REGION_US_W1";s:5:"value";s:40:"elasticmapreduce.us-west-1.amazonaws.com";}i:17;a:2:{s:4:"name";s:12:"REGION_US_W2";s:5:"value";s:40:"elasticmapreduce.us-west-2.amazonaws.com";}i:18;a:2:{s:4:"name";s:15:"REGION_VIRGINIA";s:5:"value";s:40:"elasticmapreduce.us-east-1.amazonaws.com";}i:19;a:2:{s:4:"name";s:9:"USERAGENT";s:5:"value";s:65:"aws-sdk-php/1.6.2 PHP/5.4.9 curl/7.15.5 openssl/0.9.8e-fips-rhel5";}i:20;a:2:{s:4:"name";s:7:"VERSION";s:5:"value";s:5:"1.6.2";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"40";}s:8:"property";a:40:{i:0;a:4:{s:4:"name";s:11:"api_version";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The supported API version.</p>";}i:1;a:4:{s:4:"name";s:10:"auth_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The authentication class to use.</p>";}i:2;a:4:{s:4:"name";s:10:"auth_token";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The Amazon Authentication Token.</p>";}i:3;a:5:{s:4:"name";s:11:"batch_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:14:"CFBatchRequest";}}s:11:"description";s:185:"<p>The default class to use for handling batch requests (defaults to <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>).</p>";}i:4;a:4:{s:4:"name";s:12:"batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The current instantiated batch request object.</p>";}i:5;a:4:{s:4:"name";s:11:"cache_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The caching class to use.</p>";}i:6;a:4:{s:4:"name";s:14:"cache_compress";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>The state of cache compression.</p>";}i:7;a:4:{s:4:"name";s:13:"cache_expires";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>When the cache should be considered stale.</p>";}i:8;a:4:{s:4:"name";s:14:"cache_location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>The caching location to use.</p>";}i:9;a:4:{s:4:"name";s:12:"cache_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The current instantiated cache object.</p>";}i:10;a:4:{s:4:"name";s:11:"credentials";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>The credentials to use for authentication.</p>";}i:11;a:4:{s:4:"name";s:10:"debug_mode";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The state of the debug mode setting.</p>";}i:12;a:4:{s:4:"name";s:12:"delete_cache";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>The state of the cache deletion setting.</p>";}i:13;a:4:{s:4:"name";s:8:"hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The alternate hostname to use, if any.</p>";}i:14;a:4:{s:4:"name";s:21:"internal_batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>The internally instantiated batch request object.</p>";}i:15;a:4:{s:4:"name";s:3:"key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:26:"<p>The Amazon API Key.</p>";}i:16;a:5:{s:4:"name";s:11:"max_retries";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"integer";s:5:"value";s:1:"3";}}s:11:"description";s:52:"<p>The number of times to retry failed requests.</p>";}i:17;a:4:{s:4:"name";s:9:"operation";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The operation to execute.</p>";}i:18;a:4:{s:4:"name";s:16:"operation_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:58:"<p>The string prefix to prepend to the operation name.</p>";}i:19;a:5:{s:4:"name";s:17:"override_hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:186:"<p>The state of the capability to override the hostname with <a href="../amazonemr/set_hostname.html" rel="../../index.html#m=amazonemr/set_hostname"><code>set_hostname()</code></a>.</p>";}i:20;a:5:{s:4:"name";s:18:"parse_the_response";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:65:"<p>The state of whether the response should be parsed or not.</p>";}i:21;a:5:{s:4:"name";s:12:"parser_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFSimpleXML";}}s:11:"description";s:164:"<p>The default class to use for parsing XML (defaults to <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>).</p>";}i:22;a:4:{s:4:"name";s:7:"payload";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:27:"<p>The payload to send.</p>";}i:23;a:4:{s:4:"name";s:11:"port_number";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>The alternate port number to use, if any.</p>";}i:24;a:4:{s:4:"name";s:5:"proxy";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The proxy to use for connecting.</p>";}i:25;a:4:{s:4:"name";s:9:"redirects";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:54:"<p>The number of times a request has been retried.</p>";}i:26;a:4:{s:4:"name";s:34:"registered_streaming_read_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>The user-defined callback function to call when a stream is read from.</p>";}i:27;a:4:{s:4:"name";s:35:"registered_streaming_write_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>The user-defined callback function to call when a stream is written to.</p>";}i:28;a:5:{s:4:"name";s:13:"request_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"CFRequest";}}s:11:"description";s:160:"<p>The default class to use for HTTP requests (defaults to <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>).</p>";}i:29;a:4:{s:4:"name";s:15:"resource_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The alternate resource prefix to use, if any.</p>";}i:30;a:5:{s:4:"name";s:14:"response_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:10:"CFResponse";}}s:11:"description";s:164:"<p>The default class to use for HTTP responses (defaults to <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>).</p>";}i:31;a:4:{s:4:"name";s:10:"secret_key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The Amazon API Secret Key.</p>";}i:32;a:4:{s:4:"name";s:7:"service";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>An identifier for the current AWS service.</p>";}i:33;a:5:{s:4:"name";s:16:"ssl_verification";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:49:"<p>The state of SSL certificate verification.</p>";}i:34;a:5:{s:4:"name";s:13:"use_aws_query";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:64:"<p>The state of whether auth should be handled as AWS Query.</p>";}i:35;a:4:{s:4:"name";s:14:"use_batch_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of batch flow usage.</p>";}i:36;a:4:{s:4:"name";s:14:"use_cache_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of cache flow usage.</p>";}i:37;a:5:{s:4:"name";s:7:"use_ssl";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:34:"<p>The state of SSL/HTTPS use.</p>";}i:38;a:4:{s:4:"name";s:4:"util";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>Handle for the utility functions.</p>";}i:39;a:5:{s:4:"name";s:15:"utilities_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFUtilities";}}s:11:"description";s:162:"<p>The default class to use for utilities (defaults to <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>).</p>";}}}}}