a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:17:"AmazonElastiCache";s:4:"file";s:30:"services/elasticache.class.php";s:3:"url";s:31:"../amazonelasticache/index.html";s:11:"description";s:663:"<p>Amazon ElastiCache is a web service that makes it easier to set up, operate, and scale a
distributed cache in the cloud.</p>

<p>With Amazon ElastiCache, customers gain all of the benefits of a high-performance, in-memory
cache with far less of the administrative burden of launching and managing a distributed cache.
The service makes set-up, scaling, and cluster failure handling much simpler than in a
self-managed cache deployment.</p>

<p>In addition, through integration with Amazon CloudWatch, customers get enhanced visibility into
the key performance statistics associated with their cache and can receive alarms if a part of
their cache runs hot.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2013.01.14";s:7:"license";s:57:"See the included NOTICE.md file for complete information.";s:9:"copyright";s:57:"See the included NOTICE.md file for complete information.";s:4:"link";a:2:{i:0;s:50:"http://aws.amazon.com/elasticache/ AWS ElastiCache";i:1;s:78:"http://aws.amazon.com/elasticache/documentation/ AWS ElastiCache documentation";}}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";s:3:"url";s:23:"../cfruntime/index.html";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"56";}s:6:"method";a:52:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:156:"<p>Constructs a new instance of <a href="../amazonelasticache/index.html" rel="../../index.html#i=amazonelasticache"><code>AmazonElastiCache</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1585:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazonelasticache/set_cache_config.html" rel="../../index.html#m=amazonelasticache/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:228:"public function __construct(array $options = array())
{
    $this-&gt;api_version = '2012-11-15';
    $this-&gt;hostname = self::DEFAULT_URL;
    $this-&gt;auth_class = 'AuthV2Query';

    return parent::__construct($options);
}";}i:1;a:8:{s:4:"name";s:23:"allow_hostname_override";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:186:"<p>Disables any subsequent use of the <a href="../amazonelasticache/set_hostname.html" rel="../../index.html#m=amazonelasticache/set_hostname"><code>set_hostname()</code></a> method.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"override";s:4:"type";s:7:"boolean";s:11:"description";s:430:"<p>Whether or not subsequent calls to <a href="../amazonelasticache/set_hostname.html" rel="../../index.html#m=amazonelasticache/set_hostname"><code>set_hostname()</code></a> should be obeyed. A <code>false</code> value disables the further effectiveness of <a href="../amazonelasticache/set_hostname.html" rel="../../index.html#m=amazonelasticache/set_hostname"><code>set_hostname()</code></a>. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:124:"public function allow_hostname_override($override = true)
{
    $this-&gt;override_hostname = $override;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:2;a:7:{s:4:"name";s:12:"authenticate";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:69:"<p>Default, shared method for authenticating a connection to AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"operation";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>Indicates the operation to perform.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"payload";s:4:"type";s:5:"array";s:11:"description";s:106:"<p>An associative array of parameters for authenticating. See the individual methods for allowed keys.</p>";}}}s:11:"returnvalue";s:48:"<p>Object containing a parsed HTTP response.</p>";s:6:"source";s:6988:"public function authenticate($operation, $payload)
{
    $original_payload = $payload;
    $method_arguments = func_get_args();
    $curlopts = array();
    $return_curl_handle = false;

    if (substr($operation, 0, strlen($this-&gt;operation_prefix)) !== $this-&gt;operation_prefix)
    {
        $operation = $this-&gt;operation_prefix . $operation;
    }

    // Extract the custom CURLOPT settings from the payload
    if (is_array($payload) &amp;&amp; isset($payload['curlopts']))
    {
        $curlopts = $payload['curlopts'];
        unset($payload['curlopts']);
    }

    // Determine whether the response or curl handle should be returned
    if (is_array($payload) &amp;&amp; isset($payload['returnCurlHandle']))
    {
        $return_curl_handle = isset($payload['returnCurlHandle']) ? $payload['returnCurlHandle'] : false;
        unset($payload['returnCurlHandle']);
    }

    // Use the caching flow to determine if we need to do a round-trip to the server.
    if ($this-&gt;use_cache_flow)
    {
        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . $operation . '_' . sha1(serialize($method_arguments));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback'), $method_arguments);

        // Parse the XML body
        $data = $this-&gt;parse_callback($data);

        // End!
        return $data;
    }

    /*%******************************************************************************************%*/

    // Signer
    $signer = new $this-&gt;auth_class($this-&gt;hostname, $operation, $payload, $this-&gt;credentials);
    $signer-&gt;key = $this-&gt;key;
    $signer-&gt;secret_key = $this-&gt;secret_key;
    $signer-&gt;auth_token = $this-&gt;auth_token;
    $signer-&gt;api_version = $this-&gt;api_version;
    $signer-&gt;utilities_class = $this-&gt;utilities_class;
    $signer-&gt;request_class = $this-&gt;request_class;
    $signer-&gt;response_class = $this-&gt;response_class;
    $signer-&gt;use_ssl = $this-&gt;use_ssl;
    $signer-&gt;proxy = $this-&gt;proxy;
    $signer-&gt;util = $this-&gt;util;
    $signer-&gt;registered_streaming_read_callback = $this-&gt;registered_streaming_read_callback;
    $signer-&gt;registered_streaming_write_callback = $this-&gt;registered_streaming_write_callback;
    $request = $signer-&gt;authenticate();

    // Update RequestCore settings
    $request-&gt;request_class = $this-&gt;request_class;
    $request-&gt;response_class = $this-&gt;response_class;
    $request-&gt;ssl_verification = $this-&gt;ssl_verification;

    /*%******************************************************************************************%*/

    // Debug mode
    if ($this-&gt;debug_mode)
    {
        $request-&gt;debug_mode = $this-&gt;debug_mode;
    }

    // Set custom CURLOPT settings
    if (count($curlopts))
    {
        $request-&gt;set_curlopts($curlopts);
    }

    // Manage the (newer) batch request API or the (older) returnCurlHandle setting.
    if ($this-&gt;use_batch_flow)
    {
        $handle = $request-&gt;prep_request();
        $this-&gt;batch_object-&gt;add($handle);
        $this-&gt;use_batch_flow = false;

        return $handle;
    }
    elseif ($return_curl_handle)
    {
        return $request-&gt;prep_request();
    }

    // Send!
    $request-&gt;send_request();

    // Prepare the response.
    $headers = $request-&gt;get_response_header();
    $headers['x-aws-stringtosign'] = $signer-&gt;string_to_sign;

    if (isset($signer-&gt;canonical_request))
    {
        $headers['x-aws-canonicalrequest'] = $signer-&gt;canonical_request;
    }

    $headers['x-aws-request-headers'] = $request-&gt;request_headers;
    $headers['x-aws-body'] = $signer-&gt;querystring;

    $data = new $this-&gt;response_class($headers, ($this-&gt;parse_the_response === true) ? $this-&gt;parse_callback($request-&gt;get_response_body()) : $request-&gt;get_response_body(), $request-&gt;get_response_code());

    $response_body = (string) $request-&gt;get_response_body();

    // Was it Amazon's fault the request failed? Retry the request until we reach $max_retries.
    if (
        (integer) $request-&gt;get_response_code() === 500 || // Internal Error (presumably transient)
        (integer) $request-&gt;get_response_code() === 503)   // Service Unavailable (presumably transient)
    {
        if ($this-&gt;redirects &lt;= $this-&gt;max_retries)
        {
            // Exponential backoff
            $delay = (integer) (pow(4, $this-&gt;redirects) * 100000);
            usleep($delay);
            $this-&gt;redirects++;
            $data = $this-&gt;authenticate($operation, $original_payload);
        }
    }

    // DynamoDB has additional, custom logic for retrying requests
    else
    {
        // If the request to DynamoDB was throttled, we need to retry
        $need_to_retry_dynamodb_request = (
            (integer) $request-&gt;get_response_code() === 400 &amp;&amp;
            stripos($response_body, 'com.amazonaws.dynamodb.') !== false &amp;&amp;
            stripos($response_body, 'ProvisionedThroughputExceededException') !== false
        );

        // If the CRC32 of the response does not match the expected value, we need to retry
        $response_headers = $request-&gt;get_response_header();
        if (!$need_to_retry_dynamodb_request &amp;&amp; isset($response_headers['x-amz-crc32']))
        {
            $crc32_expected = $response_headers['x-amz-crc32'];
            $crc32_actual = hexdec(hash('crc32b', $response_body));
            $need_to_retry_dynamodb_request = ($crc32_expected != $crc32_actual);
        }

        // Perform retry if necessary using a more aggressive exponential backoff
        if ($need_to_retry_dynamodb_request)
        {
            if ($this-&gt;redirects === 0)
            {
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
            elseif ($this-&gt;redirects &lt;= max($this-&gt;max_retries, 10))
            {
                // Exponential backoff
                $delay = (integer) (pow(2, ($this-&gt;redirects - 1)) * 50000);
                usleep($delay);
                $this-&gt;redirects++;
                $data = $this-&gt;authenticate($operation, $original_payload);
            }
        }
    }

    $this-&gt;redirects = 0;
    return $data;
}";}i:3;a:6:{s:4:"name";s:38:"authorize_cache_security_group_ingress";s:8:"modifier";s:6:"public";s:11:"description";s:395:"<p>Authorizes ingress to a CacheSecurityGroup using EC2 Security Groups as authorization
(therefore the application using the cache must be running on EC2 clusters). This API requires
the following parameters: EC2SecurityGroupName and EC2SecurityGroupOwnerId.</p>

<p class="note">
You cannot authorize ingress from an EC2 security group in one Region to an Amazon Cache
Cluster in another.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:25:"cache_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:57:"<p>The name of the Cache Security Group to authorize.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:23:"ec2_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:70:"<p>Name of the EC2 Security Group to include in the authorization.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:27:"ec2_security_group_owner_id";s:4:"type";s:6:"string";s:11:"description";s:159:"<p>AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:464:"public function authorize_cache_security_group_ingress($cache_security_group_name, $ec2_security_group_name, $ec2_security_group_owner_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSecurityGroupName'] = $cache_security_group_name;
    $opt['EC2SecurityGroupName'] = $ec2_security_group_name;
    $opt['EC2SecurityGroupOwnerId'] = $ec2_security_group_owner_id;
    
    return $this-&gt;authenticate('AuthorizeCacheSecurityGroupIngress', $opt);
}";}i:4;a:8:{s:4:"name";s:5:"batch";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:86:"<p>Specifies that the intended request should be queued for a later batch request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"queue";s:4:"type";s:14:"CFBatchRequest";s:11:"description";s:327:"<p>The <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a> instance to use for managing batch requests. If not available, it generates a new instance of <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:477:"public function batch(CFBatchRequest &amp;$queue = null)
{
    if ($queue)
    {
        $this-&gt;batch_object = $queue;
    }
    elseif ($this-&gt;internal_batch_object)
    {
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }
    else
    {
        $this-&gt;internal_batch_object = new $this-&gt;batch_class();
        $this-&gt;batch_object = &amp;$this-&gt;internal_batch_object;
    }

    $this-&gt;use_batch_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:5;a:8:{s:4:"name";s:5:"cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:339:"<p>Specifies that the resulting <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object should be cached according to the settings from
<a href="../amazonelasticache/set_cache_config.html" rel="../../index.html#m=amazonelasticache/set_cache_config"><code>set_cache_config()</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"expires";s:4:"type";s:14:"string|integer";s:11:"description";s:232:"<p>The time the cache is to expire. Accepts a number of seconds as an integer, or an amount of time, as a string, that is understood by <a href="http://php.net/strtotime"><code>strtotime()</code></a> (e.g. &#8220;1 hour&#8221;).</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:501:"public function cache($expires)
{
    // Die if they haven't used set_cache_config().
    if (!$this-&gt;cache_class)
    {
        throw new CFRuntime_Exception('Must call set_cache_config() before using cache()');
    }

    if (is_string($expires))
    {
        $expires = strtotime($expires);
        $this-&gt;cache_expires = $expires - time();
    }
    elseif (is_int($expires))
    {
        $this-&gt;cache_expires = $expires;
    }

    $this-&gt;use_cache_flow = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:5:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:2;a:4:{s:5:"title";s:70:"<p>Fire a single request, and then cache the response to Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:338:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:3;a:4:{s:5:"title";s:76:"<p>Batch several requests together, and then cache the responses to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:520:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}i:4;a:4:{s:5:"title";s:88:"<p>Batch several requests together, and then cache the responses to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:524:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Prepare for parallel requests
$sdb-&gt;batch()-&gt;list_domains();
$sdb-&gt;batch()-&gt;list_domains();

// First time pulls live data
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;batch()-&gt;cache('1 minute')-&gt;send(false);
var_dump($response[0]-&gt;isOK());
var_dump($response[1]-&gt;isOK());";s:6:"result";s:43:"bool(true)
bool(true)
bool(true)
bool(true)";}}}}i:6;a:7:{s:4:"name";s:34:"cache_instance_profile_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:139:"<p>Fetches and caches EC2 instance profile credentials. This is meant to be used by the constructor, and is not to
be manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:2563:"public function cache_instance_profile_credentials($cache, $options)
{
    $instance_profile_url = 'http://169.254.169.254/latest/meta-data/iam/security-credentials/';
    $connect_timeout = isset($options['instance_profile_timeout']) ? $options['instance_profile_timeout'] : 2;

    try
    {
        // Make a call to the EC2 Metadata Service to find the available instance profile
        $request = new RequestCore($instance_profile_url);
        $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
        $response = $request-&gt;send_request(true);

        if ($response-&gt;isOK())
        {
            // Get the instance profile name
            $profile = (string) $response-&gt;body;

            // Make a call to the EC2 Metadata Service to get the instance profile credentials
            $request = new RequestCore($instance_profile_url . $profile);
            $request-&gt;set_curlopts(array(CURLOPT_CONNECTTIMEOUT =&gt; $connect_timeout));
            $response = $request-&gt;send_request(true);

            if ($response-&gt;isOK())
            {
                // Get the credentials
                $credentials = json_decode($response-&gt;body, true);

                if ($credentials['Code'] === 'Success')
                {
                    // Determine the expiration time
                    $expiration_time = strtotime((string) $credentials['Expiration']);
                    $expiration_duration = round(($expiration_time - time()) * 0.85);
                    $cache-&gt;expire_in($expiration_duration);

                    // Return the credential information
                    return array(
                        'key'     =&gt; $credentials['AccessKeyId'],
                        'secret'  =&gt; $credentials['SecretAccessKey'],
                        'token'   =&gt; $credentials['Token'],
                        'expires' =&gt; $credentials['Expiration'],
                    );
                }
            }
        }
    }
    catch (cURL_Exception $e)
    {
        // The EC2 Metadata Service does not exist or had timed out.
        // An exception will be thrown on the next line.
    }

    // @codeCoverageIgnoreStart
    throw new CFCredentials_Exception('No credentials were provided. The SDK attempted to retrieve Instance '
        . 'Profile credentials from the EC2 Instance Metadata Service, but failed to do so. Instance profile '
        . 'credentials are only accessible on EC2 instances configured with a specific IAM role.');
    // @codeCoverageIgnoreEnd
}";}i:7;a:7:{s:4:"name";s:21:"cache_sts_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:122:"<p>Fetches and caches STS credentials. This is meant to be used by the constructor, and is not to be
manually invoked.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"cache";s:4:"type";s:9:"CacheCore";s:11:"description";s:84:"<p>The a reference to the cache object that is being used to handle the caching.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:57:"<p>The options that were passed into the constructor.</p>";}}}s:11:"returnvalue";s:38:"<p>The data to be cached, or NULL.</p>";s:6:"source";s:1226:"public function cache_sts_credentials($cache, $options)
{
    $token = new AmazonSTS($options);
    $response = $token-&gt;get_session_token();

    if ($response-&gt;isOK())
    {
        // Update the expiration
        $expiration_time = strtotime((string) $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials-&gt;Expiration);
        $expiration_duration = round(($expiration_time - time()) * 0.85);
        $cache-&gt;expire_in($expiration_duration);

        // Return the important data
        $credentials = $response-&gt;body-&gt;GetSessionTokenResult-&gt;Credentials;

        return array(
            'key'     =&gt; (string) $credentials-&gt;AccessKeyId,
            'secret'  =&gt; (string) $credentials-&gt;SecretAccessKey,
            'token'   =&gt; (string) $credentials-&gt;SessionToken,
            'expires' =&gt; (string) $credentials-&gt;Expiration,
        );
    }

    // @codeCoverageIgnoreStart
    throw new STS_Exception('Temporary credentials from the AWS Security '
        . 'Token Service could not be retrieved using the provided long '
        . 'term credentials. It\'s possible that the provided long term '
        . 'credentials were invalid.');
    // @codeCoverageIgnoreEnd
}";}i:8;a:7:{s:4:"name";s:20:"create_cache_cluster";s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>Creates a new Cache Cluster.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:5:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:16:"cache_cluster_id";s:4:"type";s:6:"string";s:11:"description";s:334:"<p>The Cache Cluster identifier. This parameter is stored as a lowercase string. Constraints:</p>

<ul><li>Must contain from 1 to 20 alphanumeric characters or hyphens.</li><li>First character must be a letter.</li><li>Cannot end with a hyphen or contain two consecutive hyphens.</li></ul>

<p>Example: <code>mycachecluster</code></p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:15:"num_cache_nodes";s:4:"type";s:7:"integer";s:11:"description";s:63:"<p>The number of Cache Nodes the Cache Cluster should have.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:15:"cache_node_type";s:4:"type";s:6:"string";s:11:"description";s:420:"<p>The compute and memory capacity of nodes in a Cache Cluster. Valid values: <code>cache.t1.micro</code> | <code>cache.m1.small</code> | <code>cache.m1.medium</code> | <code>cache.m1.large</code> | <code>cache.m1.xlarge</code> | <code>cache.m3.xlarge</code> | <code>cache.m3.2xlarge</code> | <code>cache.m2.xlarge</code> | <code>cache.m2.2xlarge</code> | <code>cache.m2.4xlarge</code> | <code>cache.c1.xlarge</code></p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"engine";s:4:"type";s:6:"string";s:11:"description";s:172:"<p>The name of the cache engine to be used for this Cache Cluster.</p>

<p class="note">Currently, <em>memcached</em> is the only cache engine supported by the service.</p>";}i:4;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:2960:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>EngineVersion</code> - <code>string</code> - Optional - The version of the cache engine to be used for this cluster.</li><li><code>CacheParameterGroupName</code> - <code>string</code> - Optional - The name of the cache parameter group to associate with this Cache cluster. If this argument is omitted, the default CacheParameterGroup for the specified engine will be used.</li><li><code>CacheSubnetGroupName</code> - <code>string</code> - Optional - The name of the Cache Subnet Group to be used for the Cache Cluster. Use this parameter only when you are creating a cluster in an Amazon Virtual Private Cloud (VPC).</li><li><code>CacheSecurityGroupNames</code> - <code>string|array</code> - Optional - A list of Cache Security Group Names to associate with this Cache Cluster. Use this parameter only when you are creating a cluster outside of an Amazon Virtual Private Cloud (VPC). Pass a string for a single value, or an indexed array for multiple values.</li><li><code>SecurityGroupIds</code> - <code>string|array</code> - Optional - Specifies the VPC Security Groups associated with the Cache Cluster. Use this parameter only when you are creating a cluster in an Amazon Virtual Private Cloud (VPC). Pass a string for a single value, or an indexed array for multiple values.</li><li><code>PreferredAvailabilityZone</code> - <code>string</code> - Optional - The EC2 Availability Zone that the Cache Cluster will be created in. All cache nodes belonging to a cache cluster are placed in the preferred availability zone. Default: System chosen (random) availability zone.</li><li><code>PreferredMaintenanceWindow</code> - <code>string</code> - Optional - The weekly time range (in UTC) during which system maintenance can occur. Example: <code>sun:05:00-sun:09:00</code></li><li><code>Port</code> - <code>integer</code> - Optional - The port number on which each of the Cache Nodes will accept connections.</li><li><code>NotificationTopicArn</code> - <code>string</code> - Optional - The Amazon Resource Name (ARN) of the Amazon Simple Notification Service (SNS) topic to which notifications will be sent. <p class="note">The Amazon SNS topic owner must be the same as the Cache Cluster owner.</p></li><li><code>AutoMinorVersionUpgrade</code> - <code>boolean</code> - Optional - Indicates that minor engine upgrades will be applied automatically to the Cache Cluster during the maintenance window. Default: <code>true</code></li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:1118:"public function create_cache_cluster($cache_cluster_id, $num_cache_nodes, $cache_node_type, $engine, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheClusterId'] = $cache_cluster_id;
    $opt['NumCacheNodes'] = $num_cache_nodes;
    $opt['CacheNodeType'] = $cache_node_type;
    $opt['Engine'] = $engine;
    
    // Optional list (non-map)
    if (isset($opt['CacheSecurityGroupNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'CacheSecurityGroupNames' =&gt; (is_array($opt['CacheSecurityGroupNames']) ? $opt['CacheSecurityGroupNames'] : array($opt['CacheSecurityGroupNames']))
        ), 'member'));
        unset($opt['CacheSecurityGroupNames']);
    }
    
    // Optional list (non-map)
    if (isset($opt['SecurityGroupIds']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'SecurityGroupIds' =&gt; (is_array($opt['SecurityGroupIds']) ? $opt['SecurityGroupIds'] : array($opt['SecurityGroupIds']))
        ), 'member'));
        unset($opt['SecurityGroupIds']);
    }

    return $this-&gt;authenticate('CreateCacheCluster', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:9;a:7:{s:4:"name";s:28:"create_cache_parameter_group";s:8:"modifier";s:6:"public";s:11:"description";s:110:"<p>Creates a new Cache Parameter Group. Cache Parameter groups control the parameters for a Cache
Cluster.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:26:"cache_parameter_group_name";s:4:"type";s:6:"string";s:11:"description";s:45:"<p>The name of the Cache Parameter Group.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:28:"cache_parameter_group_family";s:4:"type";s:6:"string";s:11:"description";s:216:"<p>The name of the Cache Parameter Group Family the Cache Parameter Group can be used with.</p>

<p class="note">Currently, <em>memcached1.4</em> is the only cache parameter group family supported by the service.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"description";s:4:"type";s:6:"string";s:11:"description";s:53:"<p>The description for the Cache Parameter Group.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:419:"public function create_cache_parameter_group($cache_parameter_group_name, $cache_parameter_group_family, $description, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupName'] = $cache_parameter_group_name;
    $opt['CacheParameterGroupFamily'] = $cache_parameter_group_family;
    $opt['Description'] = $description;
    
    return $this-&gt;authenticate('CreateCacheParameterGroup', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:10;a:7:{s:4:"name";s:27:"create_cache_security_group";s:8:"modifier";s:6:"public";s:11:"description";s:273:"<p>Creates a new Cache Security Group. Cache Security groups control access to one or more Cache
Clusters.</p>

<p>Only use cache security groups when you are creating a cluster outside of an Amazon Virtual
Private Cloud (VPC). Inside of a VPC, use VPC security groups.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:25:"cache_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:230:"<p>The name for the Cache Security Group. This value is stored as a lowercase string. Constraints: Must contain no more than 255 alphanumeric characters. Must not be &#8220;Default&#8221;. Example: <code>mysecuritygroup</code></p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"description";s:4:"type";s:6:"string";s:11:"description";s:52:"<p>The description for the Cache Security Group.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:312:"public function create_cache_security_group($cache_security_group_name, $description, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSecurityGroupName'] = $cache_security_group_name;
    $opt['Description'] = $description;
    
    return $this-&gt;authenticate('CreateCacheSecurityGroup', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:11;a:6:{s:4:"name";s:25:"create_cache_subnet_group";s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>Creates a new Cache Subnet Group.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:23:"cache_subnet_group_name";s:4:"type";s:6:"string";s:11:"description";s:202:"<p>The name for the Cache Subnet Group. This value is stored as a lowercase string. Constraints: Must contain no more than 255 alphanumeric characters or hyphens. Example: <code>mysubnetgroup</code></p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:30:"cache_subnet_group_description";s:4:"type";s:6:"string";s:11:"description";s:50:"<p>The description for the Cache Subnet Group.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"subnet_ids";s:4:"type";s:12:"string|array";s:11:"description";s:128:"<p>The EC2 Subnet IDs for the Cache Subnet Group. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:560:"public function create_cache_subnet_group($cache_subnet_group_name, $cache_subnet_group_description, $subnet_ids, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSubnetGroupName'] = $cache_subnet_group_name;
    $opt['CacheSubnetGroupDescription'] = $cache_subnet_group_description;
    
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'SubnetIds' =&gt; (is_array($subnet_ids) ? $subnet_ids : array($subnet_ids))
    ), 'member'));

    return $this-&gt;authenticate('CreateCacheSubnetGroup', $opt);
}";}i:12;a:7:{s:4:"name";s:12:"delete_cache";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:169:"<p>Deletes a cached <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object using the specified cache storage type.</p>";s:11:"returnvalue";s:118:"<p>A value of <code>true</code> if cached object exists and is successfully deleted, otherwise <code>false</code>.</p>";s:6:"source";s:125:"public function delete_cache()
{
    $this-&gt;use_cache_flow = true;
    $this-&gt;delete_cache = true;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:4:{s:5:"title";s:41:"<p>Delete a cached response from APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:169:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:11:"bool(false)";}i:1;a:4:{s:5:"title";s:53:"<p>Delete a cached response from the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:173:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}i:2;a:4:{s:5:"title";s:46:"<p>Delete a cached response from Memcache.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:205:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config(array(
	array('host' =&gt; '127.0.0.1')
));

// Delete the data
$response = $sdb-&gt;delete_cache()-&gt;list_domains();
var_dump($response);";s:6:"result";s:10:"bool(true)";}}}}i:13;a:7:{s:4:"name";s:20:"delete_cache_cluster";s:8:"modifier";s:6:"public";s:11:"description";s:287:"<p>Deletes a previously provisioned Cache Cluster. A successful response from the web service
indicates the request was received correctly. This action cannot be canceled or reverted.
DeleteCacheCluster deletes all associated Cache Nodes, node endpoints and the Cache Cluster
itself.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:16:"cache_cluster_id";s:4:"type";s:6:"string";s:11:"description";s:115:"<p>The Cache Cluster identifier for the Cache Cluster to be deleted. This parameter isn&#8217;t case sensitive.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:219:"public function delete_cache_cluster($cache_cluster_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheClusterId'] = $cache_cluster_id;
    
    return $this-&gt;authenticate('DeleteCacheCluster', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:14;a:7:{s:4:"name";s:28:"delete_cache_parameter_group";s:8:"modifier";s:6:"public";s:11:"description";s:136:"<p>Deletes the specified CacheParameterGroup. The CacheParameterGroup cannot be deleted if it is
associated with any cache clusters.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:26:"cache_parameter_group_name";s:4:"type";s:6:"string";s:11:"description";s:159:"<p>The name of the Cache Parameter Group to delete.</p>

<p class="note">The specified cache security group must not be associated with any Cache clusters.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:263:"public function delete_cache_parameter_group($cache_parameter_group_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupName'] = $cache_parameter_group_name;
    
    return $this-&gt;authenticate('DeleteCacheParameterGroup', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:15;a:7:{s:4:"name";s:27:"delete_cache_security_group";s:8:"modifier";s:6:"public";s:11:"description";s:144:"<p>Deletes a Cache Security Group.</p>

<p class="note">
The specified Cache Security Group must not be associated with any Cache Clusters.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:25:"cache_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:121:"<p>The name of the Cache Security Group to delete.</p>

<p class="note">You cannot delete the default security group.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:258:"public function delete_cache_security_group($cache_security_group_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSecurityGroupName'] = $cache_security_group_name;
    
    return $this-&gt;authenticate('DeleteCacheSecurityGroup', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:16;a:6:{s:4:"name";s:25:"delete_cache_subnet_group";s:8:"modifier";s:6:"public";s:11:"description";s:140:"<p>Deletes a Cache Subnet Group.</p>

<p class="note">
The specified Cache Subnet Group must not be associated with any Cache Clusters.
</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:23:"cache_subnet_group_name";s:4:"type";s:6:"string";s:11:"description";s:131:"<p>The name of the Cache Subnet Group to delete. Constraints: Must contain no more than 255 alphanumeric characters or hyphens.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:248:"public function delete_cache_subnet_group($cache_subnet_group_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSubnetGroupName'] = $cache_subnet_group_name;
    
    return $this-&gt;authenticate('DeleteCacheSubnetGroup', $opt);
}";}i:17;a:7:{s:4:"name";s:23:"describe_cache_clusters";s:8:"modifier";s:6:"public";s:11:"description";s:1115:"<p>Returns information about all provisioned Cache Clusters if no Cache Cluster identifier is
specified, or about a specific Cache Cluster if a Cache Cluster identifier is supplied.</p>

<p>Cluster information will be returned by default. An optional <em>ShowDetails</em> flag can be
used to retrieve detailed information about the Cache Nodes associated with the Cache Cluster.
Details include the DNS address and port for the Cache Node endpoint.</p>

<p>If the cluster is in the CREATING state, only cluster level information will be displayed until
all of the nodes are successfully provisioned.</p>

<p>If the cluster is in the DELETING state, only cluster level information will be displayed.</p>

<p>While adding Cache Nodes, node endpoint information and creation time for the additional nodes
will not be displayed until they are completely provisioned. The cluster lifecycle tells the
customer when new nodes are AVAILABLE.</p>

<p>While removing existing Cache Nodes from an cluster, endpoint information for the removed nodes
will not be displayed.</p>

<p>DescribeCacheClusters supports pagination.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1556:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CacheClusterId</code> - <code>string</code> - Optional - The user-supplied cluster identifier. If this parameter is specified, only information about that specific Cache Cluster is returned. This parameter isn&#8217;t case sensitive.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved. Default: 100 Constraints: minimum 20, maximum 100</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheClusters request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>ShowCacheNodeInfo</code> - <code>boolean</code> - Optional - An optional flag that can be included in the DescribeCacheCluster request to retrieve Cache Nodes information.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:166:"public function describe_cache_clusters($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeCacheClusters', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:94:"<p>End-to-end flow of setting up a new cluster, retrieving data, and shutting it all down.</p>";s:4:"code";s:2874:"$elasticache = new AmazonElastiCache();

// Create a new security group
$elasticache-&gt;batch()-&gt;create_cache_security_group(
	'my-security-group',
	'This is a memcached security group.'
);

// Create a new parameter group
$elasticache-&gt;batch()-&gt;create_cache_parameter_group(
	'my-param-group',
	'memcached1.4',
	'This is a memcached parameter group.'
);

// Send requests
$responses = $elasticache-&gt;batch()-&gt;send(true);
if (!$responses-&gt;areOK())
{
	die('Either the security or parameter groups failed to be created.');
}

$response = $elasticache-&gt;create_cache_cluster(
	'my-cluster',  # cluster node
	2,                      # number of nodes
	'cache.m1.large',       # instance type
	'memcached',            # cache engine
	'my-secgroup', # security group
	array(
		'CacheParameterGroupName' =&gt; 'my-paramgroup',
		'AutoMinorVersionUpgrade' =&gt; 'true'
	)
);
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Failed to create new cache cluster.');
}

do {
	sleep(20);

	$response = $elasticache-&gt;describe_cache_clusters(array(
		'CacheClusterId' =&gt; 'my-cluster'
	));

	$status = (string) $response-&gt;body
	                            -&gt;DescribeCacheClustersResult
	                            -&gt;CacheClusters
	                            -&gt;CacheCluster
	                            -&gt;CacheClusterStatus;
}
while ($status !== 'available');

// Display parameter group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheParameterGroup
                       -&gt;CacheParameterGroupName
                       . PHP_EOL;

// Display security group
echo (string) $response-&gt;body
                       -&gt;DescribeCacheClustersResult
                       -&gt;CacheClusters
                       -&gt;CacheCluster
                       -&gt;CacheSecurityGroups
                       -&gt;CacheSecurityGroup
                       -&gt;CacheSecurityGroupName
                       . PHP_EOL;

// Clean-up
$response = $elasticache-&gt;delete_cache_cluster('my-cluster');
if (!$response-&gt;isOK())
{
	print_r($response);
	die('Cluster deletion was unsuccessful.');
}
else
{
	// Wait until the cluster responds with a 404 error
	do {
		sleep(20);

		$response = $elasticache-&gt;describe_cache_clusters(array(
			'CacheClusterId' =&gt; 'my-cluster'
		));
	}
	while ($response-&gt;status !== 404);

	// Delete the security and parameter groups
	$elasticache-&gt;batch()-&gt;delete_cache_security_group('my-security-group');
	$elasticache-&gt;batch()-&gt;delete_cache_parameter_group('my-param-group');

	$responses = $elasticache-&gt;batch()-&gt;send(true);
	if (!$responses-&gt;areOK())
	{
		print_r($responses);
		die('Group deletions were unsuccessful.');
	}
}";}}}i:18;a:6:{s:4:"name";s:30:"describe_cache_engine_versions";s:8:"modifier";s:6:"public";s:11:"description";s:72:"<p>Returns a list of the available cache engines and their versions.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1828:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>Engine</code> - <code>string</code> - Optional - The cache engine to return.</li><li><code>EngineVersion</code> - <code>string</code> - Optional - The cache engine version to return. Example: <code>1.4.14</code></li><li><code>CacheParameterGroupFamily</code> - <code>string</code> - Optional - The name of a specific Cache Parameter Group family to return details for. Constraints:<ul><li>Must be 1 to 255 alphanumeric characters</li><li>First character must be a letter</li><li>Cannot end with a hyphen or contain two consecutive hyphens</li></ul></li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved.</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheParameterGroups request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>DefaultOnly</code> - <code>boolean</code> - Optional - Indicates that only the default version of the specified engine or engine and major version combination is returned.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:179:"public function describe_cache_engine_versions($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeCacheEngineVersions', $opt);
}";}i:19;a:7:{s:4:"name";s:31:"describe_cache_parameter_groups";s:8:"modifier";s:6:"public";s:11:"description";s:183:"<p>Returns a list of CacheParameterGroup descriptions. If a CacheParameterGroupName is specified,
the list will contain only the descriptions of the specified CacheParameterGroup.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1227:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CacheParameterGroupName</code> - <code>string</code> - Optional - The name of a specific cache parameter group to return details for.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved.</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheParameterGroups request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:181:"public function describe_cache_parameter_groups($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeCacheParameterGroups', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:43:"<p>Describe all cache parameter groups.</p>";s:4:"code";s:172:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_cache_parameter_groups();

print_r($response-&gt;body-&gt;CacheParameterGroup()-&gt;first());";s:6:"result";s:195:"CFSimpleXML Object
(
    [CacheParameterGroupName] =&gt; default.memcached1.4
    [CacheParameterGroupFamily] =&gt; memcached1.4
    [Description] =&gt; Default parameter group for memcached1.4
)";}}}i:20;a:7:{s:4:"name";s:25:"describe_cache_parameters";s:8:"modifier";s:6:"public";s:11:"description";s:80:"<p>Returns the detailed parameter list for a particular CacheParameterGroup.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:26:"cache_parameter_group_name";s:4:"type";s:6:"string";s:11:"description";s:74:"<p>The name of a specific cache parameter group to return details for.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1250:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>Source</code> - <code>string</code> - Optional - The parameter types to return. Valid values: <code>user</code> | <code>system</code> | <code>engine-default</code></li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved.</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheClusters request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:258:"public function describe_cache_parameters($cache_parameter_group_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupName'] = $cache_parameter_group_name;
    
    return $this-&gt;authenticate('DescribeCacheParameters', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:37:"<p>Describe all cache parameters.</p>";s:4:"code";s:317:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_cache_parameters('default.memcached1.4');

$query = $response-&gt;body
                  -&gt;query('descendant-or-self::Parameter[ParameterName=&quot;max_simultaneous_connections&quot;]')
                  -&gt;first();

print_r($query);";s:6:"result";s:341:"CFSimpleXML Object
(
    [ParameterValue] =&gt; 65000
    [DataType] =&gt; integer
    [Source] =&gt; system
    [IsModifiable] =&gt; false
    [Description] =&gt; The maximum number of simultaneous connections.
    [AllowedValues] =&gt; 3-65000
    [ParameterName] =&gt; max_simultaneous_connections
    [MinimumEngineVersion] =&gt; 1.4.5
)";}}}i:21;a:7:{s:4:"name";s:30:"describe_cache_security_groups";s:8:"modifier";s:6:"public";s:11:"description";s:179:"<p>Returns a list of CacheSecurityGroup descriptions. If a CacheSecurityGroupName is specified,
the list will contain only the description of the specified CacheSecurityGroup.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1261:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CacheSecurityGroupName</code> - <code>string</code> - Optional - The name of the Cache Security Group to return details for.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved. Default: 100 Constraints: minimum 20, maximum 100</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheClusters request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:179:"public function describe_cache_security_groups($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeCacheSecurityGroups', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:42:"<p>Describe all cache security groups.</p>";s:4:"code";s:224:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_cache_security_groups();
$list = $response-&gt;body-&gt;CacheSecurityGroupName()-&gt;map_string('/^(?:default|aws\-sdk\-php)/');

print_r($list);";s:6:"result";s:31:"Array
(
    [0] =&gt; default
)";}}}i:22;a:6:{s:4:"name";s:28:"describe_cache_subnet_groups";s:8:"modifier";s:6:"public";s:11:"description";s:175:"<p>Returns a list of CacheSubnetGroup descriptions. If a CacheSubnetGroupName is specified, the
list will contain only the description of the specified Cache Subnet Group.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1269:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CacheSubnetGroupName</code> - <code>string</code> - Optional - The name of the Cache Subnet Group to return details for.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <code>MaxRecords</code> value, a marker is included in the response so that the remaining results may be retrieved. Default: 100 Constraints: minimum 20, maximum 100</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheSubnetGroups request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <code>MaxRecords</code>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:175:"public function describe_cache_subnet_groups($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeCacheSubnetGroups', $opt);
}";}i:23;a:7:{s:4:"name";s:34:"describe_engine_default_parameters";s:8:"modifier";s:6:"public";s:11:"description";s:98:"<p>Returns the default engine and system parameter information for the specified cache engine.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:28:"cache_parameter_group_family";s:4:"type";s:6:"string";s:11:"description";s:173:"<p>The name of the Cache Parameter Group Family.</p>

<p class="note">Currently, <em>memcached1.4</em> is the only cache parameter group family supported by the service.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:1072:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved.</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheClusters request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:281:"public function describe_engine_default_parameters($cache_parameter_group_family, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupFamily'] = $cache_parameter_group_family;
    
    return $this-&gt;authenticate('DescribeEngineDefaultParameters', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Describe all engine default parameters.</p>";s:4:"code";s:302:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_engine_default_parameters('memcached1.4');
$query = $response-&gt;body
                  -&gt;query('descendant-or-self::Parameter[ParameterName=&quot;max_item_size&quot;]')
                  -&gt;first();

print_r($query);";s:6:"result";s:348:"CFSimpleXML Object
(
    [ParameterValue] =&gt; 1048576
    [DataType] =&gt; integer
    [Source] =&gt; system
    [IsModifiable] =&gt; true
    [Description] =&gt; The size of the largest item storable in the cache, in bytes.
    [AllowedValues] =&gt; 1024-134217728
    [ParameterName] =&gt; max_item_size
    [MinimumEngineVersion] =&gt; 1.4.5
)";}}}i:24;a:7:{s:4:"name";s:15:"describe_events";s:8:"modifier";s:6:"public";s:11:"description";s:318:"<p>Returns events related to Cache Clusters, Cache Security Groups, and Cache Parameter Groups for
the past 14 days. Events specific to a particular Cache Cluster, Cache Security Group, or Cache
Parameter Group can be obtained by providing the name as a parameter. By default, the past hour
of events are returned.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:2308:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>SourceIdentifier</code> - <code>string</code> - Optional - The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.</li><li><code>SourceType</code> - <code>string</code> - Optional - The event source to retrieve events for. If no value is specified, all events are returned. [Allowed values: <code>cache-cluster</code>, <code>cache-parameter-group</code>, <code>cache-security-group</code>, <code>cache-subnet-group</code>]</li><li><code>StartTime</code> - <code>string</code> - Optional - The beginning of the time interval to retrieve events for, specified in ISO 8601 format. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>EndTime</code> - <code>string</code> - Optional - The end of the time interval for which to retrieve events, specified in ISO 8601 format. May be passed as a number of seconds since UNIX Epoch, or any string compatible with <a href="http://php.net/strtotime"><code>strtotime()</code></a>.</li><li><code>Duration</code> - <code>integer</code> - Optional - The number of minutes to retrieve events for.</li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more records exist than the specified <em>MaxRecords</em> value, a marker is included in the response so that the remaining results may be retrieved.</li><li><code>Marker</code> - <code>string</code> - Optional - An optional marker provided in the previous DescribeCacheClusters request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by <em>MaxRecords</em>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:475:"public function describe_events($opt = null)
{
    if (!$opt) $opt = array();
            
    // Optional DateTime
    if (isset($opt['StartTime']))
    {
        $opt['StartTime'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['StartTime']);
    }
    
    // Optional DateTime
    if (isset($opt['EndTime']))
    {
        $opt['EndTime'] = $this-&gt;util-&gt;convert_date_to_iso8601($opt['EndTime']);
    }

    return $this-&gt;authenticate('DescribeEvents', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:27:"<p>Describe all events.</p>";s:11:"description";s:45:"<p>In this example, there are no results.</p>";s:4:"code";s:143:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_events();

print_r($response-&gt;body-&gt;DescribeEventsResult);";s:6:"result";s:81:"CFSimpleXML Object
(
    [Events] =&gt; CFSimpleXML Object
        (
        )

)";}}}i:25;a:7:{s:4:"name";s:29:"describe_reserved_cache_nodes";s:8:"modifier";s:6:"public";s:11:"description";s:113:"<p>Returns information about reserved Cache Nodes for this account, or about a specified reserved
Cache Node.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:2461:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>ReservedCacheNodeId</code> - <code>string</code> - Optional - The reserved Cache Node identifier filter value. Specify this parameter to show only the reservation that matches the specified reservation ID.</li><li><code>ReservedCacheNodesOfferingId</code> - <code>string</code> - Optional - The offering identifier filter value. Specify this parameter to show only purchased reservations matching the specified offering identifier.</li><li><code>CacheNodeType</code> - <code>string</code> - Optional - The Cache Node type filter value. Specify this parameter to show only those reservations matching the specified Cache Nodes type.</li><li><code>Duration</code> - <code>string</code> - Optional - The duration filter value, specified in years or seconds. Specify this parameter to show only reservations for this duration. Valid Values: <code>1 | 3 | 31536000 | 94608000</code></li><li><code>ProductDescription</code> - <code>string</code> - Optional - The product description filter value. Specify this parameter to show only those reservations matching the specified product description.</li><li><code>OfferingType</code> - <code>string</code> - Optional - The offering type filter value. Specify this parameter to show only the available offerings matching the specified offering type. Valid Values: <code>"Light Utilization" | "Medium Utilization" | "Heavy Utilization"</code></li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more than the <code>MaxRecords</code> value is available, a marker is included in the response so that the following results can be retrieved. Default: 100 Constraints: minimum 20, maximum 100</li><li><code>Marker</code> - <code>string</code> - Optional - The marker provided in the previous request. If this parameter is specified, the response includes records beyond the marker only, up to <code>MaxRecords</code>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:177:"public function describe_reserved_cache_nodes($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeReservedCacheNodes', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:36:"<p>Describe reserved cache nodes</p>";s:4:"code";s:135:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_reserved_cache_nodes();

var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:26;a:7:{s:4:"name";s:39:"describe_reserved_cache_nodes_offerings";s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>Lists available reserved Cache Node offerings.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:2308:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>ReservedCacheNodesOfferingId</code> - <code>string</code> - Optional - The offering identifier filter value. Specify this parameter to show only the available offering that matches the specified reservation identifier. Example: <code>438012d3-4052-4cc7-b2e3-8d3372e0e706</code></li><li><code>CacheNodeType</code> - <code>string</code> - Optional - The Cache Node type filter value. Specify this parameter to show only the available offerings matching the specified Cache Node type.</li><li><code>Duration</code> - <code>string</code> - Optional - Duration filter value, specified in years or seconds. Specify this parameter to show only reservations for this duration. Valid Values: <code>1 | 3 | 31536000 | 94608000</code></li><li><code>ProductDescription</code> - <code>string</code> - Optional - Product description filter value. Specify this parameter to show only the available offerings matching the specified product description.</li><li><code>OfferingType</code> - <code>string</code> - Optional - The offering type filter value. Specify this parameter to show only the available offerings matching the specified offering type. Valid Values: <code>"Light Utilization" | "Medium Utilization" | "Heavy Utilization"</code></li><li><code>MaxRecords</code> - <code>integer</code> - Optional - The maximum number of records to include in the response. If more than the <code>MaxRecords</code> value is available, a marker is included in the response so that the following results can be retrieved. Default: 100 Constraints: minimum 20, maximum 100</li><li><code>Marker</code> - <code>string</code> - Optional - The marker provided in the previous request. If this parameter is specified, the response includes records beyond the marker only, up to <code>MaxRecords</code>.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:196:"public function describe_reserved_cache_nodes_offerings($opt = null)
{
    if (!$opt) $opt = array();
            
    return $this-&gt;authenticate('DescribeReservedCacheNodesOfferings', $opt);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Describe reserved cache nodes offerings</p>";s:4:"code";s:145:"$elasticache = new AmazonElastiCache();

$response = $elasticache-&gt;describe_reserved_cache_nodes_offerings();

var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:27;a:7:{s:4:"name";s:11:"disable_ssl";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:312:"<p>Disables SSL/HTTPS connections for hosts that don&#8217;t support them. Some services, however, still
require SSL support.</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:192:"public function disable_ssl()
{
    trigger_error('Disabling SSL connections is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;use_ssl = false;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:35:"<p>Disable SSL for the service.</p>";s:11:"description";s:170:"<ul>
<li><strong>Note:</strong> It is not recommended to disable SSL.</li>
<li><strong>Note:</strong> This method is inherited by all service-specific classes.</li>
</ul>";s:4:"code";s:175:"// Disable SSL (Using @ to suppress the warning from the output)
$sdb = new AmazonSDB();
@$sdb-&gt;disable_ssl(true);

// Test if the value was set
var_dump($sdb-&gt;use_ssl);";s:6:"result";s:11:"bool(false)";}}}i:28;a:7:{s:4:"name";s:24:"disable_ssl_verification";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:402:"<p>Disables the verification of the SSL Certificate Authority. Doing so can enable an attacker to carry
out a man-in-the-middle attack.</p>

<p>https://secure.wikimedia.org/wikipedia/en/wiki/Man-in-the-middle_attack</p>

<p>This method will throw a user warning when invoked, which can be hidden by changing your
<a href="http://php.net/error_reporting"><code>error_reporting()</code></a> settings.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"ssl_verification";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:314:"public function disable_ssl_verification($ssl_verification = false)
{
    trigger_error('Disabling the verification of SSL certificates can lead to man-in-the-middle attacks. It is potentially unsafe and highly discouraged.', E_USER_WARNING);
    $this-&gt;ssl_verification = $ssl_verification;
    return $this;
}";}i:29;a:8:{s:4:"name";s:17:"enable_debug_mode";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:75:"<p>Enables HTTP request/response header logging to <code>STDERR</code>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"enabled";s:4:"type";s:7:"boolean";s:11:"description";s:74:"<p>Whether or not to enable debug mode. Defaults to <code>true</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:109:"public function enable_debug_mode($enabled = true)
{
    $this-&gt;debug_mode = $enabled;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:82:"<p>Enable the logging of HTTP request/response headers to <code>STDERR</code>.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;enable_debug_mode();

// Test if the value was set
var_dump($sdb-&gt;debug_mode);";s:6:"result";s:10:"bool(true)";}}}i:30;a:7:{s:4:"name";s:7:"factory";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:5:"array";s:11:"description";s:1585:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>certificate_authority</code> - <code>boolean</code> - Optional - Determines which Cerificate Authority file to use. A value of boolean <code>false</code> will use the Certificate Authority file available on the system. A value of boolean <code>true</code> will use the Certificate Authority provided by the SDK. Passing a file system path to a Certificate Authority file (chmodded to <code>0755</code>) will use that. Leave this set to <code>false</code> if you&#8217;re not sure.</li><li><code>credentials</code> - <code>string</code> - Optional - The name of the credential set to use for authentication.</li><li><code>default_cache_config</code> - <code>string</code> - Optional - This option allows a preferred storage type to be configured for long-term caching. This can be changed later using the <a href="../amazonelasticache/set_cache_config.html" rel="../../index.html#m=amazonelasticache/set_cache_config"><code>set_cache_config()</code></a> method. Valid values are: <code>apc</code>, <code>xcache</code>, or a file system path such as <code>./cache</code> or <code>/tmp/cache/</code>.</li><li><code>key</code> - <code>string</code> - Optional - Your AWS key, or a session key. If blank, the default credential set will be used.</li><li><code>secret</code> - <code>string</code> - Optional - Your AWS secret key, or a session secret key. If blank, the default credential set will be used.</li><li><code>token</code> - <code>string</code> - Optional - An AWS session token.</li></ul>";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:303:"public static function factory(array $options = array())
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::factory().');
    }

    $self = get_called_class();
    return new $self($options);
}";}i:31;a:6:{s:4:"name";s:20:"modify_cache_cluster";s:8:"modifier";s:6:"public";s:11:"description";s:173:"<p>Modifies the Cache Cluster settings. You can change one or more Cache Cluster configuration
parameters by specifying the parameters and the new values in the request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:16:"cache_cluster_id";s:4:"type";s:6:"string";s:11:"description";s:80:"<p>The Cache Cluster identifier. This value is stored as a lowercase string.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:4332:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>NumCacheNodes</code> - <code>integer</code> - Optional - The number of Cache Nodes the Cache Cluster should have. If NumCacheNodes is greater than the existing number of Cache Nodes, Cache Nodes will be added. If NumCacheNodes is less than the existing number of Cache Nodes, Cache Nodes will be removed. When removing Cache Nodes, the Ids of the specific Cache Nodes to be removed must be supplied using the CacheNodeIdsToRemove parameter.</li><li><code>CacheNodeIdsToRemove</code> - <code>string|array</code> - Optional - The list of Cache Node IDs to be removed. This parameter is only valid when NumCacheNodes is less than the existing number of Cache Nodes. The number of Cache Node Ids supplied in this parameter must match the difference between the existing number of Cache Nodes in the cluster and the new NumCacheNodes requested. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>CacheSecurityGroupNames</code> - <code>string|array</code> - Optional - A list of Cache Security Group Names to authorize on this Cache Cluster. This change is asynchronously applied as soon as possible. This parameter can be used only with clusters that are created outside of an Amazon Virtual Private Cloud (VPC). Constraints: Must contain no more than 255 alphanumeric characters. Must not be &#8220;Default&#8221;. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>SecurityGroupIds</code> - <code>string|array</code> - Optional - Specifies the VPC Security Groups associated with the Cache Cluster. This parameter can be used only with clusters that are created in an Amazon Virtual Private Cloud (VPC). Pass a string for a single value, or an indexed array for multiple values.</li><li><code>PreferredMaintenanceWindow</code> - <code>string</code> - Optional - The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage. This change is made immediately. If moving this window to the current time, there must be at least 120 minutes between the current time and end of the window to ensure pending changes are applied.</li><li><code>NotificationTopicArn</code> - <code>string</code> - Optional - The Amazon Resource Name (ARN) of the SNS topic to which notifications will be sent. <p class="note">The SNS topic owner must be same as the Cache Cluster owner.</p></li><li><code>CacheParameterGroupName</code> - <code>string</code> - Optional - The name of the Cache Parameter Group to apply to this Cache Cluster. This change is asynchronously applied as soon as possible for parameters when the <em>ApplyImmediately</em> parameter is specified as <em>true</em> for this request.</li><li><code>NotificationTopicStatus</code> - <code>string</code> - Optional - The status of the Amazon SNS notification topic. The value can be <em>active</em> or <em>inactive</em>. Notifications are sent only if the status is <em>active</em>.</li><li><code>ApplyImmediately</code> - <code>boolean</code> - Optional - Specifies whether or not the modifications in this request and any pending modifications are asynchronously applied as soon as possible, regardless of the <em>PreferredMaintenanceWindow</em> setting for the Cache Cluster. If this parameter is passed as <code>false</code>, changes to the Cache Cluster are applied on the next maintenance reboot, or the next failure reboot, whichever occurs first. Default: <code>false</code></li><li><code>EngineVersion</code> - <code>string</code> - Optional - The version of the cache engine to upgrade this cluster to.</li><li><code>AutoMinorVersionUpgrade</code> - <code>boolean</code> - Optional - Indicates that minor engine upgrades will be applied automatically to the Cache Cluster during the maintenance window. Default: <code>true</code></li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:1322:"public function modify_cache_cluster($cache_cluster_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheClusterId'] = $cache_cluster_id;
    
    // Optional list (non-map)
    if (isset($opt['CacheNodeIdsToRemove']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'CacheNodeIdsToRemove' =&gt; (is_array($opt['CacheNodeIdsToRemove']) ? $opt['CacheNodeIdsToRemove'] : array($opt['CacheNodeIdsToRemove']))
        ), 'member'));
        unset($opt['CacheNodeIdsToRemove']);
    }
    
    // Optional list (non-map)
    if (isset($opt['CacheSecurityGroupNames']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'CacheSecurityGroupNames' =&gt; (is_array($opt['CacheSecurityGroupNames']) ? $opt['CacheSecurityGroupNames'] : array($opt['CacheSecurityGroupNames']))
        ), 'member'));
        unset($opt['CacheSecurityGroupNames']);
    }
    
    // Optional list (non-map)
    if (isset($opt['SecurityGroupIds']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'SecurityGroupIds' =&gt; (is_array($opt['SecurityGroupIds']) ? $opt['SecurityGroupIds'] : array($opt['SecurityGroupIds']))
        ), 'member'));
        unset($opt['SecurityGroupIds']);
    }

    return $this-&gt;authenticate('ModifyCacheCluster', $opt);
}";}i:32;a:6:{s:4:"name";s:28:"modify_cache_parameter_group";s:8:"modifier";s:6:"public";s:11:"description";s:217:"<p>Modifies the parameters of a CacheParameterGroup. To modify more than one parameter, submit a
list of ParameterName and ParameterValue parameters. A maximum of 20 parameters can be modified
in a single request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:26:"cache_parameter_group_name";s:4:"type";s:6:"string";s:11:"description";s:55:"<p>The name of the cache parameter group to modify.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:21:"parameter_name_values";s:4:"type";s:5:"array";s:11:"description";s:558:"<p>An array of parameter names and values for the parameter update. At least one parameter name and value must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>ParameterName</code> - <code>string</code> - Optional - Specifies the name of the parameter.</li><li><code>ParameterValue</code> - <code>string</code> - Optional - Specifies the value of the parameter.</li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:517:"public function modify_cache_parameter_group($cache_parameter_group_name, $parameter_name_values, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupName'] = $cache_parameter_group_name;
    
    // Required list + map
    $opt = array_merge($opt, CFComplexType::map(array(
        'ParameterNameValues' =&gt; (is_array($parameter_name_values) ? $parameter_name_values : array($parameter_name_values))
    ), 'member'));

    return $this-&gt;authenticate('ModifyCacheParameterGroup', $opt);
}";}i:33;a:6:{s:4:"name";s:25:"modify_cache_subnet_group";s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>Modifies an existing Cache Subnet Group.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:23:"cache_subnet_group_name";s:4:"type";s:6:"string";s:11:"description";s:202:"<p>The name for the Cache Subnet Group. This value is stored as a lowercase string. Constraints: Must contain no more than 255 alphanumeric characters or hyphens. Example: <code>mysubnetgroup</code></p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:841:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>CacheSubnetGroupDescription</code> - <code>string</code> - Optional - The description for the Cache Subnet Group.</li><li><code>SubnetIds</code> - <code>string|array</code> - Optional - The EC2 Subnet IDs for the Cache Subnet Group. Pass a string for a single value, or an indexed array for multiple values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:549:"public function modify_cache_subnet_group($cache_subnet_group_name, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSubnetGroupName'] = $cache_subnet_group_name;
    
    // Optional list (non-map)
    if (isset($opt['SubnetIds']))
    {
        $opt = array_merge($opt, CFComplexType::map(array(
            'SubnetIds' =&gt; (is_array($opt['SubnetIds']) ? $opt['SubnetIds'] : array($opt['SubnetIds']))
        ), 'member'));
        unset($opt['SubnetIds']);
    }

    return $this-&gt;authenticate('ModifyCacheSubnetGroup', $opt);
}";}i:34;a:6:{s:4:"name";s:38:"purchase_reserved_cache_nodes_offering";s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>Purchases a reserved Cache Node offering.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:32:"reserved_cache_nodes_offering_id";s:4:"type";s:6:"string";s:11:"description";s:108:"<p>The ID of the Reserved Cache Node offering to purchase. Example: 438012d3-4052-4cc7-b2e3-8d3372e0e706</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:809:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>ReservedCacheNodeId</code> - <code>string</code> - Optional - Customer-specified identifier to track this reservation. Example: myreservationID</li><li><code>CacheNodeCount</code> - <code>integer</code> - Optional - The number of instances to reserve. Default: <code>1</code></li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:299:"public function purchase_reserved_cache_nodes_offering($reserved_cache_nodes_offering_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['ReservedCacheNodesOfferingId'] = $reserved_cache_nodes_offering_id;
    
    return $this-&gt;authenticate('PurchaseReservedCacheNodesOffering', $opt);
}";}i:35;a:6:{s:4:"name";s:20:"reboot_cache_cluster";s:8:"modifier";s:6:"public";s:11:"description";s:538:"<p>Reboots some (or all) of the cache cluster nodes within a previously provisioned ElastiCache
cluster. This API results in the application of modified CacheParameterGroup parameters to the
cache cluster. This action is taken as soon as possible, and results in a momentary outage to
the cache cluster during which the cache cluster status is set to rebooting. During that
momentary outage, the contents of the cache (for each cache cluster node being rebooted) are
lost. A CacheCluster event is created when the reboot is completed.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:16:"cache_cluster_id";s:4:"type";s:6:"string";s:11:"description";s:84:"<p>The Cache Cluster identifier. This parameter is stored as a lowercase string.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:24:"cache_node_ids_to_reboot";s:4:"type";s:12:"string|array";s:11:"description";s:196:"<p>A list of Cache Cluster Node Ids to reboot. To reboot an entire cache cluster, specify all cache cluster node Ids. Pass a string for a single value, or an indexed array for multiple values.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:490:"public function reboot_cache_cluster($cache_cluster_id, $cache_node_ids_to_reboot, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheClusterId'] = $cache_cluster_id;
    
    // Required list (non-map)
    $opt = array_merge($opt, CFComplexType::map(array(
        'CacheNodeIdsToReboot' =&gt; (is_array($cache_node_ids_to_reboot) ? $cache_node_ids_to_reboot : array($cache_node_ids_to_reboot))
    ), 'member'));

    return $this-&gt;authenticate('RebootCacheCluster', $opt);
}";}i:36;a:8:{s:4:"name";s:32:"register_streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:753:"<p>Register a callback function to execute whenever a data stream is read from using
<a href="../cfrequest/streaming_read_callback.html" rel="../../index.html#m=cfrequest/streaming_read_callback"><code>CFRequest::streaming_read_callback()</code></a>.</p>

<p>The user-defined callback function should accept three arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$file_handle</code> - <code>resource</code> - Required - The file handle resource that represents the file on the local file system.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:143:"public function register_streaming_read_callback($callback)
{
    $this-&gt;registered_streaming_read_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:85:"<p>Register a callback function to execute when data is read from an open stream.</p>";s:4:"code";s:694:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $file_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is read locally.
$s3-&gt;register_streaming_read_callback('callback');

// Download a public object.
$response = $s3-&gt;create_object('my-bucket', 'my-large-file.mp4', array(
	'fileUpload' =&gt; './uploads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:37;a:8:{s:4:"name";s:33:"register_streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:608:"<p>Register a callback function to execute whenever a data stream is written to using
<a href="../cfrequest/streaming_write_callback.html" rel="../../index.html#m=cfrequest/streaming_write_callback"><code>CFRequest::streaming_write_callback()</code></a>.</p>

<p>The user-defined callback function should accept two arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:145:"public function register_streaming_write_callback($callback)
{
    $this-&gt;registered_streaming_write_callback = $callback;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:86:"<p>Register a callback function to execute when data is written to an open stream.</p>";s:4:"code";s:685:"$s3 = new AmazonS3();

// Define callback function
function callback($curl_handle, $length)
{
	$total = curl_getinfo($curl_handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
	$transferred = curl_getinfo($curl_handle, CURLINFO_SIZE_DOWNLOAD);
	$percentage = floor(($transferred / $total) * 100);

	echo 'Transferred ' . $transferred . ' KB out of ' . $total . ' KB (' . $percentage . '%)' . PHP_EOL;
}

// Register a callback function to execute when a stream is written locally.
$s3-&gt;register_streaming_write_callback('callback');

// Download a public object.
$response = $s3-&gt;get_object('my-bucket', 'my-large-file.mp4', array(
	'fileDownload' =&gt; './downloads/my-large-file.mp4'
));";s:6:"result";s:94:"Transferred 7200 bytes out of 9000000 (0%)
...
Transferred 9000000 bytes out of 9000000 (100%)";}}}i:38;a:6:{s:4:"name";s:27:"reset_cache_parameter_group";s:8:"modifier";s:6:"public";s:11:"description";s:274:"<p>Modifies the parameters of a CacheParameterGroup to the engine or system default value. To
reset specific parameters submit a list of the parameter names. To reset the entire
CacheParameterGroup, specify the CacheParameterGroup name and ResetAllParameters parameters.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:26:"cache_parameter_group_name";s:4:"type";s:6:"string";s:11:"description";s:45:"<p>The name of the Cache Parameter Group.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:21:"parameter_name_values";s:4:"type";s:5:"array";s:11:"description";s:484:"<p>An array of parameter names which should be reset. If not resetting the entire CacheParameterGroup, at least one parameter name must be supplied.</p>

<ul><li><code>x</code> - <code>array</code> - Optional - This represents a simple array index. <ul><li><code>ParameterName</code> - <code>string</code> - Optional - Specifies the name of the parameter.</li><li><code>ParameterValue</code> - <code>string</code> - Optional - Specifies the value of the parameter.</li></ul></li></ul>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:725:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>ResetAllParameters</code> - <code>boolean</code> - Optional - Specifies whether (<em>true</em>) or not (<em>false</em>) to reset all parameters in the Cache Parameter Group to default values.</li><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:515:"public function reset_cache_parameter_group($cache_parameter_group_name, $parameter_name_values, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheParameterGroupName'] = $cache_parameter_group_name;
    
    // Required list + map
    $opt = array_merge($opt, CFComplexType::map(array(
        'ParameterNameValues' =&gt; (is_array($parameter_name_values) ? $parameter_name_values : array($parameter_name_values))
    ), 'member'));

    return $this-&gt;authenticate('ResetCacheParameterGroup', $opt);
}";}i:39;a:6:{s:4:"name";s:35:"revoke_cache_security_group_ingress";s:8:"modifier";s:6:"public";s:11:"description";s:95:"<p>Revokes ingress from a CacheSecurityGroup for previously authorized EC2 Security Groups.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:25:"cache_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:67:"<p>The name of the Cache Security Group to revoke ingress from.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:23:"ec2_security_group_name";s:4:"type";s:6:"string";s:11:"description";s:64:"<p>The name of the EC2 Security Group to revoke access from.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:27:"ec2_security_group_owner_id";s:4:"type";s:6:"string";s:11:"description";s:172:"<p>The AWS Account Number of the owner of the security group specified in the <em>EC2SecurityGroupName</em> parameter. The AWS Access Key ID is not an acceptable value.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:519:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>curlopts</code> - <code>array</code> - Optional - A set of values to pass directly into <code>curl_setopt()</code>, where the key is a pre-defined <code>CURLOPT_*</code> constant.</li><li><code>returnCurlHandle</code> - <code>boolean</code> - Optional - A private toggle specifying that the cURL handle be returned rather than actually completing the request. This toggle is useful for manually managed batch requests.</li></ul>";}}}s:11:"returnvalue";s:149:"<p>A <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> object containing a parsed HTTP response.</p>";s:6:"source";s:458:"public function revoke_cache_security_group_ingress($cache_security_group_name, $ec2_security_group_name, $ec2_security_group_owner_id, $opt = null)
{
    if (!$opt) $opt = array();
    $opt['CacheSecurityGroupName'] = $cache_security_group_name;
    $opt['EC2SecurityGroupName'] = $ec2_security_group_name;
    $opt['EC2SecurityGroupOwnerId'] = $ec2_security_group_owner_id;
    
    return $this-&gt;authenticate('RevokeCacheSecurityGroupIngress', $opt);
}";}i:40;a:7:{s:4:"name";s:4:"send";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:71:"<p>Executes the batch request queue by sending all queued requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:16:"clear_after_send";s:4:"type";s:7:"boolean";s:11:"description";s:204:"<p>Whether or not to clear the batch queue after sending a request. Defaults to <code>true</code>. Set this to <code>false</code> if you are caching batch responses and want to retrieve results later.</p>";}}s:11:"returnvalue";s:126:"<p>An array of <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a> objects.</p>";s:6:"source";s:2018:"public function send($clear_after_send = true)
{
    if ($this-&gt;use_batch_flow)
    {
        // When we send the request, disable batch flow.
        $this-&gt;use_batch_flow = false;

        // If we're not caching, simply send the request.
        if (!$this-&gt;use_cache_flow)
        {
            $response = $this-&gt;batch_object-&gt;send();
            $parsed_data = array_map(array($this, 'parse_callback'), $response);
            $parsed_data = new CFArray($parsed_data);

            // Clear the queue
            if ($clear_after_send)
            {
                $this-&gt;batch_object-&gt;queue = array();
            }

            return $parsed_data;
        }

        // Generate an identifier specific to this particular set of arguments.
        $cache_id = $this-&gt;key . '_' . get_class($this) . '_' . sha1(serialize($this-&gt;batch_object));

        // Instantiate the appropriate caching object.
        $this-&gt;cache_object = new $this-&gt;cache_class($cache_id, $this-&gt;cache_location, $this-&gt;cache_expires, $this-&gt;cache_compress);

        if ($this-&gt;delete_cache)
        {
            $this-&gt;use_cache_flow = false;
            $this-&gt;delete_cache = false;
            return $this-&gt;cache_object-&gt;delete();
        }

        // Invoke the cache callback function to determine whether to pull data from the cache or make a fresh request.
        $data_set = $this-&gt;cache_object-&gt;response_manager(array($this, 'cache_callback_batch'), array($this-&gt;batch_object));
        $parsed_data = array_map(array($this, 'parse_callback'), $data_set);
        $parsed_data = new CFArray($parsed_data);

        // Clear the queue
        if ($clear_after_send)
        {
            $this-&gt;batch_object-&gt;queue = array();
        }

        // End!
        return $parsed_data;
    }

    // Load the class
    $null = new CFBatchRequest();
    unset($null);

    throw new CFBatchRequest_Exception('You must use $object-&gt;batch()-&gt;send()');
}";}i:41;a:7:{s:4:"name";s:15:"set_batch_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:291:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:116:"public function set_batch_class($class = 'CFBatchRequest')
{
    $this-&gt;batch_class = $class;
    return $this;
}";}i:42;a:8:{s:4:"name";s:16:"set_cache_config";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Set the caching configuration to use for response caching.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:1095:"<p>The location to store the cache object in. This may vary by cache method.</p><ul><li>File - The local file system paths such as <code>./cache</code> (relative) or <code>/tmp/cache/</code> (absolute). The location must be server-writable.</li><li>APC - Pass in <code>apc</code> to use this lightweight cache. You must have the <a href="http://php.net/apc">APC extension</a> installed.</li><li>XCache - Pass in <code>xcache</code> to use this lightweight cache. You must have the <a href="http://xcache.lighttpd.net">XCache</a> extension installed.</li><li>Memcached - Pass in an indexed array of associative arrays. Each associative array should have a <code>host</code> and a <code>port</code> value representing a <a href="http://php.net/memcached">Memcached</a> server to connect to.</li><li>PDO - A URL-style string (e.g. <code>pdo.mysql://user:pass@localhost/cache</code>) or a standard DSN-style string (e.g. <code>pdo.sqlite:/sqlite/cache.db</code>). MUST be prefixed with <code>pdo.</code>. See <code>CachePDO</code> and <a href="http://php.net/pdo">PDO</a> for more details.</li></ul>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:241:"<p>Whether or not data should be gzipped before being stored. A value of <code>true</code> will compress the contents before caching them. A value of <code>false</code> will leave the contents uncompressed. Defaults to <code>true</code>.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:1210:"public function set_cache_config($location, $gzip = true)
{
    // If location is empty, don't do anything.
    if (empty($location))
    {
        return $this;
    }

    // If we have an array, we're probably passing in Memcached servers and ports.
    if (is_array($location))
    {
        $this-&gt;cache_class = 'CacheMC';
    }
    else
    {
        // I would expect locations like `/tmp/cache`, `pdo.mysql://user:pass@hostname:port`, `pdo.sqlite:memory:`, and `apc`.
        $type = strtolower(substr($location, 0, 3));
        switch ($type)
        {
            case 'apc':
                $this-&gt;cache_class = 'CacheAPC';
                break;

            case 'xca': // First three letters of `xcache`
                $this-&gt;cache_class = 'CacheXCache';
                break;

            case 'pdo':
                $this-&gt;cache_class = 'CachePDO';
                $location = substr($location, 4);
                break;

            default:
                $this-&gt;cache_class = 'CacheFile';
                break;
        }
    }

    // Set the remaining cache information.
    $this-&gt;cache_location = $location;
    $this-&gt;cache_compress = $gzip;

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:4:{s:5:"title";s:65:"<p>Fire a single request, and then cache the response to APC.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:302:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('apc');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}i:1;a:4:{s:5:"title";s:77:"<p>Fire a single request, and then cache the response to the file system.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:306:"// Instantiate
$sdb = new AmazonSDB();
$sdb-&gt;set_cache_config('./cache');

// First time pulls live data
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());

// Second time pulls from cache
$response = $sdb-&gt;cache(10)-&gt;list_domains();
var_dump($response-&gt;isOK());";s:6:"result";s:21:"bool(true)
bool(true)";}}}}i:43;a:8:{s:4:"name";s:12:"set_hostname";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:145:"<p>Set the hostname to connect to. This is useful for alternate services that are API-compatible with
AWS, but run from a different hostname.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"hostname";s:4:"type";s:6:"string";s:11:"description";s:133:"<p>The alternate hostname to use in place of the default one. Useful for mock or test applications living on different hostnames.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"port_number";s:4:"type";s:7:"integer";s:11:"description";s:139:"<p>The alternate port number to use in place of the default one. Useful for mock or test applications living on different port numbers.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:341:"public function set_hostname($hostname, $port_number = null)
{
    if ($this-&gt;override_hostname)
    {
        $this-&gt;hostname = $hostname;

        if ($port_number)
        {
            $this-&gt;port_number = $port_number;
            $this-&gt;hostname .= ':' . (string) $this-&gt;port_number;
        }
    }

    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:44;a:8:{s:4:"name";s:15:"set_max_retries";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"retries";s:4:"type";s:7:"integer";s:11:"description";s:88:"<p>The maximum number of times to retry failed requests. Defaults to <code>3</code>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:105:"public function set_max_retries($retries = 3)
{
    $this-&gt;max_retries = $retries;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:65:"<p>Sets the maximum number of times to retry failed requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:131:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_max_retries(3);

// Test if the value was set
var_dump($sdb-&gt;max_retries);";s:6:"result";s:6:"int(3)";}}}i:45;a:7:{s:4:"name";s:16:"set_parser_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:115:"public function set_parser_class($class = 'CFSimpleXML')
{
    $this-&gt;parser_class = $class;
    return $this;
}";}i:46;a:8:{s:4:"name";s:9:"set_proxy";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:37:"<p>Set the proxy settings to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:102:"<p>Accepts proxy credentials in the following format: <code>proxy://user:pass@hostname:port</code></p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:85:"public function set_proxy($proxy)
{
    $this-&gt;proxy = $proxy;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>Set the proxy server to use for requests.</p>";s:11:"description";s:87:"<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:151:"// Adjust offset
$sdb = new AmazonSDB();
$sdb-&gt;set_proxy('proxy://user:pass@hostname:port');

// Test if the value was set
var_dump($sdb-&gt;proxy);";s:6:"result";s:44:"string(31) "proxy://user:pass@hostname:port"";}}}i:47;a:6:{s:4:"name";s:10:"set_region";s:8:"modifier";s:6:"public";s:11:"description";s:76:"<p>This allows you to explicitly sets the region for the service to use.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"region";s:4:"type";s:6:"string";s:11:"description";s:1098:"<p>The region to explicitly set. Available options are <a href="../amazonelasticache/constants.html#region_us_e1" rel="../../index.html#c=amazonelasticache/region_us_e1"><code>REGION_US_E1</code></a>, <a href="../amazonelasticache/constants.html#region_us_w1" rel="../../index.html#c=amazonelasticache/region_us_w1"><code>REGION_US_W1</code></a>, <a href="../amazonelasticache/constants.html#region_us_w2" rel="../../index.html#c=amazonelasticache/region_us_w2"><code>REGION_US_W2</code></a>, <a href="../amazonelasticache/constants.html#region_eu_w1" rel="../../index.html#c=amazonelasticache/region_eu_w1"><code>REGION_EU_W1</code></a>, <a href="../amazonelasticache/constants.html#region_apac_se1" rel="../../index.html#c=amazonelasticache/region_apac_se1"><code>REGION_APAC_SE1</code></a>, <a href="../amazonelasticache/constants.html#region_apac_ne1" rel="../../index.html#c=amazonelasticache/region_apac_ne1"><code>REGION_APAC_NE1</code></a>, <a href="../amazonelasticache/constants.html#region_sa_e1" rel="../../index.html#c=amazonelasticache/region_sa_e1"><code>REGION_SA_E1</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:156:"public function set_region($region)
{
    // @codeCoverageIgnoreStart
    $this-&gt;set_hostname($region);
    return $this;
    // @codeCoverageIgnoreEnd
}";}i:48;a:8:{s:4:"name";s:17:"set_request_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:276:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";a:0:{}s:6:"source";s:115:"public function set_request_class($class = 'CFRequest')
{
    $this-&gt;request_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:51:"<p>Set the request class to use in the toolkit.</p>";s:11:"description";s:158:"<p>The new request class must extend from <code>CFRequest</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:310:"// Custom class to extend RequestCore
class TestRequestCore extends RequestCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_request_class('TestRequestCore');

// Test if the value was set
var_dump($sdb-&gt;request_class);";s:6:"result";s:28:"string(15) "TestRequestCore"";}}}i:49;a:8:{s:4:"name";s:19:"set_resource_prefix";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:117:"<p>Set the resource prefix to use. This method is useful for alternate services that are API-compatible
with AWS.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"prefix";s:4:"type";s:6:"string";s:11:"description";s:97:"<p>An alternate prefix to prepend to the resource path. Useful for mock or test applications.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:107:"public function set_resource_prefix($prefix)
{
    $this-&gt;resource_prefix = $prefix;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:46:"<p>Configure hostname and resource prefix.</p>";s:4:"code";s:316:"// Instantiate the class
$ec2 = new AmazonEC2();

// Point to the new endpoint
$ec2-&gt;set_hostname('localhost', '3000');
$ec2-&gt;set_resource_prefix('/services/mock');
$ec2-&gt;allow_hostname_override(false);

// Describe images
$response = $ec2-&gt;describe_images();

// Success?
var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}}}i:50;a:8:{s:4:"name";s:18:"set_response_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:279:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:118:"public function set_response_class($class = 'CFResponse')
{
    $this-&gt;response_class = $class;
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:52:"<p>Set the response class to use in the toolkit.</p>";s:11:"description";s:160:"<p>The new response class must extend from <code>CFResponse</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:316:"// Custom class to extend ResponseCore
class TestResponseCore extends ResponseCore
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_response_class('TestResponseCore');

// Test if the value was set
var_dump($sdb-&gt;response_class);";s:6:"result";s:29:"string(16) "TestResponseCore"";}}}i:51;a:8:{s:4:"name";s:19:"set_utilities_class";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CFRuntime";}}s:11:"description";s:282:"<p>Set a custom class for this functionality. Use this method when extending/overriding existing classes
with new functionality.</p>

<p>The replacement class must extend from <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:63:"<p>The name of the new class to use for this functionality.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:175:"public function set_utilities_class($class = 'CFUtilities')
{
    $this-&gt;utilities_class = $class;
    $this-&gt;util = new $this-&gt;utilities_class();
    return $this;
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:53:"<p>Set the utilities class to use in the toolkit.</p>";s:11:"description";s:162:"<p>The new utilities class must extend from <code>CFUtilities</code>.</p>

<p><strong>Note:</strong> This method is inherited by all service-specific classes.</p>";s:4:"code";s:317:"// Custom class to extend CFUtilities
class TestUtilities extends CFUtilities
{
	public function test_method()
	{
		return true;
	}
}

// Instantiate class and set new class
$sdb = new AmazonSDB();
$sdb-&gt;set_utilities_class('TestUtilities');

// Test if the value was set
var_dump($sdb-&gt;util-&gt;test_method());";s:6:"result";s:10:"bool(true)";}}}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"19";}s:8:"constant";a:19:{i:0;a:2:{s:4:"name";s:5:"BUILD";s:5:"value";s:14:"20130314130000";}i:1;a:2:{s:4:"name";s:11:"DEFAULT_URL";s:5:"value";s:35:"elasticache.us-east-1.amazonaws.com";}i:2;a:2:{s:4:"name";s:4:"NAME";s:5:"value";s:11:"aws-sdk-php";}i:3;a:2:{s:4:"name";s:15:"REGION_APAC_NE1";s:5:"value";s:40:"elasticache.ap-northeast-1.amazonaws.com";}i:4;a:2:{s:4:"name";s:15:"REGION_APAC_SE1";s:5:"value";s:40:"elasticache.ap-southeast-1.amazonaws.com";}i:5;a:2:{s:4:"name";s:17:"REGION_CALIFORNIA";s:5:"value";s:35:"elasticache.us-west-1.amazonaws.com";}i:6;a:2:{s:4:"name";s:12:"REGION_EU_W1";s:5:"value";s:35:"elasticache.eu-west-1.amazonaws.com";}i:7;a:2:{s:4:"name";s:14:"REGION_IRELAND";s:5:"value";s:35:"elasticache.eu-west-1.amazonaws.com";}i:8;a:2:{s:4:"name";s:13:"REGION_OREGON";s:5:"value";s:35:"elasticache.us-west-2.amazonaws.com";}i:9;a:2:{s:4:"name";s:16:"REGION_SAO_PAULO";s:5:"value";s:35:"elasticache.sa-east-1.amazonaws.com";}i:10;a:2:{s:4:"name";s:12:"REGION_SA_E1";s:5:"value";s:35:"elasticache.sa-east-1.amazonaws.com";}i:11;a:2:{s:4:"name";s:16:"REGION_SINGAPORE";s:5:"value";s:40:"elasticache.ap-southeast-1.amazonaws.com";}i:12;a:2:{s:4:"name";s:12:"REGION_TOKYO";s:5:"value";s:40:"elasticache.ap-northeast-1.amazonaws.com";}i:13;a:2:{s:4:"name";s:12:"REGION_US_E1";s:5:"value";s:35:"elasticache.us-east-1.amazonaws.com";}i:14;a:2:{s:4:"name";s:12:"REGION_US_W1";s:5:"value";s:35:"elasticache.us-west-1.amazonaws.com";}i:15;a:2:{s:4:"name";s:12:"REGION_US_W2";s:5:"value";s:35:"elasticache.us-west-2.amazonaws.com";}i:16;a:2:{s:4:"name";s:15:"REGION_VIRGINIA";s:5:"value";s:35:"elasticache.us-east-1.amazonaws.com";}i:17;a:2:{s:4:"name";s:9:"USERAGENT";s:5:"value";s:65:"aws-sdk-php/1.6.2 PHP/5.4.9 curl/7.15.5 openssl/0.9.8e-fips-rhel5";}i:18;a:2:{s:4:"name";s:7:"VERSION";s:5:"value";s:5:"1.6.2";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"40";}s:8:"property";a:40:{i:0;a:4:{s:4:"name";s:11:"api_version";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The supported API version.</p>";}i:1;a:4:{s:4:"name";s:10:"auth_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The authentication class to use.</p>";}i:2;a:4:{s:4:"name";s:10:"auth_token";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The Amazon Authentication Token.</p>";}i:3;a:5:{s:4:"name";s:11:"batch_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:14:"CFBatchRequest";}}s:11:"description";s:185:"<p>The default class to use for handling batch requests (defaults to <a href="../cfbatchrequest/index.html" rel="../../index.html#i=cfbatchrequest"><code>CFBatchRequest</code></a>).</p>";}i:4;a:4:{s:4:"name";s:12:"batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The current instantiated batch request object.</p>";}i:5;a:4:{s:4:"name";s:11:"cache_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The caching class to use.</p>";}i:6;a:4:{s:4:"name";s:14:"cache_compress";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>The state of cache compression.</p>";}i:7;a:4:{s:4:"name";s:13:"cache_expires";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>When the cache should be considered stale.</p>";}i:8;a:4:{s:4:"name";s:14:"cache_location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:35:"<p>The caching location to use.</p>";}i:9;a:4:{s:4:"name";s:12:"cache_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The current instantiated cache object.</p>";}i:10;a:4:{s:4:"name";s:11:"credentials";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>The credentials to use for authentication.</p>";}i:11;a:4:{s:4:"name";s:10:"debug_mode";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The state of the debug mode setting.</p>";}i:12;a:4:{s:4:"name";s:12:"delete_cache";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>The state of the cache deletion setting.</p>";}i:13;a:4:{s:4:"name";s:8:"hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The alternate hostname to use, if any.</p>";}i:14;a:4:{s:4:"name";s:21:"internal_batch_object";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>The internally instantiated batch request object.</p>";}i:15;a:4:{s:4:"name";s:3:"key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:26:"<p>The Amazon API Key.</p>";}i:16;a:5:{s:4:"name";s:11:"max_retries";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"integer";s:5:"value";s:1:"3";}}s:11:"description";s:52:"<p>The number of times to retry failed requests.</p>";}i:17;a:4:{s:4:"name";s:9:"operation";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>The operation to execute.</p>";}i:18;a:4:{s:4:"name";s:16:"operation_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:58:"<p>The string prefix to prepend to the operation name.</p>";}i:19;a:5:{s:4:"name";s:17:"override_hostname";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:202:"<p>The state of the capability to override the hostname with <a href="../amazonelasticache/set_hostname.html" rel="../../index.html#m=amazonelasticache/set_hostname"><code>set_hostname()</code></a>.</p>";}i:20;a:5:{s:4:"name";s:18:"parse_the_response";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:65:"<p>The state of whether the response should be parsed or not.</p>";}i:21;a:5:{s:4:"name";s:12:"parser_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFSimpleXML";}}s:11:"description";s:164:"<p>The default class to use for parsing XML (defaults to <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a>).</p>";}i:22;a:4:{s:4:"name";s:7:"payload";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:27:"<p>The payload to send.</p>";}i:23;a:4:{s:4:"name";s:11:"port_number";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:48:"<p>The alternate port number to use, if any.</p>";}i:24;a:4:{s:4:"name";s:5:"proxy";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:39:"<p>The proxy to use for connecting.</p>";}i:25;a:4:{s:4:"name";s:9:"redirects";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:54:"<p>The number of times a request has been retried.</p>";}i:26;a:4:{s:4:"name";s:34:"registered_streaming_read_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>The user-defined callback function to call when a stream is read from.</p>";}i:27;a:4:{s:4:"name";s:35:"registered_streaming_write_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>The user-defined callback function to call when a stream is written to.</p>";}i:28;a:5:{s:4:"name";s:13:"request_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"CFRequest";}}s:11:"description";s:160:"<p>The default class to use for HTTP requests (defaults to <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>).</p>";}i:29;a:4:{s:4:"name";s:15:"resource_prefix";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The alternate resource prefix to use, if any.</p>";}i:30;a:5:{s:4:"name";s:14:"response_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:10:"CFResponse";}}s:11:"description";s:164:"<p>The default class to use for HTTP responses (defaults to <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>).</p>";}i:31;a:4:{s:4:"name";s:10:"secret_key";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The Amazon API Secret Key.</p>";}i:32;a:4:{s:4:"name";s:7:"service";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:49:"<p>An identifier for the current AWS service.</p>";}i:33;a:5:{s:4:"name";s:16:"ssl_verification";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:49:"<p>The state of SSL certificate verification.</p>";}i:34;a:5:{s:4:"name";s:13:"use_aws_query";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:64:"<p>The state of whether auth should be handled as AWS Query.</p>";}i:35;a:4:{s:4:"name";s:14:"use_batch_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of batch flow usage.</p>";}i:36;a:4:{s:4:"name";s:14:"use_cache_flow";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>The state of cache flow usage.</p>";}i:37;a:5:{s:4:"name";s:7:"use_ssl";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:34:"<p>The state of SSL/HTTPS use.</p>";}i:38;a:4:{s:4:"name";s:4:"util";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>Handle for the utility functions.</p>";}i:39;a:5:{s:4:"name";s:15:"utilities_class";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CFRuntime";s:4:"file";s:13:"sdk.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:11:"CFUtilities";}}s:11:"description";s:162:"<p>The default class to use for utilities (defaults to <a href="../cfutilities/index.html" rel="../../index.html#i=cfutilities"><code>CFUtilities</code></a>).</p>";}}}}}