a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:12:"CFCredential";s:4:"file";s:30:"utilities/credential.class.php";s:3:"url";s:26:"../cfcredential/index.html";s:11:"description";s:162:"<p>The <a href="../cfcredential/index.html" rel="../../index.html#i=cfcredential"><code>CFCredential</code></a> class represents an individual credential set.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2011.11.15";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:10:"implements";a:1:{s:9:"interface";a:2:{s:4:"name";s:11:"ArrayAccess";s:3:"url";s:26:"http://php.net/arrayaccess";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"10";}s:6:"method";a:10:{i:0;a:5:{s:4:"name";s:7:"__clone";s:8:"modifier";s:6:"public";s:11:"description";s:36:"<p>Create a clone of the object.</p>";s:11:"returnvalue";s:39:"<p>A clone of the current instance.</p>";s:6:"source";s:84:"public function __clone()
{
    $this-&gt;collection = clone $this-&gt;collection;
}";}i:1;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:151:"<p>Constructs a new instance of the <a href="../cfcredential/index.html" rel="../../index.html#i=cfcredential"><code>CFCredential</code></a> class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"value";}}s:11:"returnvalue";a:0:{}s:6:"source";s:130:"public function __construct($value = array())
{
    $this-&gt;collection = new ArrayObject($value, ArrayObject::ARRAY_AS_PROPS);
}";}i:2;a:6:{s:4:"name";s:5:"__get";s:8:"modifier";s:6:"public";s:11:"description";s:162:"<p>Default getter. Enables syntax such as $object->method->chained_method();. Also supports
$object->key. Matching methods are prioritized over matching keys.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:60:"<p>The name of the method to execute or key to retrieve.</p>";}}s:11:"returnvalue";s:117:"<p>The results of calling the function <code>$name()</code>, or the value of the key <code>$object[$name]</code>.</p>";s:6:"source";s:57:"public function __get($name)
{
    return $this[$name];
}";}i:3;a:6:{s:4:"name";s:5:"__set";s:8:"modifier";s:6:"public";s:11:"description";s:22:"<p>Default setter.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:41:"<p>The name of the method to execute.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:39:"<p>The value to pass to the method.</p>";}}}s:11:"returnvalue";s:63:"<p>The results of calling the function, <code>$name</code>.</p>";s:6:"source";s:85:"public function __set($name, $value)
{
    $this[$name] = $value;
    return $this;
}";}i:4;a:6:{s:4:"name";s:5:"merge";s:8:"modifier";s:6:"public";s:11:"description";s:152:"<p>Merge another instance of <a href="../cfcredential/index.html" rel="../../index.html#i=cfcredential"><code>CFCredential</code></a> onto this one.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:10:"credential";s:4:"type";s:12:"CFCredential";s:11:"description";s:132:"<p>Another instance of <a href="../cfcredential/index.html" rel="../../index.html#i=cfcredential"><code>CFCredential</code></a>.</p>";}}s:11:"returnvalue";s:45:"<p>A reference to the current collection.</p>";s:6:"source";s:199:"public function merge(CFCredential $credential)
{
    $merged = array_merge($this-&gt;to_array(), $credential-&gt;to_array());
    $this-&gt;collection-&gt;exchangeArray($merged);
    return $this;
}";}i:5;a:6:{s:4:"name";s:12:"offsetExists";s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>Check whether or not a specific offset exists.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"offset";s:4:"type";s:7:"integer";s:11:"description";s:65:"<p>The location in the collection to verify the existence of.</p>";}}s:11:"returnvalue";s:138:"<p>A value of <code>true</code> indicates that the collection offset exists. A value of <code>false</code> indicates that it does not.</p>";s:6:"source";s:100:"public function offsetExists($offset)
{
    return $this-&gt;collection-&gt;offsetExists($offset);
}";}i:6;a:6:{s:4:"name";s:9:"offsetGet";s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>Get the value for a specific offset.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"offset";s:4:"type";s:7:"integer";s:11:"description";s:64:"<p>The location in the collection to retrieve the value for.</p>";}}s:11:"returnvalue";s:102:"<p>The value of the collection offset. <code>NULL</code> is returned if the offset does not exist.</p>";s:6:"source";s:184:"public function offsetGet($offset)
{
    if ($this-&gt;collection-&gt;offsetExists($offset))
    {
        return $this-&gt;collection-&gt;offsetGet($offset);
    }

    return null;
}";}i:7;a:6:{s:4:"name";s:9:"offsetSet";s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>Set the value for a specific offset.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"offset";s:4:"type";s:7:"integer";s:11:"description";s:61:"<p>The location in the collection to set a new value for.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:5:"mixed";s:11:"description";s:49:"<p>The new value for the collection location.</p>";}}}s:11:"returnvalue";s:45:"<p>A reference to the current collection.</p>";s:6:"source";s:121:"public function offsetSet($offset, $value)
{
    $this-&gt;collection-&gt;offsetSet($offset, $value);
    return $this;
}";}i:8;a:6:{s:4:"name";s:11:"offsetUnset";s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>Unset the value for a specific offset.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"offset";s:4:"type";s:7:"integer";s:11:"description";s:47:"<p>The location in the collection to unset.</p>";}}s:11:"returnvalue";s:45:"<p>A reference to the current collection.</p>";s:6:"source";s:109:"public function offsetUnset($offset)
{
    $this-&gt;collection-&gt;offsetUnset($offset);
    return $this;
}";}i:9;a:5:{s:4:"name";s:8:"to_array";s:8:"modifier";s:6:"public";s:11:"description";s:46:"<p>Retrieves the data as a standard array.</p>";s:11:"returnvalue";s:28:"<p>The data as an array.</p>";s:6:"source";s:82:"public function to_array()
{
    return $this-&gt;collection-&gt;getArrayCopy();
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:8:"property";a:3:{s:4:"name";s:10:"collection";s:8:"modifier";s:7:"private";s:11:"description";s:126:"<p>Stores the internal <a href="http://php.net/arrayobject"><code>ArrayObject</code></a> representation of the collection.</p>";}}}}