a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:12:"CFGzipDecode";s:4:"file";s:30:"utilities/gzipdecode.class.php";s:3:"url";s:26:"../cfgzipdecode/index.html";s:11:"description";s:87:"<p>Handles a variety of primary and edge cases around gzip/deflate decoding in PHP.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2011.02.21";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";a:2:{i:0;s:47:"http://aws.amazon.com/php/ PHP Developer Center";i:1;s:92:"https://github.com/simplepie/simplepie/blob/master/SimplePie/gzdecode.php SimplePie_gzdecode";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"3";}s:6:"method";a:3:{i:0;a:7:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:55:"<p>Set the compressed string and related properties</p>";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";}}s:11:"returnvalue";a:0:{}s:6:"source";s:124:"public function __construct($data)
{
    $this-&gt;compressed_data = $data;
    $this-&gt;compressed_size = strlen($data);
}";}i:1;a:7:{s:4:"name";s:5:"__set";s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>Don&#8217;t allow anything to be set</p>";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";}i:1;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";}}}s:11:"returnvalue";a:0:{}s:6:"source";s:114:"public function __set($name, $value)
{
    trigger_error(&quot;Cannot write property $name&quot;, E_USER_ERROR);
}";}i:2;a:6:{s:4:"name";s:5:"parse";s:8:"modifier";s:6:"public";s:11:"description";s:29:"<p>Decode the GZIP stream</p>";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"returnvalue";a:0:{}s:6:"source";s:5754:"public function parse()
{
    if ($this-&gt;compressed_size &gt;= $this-&gt;min_compressed_size)
    {
        // Check ID1, ID2, and CM
        if (substr($this-&gt;compressed_data, 0, 3) !== &quot;\x1F\x8B\x08&quot;)
        {
            return false;
        }

        // Get the FLG (FLaGs)
        $this-&gt;flags = ord($this-&gt;compressed_data[3]);

        // FLG bits above (1 &lt;&lt; 4) are reserved
        if ($this-&gt;flags &gt; 0x1F)
        {
            return false;
        }

        // Advance the pointer after the above
        $this-&gt;position += 4;

        // MTIME
        $mtime = substr($this-&gt;compressed_data, $this-&gt;position, 4);
        // Reverse the string if we're on a big-endian arch because l is the only signed long and is machine endianness
        if (current(unpack('S', &quot;\x00\x01&quot;)) === 1)
        {
            $mtime = strrev($mtime);
        }
        $this-&gt;MTIME = current(unpack('l', $mtime));
        $this-&gt;position += 4;

        // Get the XFL (eXtra FLags)
        $this-&gt;XFL = ord($this-&gt;compressed_data[$this-&gt;position++]);

        // Get the OS (Operating System)
        $this-&gt;OS = ord($this-&gt;compressed_data[$this-&gt;position++]);

        // Parse the FEXTRA
        if ($this-&gt;flags &amp; 4)
        {
            // Read subfield IDs
            $this-&gt;SI1 = $this-&gt;compressed_data[$this-&gt;position++];
            $this-&gt;SI2 = $this-&gt;compressed_data[$this-&gt;position++];

            // SI2 set to zero is reserved for future use
            if ($this-&gt;SI2 === &quot;\x00&quot;)
            {
                return false;
            }

            // Get the length of the extra field
            $len = current(unpack('v', substr($this-&gt;compressed_data, $this-&gt;position, 2)));
            $position += 2;

            // Check the length of the string is still valid
            $this-&gt;min_compressed_size += $len + 4;
            if ($this-&gt;compressed_size &gt;= $this-&gt;min_compressed_size)
            {
                // Set the extra field to the given data
                $this-&gt;extra_field = substr($this-&gt;compressed_data, $this-&gt;position, $len);
                $this-&gt;position += $len;
            }
            else
            {
                return false;
            }
        }

        // Parse the FNAME
        if ($this-&gt;flags &amp; 8)
        {
            // Get the length of the filename
            $len = strcspn($this-&gt;compressed_data, &quot;\x00&quot;, $this-&gt;position);

            // Check the length of the string is still valid
            $this-&gt;min_compressed_size += $len + 1;
            if ($this-&gt;compressed_size &gt;= $this-&gt;min_compressed_size)
            {
                // Set the original filename to the given string
                $this-&gt;filename = substr($this-&gt;compressed_data, $this-&gt;position, $len);
                $this-&gt;position += $len + 1;
            }
            else
            {
                return false;
            }
        }

        // Parse the FCOMMENT
        if ($this-&gt;flags &amp; 16)
        {
            // Get the length of the comment
            $len = strcspn($this-&gt;compressed_data, &quot;\x00&quot;, $this-&gt;position);

            // Check the length of the string is still valid
            $this-&gt;min_compressed_size += $len + 1;
            if ($this-&gt;compressed_size &gt;= $this-&gt;min_compressed_size)
            {
                // Set the original comment to the given string
                $this-&gt;comment = substr($this-&gt;compressed_data, $this-&gt;position, $len);
                $this-&gt;position += $len + 1;
            }
            else
            {
                return false;
            }
        }

        // Parse the FHCRC
        if ($this-&gt;flags &amp; 2)
        {
            // Check the length of the string is still valid
            $this-&gt;min_compressed_size += $len + 2;
            if ($this-&gt;compressed_size &gt;= $this-&gt;min_compressed_size)
            {
                // Read the CRC
                $crc = current(unpack('v', substr($this-&gt;compressed_data, $this-&gt;position, 2)));

                // Check the CRC matches
                if ((crc32(substr($this-&gt;compressed_data, 0, $this-&gt;position)) &amp; 0xFFFF) === $crc)
                {
                    $this-&gt;position += 2;
                }
                else
                {
                    return false;
                }
            }
            else
            {
                return false;
            }
        }

        // Decompress the actual data
        if (($this-&gt;data = gzinflate(substr($this-&gt;compressed_data, $this-&gt;position, -8))) === false)
        {
            return false;
        }
        else
        {
            $this-&gt;position = $this-&gt;compressed_size - 8;
        }

        // Check CRC of data
        $crc = current(unpack('V', substr($this-&gt;compressed_data, $this-&gt;position, 4)));
        $this-&gt;position += 4;
        /*if (extension_loaded('hash') &amp;&amp; sprintf('%u', current(unpack('V', hash('crc32b', $this-&gt;data)))) !== sprintf('%u', $crc))
        {
            return false;
        }*/

        // Check ISIZE of data
        $isize = current(unpack('V', substr($this-&gt;compressed_data, $this-&gt;position, 4)));
        $this-&gt;position += 4;
        if (sprintf('%u', strlen($this-&gt;data) &amp; 0xFFFFFFFF) !== sprintf('%u', $isize))
        {
            return false;
        }

        // Wow, against all odds, we've actually got a valid gzip string
        return true;
    }
    else
    {
        return false;
    }
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"14";}s:8:"property";a:14:{i:0;a:4:{s:4:"name";s:5:"MTIME";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"description";s:20:"<p>Modified time</p>";}i:1;a:4:{s:4:"name";s:2:"OS";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"description";s:23:"<p>Operating System</p>";}i:2;a:4:{s:4:"name";s:3:"SI1";s:8:"modifier";s:6:"public";s:8:"metadata";a:2:{s:6:"access";s:6:"public";s:3:"see";a:2:{i:0;s:22:"gzdecode::$extra_field";i:1;s:14:"gzdecode::$SI2";}}s:11:"description";s:20:"<p>Subfield ID 1</p>";}i:3;a:4:{s:4:"name";s:3:"SI2";s:8:"modifier";s:6:"public";s:8:"metadata";a:2:{s:6:"access";s:6:"public";s:3:"see";a:2:{i:0;s:22:"gzdecode::$extra_field";i:1;s:14:"gzdecode::$SI1";}}s:11:"description";s:20:"<p>Subfield ID 2</p>";}i:4;a:4:{s:4:"name";s:3:"XFL";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"description";s:18:"<p>Extra Flags</p>";}i:5;a:4:{s:4:"name";s:7:"comment";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"description";s:29:"<p>Human readable comment</p>";}i:6;a:4:{s:4:"name";s:15:"compressed_data";s:8:"modifier";s:6:"public";s:8:"metadata";a:2:{s:6:"access";s:7:"private";s:3:"see";s:15:"gzdecode::$data";}s:11:"description";s:22:"<p>Compressed data</p>";}i:7;a:4:{s:4:"name";s:15:"compressed_size";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:7:"private";}s:11:"description";s:30:"<p>Size of compressed data</p>";}i:8;a:4:{s:4:"name";s:4:"data";s:8:"modifier";s:6:"public";s:8:"metadata";a:2:{s:6:"access";s:6:"public";s:3:"see";s:26:"gzdecode::$compressed_data";}s:11:"description";s:24:"<p>Uncompressed data</p>";}i:9;a:4:{s:4:"name";s:11:"extra_field";s:8:"modifier";s:6:"public";s:8:"metadata";a:2:{s:6:"access";s:6:"public";s:3:"see";a:2:{i:0;s:14:"gzdecode::$SI1";i:1;s:14:"gzdecode::$SI2";}}s:11:"description";s:26:"<p>Extra field content</p>";}i:10;a:4:{s:4:"name";s:8:"filename";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:6:"public";}s:11:"description";s:24:"<p>Original filename</p>";}i:11;a:4:{s:4:"name";s:5:"flags";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:7:"private";}s:11:"description";s:18:"<p>Flags (FLG)</p>";}i:12;a:5:{s:4:"name";s:19:"min_compressed_size";s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"integer";s:5:"value";s:2:"18";}}s:8:"metadata";a:1:{s:6:"access";s:7:"private";}s:11:"description";s:42:"<p>Minimum size of a valid gzip string</p>";}i:13;a:4:{s:4:"name";s:8:"position";s:8:"modifier";s:6:"public";s:8:"metadata";a:1:{s:6:"access";s:7:"private";}s:11:"description";s:34:"<p>Current position of pointer</p>";}}}}}