a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:17:"CFHadoopBootstrap";s:4:"file";s:35:"utilities/hadoopbootstrap.class.php";s:3:"url";s:31:"../cfhadoopbootstrap/index.html";s:11:"description";s:71:"<p>Contains a set of pre-built Amazon EMR Hadoop Bootstrap Actions.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2012.07.24";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";a:2:{i:0;s:47:"http://aws.amazon.com/php/ PHP Developer Center";i:1;s:38:"http://hadoop.apache.org Apache Hadoop";}}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:12:"CFHadoopBase";s:4:"file";s:30:"utilities/hadoopbase.class.php";s:3:"url";s:26:"../cfhadoopbase/index.html";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"5";}s:6:"method";a:5:{i:0;a:6:{s:4:"name";s:9:"configure";s:8:"modifier";s:13:"public static";s:11:"description";s:74:"<p>Specify options to merge with Hadoop&#8217;s default configuration.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"file";s:4:"type";s:6:"string";s:11:"description";s:301:"<p>The Hadoop configuration file to merge with. [Allowed values: <code>CFHadoopBootstrap::CONFIG_SITE</code>, <code>CFHadoopBootstrap::CONFIG_DEFAULT</code>, <code>CFHadoopBootstrap::CONFIG_CORE</code>, <code>CFHadoopBootstrap::CONFIG_HDFS</code>, <code>CFHadoopBootstrap::CONFIG_MAPREDUCE</code>]</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"config";s:4:"type";s:12:"string|array";s:11:"description";s:123:"<p>This can either be an XML file in S3 (as <code>s3://bucket/path</code>), or an associative array of key-value pairs.</p>";}}}s:11:"returnvalue";s:66:"<p>A configuration set to be provided when running a job flow.</p>";s:6:"source";s:511:"public static function configure($file, $config)
{
    $args = array();
    $file_arg = '-' . $file;

    if (is_string($config))
    {
        $args[] = $file_arg;
        $args[] = $config;
    }
    elseif (is_array($config))
    {
        foreach ($config as $key =&gt; $value)
        {
            $args[] = $file_arg;
            $args[] = $key . '=' . $value;
        }
    }

        return self::script_runner('s3://' . self::$region . '.elasticmapreduce/bootstrap-actions/configure-hadoop', $args);
}";}i:1;a:6:{s:4:"name";s:6:"daemon";s:8:"modifier";s:13:"public static";s:11:"description";s:154:"<p>Create a new bootstrap action which lets you configure Hadoop&#8217;s daemons. The options are written to
the <code>hadoop-user-env.sh</code> file.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"daemon_type";s:4:"type";s:6:"string";s:11:"description";s:38:"<p>The Hadoop daemon to configure.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:599:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>HeapSize</code> - <code>integer</code> - Optional - The requested heap size of the daemon, in megabytes.</li><li><code>CLIOptions</code> - <code>string</code> - Optional - Additional Java command line arguments to pass to the daemon.</li><li><code>Replace</code> - <code>boolean</code> - Optional - Whether or not the file should be replaced. A value of <code>true</code> will replace the existing configuration file. A value of <code>false</code> will append the options to the configuration file.</li></ul>";}}}s:11:"returnvalue";s:66:"<p>A configuration set to be provided when running a job flow.</p>";s:6:"source";s:844:"public static function daemon($daemon_type, $opt = null)
{
    if (!$opt) $opt = array();
    $args = array();

    foreach ($opt as $key =&gt; $value)
    {
        switch ($key)
        {
            case 'HeapSize':
                $args[] = '--' . $daemon_type . '-heap-size=' . $value;
                break;
            case 'CLIOptions':
                $args[] = '--' . $daemon_type . '-opts=&quot;' . $value . '&quot;';
                break;
            case 'Replace':
                if ((is_string($value) &amp;&amp; $value === 'true') || (is_bool($value) &amp;&amp; $value === true))
                {
                    $args[] = '--replace';
                }
                break;
        }
    }

        return self::script_runner('s3://' . self::$region . '.elasticmapreduce/bootstrap-actions/configure-daemons', $args);
}";}i:2;a:8:{s:4:"name";s:15:"hive_pig_script";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:12:"CFHadoopBase";}}s:11:"description";s:76:"<p>Prepares a Hive or Pig script before passing it to the script runner.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"type";s:4:"type";s:6:"string";s:11:"description";s:88:"<p>The type of script to run. [Allowed values: <code>hive</code>, <code>pig</code>].</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"args";s:4:"type";s:5:"array";s:11:"description";s:59:"<p>An indexed array of arguments to pass to the script.</p>";}}}s:11:"returnvalue";s:173:"<p>A standard array that is intended to be passed into a <a href="../cfstepconfig/index.html" rel="../../index.html#i=cfstepconfig"><code>CFStepConfig</code></a> object.</p>";s:6:"source";s:400:"public static function hive_pig_script($type, $args = null)
{
    if (!$args) $args = array();
    $args = is_array($args) ? $args : array($args);
    $args = array_merge(array('--base-path', 's3://' . self::$region . '.elasticmapreduce/libs/' . $type . '/'), $args);

        return self::script_runner('s3://' . self::$region . '.elasticmapreduce/libs/' . $type . '/' . $type . '-script', $args);
}";s:7:"seealso";a:1:{s:4:"link";a:2:{i:0;s:48:"<a href="http://hive.apache.org">Apache Hive</a>";i:1;s:46:"<a href="http://pig.apache.org">Apache Pig</a>";}}}i:3;a:6:{s:4:"name";s:6:"run_if";s:8:"modifier";s:13:"public static";s:11:"description";s:95:"<p>Create a new run-if bootstrap action which lets you conditionally run bootstrap actions.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"condition";s:4:"type";s:6:"string";s:11:"description";s:86:"<p>The condition to evaluate. If <code>true</code>, the bootstrap action executes.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"args";s:4:"type";s:5:"array";s:11:"description";s:59:"<p>An indexed array of arguments to pass to the script.</p>";}}}s:11:"returnvalue";s:66:"<p>A configuration set to be provided when running a job flow.</p>";s:6:"source";s:260:"public static function run_if($condition, $args = null)
{
    if (!$args) $args = array();
    $args = is_array($args) ? $args : array($args);

        return self::script_runner('s3://' . self::$region . '.elasticmapreduce/bootstrap-actions/run-if', $args);
}";}i:4;a:7:{s:4:"name";s:13:"script_runner";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:12:"CFHadoopBase";}}s:11:"description";s:66:"<p>Runs a specified script on the master node of your cluster.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"script";s:4:"type";s:6:"string";s:11:"description";s:61:"<p>The script to run with <code>script-runner.jar</code>.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"args";s:4:"type";s:5:"array";s:11:"description";s:59:"<p>An indexed array of arguments to pass to the script.</p>";}}}s:11:"returnvalue";s:173:"<p>A standard array that is intended to be passed into a <a href="../cfstepconfig/index.html" rel="../../index.html#i=cfstepconfig"><code>CFStepConfig</code></a> object.</p>";s:6:"source";s:288:"public static function script_runner($script, $args = null)
{
    if (!$args) $args = array();
    array_unshift($args, $script);

    return array(
        'Jar' =&gt; 's3://' . self::$region . '.elasticmapreduce/libs/script-runner/script-runner.jar',
        'Args' =&gt; $args
    );
}";}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"10";}s:8:"constant";a:10:{i:0;a:2:{s:4:"name";s:11:"CONFIG_CORE";s:5:"value";s:1:"C";}i:1;a:2:{s:4:"name";s:14:"CONFIG_DEFAULT";s:5:"value";s:1:"D";}i:2;a:2:{s:4:"name";s:11:"CONFIG_HDFS";s:5:"value";s:1:"H";}i:3;a:2:{s:4:"name";s:16:"CONFIG_MAPREDUCE";s:5:"value";s:1:"M";}i:4;a:2:{s:4:"name";s:11:"CONFIG_SITE";s:5:"value";s:1:"S";}i:5;a:2:{s:4:"name";s:13:"DAEMON_CLIENT";s:5:"value";s:6:"client";}i:6;a:2:{s:4:"name";s:16:"DAEMON_DATA_NODE";s:5:"value";s:8:"datanode";}i:7;a:2:{s:4:"name";s:18:"DAEMON_JOB_TRACKER";s:5:"value";s:10:"jobtracker";}i:8;a:2:{s:4:"name";s:16:"DAEMON_NAME_NODE";s:5:"value";s:8:"namenode";}i:9;a:2:{s:4:"name";s:19:"DAEMON_TASK_TRACKER";s:5:"value";s:11:"tasktracker";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:8:"property";a:4:{s:4:"name";s:6:"region";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:12:"CFHadoopBase";s:4:"file";s:30:"utilities/hadoopbase.class.php";}}s:8:"modifier";s:13:"public static";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"us-east-1";}}}}}}