a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:6:"CFInfo";s:4:"file";s:24:"utilities/info.class.php";s:3:"url";s:20:"../cfinfo/index.html";s:11:"description";s:75:"<p>Contains a series of methods that provide information about the SDK.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2010.10.01";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:6:"method";a:5:{s:4:"name";s:11:"api_support";s:8:"modifier";s:13:"public static";s:11:"description";s:73:"<p>Gets information about the web service APIs that the SDK supports.</p>";s:11:"returnvalue";s:72:"<p>An associative array containing service classes and API versions.</p>";s:6:"source";s:784:"public static function api_support()
{
    $existing_classes = get_declared_classes();

    foreach (glob(dirname(dirname(__FILE__)) . '/services/*.class.php') as $file)
    {
        include $file;
    }

    $with_sdk_classes = get_declared_classes();
    $new_classes = array_diff($with_sdk_classes, $existing_classes);
    $filtered_classes = array();
    $collect = array();

    foreach ($new_classes as $class)
    {
        if (strpos($class, 'Amazon') !== false)
        {
            $filtered_classes[] = $class;
        }
    }

    $filtered_classes = array_values($filtered_classes);

    foreach ($filtered_classes as $class)
    {
        $obj = new $class();
        $collect[get_class($obj)] = $obj-&gt;api_version;
        unset($obj);
    }

    return $collect;
}";}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}}}