a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:6:"CFJSON";s:4:"file";s:24:"utilities/json.class.php";s:3:"url";s:20:"../cfjson/index.html";s:11:"description";s:65:"<p>Handles the conversion of data from JSON to other formats.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2012.07.27";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:6:"method";a:6:{s:4:"name";s:6:"to_xml";s:8:"modifier";s:13:"public static";s:11:"description";s:54:"<p>Converts a JSON string to a CFSimpleXML object.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"json";s:4:"type";s:12:"string|array";s:11:"description";s:74:"<p>Pass either a valid JSON-formatted string, or an associative array.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:6:"parser";s:4:"type";s:6:"string";s:11:"description";s:158:"<p>The name of the class to use to parse the XML. This class should extend <code>SimpleXMLElement</code>. Has a default value of <code>CFSimpleXML</code>.</p>";}}}s:11:"returnvalue";s:41:"<p>An XML representation of the data.</p>";s:6:"source";s:1512:"public static function to_xml($json, $parser = 'CFSimpleXML')
{
    // If we haven't parsed the JSON, do it
    if (!is_array($json))
    {
        // Handle the case of JSON-encoded NULL value
        if ($json === 'null')
        {
            $json = null;
        }
        else
        {
            $json = json_decode($json, true);

            if (function_exists('json_last_error'))
            {
                // Did we encounter an error?
                switch (json_last_error())
                {
                    case JSON_ERROR_DEPTH:
                        throw new JSON_Exception('Maximum stack depth exceeded.');

                    case JSON_ERROR_CTRL_CHAR:
                        throw new JSON_Exception('Unexpected control character found.');

                    case JSON_ERROR_SYNTAX:
                        throw new JSON_Exception('Syntax error; Malformed JSON.');

                    case JSON_ERROR_STATE_MISMATCH:
                        throw new JSON_Exception('Invalid or malformed JSON.');
                }
            }
            // json_last_error() not available?
            elseif ($json === null)
            {
                throw new JSON_Exception('Unknown JSON error. Be sure to validate your JSON and read the notes on http://php.net/json_decode.');
            }
        }
    }

    // Hand off for the recursive work
    $string = Transmogrifier::to_xml($json, 'rootElement');

    return simplexml_load_string($string, $parser, LIBXML_NOCDATA);
}";}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}}}