a:2:{s:4:"file";a:0:{}s:5:"class";a:7:{s:4:"name";s:8:"CFLoader";s:4:"file";s:13:"sdk.class.php";s:3:"url";s:22:"../cfloader/index.html";s:11:"description";s:67:"<p>Contains the functionality for auto-loading service classes.</p>";s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:6:"method";a:6:{s:4:"name";s:10:"autoloader";s:8:"modifier";s:13:"public static";s:11:"description";s:61:"<p>Automatically load classes that aren&#8217;t included.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"class";s:4:"type";s:6:"string";s:11:"description";s:29:"<p>The classname to load.</p>";}}s:11:"returnvalue";s:55:"<p>Whether or not the file was successfully loaded.</p>";s:6:"source";s:3017:"public static function autoloader($class)
{
    $path = dirname(__FILE__) . DIRECTORY_SEPARATOR;

    // Amazon SDK classes
    if (strstr($class, 'Amazon'))
    {
        if (file_exists($require_this = $path . 'services' . DIRECTORY_SEPARATOR . str_ireplace('Amazon', '', strtolower($class)) . '.class.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Utility classes
    elseif (strstr($class, 'CF'))
    {
        if (file_exists($require_this = $path . 'utilities' . DIRECTORY_SEPARATOR . str_ireplace('CF', '', strtolower($class)) . '.class.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load CacheCore
    elseif (strstr($class, 'Cache'))
    {
        if (file_exists($require_this = $path . 'lib' . DIRECTORY_SEPARATOR . 'cachecore' . DIRECTORY_SEPARATOR . strtolower($class) . '.class.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load RequestCore
    elseif (strstr($class, 'RequestCore') || strstr($class, 'ResponseCore'))
    {
        if (file_exists($require_this = $path . 'lib' . DIRECTORY_SEPARATOR . 'requestcore' . DIRECTORY_SEPARATOR . 'requestcore.class.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load Transmogrifier
    elseif (strstr($class, 'Transmogrifier'))
    {
        if (file_exists($require_this = $path . 'lib' . DIRECTORY_SEPARATOR . 'dom' . DIRECTORY_SEPARATOR . 'Transmogrifier.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load Authentication Signers
    elseif (strstr($class, 'Auth'))
    {
        if (file_exists($require_this = $path . 'authentication' . DIRECTORY_SEPARATOR . str_replace('auth', 'signature_', strtolower($class)) . '.class.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load Signer interface
    elseif ($class === 'Signer')
    {
        if (!interface_exists('Signable', false) &amp;&amp;
            file_exists($require_this = $path . 'authentication' . DIRECTORY_SEPARATOR . 'signable.interface.php'))
        {
            require_once $require_this;
        }

        if (file_exists($require_this = $path . 'authentication' . DIRECTORY_SEPARATOR . 'signer.abstract.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    // Load Symfony YAML classes
    elseif (strstr($class, 'sfYaml'))
    {
        if (file_exists($require_this = $path . 'lib' . DIRECTORY_SEPARATOR . 'yaml' . DIRECTORY_SEPARATOR . 'lib' . DIRECTORY_SEPARATOR . 'sfYaml.php'))
        {
            require_once $require_this;
            return true;
        }

        return false;
    }

    return false;
}";}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}}}