a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:8:"CFPolicy";s:4:"file";s:26:"utilities/policy.class.php";s:3:"url";s:22:"../cfpolicy/index.html";s:11:"description";s:63:"<p>Simplifies the process of signing JSON policy documents.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2011.04.25";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"7";}s:6:"method";a:7:{i:0;a:7:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>Constructs a new instance of this class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"auth";s:4:"type";s:9:"CFRuntime";s:11:"description";s:367:"<p>An instance of any authenticated AWS object that is an instance of <a href="../cfruntime/index.html" rel="../../index.html#i=cfruntime"><code>CFRuntime</code></a> (e.g. <a href="../amazonec2/index.html" rel="../../index.html#i=amazonec2"><code>AmazonEC2</code></a>, <a href="../amazons3/index.html" rel="../../index.html#i=amazons3"><code>AmazonS3</code></a>).</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"policy";s:4:"type";s:12:"string|array";s:11:"description";s:92:"<p>The associative array representing the S3 policy to use, or a string of JSON content.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:370:"public function __construct($auth, $policy)
{
    $this-&gt;auth = $auth;

    if (is_array($policy)) // We received an associative array...
    {
        $this-&gt;json_policy = json_encode($policy);
    }
    else // We received a valid, parseable JSON string...
    {
        $this-&gt;json_policy = json_encode(json_decode($policy, true));
    }

    return $this;
}";s:7:"seealso";a:1:{s:4:"link";a:2:{i:0;s:113:"<a href="http://docs.amazonwebservices.com/AmazonS3/2006-03-01/dev/index.html?HTTPPOSTForms.html">S3 Policies</a>";i:1;s:127:"<a href="http://docs.amazonwebservices.com/AmazonS3/latest/dev/index.html?AccessPolicyLanguage.html">Access Policy Language</a>";}}}i:1;a:6:{s:4:"name";s:13:"decode_policy";s:8:"modifier";s:13:"public static";s:11:"description";s:58:"<p>Decode a policy that was returned from the service.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"response";s:4:"type";s:6:"string";s:11:"description";s:73:"<p>The policy returned by AWS that you want to decode into an object.</p>";}}s:11:"returnvalue";s:46:"<p>The Base64-encoded, signed JSON string.</p>";s:6:"source";s:103:"public static function decode_policy($response)
{
    return json_decode(urldecode($response), true);
}";}i:2;a:7:{s:4:"name";s:8:"get_json";s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>Gets the JSON string with the whitespace removed.</p>";s:11:"returnvalue";s:53:"<p>The JSON string without extraneous whitespace.</p>";s:6:"source";s:64:"public function get_json()
{
    return $this-&gt;json_policy;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:56:"<p>Create a policy and get the JSON policy document.</p>";s:4:"code";s:471:"// Instantiate S3
$s3 = new AmazonS3();

// Create a new S3 policy using an associative array
$policy = new CFPolicy($s3, array(
	'Version' =&gt; '2008-10-17',
	'Statement' =&gt; array(
		array( // Statement #1
			'Sid' =&gt; 'AddPerm',
			'Effect' =&gt; 'Allow',
			'Principal' =&gt; array(
				'AWS' =&gt; '*'
			),
			'Action' =&gt; array('s3:ReadObject'),
			'Resource' =&gt; array('arn:aws:s3:::my-bucket/*')
		)
	)
));

// Success?
var_dump($policy-&gt;get_json());";s:6:"result";s:186:"string(172) "{"Version":"2008-10-17","Statement":[{"Sid":"AddPerm","Effect":"Allow","Principal":{"AWS":"*"},"Action":["s3:ReadObject"],"Resource":["arn:aws:s3:::aws-php-sdk-test\/*"]}]}"";}}s:7:"related";a:1:{s:6:"method";a:12:{i:0;s:28:"<AmazonIAM::decode_policy()>";i:1;s:152:"<a href="../amazoniam/delete_group_policy.html" rel="../../index.html#m=amazoniam/delete_group_policy"><code>AmazonIAM::delete_group_policy()</code></a>";i:2;s:149:"<a href="../amazoniam/delete_user_policy.html" rel="../../index.html#m=amazoniam/delete_user_policy"><code>AmazonIAM::delete_user_policy()</code></a>";i:3;s:143:"<a href="../amazoniam/get_group_policy.html" rel="../../index.html#m=amazoniam/get_group_policy"><code>AmazonIAM::get_group_policy()</code></a>";i:4;s:140:"<a href="../amazoniam/get_user_policy.html" rel="../../index.html#m=amazoniam/get_user_policy"><code>AmazonIAM::get_user_policy()</code></a>";i:5;s:152:"<a href="../amazoniam/list_group_policies.html" rel="../../index.html#m=amazoniam/list_group_policies"><code>AmazonIAM::list_group_policies()</code></a>";i:6;s:149:"<a href="../amazoniam/list_user_policies.html" rel="../../index.html#m=amazoniam/list_user_policies"><code>AmazonIAM::list_user_policies()</code></a>";i:7;s:143:"<a href="../amazoniam/put_group_policy.html" rel="../../index.html#m=amazoniam/put_group_policy"><code>AmazonIAM::put_group_policy()</code></a>";i:8;s:140:"<a href="../amazoniam/put_user_policy.html" rel="../../index.html#m=amazoniam/put_user_policy"><code>AmazonIAM::put_user_policy()</code></a>";i:9;s:103:"<a href="../cfpolicy/get_key.html" rel="../../index.html#m=cfpolicy/get_key"><code>get_key()</code></a>";i:10;s:112:"<a href="../cfpolicy/get_policy.html" rel="../../index.html#m=cfpolicy/get_policy"><code>get_policy()</code></a>";i:11;s:142:"<a href="../cfpolicy/get_policy_signature.html" rel="../../index.html#m=cfpolicy/get_policy_signature"><code>get_policy_signature()</code></a>";}}}i:3;a:7:{s:4:"name";s:7:"get_key";s:8:"modifier";s:6:"public";s:11:"description";s:51:"<p>Get the key from the authenticated instance.</p>";s:11:"returnvalue";s:47:"<p>The key from the authenticated instance.</p>";s:6:"source";s:64:"public function get_key()
{
    return $this-&gt;auth-&gt;key;
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:47:"<p>Create a policy and get the account key.</p>";s:4:"code";s:470:"// Instantiate S3
$s3 = new AmazonS3();

// Create a new S3 policy using an associative array
$policy = new s3Policy($s3, array(
	'Version' =&gt; '2008-10-17',
	'Statement' =&gt; array(
		array( // Statement #1
			'Sid' =&gt; 'AddPerm',
			'Effect' =&gt; 'Allow',
			'Principal' =&gt; array(
				'AWS' =&gt; '*'
			),
			'Action' =&gt; array('s3:ReadObject'),
			'Resource' =&gt; array('arn:aws:s3:::my-bucket/*')
		)
	)
));

// Success?
var_dump($policy-&gt;get_key());";s:6:"result";s:33:"string(20) "AKIAIFUPOHJBYISR6QBA"";}}s:7:"related";a:1:{s:6:"method";a:12:{i:0;s:28:"<AmazonIAM::decode_policy()>";i:1;s:152:"<a href="../amazoniam/delete_group_policy.html" rel="../../index.html#m=amazoniam/delete_group_policy"><code>AmazonIAM::delete_group_policy()</code></a>";i:2;s:149:"<a href="../amazoniam/delete_user_policy.html" rel="../../index.html#m=amazoniam/delete_user_policy"><code>AmazonIAM::delete_user_policy()</code></a>";i:3;s:143:"<a href="../amazoniam/get_group_policy.html" rel="../../index.html#m=amazoniam/get_group_policy"><code>AmazonIAM::get_group_policy()</code></a>";i:4;s:140:"<a href="../amazoniam/get_user_policy.html" rel="../../index.html#m=amazoniam/get_user_policy"><code>AmazonIAM::get_user_policy()</code></a>";i:5;s:152:"<a href="../amazoniam/list_group_policies.html" rel="../../index.html#m=amazoniam/list_group_policies"><code>AmazonIAM::list_group_policies()</code></a>";i:6;s:149:"<a href="../amazoniam/list_user_policies.html" rel="../../index.html#m=amazoniam/list_user_policies"><code>AmazonIAM::list_user_policies()</code></a>";i:7;s:143:"<a href="../amazoniam/put_group_policy.html" rel="../../index.html#m=amazoniam/put_group_policy"><code>AmazonIAM::put_group_policy()</code></a>";i:8;s:140:"<a href="../amazoniam/put_user_policy.html" rel="../../index.html#m=amazoniam/put_user_policy"><code>AmazonIAM::put_user_policy()</code></a>";i:9;s:106:"<a href="../cfpolicy/get_json.html" rel="../../index.html#m=cfpolicy/get_json"><code>get_json()</code></a>";i:10;s:112:"<a href="../cfpolicy/get_policy.html" rel="../../index.html#m=cfpolicy/get_policy"><code>get_policy()</code></a>";i:11;s:142:"<a href="../cfpolicy/get_policy_signature.html" rel="../../index.html#m=cfpolicy/get_policy_signature"><code>get_policy_signature()</code></a>";}}}i:4;a:7:{s:4:"name";s:10:"get_policy";s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>Base64-encodes the JSON string.</p>";s:11:"returnvalue";s:53:"<p>The Base64-encoded version of the JSON string.</p>";s:6:"source";s:81:"public function get_policy()
{
    return base64_encode($this-&gt;json_policy);
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:66:"<p>Create a policy and get the Base64-encoded policy document.</p>";s:4:"code";s:473:"// Instantiate S3
$s3 = new AmazonS3();

// Create a new S3 policy using an associative array
$policy = new s3Policy($s3, array(
	'Version' =&gt; '2008-10-17',
	'Statement' =&gt; array(
		array( // Statement #1
			'Sid' =&gt; 'AddPerm',
			'Effect' =&gt; 'Allow',
			'Principal' =&gt; array(
				'AWS' =&gt; '*'
			),
			'Action' =&gt; array('s3:ReadObject'),
			'Resource' =&gt; array('arn:aws:s3:::my-bucket/*')
		)
	)
));

// Success?
var_dump($policy-&gt;get_policy());";s:6:"result";s:246:"string(232) "eyJWZXJzaW9uIjoiMjAwOC0xMC0xNyIsIlN0YXRlbWVudCI6W3siU2lkIjoiQWRkUGVybSIsIkVmZmVjdCI6IkFsbG93IiwiUHJpbmNpcGFsIjp7IkFXUyI6IioifSwiQWN0aW9uIjpbInMzOlJlYWRPYmplY3QiXSwiUmVzb3VyY2UiOlsiYXJuOmF3czpzMzo6OmF3cy1waHAtc2RrLXRlc3RcLyoiXX1dfQ=="";}}s:7:"related";a:1:{s:6:"method";a:12:{i:0;s:28:"<AmazonIAM::decode_policy()>";i:1;s:152:"<a href="../amazoniam/delete_group_policy.html" rel="../../index.html#m=amazoniam/delete_group_policy"><code>AmazonIAM::delete_group_policy()</code></a>";i:2;s:149:"<a href="../amazoniam/delete_user_policy.html" rel="../../index.html#m=amazoniam/delete_user_policy"><code>AmazonIAM::delete_user_policy()</code></a>";i:3;s:143:"<a href="../amazoniam/get_group_policy.html" rel="../../index.html#m=amazoniam/get_group_policy"><code>AmazonIAM::get_group_policy()</code></a>";i:4;s:140:"<a href="../amazoniam/get_user_policy.html" rel="../../index.html#m=amazoniam/get_user_policy"><code>AmazonIAM::get_user_policy()</code></a>";i:5;s:152:"<a href="../amazoniam/list_group_policies.html" rel="../../index.html#m=amazoniam/list_group_policies"><code>AmazonIAM::list_group_policies()</code></a>";i:6;s:149:"<a href="../amazoniam/list_user_policies.html" rel="../../index.html#m=amazoniam/list_user_policies"><code>AmazonIAM::list_user_policies()</code></a>";i:7;s:143:"<a href="../amazoniam/put_group_policy.html" rel="../../index.html#m=amazoniam/put_group_policy"><code>AmazonIAM::put_group_policy()</code></a>";i:8;s:140:"<a href="../amazoniam/put_user_policy.html" rel="../../index.html#m=amazoniam/put_user_policy"><code>AmazonIAM::put_user_policy()</code></a>";i:9;s:106:"<a href="../cfpolicy/get_json.html" rel="../../index.html#m=cfpolicy/get_json"><code>get_json()</code></a>";i:10;s:103:"<a href="../cfpolicy/get_key.html" rel="../../index.html#m=cfpolicy/get_key"><code>get_key()</code></a>";i:11;s:142:"<a href="../cfpolicy/get_policy_signature.html" rel="../../index.html#m=cfpolicy/get_policy_signature"><code>get_policy_signature()</code></a>";}}}i:5;a:7:{s:4:"name";s:20:"get_policy_signature";s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>Gets the JSON string with the whitespace removed.</p>";s:11:"returnvalue";s:46:"<p>The Base64-encoded, signed JSON string.</p>";s:6:"source";s:142:"public function get_policy_signature()
{
    return base64_encode(hash_hmac('sha1', $this-&gt;get_policy(), $this-&gt;auth-&gt;secret_key));
}";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:52:"<p>Create a policy and get the policy signature.</p>";s:4:"code";s:483:"// Instantiate S3
$s3 = new AmazonS3();

// Create a new S3 policy using an associative array
$policy = new s3Policy($s3, array(
	'Version' =&gt; '2008-10-17',
	'Statement' =&gt; array(
		array( // Statement #1
			'Sid' =&gt; 'AddPerm',
			'Effect' =&gt; 'Allow',
			'Principal' =&gt; array(
				'AWS' =&gt; '*'
			),
			'Action' =&gt; array('s3:ReadObject'),
			'Resource' =&gt; array('arn:aws:s3:::my-bucket/*')
		)
	)
));

// Success?
var_dump($policy-&gt;get_policy_signature());";s:6:"result";s:69:"string(56) "OWU3NzU4MGMxZmY5NDM0YmI1Mjk0Y2FkMWIzZWFjMDFiYzdkMjdlMg=="";}}s:7:"related";a:1:{s:6:"method";a:12:{i:0;s:28:"<AmazonIAM::decode_policy()>";i:1;s:152:"<a href="../amazoniam/delete_group_policy.html" rel="../../index.html#m=amazoniam/delete_group_policy"><code>AmazonIAM::delete_group_policy()</code></a>";i:2;s:149:"<a href="../amazoniam/delete_user_policy.html" rel="../../index.html#m=amazoniam/delete_user_policy"><code>AmazonIAM::delete_user_policy()</code></a>";i:3;s:143:"<a href="../amazoniam/get_group_policy.html" rel="../../index.html#m=amazoniam/get_group_policy"><code>AmazonIAM::get_group_policy()</code></a>";i:4;s:140:"<a href="../amazoniam/get_user_policy.html" rel="../../index.html#m=amazoniam/get_user_policy"><code>AmazonIAM::get_user_policy()</code></a>";i:5;s:152:"<a href="../amazoniam/list_group_policies.html" rel="../../index.html#m=amazoniam/list_group_policies"><code>AmazonIAM::list_group_policies()</code></a>";i:6;s:149:"<a href="../amazoniam/list_user_policies.html" rel="../../index.html#m=amazoniam/list_user_policies"><code>AmazonIAM::list_user_policies()</code></a>";i:7;s:143:"<a href="../amazoniam/put_group_policy.html" rel="../../index.html#m=amazoniam/put_group_policy"><code>AmazonIAM::put_group_policy()</code></a>";i:8;s:140:"<a href="../amazoniam/put_user_policy.html" rel="../../index.html#m=amazoniam/put_user_policy"><code>AmazonIAM::put_user_policy()</code></a>";i:9;s:106:"<a href="../cfpolicy/get_json.html" rel="../../index.html#m=cfpolicy/get_json"><code>get_json()</code></a>";i:10;s:103:"<a href="../cfpolicy/get_key.html" rel="../../index.html#m=cfpolicy/get_key"><code>get_key()</code></a>";i:11;s:112:"<a href="../cfpolicy/get_policy.html" rel="../../index.html#m=cfpolicy/get_policy"><code>get_policy()</code></a>";}}}i:6;a:6:{s:4:"name";s:4:"init";s:8:"modifier";s:13:"public static";s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"auth";s:4:"type";s:9:"CFRuntime";s:11:"description";s:367:"<p>An instance of any authenticated AWS object that is an instance of <a href="../cfruntime/index.html" rel="../../index.html#i=cfruntime"><code>CFRuntime</code></a> (e.g. <a href="../amazonec2/index.html" rel="../../index.html#i=amazonec2"><code>AmazonEC2</code></a>, <a href="../amazons3/index.html" rel="../../index.html#i=amazons3"><code>AmazonS3</code></a>).</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"policy";s:4:"type";s:12:"string|array";s:11:"description";s:92:"<p>The associative array representing the S3 policy to use, or a string of JSON content.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:293:"public static function init($auth, $policy)
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::init().');
    }

    $self = get_called_class();
    return new $self($auth, $policy);
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"2";}s:8:"property";a:2:{i:0;a:3:{s:4:"name";s:4:"auth";s:8:"modifier";s:6:"public";s:11:"description";s:70:"<p>Stores the object that contains the authentication credentials.</p>";}i:1;a:3:{s:4:"name";s:11:"json_policy";s:8:"modifier";s:6:"public";s:11:"description";s:62:"<p>Stores the policy object that we&#8217;re working with.</p>";}}}}}