a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:9:"CFRequest";s:4:"file";s:27:"utilities/request.class.php";s:3:"url";s:23:"../cfrequest/index.html";s:11:"description";s:97:"<p>Wraps the underlying <code>RequestCore</code> class with some AWS-specific customizations.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2011.12.02";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"28";}s:6:"method";a:28:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>Constructs a new instance of this class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"url";s:4:"type";s:6:"string";s:11:"description";s:55:"<p>The URL to request or service endpoint to query.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:119:"<p>The faux-url to use for proxy settings. Takes the following format: <code>proxy://user:pass@hostname:port</code></p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"helpers";s:4:"type";s:5:"array";s:11:"description";s:140:"<p>An associative array of classnames to use for request, and response functionality. Gets passed in automatically by the calling class.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"credentials";s:4:"type";s:12:"CFCredential";s:11:"description";s:62:"<p>The credentials to use for signing and making requests.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:588:"public function __construct($url = null, $proxy = null, $helpers = null, CFCredential $credentials = null)
{
    parent::__construct($url, $proxy, $helpers);

    // Standard settings for all requests
    $this-&gt;set_useragent(CFRUNTIME_USERAGENT);
    $this-&gt;credentials = $credentials;
    $this-&gt;cacert_location = ($this-&gt;credentials['certificate_authority'] ? $this-&gt;credentials['certificate_authority'] : false);

    if (strpos(parse_url($url, PHP_URL_HOST), 'dynamodb') === 0)
        {
            $this-&gt;use_gzip_enconding = false;
        }

    return $this;
}";}i:1;a:6:{s:4:"name";s:10:"__destruct";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:58:"<p>Destructs the instance. Closes opened file handles.</p>";s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"249";s:3:"end";s:3:"262";s:5:"lines";s:2:"14";}}}i:2;a:8:{s:4:"name";s:10:"add_header";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:53:"<p>Adds a custom HTTP header to the cURL request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:3:"key";s:4:"type";s:6:"string";s:11:"description";s:37:"<p>The custom HTTP header to set.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:5:"mixed";s:11:"description";s:53:"<p>The value to assign to the custom HTTP header.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"289";s:3:"end";s:3:"293";s:5:"lines";s:1:"5";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:62:"<p>Add a custom header to the request (without firing it).</p>";s:4:"code";s:218:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;prep_request();
$http-&gt;add_header('x-requestcore-header', 'value');

var_dump($http-&gt;request_headers);";s:6:"result";s:152:"array(3) {
  ["Expect"]=&gt;
  string(12) "100-continue"
  ["Connection"]=&gt;
  string(5) "close"
  ["x-requestcore-header"]=&gt;
  string(5) "value"
}";}}}i:3;a:7:{s:4:"name";s:17:"get_response_body";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:51:"<p>Get the HTTP response body from the request.</p>";s:11:"returnvalue";s:25:"<p>The response body.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"982";s:3:"end";s:3:"985";s:5:"lines";s:1:"4";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:48:"<p>Display the response body of the request.</p>";s:4:"code";s:167:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

var_dump($http-&gt;get_response_body());";s:6:"result";s:65:"string(48) "abcdefghijklmnopqrstuvwxyz
0123456789
!@#$%^&amp;*()"";}}}i:4;a:7:{s:4:"name";s:17:"get_response_code";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:51:"<p>Get the HTTP response code from the request.</p>";s:11:"returnvalue";s:30:"<p>The HTTP response code.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"992";s:3:"end";s:3:"995";s:5:"lines";s:1:"4";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:49:"<p>Display the response code for the request.</p>";s:4:"code";s:167:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

var_dump($http-&gt;get_response_code());";s:6:"result";s:8:"int(200)";}}}i:5;a:8:{s:4:"name";s:19:"get_response_header";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:54:"<p>Get the HTTP response headers from the request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:6:"header";s:4:"type";s:6:"string";s:11:"description";s:66:"<p>A specific header value to return. Defaults to all headers.</p>";}}s:11:"returnvalue";s:37:"<p>All or selected header values.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"968";s:3:"end";s:3:"975";s:5:"lines";s:1:"8";}}s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:55:"<p>Display the Content-Type header of the response.</p>";s:4:"code";s:183:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

var_dump($http-&gt;get_response_header('content-type'));";s:6:"result";s:38:"string(25) "text/plain; charset=utf-8"";}i:1;a:3:{s:5:"title";s:42:"<p>Display the URL that was requested.</p>";s:4:"code";s:198:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();
$info = $http-&gt;get_response_header('_info');

var_dump($info['url']);";s:6:"result";s:84:"string(71) "http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt"";}}}}i:6;a:6:{s:4:"name";s:12:"prep_request";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:173:"<p>Prepares and adds the details of the cURL request. This can be passed along to a <a href="http://php.net/curl_multi_exec"><code>curl_multi_exec()</code></a>
function.</p>";s:11:"returnvalue";s:38:"<p>The handle for the cURL object.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"618";s:3:"end";s:3:"771";s:5:"lines";s:3:"154";}}}i:7;a:7:{s:4:"name";s:16:"process_response";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:238:"<p>Take the post-processed cURL data and break it down into useful header/body/info chunks. Uses the
data stored in the <code>curl_handle</code> and <code>response</code> properties unless replacement data is passed in via
parameters.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"curl_handle";s:4:"type";s:8:"resource";s:11:"description";s:58:"<p>The reference to the already executed cURL request.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"response";s:4:"type";s:6:"string";s:11:"description";s:66:"<p>The actual response content itself that needs to be parsed.</p>";}}}s:11:"returnvalue";s:65:"<p>A <ResponseCore> object containing a parsed HTTP response.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"782";s:3:"end";s:3:"828";s:5:"lines";s:2:"47";}}}i:8;a:7:{s:4:"name";s:32:"register_streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:753:"<p>Register a callback function to execute whenever a data stream is read from using
<a href="../cfrequest/streaming_read_callback.html" rel="../../index.html#m=cfrequest/streaming_read_callback"><code>CFRequest::streaming_read_callback()</code></a>.</p>

<p>The user-defined callback function should accept three arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$file_handle</code> - <code>resource</code> - Required - The file handle resource that represents the file on the local file system.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"503";s:3:"end";s:3:"508";s:5:"lines";s:1:"6";}}}i:9;a:7:{s:4:"name";s:33:"register_streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:608:"<p>Register a callback function to execute whenever a data stream is written to using
<a href="../cfrequest/streaming_write_callback.html" rel="../../index.html#m=cfrequest/streaming_write_callback"><code>CFRequest::streaming_write_callback()</code></a>.</p>

<p>The user-defined callback function should accept two arguments:</p>

<ul><li><code>$curl_handle</code> - <code>resource</code> - Required - The cURL handle resource that represents the in-progress transfer.</li><li><code>$length</code> - <code>integer</code> - Required - The length in kilobytes of the data chunk that was transferred.</li></ul>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:21:"string|array|function";s:11:"description";s:363:"<p>The callback function is called by <a href="http://php.net/call_user_func"><code>call_user_func()</code></a>, so you can pass the following values:</p>

<ul><li>The name of a global function to execute, passed as a string.</li><li>A method to execute, passed as <code>array('ClassName', 'MethodName')</code>.</li><li>An anonymous function (PHP 5.3+).</li></ul>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"527";s:3:"end";s:3:"532";s:5:"lines";s:1:"6";}}}i:10;a:8:{s:4:"name";s:13:"remove_header";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:52:"<p>Removes an HTTP header from the cURL request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:3:"key";s:4:"type";s:6:"string";s:11:"description";s:37:"<p>The custom HTTP header to set.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"301";s:3:"end";s:3:"308";s:5:"lines";s:1:"8";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:82:"<p>Add a custom header to the request, and then remove it (without firing it).</p>";s:4:"code";s:268:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;prep_request();

$http-&gt;add_header('x-requestcore-header', 'value');
$http-&gt;remove_header('x-requestcore-header');

var_dump($http-&gt;request_headers);";s:6:"result";s:100:"array(2) {
  ["Expect"]=&gt;
  string(12) "100-continue"
  ["Connection"]=&gt;
  string(5) "close"
}";}}}i:11;a:8:{s:4:"name";s:18:"send_multi_request";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:174:"<p>Sends the request using <a href="http://php.net/curl_multi_exec"><code>curl_multi_exec()</code></a>, enabling parallel requests. Uses the &#8220;rolling&#8221; method.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"handles";s:4:"type";s:5:"array";s:11:"description";s:66:"<p>An indexed array of cURL handles to process simultaneously.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:3:"opt";s:4:"type";s:5:"array";s:11:"description";s:578:"<p>An associative array of parameters that can have the following keys:</p>

<ul><li><code>callback</code> - <code>string|array</code> - Optional - The string name of a function to pass the response data to. If this is a method, pass an array where the <code>[0]</code> index is the class and the <code>[1]</code> index is the method name.</li><li><code>limit</code> - <code>integer</code> - Optional - The number of simultaneous requests to make. This can be useful for scaling around slow server responses. Defaults to trusting cURLs judgement as to how many to use.</li></ul>";}}}s:11:"returnvalue";s:37:"<p>Post-processed cURL responses.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"872";s:3:"end";s:3:"956";s:5:"lines";s:2:"85";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:94:"<p>Collect cURL handles for two requests, fire them, and then display the response bodies.</p>";s:4:"code";s:415:"$http = new RequestCore();

$responses = $http-&gt;send_multi_request(array(
	$http-&gt;set_request_url('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt')-&gt;prep_request(),
	$http-&gt;set_request_url('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request2.txt')-&gt;prep_request()
));

$bodies = array(
	$responses[0]-&gt;body,
	$responses[1]-&gt;body,
);

var_dump($bodies);";s:6:"result";s:170:"array(2) {
  [0]=&gt;
  string(48) "abcdefghijklmnopqrstuvwxyz
0123456789
!@#$%^&amp;*()"
  [1]=&gt;
  string(48) ")(*&amp;^%$#@!
9876543210
zyxwvutsrqponmljkihgfedcba"
}";}}}i:12;a:8:{s:4:"name";s:12:"send_request";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:92:"<p>Sends the request, calling necessary utility functions to update built-in properties.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"parse";s:4:"type";s:7:"boolean";s:11:"description";s:62:"<p>Whether to parse the response with ResponseCore or not.</p>";}}s:11:"returnvalue";s:52:"<p>The resulting unparsed data from the request.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"836";s:3:"end";s:3:"861";s:5:"lines";s:2:"26";}}s:8:"examples";a:1:{s:7:"example";a:3:{i:0;a:3:{s:5:"title";s:79:"<p>Send the request, parse it with ResponseCore, and display only the body.</p>";s:4:"code";s:172:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$response = $http-&gt;send_request(true);

var_dump($response-&gt;body);";s:6:"result";s:65:"string(48) "abcdefghijklmnopqrstuvwxyz
0123456789
!@#$%^&amp;*()"";}i:1;a:3:{s:5:"title";s:141:"<p>Set the URL via set_request_url() instead of the constructor, send the request, parse it with ResponseCore, and display only the body.</p>";s:4:"code";s:202:"$http = new RequestCore();

$http-&gt;set_request_url('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$response = $http-&gt;send_request(true);

var_dump($response-&gt;body);";s:6:"result";s:65:"string(48) "abcdefghijklmnopqrstuvwxyz
0123456789
!@#$%^&amp;*()"";}i:2;a:3:{s:5:"title";s:137:"<p>Send a HEAD request instead of a GET request, and display the response's Content-Type and non-body (since this is a HEAD request).</p>";s:4:"code";s:260:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_method($http::HTTP_HEAD);
$response = $http-&gt;send_request(true);

var_dump($response-&gt;header['content-type']);
var_dump($response-&gt;body);";s:6:"result";s:50:"string(25) "text/plain; charset=utf-8"
bool(false)";}}}}i:13;a:7:{s:4:"name";s:8:"set_body";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:43:"<p>Set the body to send in the request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"body";s:4:"type";s:6:"string";s:11:"description";s:68:"<p>The textual content to send along in the body of the request.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"340";s:3:"end";s:3:"344";s:5:"lines";s:1:"5";}}}i:14;a:8:{s:4:"name";s:15:"set_credentials";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:54:"<p>Sets the credentials to use for authentication.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"user";s:4:"type";s:6:"string";s:11:"description";s:41:"<p>The username to authenticate with.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"pass";s:4:"type";s:6:"string";s:11:"description";s:41:"<p>The password to authenticate with.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"275";s:3:"end";s:3:"280";s:5:"lines";s:1:"6";}}s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:78:"<p>Pass credentials to set_credentials(), and display the username to use.</p>";s:4:"code";s:199:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_credentials('user', 'pass');
$http-&gt;prep_request();

var_dump($http-&gt;username);";s:6:"result";s:16:"string(4) "user"";}i:1;a:3:{s:5:"title";s:78:"<p>Pass credentials to set_credentials(), and display the password to use.</p>";s:4:"code";s:199:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_credentials('user', 'pass');
$http-&gt;prep_request();

var_dump($http-&gt;password);";s:6:"result";s:16:"string(4) "pass"";}}}}i:15;a:7:{s:4:"name";s:12:"set_curlopts";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:121:"<p>Set additional CURLOPT settings. These will merge with the default settings, and override if
there is a duplicate.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"curlopts";s:4:"type";s:5:"array";s:11:"description";s:230:"<p>A set of key-value pairs that set <code>CURLOPT</code> options. These will merge with the existing CURLOPTs, and ones passed here will override the defaults. Keys should be the <code>CURLOPT_*</code> constants, not strings.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"365";s:3:"end";s:3:"369";s:5:"lines";s:1:"5";}}}i:16;a:7:{s:4:"name";s:10:"set_method";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:43:"<p>Set the method type for the request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"method";s:4:"type";s:6:"string";s:11:"description";s:643:"<p>One of the following constants: <a href="../cfrequest/constants.html#http_get" rel="../../index.html#c=cfrequest/http_get"><code>HTTP_GET</code></a>, <a href="../cfrequest/constants.html#http_post" rel="../../index.html#c=cfrequest/http_post"><code>HTTP_POST</code></a>, <a href="../cfrequest/constants.html#http_put" rel="../../index.html#c=cfrequest/http_put"><code>HTTP_PUT</code></a>, <a href="../cfrequest/constants.html#http_head" rel="../../index.html#c=cfrequest/http_head"><code>HTTP_HEAD</code></a>, <a href="../cfrequest/constants.html#http_delete" rel="../../index.html#c=cfrequest/http_delete"><code>HTTP_DELETE</code></a>.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"316";s:3:"end";s:3:"320";s:5:"lines";s:1:"5";}}}i:17;a:8:{s:4:"name";s:9:"set_proxy";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:48:"<p>Set the proxy to use for making requests.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"proxy";s:4:"type";s:6:"string";s:11:"description";s:119:"<p>The faux-url to use for proxy settings. Takes the following format: <code>proxy://user:pass@hostname:port</code></p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"462";s:3:"end";s:3:"470";s:5:"lines";s:1:"9";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:99:"<p>Pass in a proxy DSN string, and process it with prep_request() (without firing the request).</p>";s:4:"code";s:207:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_proxy('proxy://user:pass@hostname:80');
$http-&gt;prep_request();

var_dump($http-&gt;proxy);";s:6:"result";s:185:"array(5) {
  ["scheme"]=&gt;
  string(5) "proxy"
  ["host"]=&gt;
  string(8) "hostname"
  ["port"]=&gt;
  int(80)
  ["user"]=&gt;
  string(4) "user"
  ["pass"]=&gt;
  string(4) "pass"
}";}}}i:18;a:7:{s:4:"name";s:13:"set_read_file";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:53:"<p>Sets the file to read from while streaming up.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>The readable location to read from.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"421";s:3:"end";s:3:"427";s:5:"lines";s:1:"7";}}}i:19;a:7:{s:4:"name";s:15:"set_read_stream";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:331:"<p>Sets the resource to read from while streaming up. Reads the stream from its current position until
EOF or <code>$size</code> bytes have been read. If <code>$size</code> is not given it will be determined by <a href="http://php.net/fstat"><code>fstat()</code></a> and
<a href="http://php.net/ftell"><code>ftell()</code></a>.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"resource";s:4:"type";s:8:"resource";s:11:"description";s:42:"<p>The readable resource to read from.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"size";s:4:"type";s:7:"integer";s:11:"description";s:38:"<p>The size of the stream to read.</p>";}}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"393";s:3:"end";s:3:"413";s:5:"lines";s:2:"21";}}}i:20;a:7:{s:4:"name";s:20:"set_read_stream_size";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:75:"<p>Sets the length in bytes to read from the stream while streaming up.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"size";s:4:"type";s:7:"integer";s:11:"description";s:51:"<p>The length in bytes to read from the stream.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"377";s:3:"end";s:3:"382";s:5:"lines";s:1:"6";}}}i:21;a:8:{s:4:"name";s:15:"set_request_url";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:42:"<p>Set the URL to make the request to.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:3:"url";s:4:"type";s:6:"string";s:11:"description";s:38:"<p>The URL to make the request to.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"352";s:3:"end";s:3:"356";s:5:"lines";s:1:"5";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:55:"<p>Send a request and display the URL we requested.</p>";s:4:"code";s:197:"$http = new RequestCore();
$http-&gt;set_request_url('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

var_dump($http-&gt;response_info['url']);";s:6:"result";s:84:"string(71) "http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt"";}}}i:22;a:7:{s:4:"name";s:17:"set_seek_position";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:47:"<p>Set the intended starting seek position.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"position";s:4:"type";s:7:"integer";s:11:"description";s:61:"<p>The byte-position of the stream to begin reading from.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"478";s:3:"end";s:3:"483";s:5:"lines";s:1:"6";}}}i:23;a:8:{s:4:"name";s:13:"set_useragent";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:52:"<p>Sets a custom useragent string for the class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:2:"ua";s:4:"type";s:6:"string";s:11:"description";s:35:"<p>The useragent string to use.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"328";s:3:"end";s:3:"332";s:5:"lines";s:1:"5";}}s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:55:"<p>Set a useragent string to use for HTTP requests.</p>";s:4:"code";s:181:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_useragent('SampleUserAgentString');

var_dump($http-&gt;useragent);";s:6:"result";s:34:"string(21) "SampleUserAgentString"";}}}i:24;a:7:{s:4:"name";s:14:"set_write_file";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:54:"<p>Sets the file to write to while streaming down.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:42:"<p>The writeable location to write to.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"448";s:3:"end";s:3:"454";s:5:"lines";s:1:"7";}}}i:25;a:7:{s:4:"name";s:16:"set_write_stream";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:58:"<p>Sets the resource to write to while streaming down.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"resource";s:4:"type";s:8:"resource";s:11:"description";s:42:"<p>The writeable resource to write to.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"435";s:3:"end";s:3:"440";s:5:"lines";s:1:"6";}}}i:26;a:7:{s:4:"name";s:23:"streaming_read_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:68:"<p>A callback function that is invoked by cURL for streaming up.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"curl_handle";s:4:"type";s:8:"resource";s:11:"description";s:39:"<p>The cURL handle for the request.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"file_handle";s:4:"type";s:8:"resource";s:11:"description";s:37:"<p>The open file handle resource.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"length";s:4:"type";s:7:"integer";s:11:"description";s:43:"<p>The maximum number of bytes to read.</p>";}}}s:11:"returnvalue";s:33:"<p>Binary data from a stream.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"546";s:3:"end";s:3:"576";s:5:"lines";s:2:"31";}}}i:27;a:7:{s:4:"name";s:24:"streaming_write_callback";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:11:"RequestCore";}}s:11:"description";s:70:"<p>A callback function that is invoked by cURL for streaming down.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"curl_handle";s:4:"type";s:8:"resource";s:11:"description";s:39:"<p>The cURL handle for the request.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";s:4:"type";s:6:"binary";s:11:"description";s:25:"<p>The data to write.</p>";}}}s:11:"returnvalue";s:35:"<p>The number of bytes written.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:3:"585";s:3:"end";s:3:"610";s:5:"lines";s:2:"26";}}}}}s:9:"constants";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"5";}s:8:"constant";a:5:{i:0;a:2:{s:4:"name";s:11:"HTTP_DELETE";s:5:"value";s:6:"DELETE";}i:1;a:2:{s:4:"name";s:8:"HTTP_GET";s:5:"value";s:3:"GET";}i:2;a:2:{s:4:"name";s:9:"HTTP_HEAD";s:5:"value";s:4:"HEAD";}i:3;a:2:{s:4:"name";s:9:"HTTP_POST";s:5:"value";s:4:"POST";}i:4;a:2:{s:4:"name";s:8:"HTTP_PUT";s:5:"value";s:3:"PUT";}}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"32";}s:8:"property";a:32:{i:0;a:5:{s:4:"name";s:20:"allow_set_time_limit";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:67:"<p>Whether or not the set_time_limit function should be called.</p>";}i:1;a:4:{s:4:"name";s:15:"cacert_location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>The location of the cacert.pem file to use.</p>";}i:2;a:3:{s:4:"name";s:11:"credentials";s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>The active credential set.</p>";}i:3;a:4:{s:4:"name";s:11:"curl_handle";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>The handle for the cURL object.</p>";}i:4;a:4:{s:4:"name";s:8:"curlopts";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:31:"<p>Custom CURLOPT settings.</p>";}i:5;a:4:{s:4:"name";s:10:"debug_mode";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:31:"<p>The state of debug mode.</p>";}i:6;a:4:{s:4:"name";s:6:"method";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The method by which the request is being made.</p>";}i:7;a:4:{s:4:"name";s:8:"password";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The password to use for the request.</p>";}i:8;a:4:{s:4:"name";s:5:"proxy";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>Stores the proxy settings to use for the request.</p>";}i:9;a:4:{s:4:"name";s:9:"read_file";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:44:"<p>File to read from while streaming up.</p>";}i:10;a:4:{s:4:"name";s:11:"read_stream";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The resource to read from while streaming up.</p>";}i:11;a:4:{s:4:"name";s:16:"read_stream_read";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>The length already read from the stream.</p>";}i:12;a:4:{s:4:"name";s:16:"read_stream_size";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The size of the stream to read from.</p>";}i:13;a:4:{s:4:"name";s:34:"registered_streaming_read_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>The user-defined callback function to call when a stream is read from.</p>";}i:14;a:4:{s:4:"name";s:35:"registered_streaming_write_callback";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>The user-defined callback function to call when a stream is written to.</p>";}i:15;a:4:{s:4:"name";s:12:"request_body";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:42:"<p>The body being sent in the request.</p>";}i:16;a:4:{s:4:"name";s:13:"request_class";s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"CFRequest";}}s:11:"description";s:160:"<p>The default class to use for HTTP Requests (defaults to <a href="../cfrequest/index.html" rel="../../index.html#i=cfrequest"><code>CFRequest</code></a>).</p>";}i:17;a:4:{s:4:"name";s:15:"request_headers";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The headers being sent in the request.</p>";}i:18;a:4:{s:4:"name";s:11:"request_url";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:31:"<p>The URL being requested.</p>";}i:19;a:4:{s:4:"name";s:8:"response";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:44:"<p>The response returned by the request.</p>";}i:20;a:4:{s:4:"name";s:13:"response_body";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:40:"<p>The body returned by the request.</p>";}i:21;a:4:{s:4:"name";s:14:"response_class";s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:10:"CFResponse";}}s:11:"description";s:164:"<p>The default class to use for HTTP Responses (defaults to <a href="../cfresponse/index.html" rel="../../index.html#i=cfresponse"><code>CFResponse</code></a>).</p>";}i:22;a:4:{s:4:"name";s:13:"response_code";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:52:"<p>The HTTP status code returned by the request.</p>";}i:23;a:4:{s:4:"name";s:16:"response_headers";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The headers returned by the request.</p>";}i:24;a:4:{s:4:"name";s:13:"response_info";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>Additional response data.</p>";}i:25;a:4:{s:4:"name";s:13:"seek_position";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Stores the intended starting seek position.</p>";}i:26;a:5:{s:4:"name";s:16:"ssl_verification";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:49:"<p>The state of SSL certificate verification.</p>";}i:27;a:5:{s:4:"name";s:18:"use_gzip_enconding";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:7:"boolean";s:5:"value";s:4:"true";}}s:11:"description";s:63:"<p>Whether or not to use gzip encoding via CURLOPT_ENCODING</p>";}i:28;a:5:{s:4:"name";s:9:"useragent";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:17:"RequestCore/1.4.4";}}s:11:"description";s:39:"<p>Default useragent string to use.</p>";}i:29;a:4:{s:4:"name";s:8:"username";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:43:"<p>The username to use for the request.</p>";}i:30;a:4:{s:4:"name";s:10:"write_file";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>File to write to while streaming down.</p>";}i:31;a:4:{s:4:"name";s:12:"write_stream";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:11:"RequestCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:53:"<p>The resource to write to while streaming down.</p>";}}}}}