a:2:{s:4:"file";a:0:{}s:5:"class";a:9:{s:4:"name";s:10:"CFResponse";s:4:"file";s:28:"utilities/response.class.php";s:3:"url";s:24:"../cfresponse/index.html";s:11:"description";s:164:"<p>Wraps the underlying <code>ResponseCore</code> class with some AWS-specific customizations. Response
bodies are typically represented as CFSimpleXML objects.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2010.10.11";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:12:"ResponseCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"2";}s:6:"method";a:2:{i:0;a:7:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:12:"ResponseCore";}}s:11:"description";s:47:"<p>Constructs a new instance of this class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"header";s:4:"type";s:5:"array";s:11:"description";s:105:"<p>Associative array of HTTP headers (typically returned by &lt;RequestCore::get_response_header()>).</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"body";s:4:"type";s:6:"string";s:11:"description";s:39:"<p>XML-formatted response from AWS.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:6:"status";s:4:"type";s:7:"integer";s:11:"description";s:50:"<p>HTTP response status code from the request.</p>";}}}s:11:"returnvalue";s:397:"<p>Contains an <a href="http://php.net/array"><code>array</code></a> <code>header</code> property (HTTP headers as an associative array), a <a href="http://php.net/simplexmlelement"><code>SimpleXMLElement</code></a> or <a href="http://php.net/string"><code>string</code></a> <code>body</code> property, and an <a href="http://php.net/integer"><code>integer</code></a> <code>status</code> code.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:4:"1027";s:3:"end";s:4:"1034";s:5:"lines";s:1:"8";}}}i:1;a:8:{s:4:"name";s:4:"isOK";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:12:"ResponseCore";}}s:11:"description";s:50:"<p>Did we receive the status code we expected?</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"codes";s:4:"type";s:13:"integer|array";s:11:"description";s:237:"<p>The status code(s) to expect. Pass an <a href="http://php.net/integer"><code>integer</code></a> for a single acceptable value, or an <a href="http://php.net/array"><code>array</code></a> of integers for multiple acceptable values.</p>";}}s:11:"returnvalue";s:59:"<p>Whether we received the expected status code or not.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:37:"lib/requestcore/requestcore.class.php";s:5:"start";s:4:"1042";s:3:"end";s:4:"1050";s:5:"lines";s:1:"9";}}s:8:"examples";a:1:{s:7:"example";a:4:{i:0;a:3:{s:5:"title";s:63:"<p>Successful response code should make isOK() return true.</p>";s:4:"code";s:289:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

$response = new ResponseCore(
	$http-&gt;get_response_header(),
	$http-&gt;get_response_body(),
	$http-&gt;get_response_code()
);

var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:1;a:3:{s:5:"title";s:64:"<p>Invalid response code (e.g. 999) should make isOK() fail.</p>";s:4:"code";s:263:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;send_request();

$response = new ResponseCore(
	$http-&gt;get_response_header(),
	$http-&gt;get_response_body(),
	999
);

var_dump($response-&gt;isOK());";s:6:"result";s:11:"bool(false)";}i:2;a:3:{s:5:"title";s:67:"<p>Standard request with a standard (successful) response code.</p>";s:4:"code";s:213:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_method($http::HTTP_PUT);
$response = $http-&gt;send_request(true);

var_dump($response-&gt;isOK());";s:6:"result";s:10:"bool(true)";}i:3;a:3:{s:5:"title";s:79:"<p>Test response code 200 explicitly, excluding other valid response codes.</p>";s:4:"code";s:216:"$http = new RequestCore('http://github.com/skyzyx/requestcore/raw/master/_tests/test_request.txt');
$http-&gt;set_method($http::HTTP_PUT);
$response = $http-&gt;send_request(true);

var_dump($response-&gt;isOK(200));";s:6:"result";s:10:"bool(true)";}}}}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"3";}s:8:"property";a:3:{i:0;a:4:{s:4:"name";s:4:"body";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:12:"ResponseCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>Stores the SimpleXML response.</p>";}i:1;a:4:{s:4:"name";s:6:"header";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:12:"ResponseCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:42:"<p>Stores the HTTP header information.</p>";}i:2;a:4:{s:4:"name";s:6:"status";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:12:"ResponseCore";s:4:"file";s:37:"lib/requestcore/requestcore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:37:"<p>Stores the HTTP response code.</p>";}}}}}