a:2:{s:4:"file";a:0:{}s:5:"class";a:10:{s:4:"name";s:11:"CFSimpleXML";s:4:"file";s:29:"utilities/simplexml.class.php";s:3:"url";s:25:"../cfsimplexml/index.html";s:11:"description";s:354:"<p>Wraps the underlying <code>SimpleXMLIterator</code> class with enhancements for rapidly traversing the
DOM tree, converting types, and comparisons. You will need to be familiar with traversing
objects with the PHP SimpleXML extension in order to use this class effectively. Also,
CFResponse bodies are typically represented as CFSimpleXML objects.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2012.05.31";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";a:2:{i:0;s:47:"http://aws.amazon.com/php/ PHP Developer Center";i:1;s:34:"http://php.net/SimpleXML SimpleXML";}}s:11:"inheritance";a:1:{s:5:"class";a:2:{i:0;a:2:{s:4:"name";s:17:"SimpleXMLIterator";s:3:"url";s:32:"http://php.net/simplexmliterator";}i:1;a:2:{s:4:"name";s:16:"SimpleXMLElement";s:3:"url";s:31:"http://php.net/simplexmlelement";}}}s:10:"implements";a:1:{s:9:"interface";a:4:{i:0;a:2:{s:4:"name";s:9:"Countable";s:3:"url";s:24:"http://php.net/countable";}i:1;a:2:{s:4:"name";s:8:"Iterator";s:3:"url";s:23:"http://php.net/iterator";}i:2;a:2:{s:4:"name";s:17:"RecursiveIterator";s:3:"url";s:32:"http://php.net/recursiveiterator";}i:3;a:2:{s:4:"name";s:11:"Traversable";s:3:"url";s:26:"http://php.net/traversable";}}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"35";}s:6:"method";a:34:{i:0;a:8:{s:4:"name";s:11:"__construct";s:8:"modifier";s:12:"final public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:104:"<p>Creates a new <a href="http://php.net/SimpleXMLElement"><code>SimpleXMLElement</code></a> object.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:5:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";s:4:"type";s:6:"string";s:11:"description";s:119:"<p>A well-formed XML string or the path or URL to an XML document if <code>data_is_url</code> is <code>TRUE</code>.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"options";s:4:"type";s:7:"integer";s:11:"description";s:122:"<p>Optionally used to specify <a href="http://php.net/libxml.constants"><code>additional Libxml parameters</code></a>.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:11:"data_is_url";s:4:"type";s:7:"boolean";s:11:"description";s:231:"<p>By default, <code>data_is_url</code> is <code>FALSE</code>. Use <code>TRUE</code> to specify that <code>data</code> is a path or URL to an XML document instead of <a href="http://php.net/string"><code>string</code></a> data.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:2:"ns";s:4:"type";s:6:"string";s:11:"description";s:31:"<p>Namespace prefix or URI.</p>";}i:4;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:9:"is_prefix";s:4:"type";s:7:"boolean";s:11:"description";s:128:"<p><code>TRUE</code> if <code>ns</code> is a prefix, <code>FALSE</code> if it&#8217;s a URI; defaults to <code>FALSE</code>.</p>";}}}s:11:"returnvalue";a:0:{}s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:39:"<p>Create a SimpleXMLElement object</p>";s:4:"code";s:95:"include 'example.php';

$sxe = new SimpleXMLElement($xmlstr);
echo $sxe-&gt;movie[0]-&gt;title;";s:6:"result";s:22:"PHP: Behind the Parser";}i:1;a:2:{s:5:"title";s:50:"<p>Create a SimpleXMLElement object from a URL</p>";s:4:"code";s:98:"$sxe = new SimpleXMLElement('http://example.org/document.xml', NULL, TRUE);
echo $sxe-&gt;asXML();";}}}s:7:"related";a:1:{s:6:"method";a:3:{i:0;s:85:"<a href="http://php.net/simplexml_load_string"><code>simplexml_load_string</code></a>";i:1;s:81:"<a href="http://php.net/simplexml_load_file"><code>simplexml_load_file</code></a>";i:2;s:95:"<a href="http://php.net/libxml_use_internal_errors"><code>libxml_use_internal_errors</code></a>";}}}i:1;a:5:{s:4:"name";s:10:"__toString";s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Gets the current XML node as a true string.</p>";s:11:"returnvalue";s:45:"<p>The current XML node as a true string.</p>";s:6:"source";s:66:"public function __toString()
{
    return $this-&gt;to_string();
}";}i:2;a:7:{s:4:"name";s:12:"addAttribute";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:50:"<p>Adds an attribute to the SimpleXML element.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:40:"<p>The name of the attribute to add.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:34:"<p>The value of the attribute.</p>";}i:2;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:2:"ns";}}}s:11:"returnvalue";s:28:"<p>No value is returned.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:57:"<p>Add attributes and children to a SimpleXML element</p>";s:4:"code";s:595:"include 'example.php';
 
$sxe = new SimpleXMLElement($xmlstr);
$sxe-&gt;addAttribute('type', 'documentary');

$movie = $sxe-&gt;addChild('movie');
$movie-&gt;addChild('title', 'PHP2: More Parser Stories');
$movie-&gt;addChild('plot', 'This is all about the people who make it work.');

$characters = $movie-&gt;addChild('characters');
$character  = $characters-&gt;addChild('character');
$character-&gt;addChild('name', 'Mr. Parser');
$character-&gt;addChild('actor', 'John Doe');

$rating = $movie-&gt;addChild('rating', '5');
$rating-&gt;addAttribute('type', 'stars');
 
echo $sxe-&gt;asXML();";s:6:"result";s:1287:"&lt;?xml version=&quot;1.0&quot; standalone=&quot;yes&quot;
&lt;movies type=&quot;documentary&quot;&gt;
 &lt;movie&gt;
  &lt;title&gt;PHP: Behind the Parser&lt;/title&gt;
  &lt;characters&gt;
   &lt;character&gt;
    &lt;name&gt;Ms. Coder&lt;/name&gt;
    &lt;actor&gt;Onlivia Actora&lt;/actor&gt;
   &lt;/character&gt;
   &lt;character&gt;
    &lt;name&gt;Mr. Coder&lt;/name&gt;
    &lt;actor&gt;El Act#xD3r&lt;/actor&gt;
   &lt;/character&gt;
  &lt;/characters&gt;
  &lt;plot&gt;
   So, this language. It's like, a programming language. Or is it a
   scripting language? All is revealed in this thrilling horror spoof
   of a documentary.
  &lt;/plot&gt;
  &lt;great-lines&gt;
   &lt;line&gt;PHP solves all my web problems&lt;/line&gt;
  &lt;/great-lines&gt;
  &lt;rating type=&quot;thumbs&quot;&gt;7&lt;/rating&gt;
  &lt;rating type=&quot;stars&quot;&gt;5&lt;/rating&gt;
 &lt;/movie&gt;
 &lt;movie&gt;
  &lt;title&gt;PHP2: More Parser Stories&lt;/title&gt;
  &lt;plot&gt;This is all about the people who make it work.&lt;/plot&gt;
  &lt;characters&gt;
   &lt;character&gt;
    &lt;name&gt;Mr. Parser&lt;/name&gt;
    &lt;actor&gt;John Doe&lt;/actor&gt;
   &lt;/character&gt;
  &lt;/characters&gt;
  &lt;rating type=&quot;stars&quot;&gt;5&lt;/rating&gt;
 &lt;/movie&gt;
&lt;/movies&gt;";}}}i:3;a:7:{s:4:"name";s:8:"addChild";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:84:"<p>Adds a child element to the node and returns a SimpleXMLElement of the child.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:3:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:44:"<p>The name of the child element to add.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:52:"<p>If specified, the value of the child element.</p>";}i:2;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:2:"ns";}}}s:11:"returnvalue";s:178:"<p>The <code>addChild</code> method returns a <a href="http://php.net/SimpleXMLElement"><code>SimpleXMLElement</code></a> object representing the child added to the XML node.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:57:"<p>Add attributes and children to a SimpleXML element</p>";s:4:"code";s:594:"include 'example.php';

$sxe = new SimpleXMLElement($xmlstr);
$sxe-&gt;addAttribute('type', 'documentary');

$movie = $sxe-&gt;addChild('movie');
$movie-&gt;addChild('title', 'PHP2: More Parser Stories');
$movie-&gt;addChild('plot', 'This is all about the people who make it work.');

$characters = $movie-&gt;addChild('characters');
$character  = $characters-&gt;addChild('character');
$character-&gt;addChild('name', 'Mr. Parser');
$character-&gt;addChild('actor', 'John Doe');

$rating = $movie-&gt;addChild('rating', '5');
$rating-&gt;addAttribute('type', 'stars');
 
echo $sxe-&gt;asXML();";s:6:"result";s:1287:"&lt;?xml version=&quot;1.0&quot; standalone=&quot;yes&quot;
&lt;movies type=&quot;documentary&quot;&gt;
 &lt;movie&gt;
  &lt;title&gt;PHP: Behind the Parser&lt;/title&gt;
  &lt;characters&gt;
   &lt;character&gt;
    &lt;name&gt;Ms. Coder&lt;/name&gt;
    &lt;actor&gt;Onlivia Actora&lt;/actor&gt;
   &lt;/character&gt;
   &lt;character&gt;
    &lt;name&gt;Mr. Coder&lt;/name&gt;
    &lt;actor&gt;El Act#xD3r&lt;/actor&gt;
   &lt;/character&gt;
  &lt;/characters&gt;
  &lt;plot&gt;
   So, this language. It's like, a programming language. Or is it a
   scripting language? All is revealed in this thrilling horror spoof
   of a documentary.
  &lt;/plot&gt;
  &lt;great-lines&gt;
   &lt;line&gt;PHP solves all my web problems&lt;/line&gt;
  &lt;/great-lines&gt;
  &lt;rating type=&quot;thumbs&quot;&gt;7&lt;/rating&gt;
  &lt;rating type=&quot;stars&quot;&gt;5&lt;/rating&gt;
 &lt;/movie&gt;
 &lt;movie&gt;
  &lt;title&gt;PHP2: More Parser Stories&lt;/title&gt;
  &lt;plot&gt;This is all about the people who make it work.&lt;/plot&gt;
  &lt;characters&gt;
   &lt;character&gt;
    &lt;name&gt;Mr. Parser&lt;/name&gt;
    &lt;actor&gt;John Doe&lt;/actor&gt;
   &lt;/character&gt;
  &lt;/characters&gt;
  &lt;rating type=&quot;stars&quot;&gt;5&lt;/rating&gt;
 &lt;/movie&gt;
&lt;/movies&gt;";}}}i:4;a:7:{s:4:"name";s:5:"asXML";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:95:"<p>The <code>asXML</code> method formats the parent object&#8217;s data in XML version 1.0.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"filename";s:4:"type";s:6:"string";s:11:"description";s:87:"<p>If specified, the function writes the data to the file rather than returning it.</p>";}}s:11:"returnvalue";s:313:"<p>If the <code>filename</code> isn&#8217;t specified, this function returns a <a href="http://php.net/string"><code>string</code></a> on success and <code>FALSE</code> on error. If the parameter is specified, it returns <code>TRUE</code> if the file was written successfully and <code>FALSE</code> otherwise.</p>";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:14:"<p>Get XML</p>";s:4:"code";s:239:"$string = &lt;&lt;&lt;XML
&lt;a&gt;
 &lt;b&gt;
  &lt;c&gt;text&lt;/c&gt;
  &lt;c&gt;stuff&lt;/c&gt;
 &lt;/b&gt;
 &lt;d&gt;
  &lt;c&gt;code&lt;/c&gt;
 &lt;/d&gt;
&lt;/a&gt;
XML;

$xml = new SimpleXMLElement($string);

echo $xml-&gt;asXML();";s:6:"result";s:178:"&lt;?xml version=&quot;1.0&quot;
&lt;a&gt;
 &lt;b&gt;
  &lt;c&gt;text&lt;/c&gt;
  &lt;c&gt;stuff&lt;/c&gt;
 &lt;/b&gt;
 &lt;d&gt;
  &lt;c&gt;code&lt;/c&gt;
 &lt;/d&gt;
&lt;/a&gt;";}i:1;a:3:{s:5:"title";s:32:"<p>Using asXML() on  results</p>";s:4:"code";s:189:"// Continued from example XML above.

/* Search for &lt;a&gt;&lt;b&gt;&lt;c&gt; */
$result = $xml-&gt;xpath('/a/b/c');

while(list( , $node) = each($result)) {
    echo $node-&gt;asXML();
}";s:6:"result";s:47:"&lt;c&gt;text&lt;/c&gt;&lt;c&gt;stuff&lt;/c&gt;";}}}}i:5;a:7:{s:4:"name";s:10:"attributes";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:82:"<p>This function provides the attributes and values defined within an xml tag.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:2:"ns";s:4:"type";s:6:"string";s:11:"description";s:57:"<p>An optional namespace for the retrieved attributes</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:9:"is_prefix";s:4:"type";s:7:"boolean";s:11:"description";s:36:"<p>Default to <code>FALSE</code></p>";}}}s:11:"returnvalue";s:351:"<p>Returns a <a href="http://php.net/SimpleXMLElement"><code>SimpleXMLElement</code></a> object that can be iterated over to loop through the attributes on the tag.</p>
<p>Returns <code>NULL</code> if called on a <a href="http://php.net/SimpleXMLElement"><code>SimpleXMLElement</code></a> object that already represents an attribute and not a tag.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:30:"<p>Interpret an XML string</p>";s:4:"code";s:271:"$string = &lt;&lt;&lt;XML
&lt;a&gt;
 &lt;foo name=&quot;one&quot; game=&quot;lonely&quot;&gt;1&lt;/foo&gt;
&lt;/a&gt;
XML;

$xml = simplexml_load_string($string);
foreach($xml-&gt;foo[0]-&gt;attributes() as $a =&gt; $b) {
    echo $a,'=&quot;',$b,&quot;\&quot;\n&quot;;
}";s:6:"result";s:44:"name=&quot;one&quot;
game=&quot;lonely&quot;";}}}i:6;a:8:{s:4:"name";s:8:"children";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:95:"<p>This method finds the children of an element. The result follows normal iteration rules.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:2:"ns";s:4:"type";s:6:"string";s:11:"description";s:43:"<p>An <acronym>XML</acronym> namespace.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:9:"is_prefix";s:4:"type";s:7:"boolean";s:11:"description";s:195:"<p>If <code>is_prefix</code> is <code>TRUE</code>, <code>ns</code> will be regarded as a prefix. If <code>FALSE</code>, <code>ns</code> will be regarded as a namespace <acronym>URL</acronym>.</p>";}}}s:11:"returnvalue";s:139:"<p>Returns a <a href="http://php.net/SimpleXMLElement"><code>SimpleXMLElement</code></a> element, whether the node has children or not.</p>";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:33:"<p>Traversing a  pseudo-array</p>";s:4:"code";s:710:"$xml = new SimpleXMLElement(
'&lt;person&gt;
 &lt;child role=&quot;son&quot;&gt;
  &lt;child role=&quot;daughter&quot;/&gt;
 &lt;/child&gt;
 &lt;child role=&quot;daughter&quot;&gt;
  &lt;child role=&quot;son&quot;&gt;
   &lt;child role=&quot;son&quot;/&gt;
  &lt;/child&gt;
 &lt;/child&gt;
&lt;/person&gt;');

foreach ($xml-&gt;children() as $second_gen) {
    echo ' The person begot a ' . $second_gen['role'];

    foreach ($second_gen-&gt;children() as $third_gen) {
        echo ' who begot a ' . $third_gen['role'] . ';';

        foreach ($third_gen-&gt;children() as $fourth_gen) {
            echo ' and that ' . $third_gen['role'] .
                ' begot a ' . $fourth_gen['role'];
        }
    }
}";s:6:"result";s:114:"The person begot a son who begot a daughter; The person
begot a daughter who begot a son; and that son begot a son";}i:1;a:3:{s:5:"title";s:23:"<p>Using namespaces</p>";s:4:"code";s:526:"$xml = '&lt;example xmlns:foo=&quot;my.foo.urn&quot;&gt;
  &lt;foo:a&gt;Apple&lt;/foo:a&gt;
  &lt;foo:b&gt;Banana&lt;/foo:b&gt;
  &lt;c&gt;Cherry&lt;/c&gt;
&lt;/example&gt;';

$sxe = new SimpleXMLElement($xml);

$kids = $sxe-&gt;children('foo');
var_dump(count($kids));

$kids = $sxe-&gt;children('foo', TRUE);
var_dump(count($kids));

$kids = $sxe-&gt;children('my.foo.urn');
var_dump(count($kids));

$kids = $sxe-&gt;children('my.foo.urn', TRUE);
var_dump(count($kids));

$kids = $sxe-&gt;children();
var_dump(count($kids));";s:6:"result";s:34:"int(0)
int(2)
int(2)
int(0)
int(1)";}}}s:7:"related";a:1:{s:6:"method";s:53:"<a href="http://php.net/count"><code>count</code></a>";}}i:7;a:7:{s:4:"name";s:8:"contains";s:8:"modifier";s:6:"public";s:11:"description";s:67:"<p>Whether or not the current node contains the compared value.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:77:"<p>The value to use to determine whether it is contained within the node.</p>";}}s:11:"returnvalue";s:67:"<p>Whether or not the current node contains the compared value.</p>";s:6:"source";s:92:"public function contains($value)
{
    return (stripos((string) $this, $value) !== false);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:44:"<p>Comparison functions with CFSimpleXML</p>";s:11:"description";s:97:"<p>A fairly contrived example showing how to use the custom CFSimpleXML comparison functions.</p>";s:4:"code";s:1391:"// Create a contrived response object
$response = new stdClass();
$response-&gt;body = simplexml_load_file(dirname(dirname(__FILE__)) . '/_cache/describe_images.xml', 'CFSimpleXML');

// Test is()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('available');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('foo');
var_dump($result);

// Test contains()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('ail');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('foo');
var_dump($result);

// Test matches()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/a[a-z]*/');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/z[0-9]*/');
var_dump($result);

// Test starts_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('ava');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('zzz');
var_dump($result);

// Test ends_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('ble');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('qqq');
var_dump($result);";s:6:"result";s:114:"bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)";}}}i:8;a:6:{s:4:"name";s:5:"count";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:63:"<p>This method counts the number of children of an element.</p>";s:11:"returnvalue";s:52:"<p>Returns the number of elements of an element.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:38:"<p>Counting the number of children</p>";s:4:"code";s:470:"$xml = &lt;&lt;&lt;EOF
&lt;people&gt;
 &lt;person name=&quot;Person 1&quot;&gt;
  &lt;child/&gt;
  &lt;child/&gt;
  &lt;child/&gt;
 &lt;/person&gt;
 &lt;person name=&quot;Person 2&quot;&gt;
  &lt;child/&gt;
  &lt;child/&gt;
  &lt;child/&gt;
  &lt;child/&gt;
  &lt;child/&gt;
 &lt;/person&gt;
&lt;/people&gt;
EOF;

$elem = new SimpleXMLElement($xml);

foreach ($elem as $person) {
    printf(&quot;%s has got %d children.\n&quot;, $person['name'], $person-&gt;count());
}";s:6:"result";s:57:"Person 1 has got 3 children.
Person 2 has got 5 children.";}}}i:9;a:6:{s:4:"name";s:7:"current";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:158:"<p>This method returns the current element as a <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> object or <code>NULL</code>.</p>";s:11:"returnvalue";s:157:"<p>Returns the current element as a <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> object or <code>NULL</code> on failure.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:33:"<p>Return the current element</p>";s:4:"code";s:269:"$xmlIterator = new SimpleXMLIterator('&lt;books&gt;&lt;book&gt;PHP basics&lt;/book&gt;&lt;book&gt;XML basics&lt;/book&gt;&lt;/books&gt;');
var_dump($xmlIterator-&gt;current());

$xmlIterator-&gt;rewind(); // rewind to first element
var_dump($xmlIterator-&gt;current());";s:6:"result";s:87:"NULL
object(SimpleXMLIterator)#2 (1) {
  [0]=&gt;
  string(10) &quot;PHP basics&quot;
}";}}}i:10;a:7:{s:4:"name";s:9:"ends_with";s:8:"modifier";s:6:"public";s:11:"description";s:68:"<p>Whether or not the current node ends with the compared value.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:48:"<p>The value to compare the current node to.</p>";}}s:11:"returnvalue";s:68:"<p>Whether or not the current node ends with the compared value.</p>";s:6:"source";s:91:"public function ends_with($value)
{
    return $this-&gt;matches(&quot;@$value$@u&quot;);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:44:"<p>Comparison functions with CFSimpleXML</p>";s:11:"description";s:97:"<p>A fairly contrived example showing how to use the custom CFSimpleXML comparison functions.</p>";s:4:"code";s:1391:"// Create a contrived response object
$response = new stdClass();
$response-&gt;body = simplexml_load_file(dirname(dirname(__FILE__)) . '/_cache/describe_images.xml', 'CFSimpleXML');

// Test is()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('available');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('foo');
var_dump($result);

// Test contains()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('ail');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('foo');
var_dump($result);

// Test matches()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/a[a-z]*/');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/z[0-9]*/');
var_dump($result);

// Test starts_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('ava');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('zzz');
var_dump($result);

// Test ends_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('ble');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('qqq');
var_dump($result);";s:6:"result";s:114:"bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)";}}}i:11;a:6:{s:4:"name";s:11:"getChildren";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:239:"<p>This method returns a <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> object containing sub-elements of the current <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> element.</p>";s:11:"returnvalue";s:153:"<p>Returns a <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> object containing the sub-elements of the current element.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:53:"<p>Return the sub-elements of the current element</p>";s:4:"code";s:525:"$xml = &lt;&lt;&lt;XML
&lt;books&gt;
    &lt;book&gt;
        &lt;title&gt;PHP Basics&lt;/title&gt;
        &lt;author&gt;Jim Smith&lt;/author&gt;
    &lt;/book&gt;
    &lt;book&gt;XML basics&lt;/book&gt;
&lt;/books&gt;
XML;

$xmlIterator = new SimpleXMLIterator($xml);
for( $xmlIterator-&gt;rewind(); $xmlIterator-&gt;valid(); $xmlIterator-&gt;next() ) {
    foreach($xmlIterator-&gt;getChildren() as $name =&gt; $data) {
    echo &quot;The $name is '$data' from the class &quot; . get_class($data) . &quot;\n&quot;;
    }
}";s:6:"result";s:117:"The title is 'PHP Basics' from the class SimpleXMLIterator
The author is 'Jim Smith' from the class SimpleXMLIterator";}}}i:12;a:7:{s:4:"name";s:16:"getDocNamespaces";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:46:"<p>Returns namespaces declared in document</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"recursve";}i:1;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:9:"from_root";}}}s:11:"returnvalue";s:159:"<p>The <code>getDocNamespaces</code> method returns an <a href="http://php.net/array"><code>array</code></a> of namespace names with their associated URIs.</p>";s:8:"examples";a:1:{s:7:"example";a:2:{i:0;a:3:{s:5:"title";s:30:"<p>Get document namespaces</p>";s:4:"code";s:397:"$xml = &lt;&lt;&lt;XML
&lt;?xml version=&quot;1.0&quot; standalone=&quot;yes&quot;
&lt;people xmlns:p=&quot;http://example.org/ns&quot;&gt;
    &lt;p:person id=&quot;1&quot;&gt;John Doe&lt;/p:person&gt;
    &lt;p:person id=&quot;2&quot;&gt;Susie Q. Public&lt;/p:person&gt;
&lt;/people&gt;
XML;
 
$sxe = new SimpleXMLElement($xml);

$namespaces = $sxe-&gt;getDocNamespaces();
var_dump($namespaces);";s:6:"result";s:84:"array(1) {
   [&quot;p&quot;]=&gt;
   string(21) &quot;http://example.org/ns&quot;
}";}i:1;a:3:{s:5:"title";s:39:"<p>Working with multiple namespaces</p>";s:4:"code";s:537:"$xml = &lt;&lt;&lt;XML
&lt;?xml version=&quot;1.0&quot; standalone=&quot;yes&quot;
&lt;people xmlns:p=&quot;http://example.org/ns&quot; xmlns:t=&quot;http://example.org/test&quot;&gt;
    &lt;p:person t:id=&quot;1&quot;&gt;John Doe&lt;/p:person&gt;
    &lt;p:person t:id=&quot;2&quot; a:addr=&quot;123 Street&quot; xmlns:a=&quot;http://example.org/addr&quot;&gt;
        Susie Q. Public
    &lt;/p:person&gt;
&lt;/people&gt;
XML;
 
$sxe = new SimpleXMLElement($xml);

$namespaces = $sxe-&gt;getDocNamespaces(TRUE);
var_dump($namespaces);";s:6:"result";s:226:"array(3) {
  [&quot;p&quot;]=&gt;
  string(21) &quot;http://example.org/ns&quot;
  [&quot;t&quot;]=&gt;
  string(23) &quot;http://example.org/test&quot;
  [&quot;a&quot;]=&gt;
  string(23) &quot;http://example.org/addr&quot;
}";}}}}i:13;a:6:{s:4:"name";s:7:"getName";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:40:"<p>Gets the name of the XML element.</p>";s:11:"returnvalue";s:174:"<p>The <code>getName</code> method returns as a <a href="http://php.net/string"><code>string</code></a> the name of the XML tag referenced by the SimpleXMLElement object.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:28:"<p>Get XML element names</p>";s:4:"code";s:196:"include 'example.php';
$sxe = new SimpleXMLElement($xmlstr);

echo $sxe-&gt;getName() . &quot;\n&quot;;

foreach ($sxe-&gt;children() as $child)
{
    echo $child-&gt;getName() . &quot;\n&quot;;
}";s:6:"result";s:12:"movies
movie";}}}i:14;a:7:{s:4:"name";s:13:"getNamespaces";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:42:"<p>Returns namespaces used in document</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"recursve";}}s:11:"returnvalue";s:156:"<p>The <code>getNamespaces</code> method returns an <a href="http://php.net/array"><code>array</code></a> of namespace names with their associated URIs.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:37:"<p>Get document namespaces in use</p>";s:4:"code";s:442:"$xml = &lt;&lt;&lt;XML
&lt;?xml version=&quot;1.0&quot; standalone=&quot;yes&quot;
&lt;people xmlns:p=&quot;http://example.org/ns&quot; xmlns:t=&quot;http://example.org/test&quot;&gt;
    &lt;p:person id=&quot;1&quot;&gt;John Doe&lt;/p:person&gt;
    &lt;p:person id=&quot;2&quot;&gt;Susie Q. Public&lt;/p:person&gt;
&lt;/people&gt;
XML;
 
$sxe = new SimpleXMLElement($xml);

$namespaces = $sxe-&gt;getNamespaces(true);
var_dump($namespaces);";s:6:"result";s:82:"array(1) {
  [&quot;p&quot;]=&gt;
  string(21) &quot;http://example.org/ns&quot;
}";}}}i:15;a:6:{s:4:"name";s:11:"hasChildren";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:149:"<p>This method checks whether the current <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> element has sub-elements.</p>";s:11:"returnvalue";s:94:"<p><code>TRUE</code> if the current element has sub-elements, otherwise <code>FALSE</code></p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:57:"<p>Check whether the current element has sub-elements</p>";s:4:"code";s:452:"$xml = &lt;&lt;&lt;XML
&lt;books&gt;
    &lt;book&gt;
        &lt;title&gt;PHP Basics&lt;/title&gt;
        &lt;author&gt;Jim Smith&lt;/author&gt;
    &lt;/book&gt;
    &lt;book&gt;XML basics&lt;/book&gt;
&lt;/books&gt;
XML;

$xmlIterator = new SimpleXMLIterator( $xml );
for( $xmlIterator-&gt;rewind(); $xmlIterator-&gt;valid(); $xmlIterator-&gt;next() ) {
    if($xmlIterator-&gt;hasChildren()) {
        var_dump($xmlIterator-&gt;current());
    }
}";s:6:"result";s:160:"object(SimpleXMLIterator)#2 (2) {
  [&quot;title&quot;]=&gt;
  string(10) &quot;PHP Basics&quot;
  [&quot;author&quot;]=&gt;
  string(9) &quot;Jim Smith&quot;
}";}}}i:16;a:6:{s:4:"name";s:4:"init";s:8:"modifier";s:13:"public static";s:11:"description";s:76:"<p>Alternate approach to constructing a new instance. Supports chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:5:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";s:4:"type";s:6:"string";s:11:"description";s:107:"<p>A well-formed XML string or the path or URL to an XML document if $data_is_url is <code>true</code>.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"options";s:4:"type";s:7:"integer";s:11:"description";s:89:"<p>Used to specify additional LibXML parameters. The default value is <code>0</code>.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"data_is_url";s:4:"type";s:7:"boolean";s:11:"description";s:165:"<p>Specify a value of <code>true</code> to specify that data is a path or URL to an XML document instead of string data. The default value is <code>false</code>.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:2:"ns";s:4:"type";s:6:"string";s:11:"description";s:46:"<p>The XML namespace to return values for.</p>";}i:4;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:9:"is_prefix";s:4:"type";s:7:"boolean";s:11:"description";s:44:"<p>(No description provided by PHP.net.)</p>";}}}s:11:"returnvalue";s:131:"<p>Creates a new <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a> element.</p>";s:6:"source";s:369:"public static function init($data, $options = 0, $data_is_url, $ns, $is_prefix = false)
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::init().');
    }

    $self = get_called_class();
    return new $self($data, $options, $data_is_url, $ns, $is_prefix);
}";}i:17;a:7:{s:4:"name";s:2:"is";s:8:"modifier";s:6:"public";s:11:"description";s:74:"<p>Whether or not the current node exactly matches the compared value.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:48:"<p>The value to compare the current node to.</p>";}}s:11:"returnvalue";s:74:"<p>Whether or not the current node exactly matches the compared value.</p>";s:6:"source";s:70:"public function is($value)
{
    return ((string) $this === $value);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:44:"<p>Comparison functions with CFSimpleXML</p>";s:11:"description";s:97:"<p>A fairly contrived example showing how to use the custom CFSimpleXML comparison functions.</p>";s:4:"code";s:1391:"// Create a contrived response object
$response = new stdClass();
$response-&gt;body = simplexml_load_file(dirname(dirname(__FILE__)) . '/_cache/describe_images.xml', 'CFSimpleXML');

// Test is()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('available');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('foo');
var_dump($result);

// Test contains()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('ail');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('foo');
var_dump($result);

// Test matches()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/a[a-z]*/');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/z[0-9]*/');
var_dump($result);

// Test starts_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('ava');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('zzz');
var_dump($result);

// Test ends_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('ble');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('qqq');
var_dump($result);";s:6:"result";s:114:"bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)";}}}i:18;a:6:{s:4:"name";s:3:"key";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:64:"<p>This method gets the XML tag name of the current element.</p>";s:11:"returnvalue";s:179:"<p>Returns the XML tag name of the element referenced by the current <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> object or <code>FALSE</code></p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:34:"<p>Get the current XML tag key</p>";s:4:"code";s:275:"$xmlIterator = new SimpleXMLIterator('&lt;books&gt;&lt;book&gt;PHP basics&lt;/book&gt;&lt;book&gt;XML basics&lt;/book&gt;&lt;/books&gt;');

echo var_dump($xmlIterator-&gt;key());
$xmlIterator-&gt;rewind(); // rewind to the first element
echo var_dump($xmlIterator-&gt;key());";s:6:"result";s:38:"bool(false)
string(4) &quot;book&quot;";}}}i:19;a:7:{s:4:"name";s:7:"matches";s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>Whether or not the current node matches the regular expression pattern.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"pattern";s:4:"type";s:6:"string";s:11:"description";s:53:"<p>The pattern to match the current node against.</p>";}}s:11:"returnvalue";s:59:"<p>Whether or not the current node matches the pattern.</p>";s:6:"source";s:93:"public function matches($pattern)
{
    return (bool) preg_match($pattern, (string) $this);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:44:"<p>Comparison functions with CFSimpleXML</p>";s:11:"description";s:97:"<p>A fairly contrived example showing how to use the custom CFSimpleXML comparison functions.</p>";s:4:"code";s:1391:"// Create a contrived response object
$response = new stdClass();
$response-&gt;body = simplexml_load_file(dirname(dirname(__FILE__)) . '/_cache/describe_images.xml', 'CFSimpleXML');

// Test is()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('available');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('foo');
var_dump($result);

// Test contains()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('ail');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('foo');
var_dump($result);

// Test matches()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/a[a-z]*/');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/z[0-9]*/');
var_dump($result);

// Test starts_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('ava');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('zzz');
var_dump($result);

// Test ends_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('ble');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('qqq');
var_dump($result);";s:6:"result";s:114:"bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)";}}}i:20;a:6:{s:4:"name";s:4:"next";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:127:"<p>This method moves the <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> to the next element.</p>";s:11:"returnvalue";s:28:"<p>No value is returned.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:31:"<p>Move to the next element</p>";s:4:"code";s:260:"$xmlIterator = new SimpleXMLIterator('&lt;books&gt;&lt;book&gt;PHP Basics&lt;/book&gt;&lt;book&gt;XML basics&lt;/book&gt;&lt;/books&gt;');
$xmlIterator-&gt;rewind(); // rewind to the first element
$xmlIterator-&gt;next();

var_dump($xmlIterator-&gt;current());";s:6:"result";s:82:"object(SimpleXMLIterator)#2 (1) {
  [0]=&gt;
  string(10) &quot;XML basics&quot;
}";}}}i:21;a:7:{s:4:"name";s:6:"parent";s:8:"modifier";s:6:"public";s:11:"description";s:70:"<p>Gets the parent or a preferred ancestor of the current element.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"node";s:4:"type";s:6:"string";s:11:"description";s:56:"<p>Name of the ancestor element to match and return.</p>";}}s:11:"returnvalue";s:148:"<p>A <a href="../cfsimplexml/index.html" rel="../../index.html#i=cfsimplexml"><code>CFSimpleXML</code></a> object containing the requested node.</p>";s:6:"source";s:228:"public function parent($node = null)
{
    if ($node)
    {
        $parents = $this-&gt;xpath('ancestor-or-self::' . $node);
    }
    else
    {
        $parents = $this-&gt;xpath('parent::*');
    }

    return $parents[0];
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>New additions in CFArray and CFSimpleXML.</p>";s:11:"description";s:260:"<p>A fairly contrived example showing how to use new additions in CFArray and CFSimpleXML.</p>

<p>This example uses anonymous functions, so it will only work as-is with PHP 5.3+. PHP 5.2.x users can refactor this example to use standard functions instead.</p>";s:4:"code";s:992:"$ec2 = new AmazonEC2();
$response = $ec2-&gt;describe_images();

// Use an XPath query to find a matching set of nodes.
$list = $response-&gt;body-&gt;query('descendant-or-self::item[imageId[contains(., &quot;aki-&quot;)] and architecture = &quot;x86_64&quot; and imageOwnerAlias = &quot;amazon&quot;]/imageLocation');

// CFArray::map() works similarly to array_map().
$results = $list-&gt;map(function($node)
{
	return $node-&gt;parent();
});

// Manually instantiate CFArray.
$image_locations = new CFArray(array());

/*
	For each entry in the $results array, pass it to the anonymous function.
	You can bind a variable (e.g., $image_locations) to the inner scope by
	using pass-by-reference.
*/
$results-&gt;each(function($node, $i, &amp;$image_locations)
{
	$image_locations[] = (string) $node-&gt;imageLocation;

}, $image_locations);

// Display the first and last entries in the resulting array.
echo $image_locations-&gt;first() . PHP_EOL;
echo $image_locations-&gt;last() . PHP_EOL;";s:6:"result";s:141:"ec2-paid-ibm-images-ids/vmlinuz-2.6.16.60-0.30-xen.x86_64.manifest.xml
ec2-paid-ibm-images-db2/vmlinuz-2.6.16.60-0.30-xen.x86_64.manifest.xml";}}}i:22;a:7:{s:4:"name";s:5:"query";s:8:"modifier";s:6:"public";s:11:"description";s:145:"<p>Wraps the results of an XPath query in a <a href="../cfarray/index.html" rel="../../index.html#i=cfarray"><code>CFArray</code></a> object.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"expr";s:4:"type";s:6:"string";s:11:"description";s:61:"<p>The XPath expression to use to query the XML response.</p>";}}s:11:"returnvalue";s:148:"<p>A <a href="../cfarray/index.html" rel="../../index.html#i=cfarray"><code>CFArray</code></a> object containing the results of the XPath query.</p>";s:6:"source";s:80:"public function query($expr)
{
    return new CFArray($this-&gt;xpath($expr));
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:48:"<p>New additions in CFArray and CFSimpleXML.</p>";s:11:"description";s:260:"<p>A fairly contrived example showing how to use new additions in CFArray and CFSimpleXML.</p>

<p>This example uses anonymous functions, so it will only work as-is with PHP 5.3+. PHP 5.2.x users can refactor this example to use standard functions instead.</p>";s:4:"code";s:992:"$ec2 = new AmazonEC2();
$response = $ec2-&gt;describe_images();

// Use an XPath query to find a matching set of nodes.
$list = $response-&gt;body-&gt;query('descendant-or-self::item[imageId[contains(., &quot;aki-&quot;)] and architecture = &quot;x86_64&quot; and imageOwnerAlias = &quot;amazon&quot;]/imageLocation');

// CFArray::map() works similarly to array_map().
$results = $list-&gt;map(function($node)
{
	return $node-&gt;parent();
});

// Manually instantiate CFArray.
$image_locations = new CFArray(array());

/*
	For each entry in the $results array, pass it to the anonymous function.
	You can bind a variable (e.g., $image_locations) to the inner scope by
	using pass-by-reference.
*/
$results-&gt;each(function($node, $i, &amp;$image_locations)
{
	$image_locations[] = (string) $node-&gt;imageLocation;

}, $image_locations);

// Display the first and last entries in the resulting array.
echo $image_locations-&gt;first() . PHP_EOL;
echo $image_locations-&gt;last() . PHP_EOL;";s:6:"result";s:141:"ec2-paid-ibm-images-ids/vmlinuz-2.6.16.60-0.30-xen.x86_64.manifest.xml
ec2-paid-ibm-images-db2/vmlinuz-2.6.16.60-0.30-xen.x86_64.manifest.xml";}}}i:23;a:7:{s:4:"name";s:22:"registerXPathNamespace";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:386:"<p>Creates a prefix/ns context for the next XPath query. In particular, this is helpful if the provider of the given XML document alters the namespace prefixes. <code>registerXPathNamespace</code> will create a prefix for the associated namespace, allowing one to access nodes in that namespace without the need to change code to allow for the new prefixes dictated by the provider.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"prefix";s:4:"type";s:6:"string";s:11:"description";s:98:"<p>The namespace prefix to use in the XPath query for the namespace given in <code>ns</code> .</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:2:"ns";s:4:"type";s:6:"string";s:11:"description";s:177:"<p>The namespace to use for the XPath query. This must match a namespace in use by the XML document or the XPath query using <code>prefix</code> will not return any results.</p>";}}}s:11:"returnvalue";s:77:"<p>Returns <code>TRUE</code> on success or <code>FALSE</code> on failure.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:58:"<p>Setting a namespace prefix to use in an XPath query</p>";s:4:"code";s:1203:"$xml = &lt;&lt;&lt;EOD
&lt;book xmlns:chap=&quot;http://example.org/chapter-title&quot;&gt;
    &lt;title&gt;My Book&lt;/title&gt;
    &lt;chapter id=&quot;1&quot;&gt;
        &lt;chap:title&gt;Chapter 1&lt;/chap:title&gt;
        &lt;para&gt;Donec velit. Nullam eget tellus vitae tortor gravida scelerisque. 
            In orci lorem, cursus imperdiet, ultricies non, hendrerit et, orci. 
            Nulla facilisi. Nullam velit nisl, laoreet id, condimentum ut, 
            ultricies id, mauris.&lt;/para&gt;
    &lt;/chapter&gt;
    &lt;chapter id=&quot;2&quot;&gt;
        &lt;chap:title&gt;Chapter 2&lt;/chap:title&gt;
        &lt;para&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin 
            gravida. Phasellus tincidunt massa vel urna. Proin adipiscing quam 
            vitae odio. Sed dictum. Ut tincidunt lorem ac lorem. Duis eros 
            tellus, pharetra id, faucibus eu, dapibus dictum, odio.&lt;/para&gt;
    &lt;/chapter&gt;
&lt;/book&gt;
EOD;

$sxe = new SimpleXMLElement($xml);

$sxe-&gt;registerXPathNamespace('c', 'http://example.org/chapter-title');
$result = $sxe-&gt;xpath('//c:title');

foreach ($result as $title) {
  echo $title . &quot;\n&quot;;
}";s:6:"result";s:19:"Chapter 1
Chapter 2";}}}i:24;a:6:{s:4:"name";s:6:"rewind";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:130:"<p>This method rewinds the <a href="http://php.net/SimpleXMLIterator"><code>SimpleXMLIterator</code></a> to the first element.</p>";s:11:"returnvalue";s:28:"<p>No value is returned.</p>";s:8:"examples";a:1:{s:7:"example";a:3:{s:5:"title";s:34:"<p>Rewind to the first element</p>";s:4:"code";s:204:"$xmlIterator = new SimpleXMLIterator('&lt;books&gt;&lt;book&gt;PHP Basics&lt;/book&gt;&lt;book&gt;XML Basics&lt;/book&gt;&lt;/books&gt;');
$xmlIterator-&gt;rewind();

var_dump($xmlIterator-&gt;current());";s:6:"result";s:82:"object(SimpleXMLIterator)#2 (1) {
  [0]=&gt;
  string(10) &quot;PHP Basics&quot;
}";}}}i:25;a:7:{s:4:"name";s:7:"saveXML";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:123:"<p>This method is an alias of: <a href="http://php.net/SimpleXMLElement.asXML"><code>SimpleXMLElement::asXML</code></a></p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"filename";}}s:11:"returnvalue";a:0:{}s:8:"examples";a:0:{}}i:26;a:7:{s:4:"name";s:11:"starts_with";s:8:"modifier";s:6:"public";s:11:"description";s:70:"<p>Whether or not the current node starts with the compared value.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:48:"<p>The value to compare the current node to.</p>";}}s:11:"returnvalue";s:70:"<p>Whether or not the current node starts with the compared value.</p>";s:6:"source";s:93:"public function starts_with($value)
{
    return $this-&gt;matches(&quot;@^$value@u&quot;);
}";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:44:"<p>Comparison functions with CFSimpleXML</p>";s:11:"description";s:97:"<p>A fairly contrived example showing how to use the custom CFSimpleXML comparison functions.</p>";s:4:"code";s:1391:"// Create a contrived response object
$response = new stdClass();
$response-&gt;body = simplexml_load_file(dirname(dirname(__FILE__)) . '/_cache/describe_images.xml', 'CFSimpleXML');

// Test is()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('available');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;is('foo');
var_dump($result);

// Test contains()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('ail');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;contains('foo');
var_dump($result);

// Test matches()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/a[a-z]*/');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;matches('/z[0-9]*/');
var_dump($result);

// Test starts_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('ava');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;starts_with('zzz');
var_dump($result);

// Test ends_with()
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('ble');
var_dump($result);
$result = $response-&gt;body-&gt;imagesSet-&gt;item[0]-&gt;imageState-&gt;ends_with('qqq');
var_dump($result);";s:6:"result";s:114:"bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)
bool(true)
bool(false)";}}}i:27;a:5:{s:4:"name";s:8:"to_array";s:8:"modifier";s:6:"public";s:11:"description";s:228:"<p>Gets the current XML node as <a href="../cfarray/index.html" rel="../../index.html#i=cfarray"><code>CFArray</code></a>, a child class of PHP&#8217;s <a href="http://php.net/arrayobject"><code>ArrayObject</code></a> class.</p>";s:11:"returnvalue";s:130:"<p>The current XML node as a <a href="../cfarray/index.html" rel="../../index.html#i=cfarray"><code>CFArray</code></a> object.</p>";s:6:"source";s:93:"public function to_array()
{
    return new CFArray(json_decode(json_encode($this), true));
}";}i:28;a:5:{s:4:"name";s:7:"to_json";s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Gets the current XML node as a JSON string.</p>";s:11:"returnvalue";s:45:"<p>The current XML node as a JSON string.</p>";s:6:"source";s:60:"public function to_json()
{
    return json_encode($this);
}";}i:29;a:5:{s:4:"name";s:11:"to_stdClass";s:8:"modifier";s:6:"public";s:11:"description";s:54:"<p>Gets the current XML node as a stdClass object.</p>";s:11:"returnvalue";s:49:"<p>The current XML node as a stdClass object.</p>";s:6:"source";s:77:"public function to_stdClass()
{
    return json_decode(json_encode($this));
}";}i:30;a:5:{s:4:"name";s:9:"to_string";s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Gets the current XML node as a true string.</p>";s:11:"returnvalue";s:45:"<p>The current XML node as a true string.</p>";s:6:"source";s:167:"public function to_string()
{
    $s = parent::__toString();

    if ($this-&gt;attributes())
    {
        return json_decode(substr($s, 14));
    }

    return $s;
}";}i:31;a:5:{s:4:"name";s:7:"to_yaml";s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Gets the current XML node as a YAML string.</p>";s:11:"returnvalue";s:45:"<p>The current XML node as a YAML string.</p>";s:6:"source";s:96:"public function to_yaml()
{
    return sfYaml::dump(json_decode(json_encode($this), true), 5);
}";}i:32;a:6:{s:4:"name";s:5:"valid";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:17:"SimpleXMLIterator";}}s:11:"description";s:258:"<p>This method checks if the current element is valid after calls to <a href="http://php.net/SimpleXMLIterator.rewind"><code>SimpleXMLIterator::rewind</code></a> or <a href="http://php.net/SimpleXMLIterator.next"><code>SimpleXMLIterator::next</code></a>.</p>";s:11:"returnvalue";s:94:"<p>Returns <code>TRUE</code> if the current element is valid, otherwise <code>FALSE</code></p>";s:8:"examples";a:1:{s:7:"example";a:2:{s:5:"title";s:49:"<p>Check whether the current element is valid</p>";s:4:"code";s:364:"$xmlIterator = new SimpleXMLIterator('&lt;books&gt;&lt;book&gt;SQL Basics&lt;/book&gt;&lt;/books&gt;');

$xmlIterator-&gt;rewind(); // rewind to the first element
echo var_dump($xmlIterator-&gt;valid()); // bool(true)

$xmlIterator-&gt;next(); // advance to the next element
echo var_dump($xmlIterator-&gt;valid()); // bool(false) because there is only one element";}}}i:33;a:7:{s:4:"name";s:5:"xpath";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:16:"SimpleXMLElement";}}s:11:"description";s:135:"<p>The <code>xpath</code> method searches the SimpleXML node for children matching the <acronym>XPath</acronym> <code>path</code> .</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"path";s:4:"type";s:6:"string";s:11:"description";s:20:"<p>An XPath path</p>";}}s:11:"returnvalue";s:142:"<p>Returns an <a href="http://php.net/array"><code>array</code></a> of SimpleXMLElement objects or <code>FALSE</code> in case of an error.</p>";s:8:"examples";a:1:{s:7:"example";a:4:{s:5:"title";s:12:"<p>Xpath</p>";s:11:"description";s:64:"<pre><code> Notice that the two results are equal.
</code></pre>";s:4:"code";s:532:"$string = &lt;&lt;&lt;XML
&lt;a&gt;
 &lt;b&gt;
  &lt;c&gt;text&lt;/c&gt;
  &lt;c&gt;stuff&lt;/c&gt;
 &lt;/b&gt;
 &lt;d&gt;
  &lt;c&gt;code&lt;/c&gt;
 &lt;/d&gt;
&lt;/a&gt;
XML;

$xml = new SimpleXMLElement($string);

/* Search for &lt;a&gt;&lt;b&gt;&lt;c&gt; */
$result = $xml-&gt;xpath('/a/b/c');

while(list( , $node) = each($result)) {
    echo '/a/b/c: ',$node,&quot;\n&quot;;
}

/* Relative paths also work... */
$result = $xml-&gt;xpath('b/c');

while(list( , $node) = each($result)) {
    echo 'b/c: ',$node,&quot;\n&quot;;
}";s:6:"result";s:47:"/a/b/c: text
/a/b/c: stuff
b/c: text
b/c: stuff";}}}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"3";}s:8:"property";a:3:{i:0;a:3:{s:4:"name";s:7:"encoded";s:8:"modifier";s:6:"public";s:11:"description";s:50:"<p>Stores whether or not the value is encoded.</p>";}i:1;a:3:{s:4:"name";s:6:"xml_ns";s:8:"modifier";s:6:"public";s:11:"description";s:57:"<p>Stores the namespace name to use in XPath queries.</p>";}i:2;a:3:{s:4:"name";s:10:"xml_ns_url";s:8:"modifier";s:6:"public";s:11:"description";s:56:"<p>Stores the namespace URI to use in XPath queries.</p>";}}}}}