a:2:{s:4:"file";a:0:{}s:5:"class";a:10:{s:4:"name";s:10:"AuthV4JSON";s:4:"file";s:41:"authentication/signature_v4json.class.php";s:3:"url";s:24:"../authv4json/index.html";s:11:"description";s:51:"<p>Implements support for Signature v4 (Query).</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2011.01.03";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:11:"inheritance";a:1:{s:5:"class";a:3:{s:4:"name";s:6:"Signer";s:4:"file";s:34:"authentication/signer.abstract.php";s:3:"url";s:20:"../signer/index.html";}}s:10:"implements";a:1:{s:9:"interface";a:2:{s:4:"name";s:8:"Signable";s:4:"file";s:37:"authentication/signable.interface.php";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"14";}s:6:"method";a:14:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:148:"<p>Constructs a new instance of the <a href="../authv4query/index.html" rel="../../index.html#i=authv4query"><code>AuthV4Query</code></a> class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"endpoint";s:4:"type";s:6:"string";s:11:"description";s:45:"<p>The endpoint to direct the request to.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:9:"operation";s:4:"type";s:6:"string";s:11:"description";s:60:"<p>The operation to execute as a result of this request.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"payload";s:4:"type";s:5:"array";s:11:"description";s:64:"<p>The options to use as part of the payload in the request.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:11:"credentials";s:4:"type";s:12:"CFCredential";s:11:"description";s:62:"<p>The credentials to use for signing and making requests.</p>";}}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:4:"void";}}s:6:"source";s:163:"public function __construct($endpoint, $operation, $payload, CFCredential $credentials)
{
    parent::__construct($endpoint, $operation, $payload, $credentials);
}";}i:1;a:5:{s:4:"name";s:12:"authenticate";s:8:"modifier";s:6:"public";s:11:"description";s:80:"<p>Generates a cURL handle with all of the required authentication bits set.</p>";s:11:"returnvalue";s:41:"<p>A cURL handle ready for executing.</p>";s:6:"source";s:4362:"public function authenticate()
{
    // Determine signing values
    $current_time = time();
    $timestamp = gmdate(CFUtilities::DATE_FORMAT_SIGV4, $current_time);

    // Initialize
    $x_amz_target = null;

    $this-&gt;headers = array();
    $this-&gt;signed_headers = array();
    $this-&gt;canonical_headers = array();
    $this-&gt;query = array();

    // Prepare JSON structure
    $this-&gt;body = json_encode($this-&gt;payload);
    if ($this-&gt;body === '' || $this-&gt;body === '[]')
    {
        $this-&gt;body = '{}';
    }

    // Do we have an authentication token?
    if ($this-&gt;auth_token)
    {
        $this-&gt;headers['X-Amz-Security-Token'] = $this-&gt;auth_token;
        $this-&gt;query['SecurityToken'] = $this-&gt;auth_token;
    }

    // Manage the key-value pairs that are used in the query.
    if (stripos($this-&gt;operation, 'x-amz-target') !== false)
    {
        $x_amz_target = trim(str_ireplace('x-amz-target:', '', $this-&gt;operation));
    }
    else
    {
        $this-&gt;query['Action'] = $this-&gt;operation;
    }

    // Only add it if it exists.
    if ($this-&gt;api_version)
    {
        $this-&gt;query['Version'] = $this-&gt;api_version;
    }

    // Do a case-sensitive, natural order sort on the array keys.
    uksort($this-&gt;query, 'strcmp');

    // Remove the default scheme from the domain.
    $domain = str_replace(array('http://', 'https://'), '', $this-&gt;endpoint);

    // Parse our request.
    $parsed_url = parse_url('http://' . $domain);

    // Set the proper host header.
    if (isset($parsed_url['port']) &amp;&amp; (integer) $parsed_url['port'] !== 80 &amp;&amp; (integer) $parsed_url['port'] !== 443)
    {
        $host_header = strtolower($parsed_url['host']) . ':' . $parsed_url['port'];
    }
    else
    {
        $host_header = strtolower($parsed_url['host']);
    }

    // Generate the querystring from $this-&gt;query
    $this-&gt;querystring = $this-&gt;util-&gt;to_query_string($this-&gt;query);

    // Gather information to pass along to other classes.
    $helpers = array(
        'utilities' =&gt; $this-&gt;utilities_class,
        'request' =&gt; $this-&gt;request_class,
        'response' =&gt; $this-&gt;response_class,
    );

    // Compose the request.
    $request_url = ($this-&gt;use_ssl ? 'https://' : 'http://') . $domain;
    $request_url .= !isset($parsed_url['path']) ? '/' : '';

    // Instantiate the request class
    $request = new $this-&gt;request_class($request_url, $this-&gt;proxy, $helpers, $this-&gt;credentials);
    $request-&gt;set_method('POST');
    $request-&gt;set_body($this-&gt;body);
    $this-&gt;querystring = $this-&gt;body;
    $content_type = (stripos($this-&gt;operation, 'StorageGateway') !== false) ? 'application/x-amz-json-1.1' : 'application/x-amz-json-1.0';
    $this-&gt;headers['Content-Type'] = $content_type;
    $this-&gt;headers['X-Amz-Target'] = $x_amz_target;

    // Pass along registered stream callbacks
    if ($this-&gt;registered_streaming_read_callback)
    {
        $request-&gt;register_streaming_read_callback($this-&gt;registered_streaming_read_callback);
    }

    if ($this-&gt;registered_streaming_write_callback)
    {
        $request-&gt;register_streaming_write_callback($this-&gt;registered_streaming_write_callback);
    }

    // Add authentication headers
    $this-&gt;headers['X-Amz-Date'] = $timestamp;
    $this-&gt;headers['Content-Length'] = strlen($this-&gt;querystring);
    $this-&gt;headers['Host'] = $host_header;

    // Sort headers
    uksort($this-&gt;headers, 'strnatcasecmp');

    // Add headers to request and compute the string to sign
    foreach ($this-&gt;headers as $header_key =&gt; $header_value)
    {
        // Strip line breaks and remove consecutive spaces. Services collapse whitespace in signature calculation
        $header_value = preg_replace('/\s+/', ' ', trim($header_value));

        $request-&gt;add_header($header_key, $header_value);
        $this-&gt;canonical_headers[] = strtolower($header_key) . ':' . $header_value;
        $this-&gt;signed_headers[] = strtolower($header_key);
    }

    $this-&gt;headers['Authorization'] = $this-&gt;authorization($timestamp);
    $request-&gt;add_header('Authorization', $this-&gt;headers['Authorization']);
    $request-&gt;request_headers = $this-&gt;headers;

    return $request;
}";}i:2;a:6:{s:4:"name";s:13:"authorization";s:8:"modifier";s:9:"protected";s:11:"description";s:65:"<p>Generates the authorization string to use for the request.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"datetime";s:4:"type";s:6:"string";s:11:"description";s:29:"<p>The current timestamp.</p>";}}s:11:"returnvalue";s:32:"<p>The authorization string.</p>";s:6:"source";s:408:"protected function authorization($datetime)
{
    $access_key_id = $this-&gt;key;

    $parts = array();
    $parts[] = &quot;AWS4-HMAC-SHA256 Credential=${access_key_id}/&quot; . $this-&gt;credential_string($datetime);
    $parts[] = 'SignedHeaders=' . implode(';', $this-&gt;signed_headers);
    $parts[] = 'Signature=' . $this-&gt;hex16($this-&gt;signature($datetime));

    return implode(',', $parts);
}";}i:3;a:5:{s:4:"name";s:21:"canonical_querystring";s:8:"modifier";s:9:"protected";s:11:"description";s:34:"<p>The canonical query string.</p>";s:11:"returnvalue";s:34:"<p>The canonical query string.</p>";s:6:"source";s:250:"protected function canonical_querystring()
{
    if (!isset($this-&gt;canonical_querystring))
    {
        $this-&gt;canonical_querystring = $this-&gt;util-&gt;to_signable_string($this-&gt;query);
    }

    return $this-&gt;canonical_querystring;
}";}i:4;a:5:{s:4:"name";s:17:"canonical_request";s:8:"modifier";s:9:"protected";s:11:"description";s:39:"<p>Calculate the canonical request.</p>";s:11:"returnvalue";s:29:"<p>The canonical request.</p>";s:6:"source";s:511:"protected function canonical_request()
{
    $parts = array();
    $parts[] = 'POST';
    $parts[] = $this-&gt;canonical_uri();
    $parts[] = ''; // $parts[] = $this-&gt;canonical_querystring();
    $parts[] = implode(&quot;\n&quot;, $this-&gt;canonical_headers) . &quot;\n&quot;;
    $parts[] = implode(';', $this-&gt;signed_headers);
    $parts[] = $this-&gt;hex16($this-&gt;hash($this-&gt;body));

    $this-&gt;canonical_request = implode(&quot;\n&quot;, $parts);

    return $this-&gt;canonical_request;
}";}i:5;a:5:{s:4:"name";s:13:"canonical_uri";s:8:"modifier";s:9:"protected";s:11:"description";s:28:"<p>The request URI path.</p>";s:11:"returnvalue";s:28:"<p>The request URI path.</p>";s:6:"source";s:54:"protected function canonical_uri()
{
    return '/';
}";}i:6;a:6:{s:4:"name";s:17:"credential_string";s:8:"modifier";s:9:"protected";s:11:"description";s:58:"<p>Generates the credential string to use for signing.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"datetime";s:4:"type";s:6:"string";s:11:"description";s:29:"<p>The current timestamp.</p>";}}s:11:"returnvalue";s:29:"<p>The credential string.</p>";s:6:"source";s:249:"protected function credential_string($datetime)
{
    $parts = array();
    $parts[] = substr($datetime, 0, 8);
    $parts[] = $this-&gt;region();
    $parts[] = $this-&gt;service();
    $parts[] = 'aws4_request';

    return implode('/', $parts);
}";}i:7;a:6:{s:4:"name";s:4:"hash";s:8:"modifier";s:9:"protected";s:11:"description";s:33:"<p>SHA-256 hashes the string.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"string";}}s:11:"returnvalue";s:33:"<p>Raw SHA-256 hashed string.</p>";s:6:"source";s:78:"protected function hash($string)
{
    return hash('sha256', $string, true);
}";}i:8;a:6:{s:4:"name";s:5:"hex16";s:8:"modifier";s:9:"protected";s:11:"description";s:27:"<p>Hex16-pack the data.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:5:"value";s:4:"type";s:6:"string";s:11:"description";s:30:"<p>The data to hex16 pack.</p>";}}s:11:"returnvalue";s:29:"<p>The hex16-packed data.</p>";s:6:"source";s:99:"protected function hex16($value)
{
    $result = unpack('H*', $value);
    return reset($result);
}";}i:9;a:6:{s:4:"name";s:4:"hmac";s:8:"modifier";s:9:"protected";s:11:"description";s:72:"<p>Applies HMAC SHA-256 encryption to the string, salted by the key.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:3:"key";}i:1;a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"string";}}}s:11:"returnvalue";s:38:"<p>Raw HMAC SHA-256 hashed string.</p>";s:6:"source";s:95:"protected function hmac($key, $string)
{
    return hash_hmac('sha256', $string, $key, true);
}";}i:10;a:5:{s:4:"name";s:6:"region";s:8:"modifier";s:9:"protected";s:11:"description";s:45:"<p>The region ID to use in the signature.</p>";s:11:"returnvalue";s:21:"<p>The region ID.</p>";s:6:"source";s:280:"protected function region()
{
    $pieces = explode('.', $this-&gt;endpoint);

    // Handle cases with single/no region (i.e., service.amazonaws.com vs. service.region.amazonaws.com)
    if (count($pieces) &lt; 4)
    {
        return 'us-east-1';
    }

    return $pieces[1];
}";}i:11;a:5:{s:4:"name";s:7:"service";s:8:"modifier";s:9:"protected";s:11:"description";s:46:"<p>The service ID to use in the signature.</p>";s:11:"returnvalue";s:22:"<p>The service ID.</p>";s:6:"source";s:103:"protected function service()
{
    $pieces = explode('.', $this-&gt;endpoint);
    return $pieces[0];
}";}i:12;a:6:{s:4:"name";s:9:"signature";s:8:"modifier";s:9:"protected";s:11:"description";s:31:"<p>Calculate the signature.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"datetime";s:4:"type";s:6:"string";s:11:"description";s:29:"<p>The current timestamp.</p>";}}s:11:"returnvalue";s:21:"<p>The signature.</p>";s:6:"source";s:450:"protected function signature($datetime)
{
    $k_date        = $this-&gt;hmac('AWS4' . $this-&gt;secret_key, substr($datetime, 0, 8));
    $k_region      = $this-&gt;hmac($k_date, $this-&gt;region());
    $k_service     = $this-&gt;hmac($k_region, $this-&gt;service());
    $k_credentials = $this-&gt;hmac($k_service, 'aws4_request');
    $signature     = $this-&gt;hmac($k_credentials, $this-&gt;string_to_sign($datetime));

    return $signature;
}";}i:13;a:6:{s:4:"name";s:14:"string_to_sign";s:8:"modifier";s:9:"protected";s:11:"description";s:36:"<p>Calculate the string to sign.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"datetime";s:4:"type";s:6:"string";s:11:"description";s:29:"<p>The current timestamp.</p>";}}s:11:"returnvalue";s:26:"<p>The string to sign.</p>";s:6:"source";s:368:"protected function string_to_sign($datetime)
{
    $parts = array();
    $parts[] = 'AWS4-HMAC-SHA256';
    $parts[] = $datetime;
    $parts[] = $this-&gt;credential_string($datetime);
    $parts[] = $this-&gt;hex16($this-&gt;hash($this-&gt;canonical_request()));

    $this-&gt;string_to_sign = implode(&quot;\n&quot;, $parts);

    return $this-&gt;string_to_sign;
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"4";}s:8:"property";a:4:{i:0;a:4:{s:4:"name";s:11:"credentials";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:6:"Signer";s:4:"file";s:34:"authentication/signer.abstract.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:62:"<p>The credentials to use for signing and making requests.</p>";}i:1;a:4:{s:4:"name";s:8:"endpoint";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:6:"Signer";s:4:"file";s:34:"authentication/signer.abstract.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:45:"<p>The endpoint to direct the request to.</p>";}i:2;a:4:{s:4:"name";s:9:"operation";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:6:"Signer";s:4:"file";s:34:"authentication/signer.abstract.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:60:"<p>The operation to execute as a result of this request.</p>";}i:3;a:4:{s:4:"name";s:7:"payload";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:6:"Signer";s:4:"file";s:34:"authentication/signer.abstract.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:64:"<p>The options to use as part of the payload in the request.</p>";}}}}}