a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:12:"CFHadoopBase";s:4:"file";s:30:"utilities/hadoopbase.class.php";s:3:"url";s:26:"../cfhadoopbase/index.html";s:11:"description";s:54:"<p>Contains core functionality for Hadoop helpers.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2012.07.24";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";a:2:{i:0;s:47:"http://aws.amazon.com/php/ PHP Developer Center";i:1;s:38:"http://hadoop.apache.org Apache Hadoop";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"2";}s:6:"method";a:2:{i:0;a:7:{s:4:"name";s:15:"hive_pig_script";s:8:"modifier";s:13:"public static";s:11:"description";s:76:"<p>Prepares a Hive or Pig script before passing it to the script runner.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"type";s:4:"type";s:6:"string";s:11:"description";s:88:"<p>The type of script to run. [Allowed values: <code>hive</code>, <code>pig</code>].</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"args";s:4:"type";s:5:"array";s:11:"description";s:59:"<p>An indexed array of arguments to pass to the script.</p>";}}}s:11:"returnvalue";s:173:"<p>A standard array that is intended to be passed into a <a href="../cfstepconfig/index.html" rel="../../index.html#i=cfstepconfig"><code>CFStepConfig</code></a> object.</p>";s:6:"source";s:400:"public static function hive_pig_script($type, $args = null)
{
    if (!$args) $args = array();
    $args = is_array($args) ? $args : array($args);
    $args = array_merge(array('--base-path', 's3://' . self::$region . '.elasticmapreduce/libs/' . $type . '/'), $args);

        return self::script_runner('s3://' . self::$region . '.elasticmapreduce/libs/' . $type . '/' . $type . '-script', $args);
}";s:7:"seealso";a:1:{s:4:"link";a:2:{i:0;s:48:"<a href="http://hive.apache.org">Apache Hive</a>";i:1;s:46:"<a href="http://pig.apache.org">Apache Pig</a>";}}}i:1;a:6:{s:4:"name";s:13:"script_runner";s:8:"modifier";s:13:"public static";s:11:"description";s:66:"<p>Runs a specified script on the master node of your cluster.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"script";s:4:"type";s:6:"string";s:11:"description";s:61:"<p>The script to run with <code>script-runner.jar</code>.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"args";s:4:"type";s:5:"array";s:11:"description";s:59:"<p>An indexed array of arguments to pass to the script.</p>";}}}s:11:"returnvalue";s:173:"<p>A standard array that is intended to be passed into a <a href="../cfstepconfig/index.html" rel="../../index.html#i=cfstepconfig"><code>CFStepConfig</code></a> object.</p>";s:6:"source";s:288:"public static function script_runner($script, $args = null)
{
    if (!$args) $args = array();
    array_unshift($args, $script);

    return array(
        'Jar' =&gt; 's3://' . self::$region . '.elasticmapreduce/libs/script-runner/script-runner.jar',
        'Args' =&gt; $args
    );
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:8:"property";a:3:{s:4:"name";s:6:"region";s:8:"modifier";s:13:"public static";s:11:"initializer";a:1:{s:11:"@attributes";a:2:{s:4:"type";s:6:"string";s:5:"value";s:9:"us-east-1";}}}}}}