a:2:{s:4:"file";a:0:{}s:5:"class";a:8:{s:4:"name";s:12:"CFStepConfig";s:4:"file";s:30:"utilities/stepconfig.class.php";s:3:"url";s:26:"../cfstepconfig/index.html";s:11:"description";s:70:"<p>Contains functionality for simplifying Amazon EMR Hadoop steps.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2010.11.16";s:7:"license";s:53:"See the included NOTICE.md file for more information.";s:9:"copyright";s:53:"See the included NOTICE.md file for more information.";s:4:"link";s:47:"http://aws.amazon.com/php/ PHP Developer Center";}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"4";}s:6:"method";a:4:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>Constructs a new instance of this class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"config";s:4:"type";s:5:"array";s:11:"description";s:71:"<p>An associative array representing the Hadoop step configuration.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:304:"public function __construct($config)
{
    // Handle Hadoop jar arguments
    if (isset($config['HadoopJarStep']['Args']) &amp;&amp; $args = $config['HadoopJarStep']['Args'])
    {
        $config['HadoopJarStep']['Args'] = is_array($args) ? $args : array($args);
    }

    $this-&gt;config = $config;
}";}i:1;a:6:{s:4:"name";s:10:"__toString";s:8:"modifier";s:6:"public";s:11:"description";s:77:"<p>Returns a JSON representation of the object when typecast as a string.</p>";s:11:"returnvalue";s:43:"<p>A JSON representation of the object.</p>";s:6:"source";s:74:"public function __toString()
{
    return json_encode($this-&gt;config);
}";s:7:"seealso";a:1:{s:4:"link";s:113:"<a href="http://www.php.net/manual/en/language.oop5.magic.php#language.oop5.magic.tostring">PHP Magic Methods</a>";}}i:2;a:6:{s:4:"name";s:10:"get_config";s:8:"modifier";s:6:"public";s:11:"description";s:38:"<p>Returns the configuration data.</p>";s:11:"returnvalue";s:30:"<p>The configuration data.</p>";s:6:"source";s:61:"public function get_config()
{
    return $this-&gt;config;
}";s:7:"related";a:1:{s:6:"method";a:9:{i:0;s:149:"<a href="../amazonemr/add_job_flow_steps.html" rel="../../index.html#m=amazonemr/add_job_flow_steps"><code>AmazonEMR::add_job_flow_steps()</code></a>";i:1;s:149:"<a href="../amazonemr/describe_job_flows.html" rel="../../index.html#m=amazonemr/describe_job_flows"><code>AmazonEMR::describe_job_flows()</code></a>";i:2;s:131:"<a href="../amazonemr/run_job_flow.html" rel="../../index.html#m=amazonemr/run_job_flow"><code>AmazonEMR::run_job_flow()</code></a>";i:3;s:152:"<a href="../amazonemr/terminate_job_flows.html" rel="../../index.html#m=amazonemr/terminate_job_flows"><code>AmazonEMR::terminate_job_flows()</code></a>";i:4;s:152:"<a href="../cfhadoopstep/enable_debugging.html" rel="../../index.html#m=cfhadoopstep/enable_debugging"><code>CFHadoopStep::enable_debugging()</code></a>";i:5;s:140:"<a href="../cfhadoopstep/install_hive.html" rel="../../index.html#m=cfhadoopstep/install_hive"><code>CFHadoopStep::install_hive()</code></a>";i:6;s:137:"<a href="../cfhadoopstep/install_pig.html" rel="../../index.html#m=cfhadoopstep/install_pig"><code>CFHadoopStep::install_pig()</code></a>";i:7;s:149:"<a href="../cfhadoopstep/run_hive_script.html" rel="../../index.html#m=cfhadoopstep/run_hive_script"><code>CFHadoopStep::run_hive_script()</code></a>";i:8;s:146:"<a href="../cfhadoopstep/run_pig_script.html" rel="../../index.html#m=cfhadoopstep/run_pig_script"><code>CFHadoopStep::run_pig_script()</code></a>";}}}i:3;a:6:{s:4:"name";s:4:"init";s:8:"modifier";s:13:"public static";s:11:"description";s:68:"<p>Constructs a new instance of this class, and allows chaining.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:6:"config";s:4:"type";s:5:"array";s:11:"description";s:71:"<p>An associative array representing the Hadoop step configuration.</p>";}}s:11:"returnvalue";s:43:"<p>A reference to the current instance.</p>";s:6:"source";s:279:"public static function init($config)
{
    if (version_compare(PHP_VERSION, '5.3.0', '&lt;'))
    {
        throw new Exception('PHP 5.3 or newer is required to instantiate a new class with CLASS::init().');
    }

    $self = get_called_class();
    return new $self($config);
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"1";}s:8:"property";a:3:{s:4:"name";s:6:"config";s:8:"modifier";s:6:"public";s:11:"description";s:36:"<p>Stores the configuration map.</p>";}}}}