a:2:{s:4:"file";a:0:{}s:5:"class";a:10:{s:4:"name";s:7:"CacheMC";s:4:"file";s:31:"lib/cachecore/cachemc.class.php";s:3:"url";s:21:"../cachemc/index.html";s:11:"description";s:137:"<p>Container for all Memcache-based cache methods. Inherits additional methods from <CacheCore>. Adheres
to the ICacheCore interface.</p>";s:8:"metadata";a:4:{s:7:"version";s:10:"2012.04.17";s:9:"copyright";a:4:{i:0;s:21:"2006-2012 Ryan Parman";i:1;s:22:"2006-2010 Foleeo, Inc.";i:2;s:40:"2012 Amazon.com, Inc. or its affiliates.";i:3;s:22:"2008-2010 Contributors";}s:7:"license";s:69:"http://opensource.org/licenses/bsd-license.php Simplified BSD License";s:4:"link";a:4:{i:0;s:44:"http://github.com/skyzyx/cachecore CacheCore";i:1;s:37:"http://getcloudfusion.com CloudFusion";i:2;s:32:"http://php.net/memcache Memcache";i:3;s:34:"http://php.net/memcached Memcached";}}s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:10:"implements";a:1:{s:9:"interface";a:2:{s:4:"name";s:10:"ICacheCore";s:4:"file";s:38:"lib/cachecore/icachecore.interface.php";}}s:7:"methods";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:2:"11";}s:6:"method";a:11:{i:0;a:6:{s:4:"name";s:11:"__construct";s:8:"modifier";s:6:"public";s:11:"description";s:47:"<p>Constructs a new instance of this class.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:52:"<p>A name to uniquely identify the cache object.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:107:"<p>The location to store the cache object in. This may vary by cache method. The default value is NULL.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"expires";s:4:"type";s:7:"integer";s:11:"description";s:94:"<p>The number of seconds until a cache object is considered stale. The default value is 0.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:85:"<p>Whether data should be gzipped before being stored. The default value is true.</p>";}}}s:11:"returnvalue";s:37:"<p>Reference to the cache object.</p>";s:6:"source";s:1255:"public function __construct($name, $location = null, $expires = 0, $gzip = true)
{
    parent::__construct($name, null, $expires, $gzip);
    $this-&gt;id = $this-&gt;name;

    // Prefer Memcached over Memcache.
    if (class_exists('Memcached'))
    {
        $this-&gt;memcache = new Memcached();
        $this-&gt;is_memcached = true;
    }
    elseif (class_exists('Memcache'))
    {
        $this-&gt;memcache = new Memcache();
    }
    else
    {
        return false;
    }

    // Enable compression, if available
    if ($this-&gt;gzip)
    {
        if ($this-&gt;is_memcached)
        {
            $this-&gt;memcache-&gt;setOption(Memcached::OPT_COMPRESSION, true);
        }
        else
        {
            $this-&gt;gzip = MEMCACHE_COMPRESSED;
        }
    }

    // Process Memcached servers.
    if (isset($location) &amp;&amp; sizeof($location) &gt; 0)
    {
        foreach ($location as $loc)
        {
            if (isset($loc['port']) &amp;&amp; !empty($loc['port']))
            {
                $this-&gt;memcache-&gt;addServer($loc['host'], $loc['port']);
            }
            else
            {
                $this-&gt;memcache-&gt;addServer($loc['host'], 11211);
            }
        }
    }

    return $this;
}";}i:1;a:6:{s:4:"name";s:6:"create";s:8:"modifier";s:6:"public";s:11:"description";s:27:"<p>Creates a new cache.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";s:4:"type";s:5:"mixed";s:11:"description";s:25:"<p>The data to cache.</p>";}}s:11:"returnvalue";s:44:"<p>Whether the operation was successful.</p>";s:6:"source";s:255:"public function create($data)
{
    if ($this-&gt;is_memcached)
    {
        return $this-&gt;memcache-&gt;set($this-&gt;id, $data, $this-&gt;expires);
    }
    return $this-&gt;memcache-&gt;set($this-&gt;id, $data, $this-&gt;gzip, $this-&gt;expires);
}";}i:2;a:5:{s:4:"name";s:6:"delete";s:8:"modifier";s:6:"public";s:11:"description";s:23:"<p>Deletes a cache.</p>";s:11:"returnvalue";s:44:"<p>Whether the operation was successful.</p>";s:6:"source";s:84:"public function delete()
{
    return $this-&gt;memcache-&gt;delete($this-&gt;id);
}";}i:3;a:7:{s:4:"name";s:9:"expire_in";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CacheCore";}}s:11:"description";s:55:"<p>Set the number of seconds until a cache expires.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:7:"seconds";}}s:11:"returnvalue";a:1:{s:11:"@attributes";a:1:{s:4:"type";s:5:"$this";}}s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:33:"lib/cachecore/cachecore.class.php";s:5:"start";s:3:"101";s:3:"end";s:3:"105";s:5:"lines";s:1:"5";}}}i:4;a:7:{s:4:"name";s:4:"init";s:8:"modifier";s:13:"public static";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CacheCore";}}s:11:"description";s:75:"<p>Allows for chaining from the constructor. Requires PHP 5.3 or newer.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"name";s:4:"type";s:6:"string";s:11:"description";s:52:"<p>A name to uniquely identify the cache object.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:8:"location";s:4:"type";s:6:"string";s:11:"description";s:107:"<p>The location to store the cache object in. This may vary by cache method. The default value is NULL.</p>";}i:2;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:7:"expires";s:4:"type";s:7:"integer";s:11:"description";s:94:"<p>The number of seconds until a cache object is considered stale. The default value is 0.</p>";}i:3;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:4:"gzip";s:4:"type";s:7:"boolean";s:11:"description";s:85:"<p>Whether data should be gzipped before being stored. The default value is true.</p>";}}}s:11:"returnvalue";s:37:"<p>Reference to the cache object.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:33:"lib/cachecore/cachecore.class.php";s:5:"start";s:2:"84";s:3:"end";s:2:"93";s:5:"lines";s:2:"10";}}}i:5;a:5:{s:4:"name";s:10:"is_expired";s:8:"modifier";s:6:"public";s:11:"description";s:101:"<p>Implemented here, but always returns <code>false</code>. Memcache manages its own expirations.</p>";s:11:"returnvalue";s:43:"<p>Whether the cache is expired or not.</p>";s:6:"source";s:50:"public function is_expired()
{
    return false;
}";}i:6;a:5:{s:4:"name";s:4:"read";s:8:"modifier";s:6:"public";s:11:"description";s:21:"<p>Reads a cache.</p>";s:11:"returnvalue";s:77:"<p>Either the content of the cache object, or boolean <code>false</code>.</p>";s:6:"source";s:196:"public function read()
{
    if ($this-&gt;is_memcached)
    {
        return $this-&gt;memcache-&gt;get($this-&gt;id);
    }
    return $this-&gt;memcache-&gt;get($this-&gt;id, $this-&gt;gzip);
}";}i:7;a:5:{s:4:"name";s:5:"reset";s:8:"modifier";s:6:"public";s:11:"description";s:101:"<p>Implemented here, but always returns <code>false</code>. Memcache manages its own expirations.</p>";s:11:"returnvalue";s:44:"<p>Whether the operation was successful.</p>";s:6:"source";s:45:"public function reset()
{
    return false;
}";}i:8;a:7:{s:4:"name";s:16:"response_manager";s:8:"modifier";s:6:"public";s:11:"inheritance";a:1:{s:5:"class";a:1:{s:4:"name";s:9:"CacheCore";}}s:11:"description";s:104:"<p>Provides a simple, straightforward cache-logic mechanism. Useful for non-complex response caches.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:2:{i:0;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:8:"callback";s:4:"type";s:15:"string|function";s:11:"description";s:80:"<p>The name of the function to fire when we need to fetch new data to cache.</p>";}i:1;a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"opt";}s:4:"name";s:6:"params";s:4:"type";s:5:"array";s:11:"description";s:66:"<p>Parameters to pass into the callback function, as an array.</p>";}}}s:11:"returnvalue";s:39:"<p>The cached data being requested.</p>";s:6:"source";a:1:{s:11:"@attributes";a:4:{s:4:"file";s:33:"lib/cachecore/cachecore.class.php";s:5:"start";s:3:"114";s:3:"end";s:3:"143";s:5:"lines";s:2:"30";}}}i:9;a:5:{s:4:"name";s:9:"timestamp";s:8:"modifier";s:6:"public";s:11:"description";s:101:"<p>Implemented here, but always returns <code>false</code>. Memcache manages its own expirations.</p>";s:11:"returnvalue";s:87:"<p>Either the Unix time stamp of the cache creation, or boolean <code>false</code>.</p>";s:6:"source";s:49:"public function timestamp()
{
    return false;
}";}i:10;a:6:{s:4:"name";s:6:"update";s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>Updates an existing cache.</p>";s:10:"parameters";a:1:{s:9:"parameter";a:4:{s:11:"@attributes";a:1:{s:6:"choice";s:3:"req";}s:4:"name";s:4:"data";s:4:"type";s:5:"mixed";s:11:"description";s:25:"<p>The data to cache.</p>";}}s:11:"returnvalue";s:44:"<p>Whether the operation was successful.</p>";s:6:"source";s:263:"public function update($data)
{
    if ($this-&gt;is_memcached)
    {
        return $this-&gt;memcache-&gt;replace($this-&gt;id, $data, $this-&gt;expires);
    }
    return $this-&gt;memcache-&gt;replace($this-&gt;id, $data, $this-&gt;gzip, $this-&gt;expires);
}";}}}s:9:"constants";a:1:{s:11:"@attributes";a:1:{s:5:"count";s:1:"0";}}s:10:"properties";a:2:{s:11:"@attributes";a:1:{s:5:"count";s:1:"8";}s:8:"property";a:8:{i:0;a:4:{s:4:"name";s:7:"expires";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:71:"<p>The number of seconds before a cache object is considered stale.</p>";}i:1;a:4:{s:4:"name";s:4:"gzip";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:70:"<p>Stores whether or not the content should be gzipped when stored</p>";}i:2;a:4:{s:4:"name";s:2:"id";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:84:"<p>Used internally to uniquely identify the location + name of the cache object.</p>";}i:3;a:3:{s:4:"name";s:12:"is_memcached";s:8:"modifier";s:6:"public";s:11:"description";s:78:"<p>Whether the Memcached extension is being used (as opposed to Memcache).</p>";}i:4;a:4:{s:4:"name";s:8:"location";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:32:"<p>Where to store the cache.</p>";}i:5;a:3:{s:4:"name";s:8:"memcache";s:8:"modifier";s:6:"public";s:11:"description";s:33:"<p>Holds the Memcache object.</p>";}i:6;a:4:{s:4:"name";s:4:"name";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:55:"<p>A name to uniquely identify the cache object by.</p>";}i:7;a:4:{s:4:"name";s:9:"timestamp";s:11:"inheritance";a:1:{s:5:"class";a:2:{s:4:"name";s:9:"CacheCore";s:4:"file";s:33:"lib/cachecore/cachecore.class.php";}}s:8:"modifier";s:6:"public";s:11:"description";s:57:"<p>Stores the time when the cache object was created.</p>";}}}}}